unit anagrammes_main;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, ExtCtrls,
  StdCtrls, Buttons,
  lazUtf8;

type
  S016_ = string

    [16];

const
  CarMax_ = 9;

  //----- 3 Lettres -----
  //A
  F3LaMax_ = 552;
  F3La_: array[1..F3LaMax_] of S016_ = (
    'aal', 'aan', 'aas', 'aau', 'aba', 'abâ', 'abb', 'abc', 'abd', 'abe',
    'abé', 'abè', 'abê', 'abf', 'abh', 'abi', 'abî', 'abj', 'abl', 'âbl',
    'abn', 'abo', 'âbo', 'abr', 'abs', 'abt', 'abu', 'abw', 'aby', 'aca',
    'aça', 'açâ', 'acc', 'ace', 'âce', 'acé', 'acè', 'acf', 'ach', 'âch',
    'aci', 'ack', 'acl', 'âcl', 'acm', 'acn', 'aco', 'âco', 'aço', 'acô',
    'acq', 'acr', 'âcr', 'acs', 'act', 'acu', 'açu', 'acy', 'ada', 'adâ',
    'adb', 'add', 'ade', 'adé', 'adè', 'adg', 'adh', 'adi', 'adî', 'adj',
    'adm', 'adn', 'ado', 'adô', 'adr', 'ads', 'adu', 'adv', 'ady', 'aea',
    'aec', 'aed', 'aéd', 'aèd', 'aeg', 'aei', 'ael', 'aél', 'aël', 'aen',
    'aep', 'aeq', 'aer', 'aér', 'aèr', 'aër', 'aes', 'aés', 'aet', 'aét',
    'aèt', 'aeu', 'aev', 'afa', 'afâ', 'afc', 'afe', 'afé', 'afè', 'aff',
    'afg', 'afi', 'afk', 'afl', 'afn', 'afo', 'afr', 'âfr', 'afs', 'aft',
    'afu', 'aga', 'agd', 'age', 'âge', 'agé', 'âgé', 'agè', 'agf', 'agg',
    'agh', 'agi', 'agî', 'agl', 'agm', 'agn', 'âgn', 'ago', 'agr', 'ags',
    'agt', 'agu', 'agy', 'aha', 'ahd', 'ahe', 'ahé', 'ahh', 'ahi', 'ahî',
    'ahl', 'ahm', 'ahn', 'aho', 'ahr', 'ahs', 'aht', 'ahu', 'ahy', 'aïa',
    'aib', 'aïb', 'aic', 'aîc', 'aïc', 'aid', 'aïd', 'aie', 'aïe', 'aif',
    'aïf', 'aig', 'aïg', 'aii', 'aik', 'aïk', 'ail', 'âil', 'aïl', 'aim',
    'aîm', 'aïm', 'ain', 'aîn', 'aïn', 'aio', 'aïo', 'aip', 'aiq', 'aïq',
    'air', 'aïr', 'ais', 'aîs', 'aïs', 'ait', 'aît', 'aït', 'aïu', 'aiv',
    'aïv', 'aïw', 'aix', 'aiz', 'aïz', 'aja', 'aje', 'aji', 'ajo', 'aju',
    'aka', 'akc', 'ake', 'aké', 'akè', 'akf', 'akh', 'aki', 'akk', 'akl',
    'akn', 'ako', 'âkr', 'aks', 'akt', 'aku', 'akv', 'akw', 'ala', 'âla',
    'alâ', 'âlâ', 'alb', 'alc', 'ald', 'ale', 'âle', 'äle', 'alé', 'âlé',
    'alè', 'âlè', 'alê', 'alf', 'alg', 'alh', 'ali', 'âli', 'alî', 'âlî',
    'alk', 'all', 'alm', 'aln', 'alo', 'àlo', 'âlo', 'alp', 'alq', 'alr',
    'als', 'alt', 'alu', 'alû', 'alv', 'alw', 'aly', 'alz', 'ama', 'âma',
    'amâ', 'âmâ', 'amb', 'amc', 'amd', 'ame', 'âme', 'amé', 'âmé', 'amè',
    'âmè', 'amh', 'ami', 'âmi', 'amm', 'amn', 'amo', 'âmo', 'amp', 'ams',
    'amu', 'amw', 'amy', 'ana', 'âna', 'anâ', 'ânâ', 'anb', 'anc', 'anç',
    'and', 'ane', 'âne', 'ané', 'âné', 'anè', 'ânè', 'anf', 'ang', 'anh',
    'ani', 'âni', 'anî', 'anj', 'ank', 'anl', 'anm', 'ann', 'ano', 'âno',
    'anp', 'anq', 'anr', 'ans', 'ant', 'anu', 'anv', 'anx', 'any', 'anz',
    'aob', 'aod', 'aoe', 'aoi', 'aôi', 'aoï', 'aol', 'aon', 'aôn', 'aor',
    'aos', 'aot', 'aou', 'aoû', 'aoy', 'apa', 'âpa', 'apâ', 'âpâ', 'ape',
    'âpe', 'apé', 'âpé', 'apè', 'âpè', 'aph', 'api', 'âpi', 'apî', 'apk',
    'apl', 'apn', 'apo', 'âpo', 'app', 'apr', 'âpr', 'aps', 'apt', 'apu',
    'âpu', 'apü', 'apy', 'aqi', 'aqu', 'âqu', 'ara', 'âra', 'arâ', 'arb',
    'arc', 'arç', 'ard', 'are', 'aré', 'arè', 'arê', 'arf', 'arg', 'arh',
    'ari', 'arî', 'arj', 'ark', 'arl', 'arm', 'arn', 'aro', 'arp', 'arq',
    'arr', 'ars', 'art', 'aru', 'arû', 'arv', 'arw', 'arx', 'ary', 'arz',
    'asa', 'asâ', 'asb', 'asc', 'asd', 'ase', 'asé', 'asè', 'asg', 'ash',
    'asi', 'ask', 'asm', 'asn', 'aso', 'asp', 'asq', 'ass', 'âss', 'ast',
    'asu', 'asy', 'ata', 'âta', 'atâ', 'âtâ', 'atc', 'atd', 'ate', 'âte',
    'até', 'âté', 'atè', 'âtè', 'atg', 'ath', 'ati', 'âti', 'atî', 'âtî',
    'atj', 'atl', 'atm', 'atn', 'ato', 'âto', 'atr', 'âtr', 'ats', 'âts',
    'att', 'atu', 'âtu', 'atv', 'aty', 'atz', 'aub', 'auc', 'auç', 'aud',
    'auf', 'aug', 'auh', 'aui', 'auj', 'aul', 'aum', 'aüm', 'aun', 'aup',
    'auq', 'aur', 'aus', 'aut', 'aüt', 'auu', 'auv', 'auw', 'aux', 'auz',
    'ava', 'avâ', 'ave', 'âve', 'avé', 'avè', 'avi', 'avî', 'avJ', 'avk',
    'avl', 'avo', 'avr', 'avu', 'àvu', 'awa', 'awb', 'awc', 'awi', 'awk',
    'awl', 'awn', 'awr', 'aws', 'awu', 'axa', 'axâ', 'axe', 'axé', 'axè',
    'axh', 'axi', 'axo', 'axu', 'axw', 'aya', 'ayâ', 'aye', 'ayé', 'ayè',
    'ayi', 'ayl', 'aym', 'ayn', 'ayo', 'ayr', 'ays', 'ayt', 'ayu', 'aza',
    'azâ', 'azd', 'aze', 'azé', 'azè', 'azi', 'azì', 'azo', 'azt', 'azu',
    'azy', 'azz'
    );
  //B
  F3LbMax_ = 272;
  F3Lb_: array[1..F3LbMax_] of S016_ = (
    'bab', 'bâb', 'bac', 'bâc', 'bad', 'bae', 'baé', 'baf', 'bâf', 'bag',
    'bah', 'bai', 'bâi', 'baï', 'baj', 'bak', 'bal', 'bâl', 'bam', 'bâm',
    'ban', 'bao', 'bap', 'baq', 'bar', 'bas', 'bat', 'bât', 'bau', 'bav',
    'bay', 'baz', 'bba', 'bbc', 'bbe', 'bbé', 'bbi', 'bbl', 'bbo', 'bbr',
    'bby', 'bca', 'bce', 'bcé', 'bcè', 'bco', 'bcu', 'bda', 'bdc', 'bdé',
    'bdè', 'bdi', 'bdo', 'bdu', 'bea', 'béa', 'béâ', 'béb', 'bèb', 'bec',
    'béc', 'bèc', 'bêc', 'bed', 'béd', 'bee', 'bée', 'béé', 'béè', 'bef',
    'béf', 'beg', 'bég', 'bèg', 'beh', 'béh', 'bei', 'béi', 'béî', 'beï',
    'béj', 'bek', 'bék', 'bel', 'bél', 'bèl', 'bêl', 'bem', 'bém', 'ben',
    'bén', 'bèn', 'béo', 'bép', 'beq', 'béq', 'ber', 'bér', 'bèr', 'bes',
    'bés', 'bès', 'bet', 'bét', 'bèt', 'bêt', 'beu', 'bev', 'bév', 'bey',
    'bez', 'béz', 'bfe', 'bfé', 'bfo', 'bgr', 'bho', 'bia', 'bib', 'bic',
    'bid', 'bie', 'bié', 'biè', 'bif', 'big', 'bih', 'bij', 'bik', 'bil',
    'bim', 'bîm', 'bin', 'bio', 'bip', 'biq', 'bir', 'bis', 'bit', 'bît',
    'biu', 'biv', 'biz', 'bja', 'bje', 'bjo', 'bju', 'bka', 'bkh', 'bki',
    'bla', 'blâ', 'ble', 'blé', 'blè', 'blê', 'bli', 'blî', 'blo', 'blu',
    'bly', 'bma', 'bme', 'bmi', 'bna', 'bné', 'bnu', 'boa', 'bob', 'boc',
    'bod', 'boe', 'Boe', 'boé', 'boè', 'boë', 'bof', 'bog', 'boh', 'boi',
    'boî', 'boï', 'bok', 'bom', 'bôm', 'bon', 'bôn', 'boo', 'bop', 'boq',
    'bor', 'bos', 'bot', 'bou', 'bov', 'bow', 'box', 'boy', 'bra', 'brâ',
    'bre', 'bré', 'Bré', 'brè', 'brê', 'bri', 'brî', 'bro', 'brr', 'bru',
    'Bru', 'brû', 'bry', 'bsc', 'bse', 'bsé', 'bsè', 'bsi', 'bsl', 'bso',
    'bsp', 'bst', 'bsu', 'bsw', 'bte', 'bti', 'btî', 'btr', 'btu', 'bua',
    'buâ', 'bub', 'buc', 'bûc', 'bud', 'bue', 'bué', 'buè', 'buf', 'bug',
    'bui', 'buk', 'bul', 'bum', 'bûm', 'bun', 'buo', 'bup', 'buq', 'bur',
    'bus', 'but', 'bût', 'buv', 'bux', 'buz', 'bve', 'bvi', 'bvî', 'bwé',
    'bwi', 'byc', 'bye', 'byl', 'bym', 'byo', 'byq', 'byr', 'bys', 'byt',
    'byx', 'byz'
    );
  //C
  F3LcMax_ = 321;
  F3Lc_: array[1..F3LcMax_] of S016_ = (
    'cab', 'çab', 'câb', 'cac', 'caç', 'cad', 'çad', 'càd', 'cae', 'caè',
    'caf', 'cag', 'çag', 'cah', 'cai', 'çai', 'caï', 'caj', 'cak', 'cal',
    'çal', 'câl', 'cam', 'Cam', 'çâm', 'can', 'çan', 'cao', 'çao', 'cap',
    'câp', 'caq', 'çaq', 'car', 'çar', 'cas', 'ças', 'cat', 'çat', 'çât',
    'cau', 'çau', 'cav', 'caw', 'cay', 'çay', 'caz', 'cba', 'cbo', 'cbu',
    'cca', 'cce', 'ccé', 'ccè', 'cch', 'cci', 'ccl', 'cco', 'CCP', 'ccr',
    'ccu', 'ccy', 'cdo', 'cdy', 'cea', 'céa', 'ceâ', 'ceb', 'céb', 'cec',
    'céc', 'ced', 'céd', 'cèd', 'cee', 'cée', 'céé', 'cef', 'cég', 'cei',
    'céi', 'cel', 'cél', 'cèl', 'cem', 'cém', 'cen', 'cén', 'cèn', 'Cèn',
    'ceo', 'céo', 'cep', 'cép', 'cèp', 'ceq', 'cer', 'cér', 'cèr', 'ces',
    'cés', 'cès', 'cet', 'cét', 'cèt', 'cêt', 'ceu', 'cev', 'cév', 'cèv',
    'cey', 'cez', 'cfa', 'cfi', 'cfo', 'cfu', 'cha', 'Cha', 'châ', 'chb',
    'che', 'ché', 'chè', 'chê', 'chg', 'chi', 'Chi', 'chî', 'chl', 'chm',
    'chn', 'cho', 'chô', 'chp', 'chr', 'chs', 'cht', 'chu', 'chû', 'chw',
    'chy', 'cia', 'ciâ', 'cib', 'cic', 'cid', 'cie', 'cïe', 'cié', 'ciè',
    'cif', 'cig', 'cii', 'cil', 'cim', 'cîm', 'cin', 'cio', 'cip', 'ciq',
    'cir', 'cis', 'cit', 'cît', 'ciu', 'civ', 'cka', 'ckâ', 'ckb', 'cke',
    'cké', 'ckè', 'ckf', 'ckg', 'ckh', 'cki', 'ckl', 'ckn', 'cko', 'ckp',
    'cks', 'ckt', 'cla', 'clâ', 'cle', 'clé', 'clè', 'cli', 'clo', 'clô',
    'clu', 'clû', 'cly', 'cma', 'cmé', 'cmè', 'cmi', 'cmn', 'cmu', 'cne',
    'cné', 'cnè', 'cni', 'cno', 'coa', 'cob', 'coc', 'côc', 'cod', 'coe',
    'Coe', 'coé', 'cof', 'cog', 'coh', 'coi', 'çoi', 'coï', 'cok', 'col',
    'côl', 'com', 'côm', 'con', 'çon', 'côn', 'coo', 'cop', 'coq', 'cor',
    'çor', 'cos', 'cot', 'çot', 'côt', 'cou', 'coû', 'cov', 'cow', 'cox',
    'coy', 'cpo', 'cpt', 'cqu', 'cra', 'crâ', 'cre', 'cré', 'crè', 'crê',
    'cri', 'cro', 'cru', 'crû', 'cry', 'csa', 'csc', 'csi', 'cso', 'cta',
    'ctâ', 'cte', 'cté', 'ctè', 'cth', 'cti', 'cto', 'ctr', 'cts', 'ctu',
    'cty', 'cua', 'cuâ', 'cub', 'cuc', 'cud', 'cue', 'çue', 'cué', 'cuè',
    'cuf', 'cui', 'cul', 'cum', 'çum', 'cûm', 'çûm', 'cun', 'cuo', 'cup',
    'cuq', 'cur', 'çur', 'cus', 'çus', 'cut', 'çut', 'cût', 'çût', 'cuu',
    'cuv', 'cuy', 'cve', 'cya', 'cyb', 'cyc', 'cyç', 'cyg', 'cyl', 'cym',
    'cyn', 'cyo', 'cyp', 'cyq', 'cyr', 'cys', 'cyt', 'cyx', 'cza', 'czé',
    'czi'
    );
  //D
  F3LdMax_ = 258;
  F3Ld_: array[1..F3LdMax_] of S016_ = (
    'dab', 'dac', 'dad', 'dae', 'daf', 'dag', 'dah', 'dai', 'daï', 'dak',
    'dal', 'dam', 'dâm', 'dan', 'dap', 'daq', 'dar', 'das', 'dat', 'dât',
    'dau', 'dav', 'daw', 'dax', 'day', 'daz', 'dba', 'dbe', 'dbr', 'dbu',
    'dca', 'dch', 'dda', 'dde', 'ddh', 'ddi', 'ddl', 'ddo', 'ddu', 'ddy',
    'dea', 'déa', 'deb', 'déb', 'dec', 'déc', 'dèc', 'deç', 'déç', 'ded',
    'déd', 'dee', 'dée', 'def', 'déf', 'deg', 'dég', 'deh', 'déh', 'dei',
    'déi', 'dej', 'déj', 'del', 'dél', 'dèl', 'dem', 'dém', 'dèm', 'den',
    'dén', 'dèn', 'deo', 'déo', 'dep', 'dép', 'deq', 'déq', 'der', 'dér',
    'dèr', 'des', 'dés', 'dès', 'det', 'dét', 'dèt', 'deu', 'dev', 'dév',
    'dèv', 'dêv', 'déw', 'dex', 'dey', 'dez', 'dge', 'dgé', 'dgi', 'dgk',
    'dgr', 'dha', 'dhé', 'dhè', 'dhi', 'dho', 'dhp', 'dhu', 'dhy', 'dia',
    'diâ', 'dib', 'dic', 'did', 'die', 'dié', 'diè', 'dif', 'dig', 'dih',
    'dii', 'dij', 'dik', 'dil', 'dim', 'dîm', 'din', 'dîn', 'dio', 'dip',
    'diq', 'dir', 'dis', 'dit', 'dît', 'diu', 'div', 'dix', 'diz', 'dja',
    'dje', 'dji', 'djl', 'djo', 'dju', 'dka', 'dla', 'dle', 'dlé', 'dma',
    'dme', 'dmi', 'dmî', 'dmo', 'dna', 'dne', 'dné', 'dno', 'doa', 'dob',
    'doc', 'dod', 'dof', 'dog', 'doi', 'doï', 'doj', 'dok', 'dol', 'dom',
    'dôm', 'don', 'dôn', 'dop', 'doq', 'dor', 'dos', 'dot', 'dôt', 'dou',
    'dov', 'dow', 'dox', 'doy', 'doz', 'dra', 'drâ', 'dre', 'dré', 'drè',
    'drê', 'dri', 'drî', 'dro', 'drô', 'dru', 'dry', 'dsc', 'dse', 'dsh',
    'dsi', 'dsm', 'dso', 'dsp', 'dst', 'dsu', 'dta', 'dua', 'duâ', 'dub',
    'duc', 'dud', 'due', 'dué', 'duè', 'duf', 'dug', 'dui', 'dul', 'dum',
    'dûm', 'dun', 'duo', 'dup', 'duq', 'dur', 'dus', 'dûs', 'dut', 'dût',
    'duu', 'duv', 'dve', 'dvi', 'dvî', 'dvo', 'dwa', 'dwe', 'dwi', 'dwo',
    'dya', 'dyb', 'dyc', 'dyg', 'dyi', 'dyk', 'dyl', 'dym', 'dyn', 'dyo',
    'dyp', 'dys', 'dyt', 'dyx', 'dzé', 'dzê', 'dzi', 'dzo'
    );
  //E
  F3LeMax_ = 785;
  F3Le_: array[1..F3LeMax_] of S016_ = (
    'eab', 'éab', 'eac', 'éac', 'ead', 'éad', 'éaf', 'eag', 'éag', 'eai',
    'éai', 'éaj', 'eak', 'eal', 'éal', 'eam', 'éam', 'eâm', 'éâm', 'ean',
    'éan', 'eap', 'éap', 'ear', 'éar', 'eas', 'éas', 'eat', 'éat', 'eât',
    'éât', 'eau', 'éau', 'eav', 'éav', 'eba', 'éba', 'ebâ', 'ébâ', 'ebd',
    'ebe', 'ébe', 'èbe', 'ebé', 'ébé', 'ébè', 'ébê', 'ebi', 'ébi', 'ebk',
    'ebl', 'ébl', 'èbl', 'ebo', 'ébo', 'ebr', 'ébr', 'èbr', 'ebs', 'ebu',
    'ébu', 'ebv', 'ebw', 'eby', 'eca', 'éca', 'eça', 'éça', 'eçà', 'eçâ',
    'ecb', 'ecc', 'écc', 'ecd', 'ece', 'éce', 'èce', 'ecé', 'écé', 'ecè',
    'écè', 'ecf', 'ech', 'éch', 'èch', 'êch', 'eci', 'éci', 'écî', 'eck',
    'ecl', 'écl', 'ècl', 'ecm', 'ecn', 'eco', 'éco', 'èco', 'eço', 'éço',
    'ecô', 'ecq', 'ecr', 'écr', 'ècr', 'ecs', 'ect', 'ecu', 'écu', 'eçu',
    'éçu', 'écû', 'eçû', 'éçû', 'ecy', 'écy', 'ecz', 'écz', 'eda', 'éda',
    'édâ', 'edd', 'ede', 'éde', 'ède', 'edé', 'édé', 'edè', 'édè', 'édh',
    'edi', 'édi', 'edî', 'édî', 'edm', 'edo', 'édo', 'edr', 'édr', 'èdr',
    'eds', 'edu', 'édu', 'edû', 'édy', 'edz', 'eec', 'ééc', 'eed', 'ééd',
    'éée', 'eef', 'ééh', 'eek', 'eel', 'éel', 'éél', 'éem', 'éém', 'een',
    'éen', 'eep', 'ééq', 'eer', 'éer', 'éèr', 'ees', 'ées', 'éés', 'eet',
    'éét', 'éeu', 'éev', 'éév', 'eex', 'éex', 'eez', 'éez', 'efa', 'éfa',
    'éfâ', 'efe', 'éfe', 'éfé', 'éfè', 'eff', 'efi', 'éfi', 'efî', 'éfî',
    'efj', 'efl', 'éfl', 'èfl', 'efo', 'éfo', 'efr', 'éfr', 'efs', 'eft',
    'efu', 'éfu', 'ega', 'éga', 'égâ', 'ege', 'ége', 'ège', 'égé', 'egè',
    'égè', 'egg', 'egh', 'egi', 'égi', 'égî', 'egl', 'égl', 'ègl', 'egm',
    'égn', 'ègn', 'ego', 'égo', 'egr', 'égr', 'ègr', 'egs', 'egu', 'égu',
    'ègu', 'égy', 'eha', 'éha', 'ehe', 'éhe', 'éhé', 'ehi', 'éhi', 'ehl',
    'ehm', 'ehn', 'eho', 'ého', 'ehr', 'éhy', 'eia',
    'éia', 'eic', 'éic', 'eid', 'éid', 'éie', 'éié', 'eiè', 'éiè', 'eif',
    'éif', 'eig', 'eïj', 'eik', 'eil', 'éil', 'eim', 'éim', 'éîm', 'ein',
    'éin', 'eio', 'éio', 'eip', 'eiq', 'éiq', 'eir', 'éir', 'eïr', 'eis',
    'éis', 'eit', 'éit', 'eît', 'éît', 'eït', 'eiz', 'eja', 'éja', 'éjà',
    'eje', 'éje', 'ejo', 'éjo', 'eju', 'éju', 'eka', 'éka', 'êka', 'eke',
    'éke', 'éké', 'ekh', 'eki', 'éki', 'ekk', 'eko', 'eks', 'ekt', 'ela',
    'éla', 'èla', 'êla', 'elà', 'elâ', 'élâ', 'êlâ', 'elb', 'elc', 'eld',
    'ele', 'éle', 'èle', 'êle', 'ële', 'elé', 'élé', 'êlé', 'elè', 'élè',
    'êlè', 'elf', 'elg', 'elh', 'eli', 'éli', 'êli', 'elî', 'élî', 'elk',
    'ell', 'éll', 'elm', 'eln', 'elo', 'élo', 'êlo', 'elp', 'elq', 'elr',
    'els', 'elt', 'elu', 'élu', 'êlu', 'elû', 'élû', 'elv', 'elw', 'ely',
    'ély', 'elz', 'ema', 'éma', 'emâ', 'émâ', 'emb', 'eme', 'éme', 'ème',
    'ême', 'emé', 'émé', 'emè', 'émè', 'emê', 'émê', 'emi', 'émi', 'êmi',
    'emî', 'émî', 'êmî', 'eml', 'emm', 'emn', 'emo', 'émo', 'emp', 'emr',
    'ems', 'emt', 'emu', 'ému', 'émû', 'emv', 'émy', 'ena', 'éna', 'êna',
    'enâ', 'énâ', 'ênâ', 'enc', 'enç', 'end', 'ene', 'éne', 'ène', 'êne',
    'ëne', 'ené', 'éné', 'êné', 'enè', 'énè', 'ênè', 'enê', 'enf', 'eng',
    'enh', 'énh', 'eni', 'éni', 'êni', 'énî', 'enj', 'enk', 'enl', 'enn',
    'énn', 'eno', 'éno', 'êno', 'enô', 'enp', 'enq', 'enr', 'ens', 'ëns',
    'ent', 'enu', 'énu', 'env', 'enx', 'eny', 'ény', 'enz', 'éoa', 'éob',
    'eoc', 'éoc', 'eod', 'éod', 'éoe', 'éoé', 'eof', 'éof', 'eog', 'éog',
    'éoh', 'eoi', 'éoï', 'éok', 'eol', 'éol', 'eôl', 'éôl', 'eom', 'éom',
    'eon', 'éon', 'eop', 'éop', 'eor', 'éor', 'eos', 'éos', 'eot', 'éot',
    'eou', 'éou', 'éov', 'eox', 'eoy', 'éoz', 'epa', 'épa', 'êpa', 'êpâ',
    'epe', 'épe', 'èpe', 'êpe', 'epé', 'épé', 'êpé', 'epè', 'épè', 'êpè',
    'epê', 'épê', 'eph', 'éph', 'èph', 'epi', 'épi', 'êpi', 'épî', 'epl',
    'épl', 'epo', 'épo', 'êpo', 'epô', 'épô', 'epp', 'epr', 'épr', 'èpr',
    'êpr', 'eps', 'éps', 'ept', 'epu', 'épu', 'êpu', 'epy', 'épy', 'equ',
    'équ', 'èqu', 'êqu', 'era', 'éra', 'erâ', 'érâ', 'erb', 'erc', 'erç',
    'erd', 'ere', 'ére', 'ère', 'eré', 'éré', 'erè', 'érè', 'èrè', 'erê',
    'érê', 'erf', 'erg', 'erh', 'eri', 'éri', 'érî', 'erj', 'erk', 'erl',
    'ërl', 'erm', 'ern', 'ero', 'éro', 'erp', 'érp', 'erq', 'err', 'ers',
    'ert', 'eru', 'éru', 'erv', 'erw', 'ery', 'éry', 'erz', 'esa', 'ésa',
    'esâ', 'ésâ', 'esb', 'esc', 'ésc', 'esç', 'esd', 'ese', 'ése', 'èse',
    'esé', 'ésé', 'esè', 'ésè', 'esg', 'esh', 'ésh', 'esi', 'ési', 'èsi',
    'esk', 'ésk', 'esl', 'esm', 'esn', 'eso', 'éso', 'esp', 'ésp', 'èsp',
    'esq', 'ess', 'éss', 'ëss', 'est', 'Est', 'ést', 'esu', 'ésu', 'esû',
    'esy', 'ésy', 'eta', 'éta', 'êta', 'età', 'etâ', 'étâ', 'êtâ', 'etc',
    'étc', 'ete', 'éte', 'ète', 'ête', 'ëte', 'eté', 'été', 'êté', 'etè',
    'étè', 'êtè', 'étê', 'eth', 'éth', 'èth', 'eti', 'éti', 'èti', 'êti',
    'etî', 'étî', 'êtî', 'etl', 'etm', 'etn', 'eto', 'éto', 'êto', 'etp',
    'etr', 'étr', 'ètr', 'êtr', 'ets', 'êts', 'ett', 'ëtt', 'etu', 'étu',
    'êtu', 'ety', 'éty', 'etz', 'euâ', 'eub', 'euc', 'eud', 'eue', 'euf',
    'eug', 'euh', 'eui', 'euî', 'eul', 'eum', 'éum', 'eun', 'éun', 'eûn',
    'eup', 'euq', 'eur', 'éur', 'eûr', 'eür', 'eus', 'éus', 'eut', 'éut',
    'eût', 'euv', 'eux', 'euz', 'eva', 'éva', 'êva', 'evâ', 'êvâ', 'eve',
    'éve', 'ève', 'êve', 'evé', 'évé', 'êvé', 'evè', 'évè', 'êvè', 'evê',
    'évê', 'évh', 'evi', 'évi', 'êvi', 'evî', 'évî', 'evo', 'évo', 'êvo',
    'ëvo', 'évô', 'evr', 'évr', 'èvr', 'evu', 'évu', 'evz', 'ewa', 'éwa',
    'ewâ', 'ewe', 'ewé', 'ewè', 'ewi', 'ewo', 'ewr', 'ews', 'ewt', 'exa',
    'exâ', 'exc', 'exd', 'exe', 'exé', 'exè', 'exf', 'exh', 'exi', 'exo',
    'exp', 'exq', 'exs', 'ext', 'exu', 'exy', 'eya', 'eyb', 'eye', 'eyé',
    'eyf', 'eyi', 'eyl', 'eyn', 'eyo', 'eyr', 'eys', 'eza', 'éza', 'eze',
    'éze', 'èze', 'ezi', 'ézi', 'ezo', 'ézo', 'ézu', 'ezz'
    );
  //F
  F3LfMax_ = 184;
  F3Lf_: array[1..F3LfMax_] of S016_ = (
    'fab', 'fac', 'fâc', 'faç', 'fad', 'fae', 'faf', 'fag', 'fah', 'fai',
    'faî', 'faï', 'fak', 'fal', 'fam', 'fâm', 'fan', 'fao', 'faq', 'far',
    'fas', 'fat', 'fât', 'fau', 'fav', 'fax', 'fay', 'faz', 'fch', 'fco',
    'fea', 'féa', 'féb', 'fec', 'féc', 'fèc', 'fed', 'féd', 'fee', 'fée',
    'fèg', 'fei', 'féi', 'fel', 'fél', 'fêl', 'fem', 'fém', 'fen', 'fén',
    'fèn', 'féo', 'féq', 'fèq', 'fer', 'fér', 'fèr', 'fes', 'fés', 'fès',
    'fet', 'fét', 'fèt', 'fêt', 'feu', 'fév', 'fèv', 'fex', 'fez', 'fèz',
    'ffa', 'ffâ', 'ffe', 'ffé', 'ffè', 'ffi', 'ffî', 'ffl', 'ffo', 'ffr',
    'ffs', 'ffu', 'ffû', 'fgh', 'fhé', 'fhy', 'fia', 'fiâ', 'fib', 'fic',
    'fid', 'fie', 'fié', 'fiè', 'fif', 'fig', 'fii', 'fil', 'fim', 'fîm',
    'fin', 'fio', 'fiq', 'fir', 'fis', 'fit', 'fît', 'fiv', 'fix', 'fiz',
    'fje', 'fjo', 'fka', 'fla', 'flâ', 'fle', 'flé', 'flè', 'fli', 'flo',
    'flu', 'flû', 'fni', 'fob', 'foc', 'foe', 'foè', 'foë', 'fof', 'fog',
    'foi', 'fol', 'fom', 'fon', 'foo', 'foq', 'for', 'fos', 'fou', 'fov',
    'fox', 'foy', 'fra', 'Fra', 'frâ', 'fre', 'fré', 'frè', 'frê', 'fri',
    'frî', 'fro', 'frô', 'fru', 'fse', 'fsh', 'fst', 'fta', 'fte', 'fti',
    'fto', 'fts', 'ftw', 'fty', 'fub', 'fuc', 'fue', 'fué', 'fug', 'füh',
    'fui', 'fuî', 'ful', 'fum', 'fûm', 'fun', 'fur', 'fûr', 'fus', 'fut',
    'fût', 'fux', 'fuy', 'fuz'
    );
  //G
  F3LgMax_ = 242;
  F3Lg_: array[1..F3LgMax_] of S016_ = (
    'gab', 'gâb', 'gac', 'gâc', 'gaç', 'gad', 'gae', 'gaé', 'gaf', 'gag',
    'gah', 'gai', 'gaî', 'gaï', 'gaj', 'gak', 'gal', 'gam', 'gan', 'gao',
    'gap', 'gâp', 'gar', 'gas', 'gat', 'gât', 'gau', 'gav', 'gaw', 'gay',
    'gaz', 'gbo', 'gby', 'gda', 'gdi', 'gea', 'géa', 'geâ', 'géb', 'gèb',
    'gec', 'géd', 'gee', 'gée', 'géh', 'gei', 'géi', 'gek', 'gel', 'gél',
    'gèl', 'gem', 'gém', 'gèm', 'gen', 'gén', 'gèn', 'gên', 'geo', 'géo',
    'geô', 'géô', 'gep', 'gép', 'ger', 'gér', 'gèr', 'ges', 'gés', 'gès',
    'get', 'gét', 'gèt', 'geu', 'geü', 'gev', 'gév', 'gex', 'gey', 'gez',
    'gfl', 'gga', 'gge', 'ggé', 'ggè', 'ggi', 'ggl', 'ggo', 'ggr', 'ggy',
    'gha', 'ghâ', 'ghe', 'ghi', 'ghl', 'gho', 'ghr', 'ghs', 'ght', 'ghy',
    'ghz', 'gia', 'giâ', 'gib', 'gic', 'gid', 'gie', 'gié', 'giè', 'gif',
    'gig', 'gii', 'gil', 'gim', 'gîm', 'gin', 'gio', 'gip', 'giq', 'gir',
    'gis', 'git', 'gît', 'giu', 'giv', 'gju', 'gki', 'gko', 'gla', 'glâ',
    'gle', 'glé', 'glè', 'gli', 'glo', 'glu', 'gly', 'gma', 'gmâ', 'gme',
    'gmé', 'gmè', 'gmi', 'gmo', 'gmt', 'gmu', 'gna', 'gnâ', 'gne', 'gné',
    'gnè', 'gni', 'gnî', 'gno', 'gnô', 'gns', 'gnu', 'gny', 'goa', 'gob',
    'goc', 'god', 'goé', 'gog', 'goh', 'goi', 'goï', 'gol', 'gom', 'gon',
    'gop', 'gor', 'gos', 'got', 'gou', 'goû', 'gov', 'gow', 'goy', 'gra',
    'grâ', 'gre', 'gré', 'grè', 'grê', 'gri', 'grî', 'gro', 'grs', 'gru',
    'grû', 'gry', 'gso', 'gst', 'gsu', 'gta', 'gte', 'gté', 'gti', 'gto',
    'gts', 'gua', 'güa', 'guâ', 'güâ', 'gub', 'gue', 'güe', 'gué', 'güé',
    'guè', 'güè', 'guê', 'guë', 'gug', 'guh', 'gui', 'güi', 'guî', 'guï',
    'guj', 'gul', 'gum', 'gun', 'guo', 'güo', 'gup', 'gur', 'gus', 'gut',
    'guy', 'guz', 'gwa', 'gwy', 'gya', 'gyl', 'gym', 'gyn', 'gyp', 'gyr',
    'gys', 'gza'
    );
  //H
  F3LhMax_ = 259;
  F3Lh_: array[1..F3LhMax_] of S016_ = (
    'hab', 'hâb', 'hac', 'had', 'hae', 'haé', 'haf', 'hag', 'hâg', 'hah',
    'hai', 'haî', 'haï', 'Haï', 'hak', 'hal', 'hâl', 'ham', 'hâm', 'han',
    'hân', 'hao', 'hap', 'haq', 'har', 'has', 'hâs', 'hat', 'hât', 'hau',
    'hav', 'hâv', 'haw', 'Haw', 'hax', 'hay', 'haz', 'hbl', 'hbo', 'hdi',
    'hea', 'héa', 'heâ', 'héâ', 'heb', 'héb', 'hèb', 'hec', 'héc', 'hèc',
    'hed', 'héd', 'hèd', 'hee', 'hée', 'hef', 'heg', 'hég', 'hei', 'héi',
    'hek', 'hel', 'hél', 'hèl', 'hem', 'hém', 'hèm', 'hêm', 'hen', 'hén',
    'hèn', 'hên', 'heo', 'héo', 'hep', 'hép', 'heq', 'héq', 'hèq', 'her',
    'hér', 'hèr', 'hes', 'hés', 'hès', 'het', 'hét', 'hèt', 'hêt', 'heu',
    'héu', 'hev', 'hév', 'hèv', 'hew', 'hex', 'hey', 'hez', 'hge', 'hha',
    'hia', 'hiâ', 'hib', 'hic', 'hid', 'hie', 'hié', 'hiè', 'hif', 'hig',
    'hih', 'hii', 'hik', 'hil', 'him', 'hîm', 'hin', 'hio', 'hip', 'hiq',
    'hir', 'his', 'hit', 'hît', 'hiu', 'hiv', 'hix', 'hiz', 'hké', 'hla',
    'hle', 'hlé', 'hlè', 'hli', 'hlo', 'hlu', 'hlv', 'hly', 'hma', 'hmâ',
    'hme', 'hmé', 'hmè', 'hmi', 'hmm', 'hmo', 'hms', 'hmu', 'hna', 'hne',
    'hné', 'hni', 'hno', 'hnr', 'hnu', 'hoa', 'hob', 'hoc', 'hod', 'hoe',
    'hoé', 'hof', 'hog', 'hoh', 'hoi', 'hoï', 'hok', 'hol', 'hôl', 'hom',
    'hôm', 'hon', 'hôn', 'hoo', 'hop', 'hôp', 'hoq', 'hor', 'hos', 'hot',
    'hôt', 'hou', 'hov', 'how', 'hoy', 'hoz', 'hpi', 'hpr', 'hpu', 'hra',
    'hrâ', 'hre', 'hré', 'hrè', 'hrê', 'hri', 'hro', 'hry', 'hsi', 'hsm',
    'hso', 'hst', 'hta', 'htc', 'hte', 'hté', 'hth', 'hti', 'htm', 'hto',
    'htr', 'hts', 'htu', 'htw', 'hty', 'hua', 'huâ', 'hub', 'huc', 'hud',
    'hue', 'hué', 'huè', 'hug', 'huh', 'hui', 'huî', 'hul', 'hum', 'hûm',
    'hun', 'huo', 'hup', 'hur', 'hus', 'hut', 'hût', 'huy', 'hwa', 'hwi',
    'hwo', 'hya', 'hyb', 'hyc', 'hyd', 'hyé', 'hyè', 'hyg', 'hyi', 'hyl',
    'hym', 'hyn', 'hyo', 'hyp', 'hyr', 'hys', 'hyt', 'hyx', 'hze'
    );
  //I
  F3LiMax_ = 533;
  F3Li_: array[1..F3LiMax_] of S016_ = (
    'iab', 'iac', 'ïac', 'iad', 'ïad', 'iae', 'iaé', 'iaf', 'iag', 'iah',
    'iai', 'iak', 'ial', 'iam', 'ïam', 'iâm', 'ian', 'iao', 'iap', 'iaq',
    'ïaq', 'iar', 'ias', 'iat', 'iât', 'iau', 'ïau', 'iav', 'iax', 'iaz',
    'iba', 'ibâ', 'ibb', 'ibe', 'ïbe', 'ibé', 'ibè', 'ibi', 'ibl', 'ibo',
    'ibr', 'ibs', 'ibu', 'iby', 'ica', 'ïca', 'iça', 'icâ', 'icb', 'icc',
    'ice', 'icé', 'icè', 'ich', 'îch', 'ici', 'ïci', 'icï', 'ick', 'icl',
    'icm', 'icn', 'ico', 'iço', 'icô', 'icp', 'icq', 'icr', 'ics', 'ïcs',
    'ict', 'icu', 'icv', 'icy', 'ida', 'ïda', 'idâ', 'idd', 'ide', 'ïde',
    'idé', 'ïdé', 'idè', 'idg', 'idi', 'ïdi', 'idî', 'idj', 'ïdj', 'idn',
    'ido', 'ïdo', 'idr', 'ids', 'ïds', 'idu', 'idû', 'idy', 'iéa', 'ieb',
    'iéb', 'ièb', 'iec', 'iéc', 'ièc', 'iéç', 'ied', 'iéd', 'ièd', 'iee',
    'iée', 'ief', 'iéf', 'ieg', 'iég', 'ièg', 'ieh', 'ièh', 'iei', 'iel',
    'iél', 'ièl', 'iem', 'iém', 'ièm', 'ien', 'ïen', 'ién', 'ièn', 'iep',
    'iép', 'ier', 'ìer', 'ïer', 'iér', 'ièr', 'ies', 'ïes', 'iés', 'iès',
    'ïès', 'iet', 'iét', 'ïét', 'ièt', 'iêt', 'ieu', 'ïeu', 'iev', 'iév',
    'ïév', 'ièv', 'iëv', 'iew', 'iey', 'iez', 'ïez', 'iéz', 'ièz', 'ifa',
    'ifâ', 'ife', 'ifé', 'ifè', 'iff', 'ifi', 'ifl', 'ifo', 'ifr', 'ifs',
    'ïfs', 'ift', 'ifu', 'iga', 'ïga', 'ige', 'igé', 'igè', 'igg', 'igh',
    'ïgh', 'igi', 'igl', 'igm', 'ign', 'igo', 'ïgo', 'igr', 'igt', 'igu',
    'igü', 'igw', 'igy', 'igz', 'iha', 'ihe', 'ihé', 'ihi', 'iho', 'ihr',
    'ihu', 'ihy', 'iia', 'iid', 'iie', 'iif', 'iii', 'iim', 'iin', 'îin',
    'iio', 'iis', 'iit', 'ija', 'ije', 'ïji', 'ijo', 'iju', 'ika', 'ïka',
    'ikh', 'iki', 'ïki', 'ikk', 'iko', 'iks', 'ikt', 'ïku', 'ila', 'ïla',
    'ilà', 'ilâ', 'ilb', 'ilc', 'ild', 'ile', 'Ile', 'île', 'ïle', 'ilé',
    'ilè', 'ilg', 'ilh', 'ili', 'îli', 'ïli', 'ilî',
    'ilk', 'ill', 'ilm', 'ilo', 'îlo', 'ilp', 'ilr', 'ils', 'ilt', 'ilu',
    'ilv', 'ilw', 'ima', 'îma', 'ïma', 'imâ', 'îmâ', 'imb', 'imc', 'ime',
    'îme', 'ïme', 'imé', 'îmé', 'imè', 'îmè', 'imi', 'îmi', 'ïmi', 'imm',
    'imn', 'imo', 'îmo', 'imp', 'ims', 'imt', 'imu', 'imv', 'imy', 'ina',
    'îna', 'ïna', 'inâ', 'înâ', 'inb', 'inc', 'Inc', 'ïnc', 'inç', 'ind',
    'Ind', 'ine', 'îne', 'ïne', 'iné', 'îné', 'inè', 'înè', 'inê', 'inf',
    'ing', 'inh', 'ini', 'îni', 'ïni', 'inî', 'inj', 'ink', 'inl', 'inm',
    'înm', 'inn', 'ino', 'îno', 'ïno', 'inô', 'inp', 'inq', 'inr', 'ins',
    'Ins', 'int', 'Int', 'înt', 'inu', 'Inu', 'inû', 'inv', 'inx', 'iny',
    'inz', 'ioa', 'iob', 'ioc', 'iod', 'ioe', 'ioé', 'iof', 'iog', 'ioi',
    'ioï', 'ioj', 'iok', 'iol', 'ïol', 'iôl', 'iom', 'ion', 'ïon', 'iop',
    'ioq', 'ior', 'ios', 'iôs', 'iot', 'iou', 'iov', 'iox', 'ioz', 'ipa',
    'ipâ', 'ipc', 'ipe', 'ipé', 'ipè', 'iph', 'ipi', 'ipl', 'ipm', 'ipn',
    'ipo', 'ipô', 'ipp', 'ipr', 'ips', 'ipt', 'ipu', 'ipy', 'ipz', 'iqu',
    'ïqu', 'iqû', 'ira', 'ïra', 'irâ', 'irb', 'irc', 'ird', 'ire', 'ïre',
    'iré', 'irè', 'irg', 'irh', 'iri', 'ïri', 'irk', 'irl', 'Irl', 'irm',
    'irn', 'iro', 'ïro', 'irp', 'irq', 'irr', 'irs', 'irt', 'iru', 'irv',
    'irz', 'isa', 'ïsa', 'isâ', 'isb', 'isc', 'isç', 'ise', 'ïse', 'isé',
    'ïsé', 'isè', 'isf', 'isg', 'ish', 'isi', 'isî', 'isj', 'isk', 'isl',
    'Isl', 'ism', 'ïsm', 'isn', 'iso', 'isp', 'isq', 'isr', 'iss', 'ISS',
    'îss', 'ïss', 'ist', 'ïst', 'isu', 'isy', 'isz', 'ita', 'îta', 'itâ',
    'îtâ', 'itc', 'ite', 'îte', 'ïte', 'ité', 'îté', 'ïté', 'itè', 'îtè',
    'ith', 'iti', 'îti', 'ïti', 'itl', 'itm', 'ito', 'îto', 'itô', 'itp',
    'itr', 'îtr', 'its', 'îts', 'ïts', 'itt', 'itu', 'îtu', 'ity', 'itz',
    'iul', 'ium', 'iun', 'iur', 'ius', 'ïus', 'iva', 'ivâ', 'ive', 'ïve',
    'ivé', 'ivè', 'ivi', 'ivî', 'ivo', 'ïvo', 'ivô', 'ivr', 'ivs', 'ivu',
    'ivy', 'iwa', 'ïwa', 'iwi', 'ixa', 'ixâ', 'ixd', 'ixe', 'ixé', 'ixè',
    'ixi', 'ixo', 'ixt', 'iya', 'iye', 'iza', 'izd', 'ize', 'ïze', 'izé',
    'izi', 'izn', 'izo', 'izu', 'izy', 'izz'
    );
  //J
  F3LjMax_ = 89;
  F3Lj_: array[1..F3LjMax_] of S016_ = (
    'jab', 'jac', 'jad', 'jag', 'jah', 'jai', 'jaï', 'jak', 'jal', 'jäl',
    'jam', 'jan', 'jap', 'jaq', 'jar', 'jas', 'jat', 'jau', 'jav', 'jàv',
    'jay', 'jaz', 'jea', 'jeb', 'jec', 'jéc', 'jee', 'jéh', 'jéj', 'jel',
    'jem', 'jen', 'jep', 'jer', 'jér', 'jes', 'jés', 'jet', 'jét', 'jeu',
    'jeû', 'jig', 'jih', 'jik', 'jin', 'jis', 'jit', 'jiu', 'jki', 'jla',
    'joa', 'job', 'joc', 'jod', 'jog', 'joh', 'joi', 'joï', 'joj', 'jok',
    'jol', 'jôl', 'jom', 'jon', 'jor', 'jos', 'jot', 'jou', 'jov', 'joy',
    'jtt', 'Jua', 'jua', 'jub', 'juc', 'jud', 'jug', 'jui', 'juj', 'juk',
    'jul', 'jum', 'jun', 'jup', 'jur', 'jus', 'jut', 'juv', 'jux'
    );
  //K
  F3LkMax_ = 165;
  F3Lk_: array[1..F3LkMax_] of S016_ = (
    'kaa', 'kab', 'kac', 'kad', 'kaf', 'kag', 'kah', 'kai', 'kaï', 'kaj',
    'kak', 'kal', 'kam', 'kâm', 'kan', 'kao', 'kap', 'kar', 'kas', 'kat',
    'kât', 'kav', 'kaw', 'kay', 'kaz', 'kbo', 'kch', 'keb', 'ked', 'kee',
    'kée', 'kef', 'kéf', 'kek', 'kék', 'kel', 'kél', 'kèl', 'kém', 'ken',
    'kén', 'kèn', 'keo', 'kep', 'kép', 'ker', 'kér', 'kèr', 'kes', 'kés',
    'ket', 'keu', 'kev', 'key', 'kez', 'kfa', 'kfi', 'kfo', 'kfu', 'kga',
    'kgf', 'kgo', 'kgr', 'kha', 'khâ', 'khe', 'khé', 'khi', 'khm', 'kho',
    'khô', 'khs', 'kht', 'kHz', 'khz', 'kia', 'kiâ', 'kib', 'kic', 'kid',
    'kie', 'kié', 'kiè', 'kif', 'kii', 'kik', 'kil', 'kim', 'kin', 'kio',
    'kip', 'kir', 'kis', 'kit', 'kiu', 'kiw', 'kka', 'kke', 'kki', 'kko',
    'kla', 'kle', 'kli', 'klo', 'kly', 'kma', 'kmè', 'kmh', 'kne', 'kni',
    'kno', 'koa', 'kob', 'koc', 'kod', 'kof', 'koh', 'koi', 'kol', 'kom',
    'kon', 'koo', 'kop', 'kor', 'kos', 'kot', 'kou', 'kov', 'kow', 'kpa',
    'kPa', 'kpi', 'kpo', 'kra', 'kre', 'kri', 'kro', 'kry', 'ksa', 'ksh',
    'ksi', 'kso', 'kta', 'ktc', 'kti', 'kto', 'kua', 'kuf', 'kûf', 'kug',
    'kul', 'kum', 'kun', 'kur', 'kus', 'kva', 'kwa', 'kwe', 'kya', 'kye',
    'kyl', 'kym', 'kyo', 'kyr', 'kys'
    );
  //L
  F3LlMax_ = 367;
  F3Ll_: array[1..F3LlMax_] of S016_ = (
    'laa', 'lab', 'lac', 'lâc', 'laç', 'lad', 'lae', 'laf', 'lag', 'lah',
    'lâh', 'lai', 'laî', 'laï', 'lak', 'lal', 'lam', 'lâm', 'lan', 'lân',
    'lao', 'lap', 'lâp', 'laq', 'lar', 'las', 'lat', 'lât', 'lau', 'lav',
    'law', 'lax', 'lay', 'laz', 'lba', 'lbâ', 'lbe', 'lbé', 'lbè', 'lbi',
    'lbo', 'lbr', 'lbu', 'lca', 'lça', 'lce', 'lcé', 'lcè', 'lch', 'lci',
    'lco', 'lcr', 'lcs', 'lcu', 'lcy', 'lda', 'ldâ', 'ldc', 'lde', 'ldé',
    'ldè', 'ldi', 'ldo', 'ldô', 'ldr', 'lds', 'ldt', 'ldu', 'ldw', 'lea',
    'léa', 'leá', 'léâ', 'leb', 'léb', 'lèb', 'lec', 'léc', 'lèc', 'leç',
    'led', 'léd', 'lee', 'lée', 'léé', 'léè', 'lef', 'léf', 'leg', 'lég',
    'lèg', 'leh', 'lei', 'léi', 'lej', 'léj', 'lek', 'lék', 'lel', 'lél',
    'lèl', 'lem', 'lém', 'lèm', 'lêm', 'len', 'lén', 'lèn', 'lên', 'leo',
    'léo', 'lep', 'lép', 'lèp', 'leq', 'ler', 'lér', 'lèr', 'les', 'lés',
    'lès', 'let', 'lét', 'lèt', 'leu', 'léu', 'lev', 'lév', 'lèv', 'lex',
    'ley', 'lez', 'léz', 'lèz', 'lfa', 'lfe', 'lfé', 'lfè', 'lfh', 'lfi',
    'lfo', 'lfr', 'lfs', 'lfu', 'lga', 'lge', 'lgé', 'lgè', 'lgi', 'lgo',
    'lgr', 'lgu', 'lha', 'lhe', 'lhé', 'lho', 'lia', 'liâ', 'lib', 'lic',
    'liç', 'lid', 'lie', 'lié', 'liè', 'lif', 'lig', 'lii', 'lik', 'lil',
    'lim', 'lîm', 'lin', 'lio', 'lip', 'liq', 'lir', 'lis', 'lit', 'lît',
    'liu', 'liv', 'lix', 'liz', 'ljé', 'lka', 'lke', 'lké', 'lkh', 'lki',
    'lkl', 'lkm', 'lko', 'lks', 'lky', 'lla', 'llâ', 'lld', 'lle', 'llé',
    'llè', 'lli', 'llî', 'llm', 'llo', 'lls', 'llu', 'llû', 'lly', 'lma',
    'lmâ', 'lme', 'lmé', 'lmè', 'lmi', 'lmo', 'lms', 'lmu', 'lna', 'lnd',
    'lne', 'lné', 'lno', 'lnu', 'loa', 'lob', 'loc', 'lod', 'loe', 'loé',
    'loè', 'lof', 'log', 'loh', 'loi', 'loî', 'loï', 'lok', 'lol', 'lom',
    'lôm', 'lon', 'lôn', 'loo', 'lop', 'loq', 'lor', 'los', 'lot', 'lôt',
    'lou', 'Lou', 'lov', 'low', 'lox', 'loy', 'loz', 'lpa', 'lpâ', 'lpe',
    'lpé', 'lpè', 'lpê', 'lph', 'lpi', 'lpl', 'lpo', 'lpr', 'lps', 'lpt',
    'lqu', 'lqú', 'lra', 'lre', 'lré', 'lro', 'lsa', 'lsâ', 'lsb', 'lsc',
    'lsd', 'lse', 'lsé', 'lsè', 'lsh', 'lsi', 'lso', 'lst', 'lsu', 'lta',
    'ltâ', 'lte', 'lté', 'ltè', 'lth', 'lti', 'ltm', 'lto', 'ltô', 'ltr',
    'lts', 'ltu', 'lty', 'ltz', 'lua', 'luâ', 'lub', 'luc', 'luç', 'lud',
    'lue', 'lué', 'luè', 'luf', 'lug', 'lui', 'luk', 'lul', 'lum', 'lûm',
    'lun', 'luo', 'lup', 'luq', 'lur', 'lûr', 'lus', 'lut', 'lût', 'luv',
    'lux', 'luy', 'luz', 'lva', 'lve', 'lvé', 'lvè', 'lvi', 'lvo', 'lvu',
    'lwa', 'lwe', 'lxu', 'lya', 'lyb', 'lyc', 'lyd', 'lye', 'lyé', 'lyè',
    'lyf', 'lyg', 'lyh', 'lyk', 'lyl', 'lym', 'lyn', 'lyo', 'lyp', 'lyr',
    'lys', 'lyt', 'lyu', 'lyv', 'lyw', 'lza', 'lzé'
    );
  //M
  F3LmMax_ = 271;
  F3Lm_: array[1..F3LmMax_] of S016_ = (
    'mââ', 'mab', 'mac', 'mâc', 'maç', 'mad', 'mae', 'maé', 'maë', 'maf',
    'mag', 'mah', 'mai', 'maî', 'maï', 'maj', 'mak', 'mal', 'mâl', 'mam',
    'mâm', 'man', 'mân', 'mao', 'map', 'maq', 'mar', 'mas', 'mat', 'mât',
    'mau', 'max', 'may', 'maz', 'mba', 'mbâ', 'mbd', 'mbe', 'mbé', 'mbè',
    'mbê', 'mbi', 'mbl', 'mbo', 'mbr', 'mbs', 'mbu', 'mbû', 'mby', 'mca',
    'mcb', 'mci', 'mda', 'mdu', 'mea', 'méa', 'mec', 'méc', 'mèc', 'mêc',
    'meç', 'med', 'méd', 'mèd', 'mee', 'mée', 'méf', 'meg', 'még', 'meh',
    'méh', 'mei', 'méi', 'meï', 'méj', 'mek', 'mel', 'Mel', 'mél', 'mèl',
    'mêl', 'mem', 'mém', 'mèm', 'mêm', 'men', 'mén', 'mèn', 'méo', 'mep',
    'mép', 'meq', 'mer', 'mér', 'mèr', 'mes', 'més', 'mès', 'met', 'mét',
    'mèt', 'meu', 'mev', 'mév', 'mex', 'mey', 'mez', 'méz', 'mgr', 'mha',
    'mho', 'mhy', 'mia', 'miâ', 'mib', 'mic', 'mid', 'mie', 'mié', 'miè',
    'mif', 'mig', 'mih', 'mii', 'mij', 'mik', 'mil', 'mim', 'mîm', 'min',
    'mio', 'mip', 'miq', 'mir', 'mis', 'mit', 'mît', 'miu', 'miv', 'mix',
    'miz', 'mkh', 'mla', 'mle', 'mli', 'mll', 'mlu', 'mma', 'mmâ', 'mme',
    'mmé', 'mmè', 'mmê', 'mmi', 'mmî', 'mmo', 'mms', 'mmu', 'mmy', 'mna',
    'mnâ', 'mne', 'mné', 'mnè', 'mni', 'mno', 'mnt', 'moa', 'mob', 'moc',
    'mod', 'moe', 'moé', 'moë', 'mof', 'mog', 'moh', 'moi', 'moï', 'mok',
    'mol', 'môl', 'mom', 'môm', 'mon', 'moo', 'mop', 'moq', 'mor', 'mos',
    'mot', 'mou', 'moû', 'mov', 'mox', 'moy', 'moz', 'mpa', 'mpâ', 'mpe',
    'mpé', 'mpè', 'mpê', 'mph', 'mpi', 'mpî', 'mpl', 'mpo', 'mpô', 'mpr',
    'mps', 'mpt', 'mpu', 'mpy', 'mqu', 'mri', 'mro', 'msa', 'mse', 'msi',
    'mss', 'mst', 'mta', 'mte', 'mté', 'mth', 'mti', 'mto', 'mtr', 'mua',
    'muâ', 'muc', 'mud', 'mue', 'müe', 'mué', 'muè', 'muf', 'mug', 'mui',
    'muï', 'muk', 'mul', 'mum', 'mûm', 'mun', 'muo', 'mup', 'muq', 'mur',
    'mûr', 'mus', 'mut', 'mût', 'mvi', 'mwa', 'mya', 'myc', 'myd', 'mye',
    'myé', 'myg', 'myi', 'myl', 'myn', 'myo', 'myr', 'mys', 'myt', 'myx',
    'mza'
    );
  //N
  F3LnMax_ = 413;
  F3Ln_: array[1..F3LnMax_] of S016_ = (
    'naa', 'nab', 'nac', 'nâc', 'naç', 'nad', 'nae', 'naé', 'naf', 'nag',
    'nâg', 'nah', 'nai', 'naî', 'naï', 'naj', 'nak', 'nal', 'nam', 'nâm',
    'nan', 'nao', 'nap', 'naq', 'nar', 'nas', 'nat', 'nât', 'nau', 'naü',
    'nav', 'nax', 'nay', 'naz', 'nba', 'nbl', 'nbo', 'nbu', 'nca', 'nça',
    'nçâ', 'ncc', 'nce', 'ncé', 'ncè', 'ncê', 'ncf', 'nch', 'nci', 'ncî',
    'ncl', 'nco', 'nço', 'ncq', 'ncr', 'ncs', 'nct', 'ncu', 'nçu', 'nçû',
    'ncy', 'nda', 'ndâ', 'ndb', 'ndc', 'ndd', 'nde', 'ndé', 'ndè', 'ndê',
    'ndg', 'ndh', 'ndi', 'ndî', 'ndj', 'ndl', 'ndo', 'ndô', 'ndr', 'nds',
    'ndt', 'ndu', 'ndû', 'ndv', 'ndw', 'ndy', 'ndz', 'nea', 'néa', 'neb',
    'néb', 'nèb', 'nec', 'néc', 'neç', 'ned', 'néd', 'nèd', 'nee', 'née',
    'nef', 'néf', 'nèf', 'neg', 'nég', 'nèg', 'neh', 'nei', 'néi', 'nel',
    'nél', 'nèl', 'nem', 'ném', 'nèm', 'nen', 'nén', 'nèn', 'neo', 'néo',
    'nep', 'nép', 'nèp', 'neq', 'néq', 'ner', 'nér', 'nèr', 'nes', 'nés',
    'nès', 'net', 'nét', 'nèt', 'nêt', 'neu', 'néu', 'nev', 'név', 'nèv',
    'new', 'nex', 'ney', 'nez', 'néz', 'nèz', 'nfa', 'nfâ', 'nfe', 'nfé',
    'nfè', 'nfi', 'nfî', 'nfl', 'nfo', 'nfr', 'nfu', 'nfû', 'nga', 'ngb',
    'nge', 'ngé', 'ngè', 'ngh', 'ngi', 'ngj', 'ngk', 'ngl', 'ngn', 'ngo',
    'ngr', 'ngs', 'ngt', 'ngu', 'ngw', 'ngy', 'nha', 'nhe', 'nhé', 'nhè',
    'nhi', 'nho', 'nhu', 'nhy', 'nia', 'niâ', 'nib', 'nic', 'niç', 'nid',
    'nie', 'nié', 'niè', 'nif', 'nig', 'nih', 'nii', 'nij', 'nik', 'nil',
    'nim', 'nîm', 'nin', 'nio', 'niô', 'nip', 'niq', 'nir', 'nis', 'nit',
    'nît', 'niu', 'niv', 'nix', 'niz', 'nja', 'nje', 'nji', 'njo', 'njô',
    'nju', 'nka', 'nke', 'nké', 'nkg', 'nkh', 'nki', 'nkl', 'nko', 'nks',
    'nkt', 'nky', 'nla', 'nlâ', 'nle', 'nlé', 'nlè', 'nli', 'nlo', 'nlu',
    'nme', 'nmè', 'nmi', 'nmo', 'nna', 'nnâ', 'nne', 'nné', 'nnè', 'nnê',
    'nni', 'nnî', 'nnn', 'nno', 'nns', 'nnu', 'nnû', 'nny', 'noa', 'nob',
    'noc', 'nod', 'noe', 'noé', 'noè', 'noë', 'nof', 'nog', 'noh', 'noi',
    'noî', 'noï', 'nok', 'nol', 'nôl', 'nom', 'nôm', 'non', 'noo', 'nop',
    'noq', 'nor', 'nos', 'nôs', 'not', 'Not', 'nôt', 'nou', 'nov', 'now',
    'nox', 'noy', 'noz', 'npa', 'npe', 'npi', 'npo', 'npr', 'nps', 'npu',
    'nqu', 'nra', 'nre', 'nré', 'nrê', 'nrh', 'nri', 'nro', 'nrô', 'nru',
    'nry', 'nsa', 'nsâ', 'nsb', 'nsc', 'nsd', 'nse', 'nsé', 'nsè', 'nsf',
    'nsg', 'nsh', 'nsi', 'nsj', 'nsk', 'nsl', 'nsm', 'nsn', 'nso', 'nsp',
    'nsq', 'nsr', 'nss', 'nst', 'nsu', 'nsv', 'nsw', 'nsy', 'nta', 'ntâ',
    'ntb', 'ntc', 'ntd', 'nte', 'nté', 'ntè', 'ntê', 'ntg', 'nth', 'nti',
    'ntî', 'ntj', 'ntl', 'ntm', 'nto', 'ntô', 'ntp', 'ntr', 'nts', 'ntu',
    'ntz', 'nua', 'nuâ', 'nub', 'nuc', 'nud', 'nue', 'nué', 'nuè', 'nuf',
    'nug', 'nui', 'nuk', 'nul', 'num', 'nûm', 'nun', 'nuo', 'nup', 'nuq',
    'nur', 'nus', 'nut', 'nût', 'nuu', 'nuy', 'nva', 'nve', 'nvé', 'nvi',
    'nvî', 'nvo', 'nvr', 'nvu', 'nxi', 'nya', 'nyc', 'nyi', 'nyl', 'nym',
    'nyo', 'nyq', 'nys', 'nyu', 'nyx', 'nza', 'nzâ', 'nze', 'nzé', 'nzè',
    'nzi', 'nzo', 'nzy'
    );
  //O
  F3LoMax_ = 522;
  F3Lo_: array[1..F3LoMax_] of S016_ = (
    'oab', 'oac', 'oad', 'oaf', 'oag', 'oai', 'oal', 'oam', 'oan', 'oap',
    'oaq', 'oar', 'oas', 'oat', 'oau', 'oax', 'oba', 'obâ', 'obb', 'obe',
    'obé', 'obè', 'obi', 'obj', 'obl', 'obn', 'obo', 'obr', 'obs', 'obt',
    'obu', 'obv', 'oby', 'oca', 'ocâ', 'occ', 'oce', 'océ', 'Océ', 'ocè',
    'och', 'ôch', 'oci', 'ock', 'ocl', 'oco', 'ocô', 'ocq', 'ocr', 'ocs',
    'oct', 'ocu', 'ocy', 'oda', 'ôda', 'odâ', 'ôdâ', 'odd', 'ode', 'ôde',
    'odé', 'ôdé', 'odè', 'ôdè', 'odg', 'odh', 'odi', 'ôdi', 'odj', 'odk',
    'odl', 'odo', 'ôdo', 'odr', 'ods', 'odu', 'ody', 'odz', 'oeb', 'oec',
    'oéc', 'oed', 'oéd', 'oèd', 'oef', 'oeh', 'oéh', 'oei', 'oéi', 'oek',
    'oel', 'oél', 'oêl', 'oël', 'oem', 'oém', 'oèm', 'oen', 'oén', 'oèn',
    'oën', 'oép', 'oéq', 'oer', 'oér', 'oes', 'oés', 'oès', 'oës', 'oet',
    'oét', 'oèt', 'oët', 'oeu', 'oex', 'ofa', 'ofe', 'ofé', 'ofè', 'off',
    'ofi', 'ofl', 'ofo', 'ofr', 'ofs', 'oft', 'ofu', 'oga', 'ogd', 'oge',
    'ogé', 'ogè', 'ogg', 'ogh', 'ogi', 'ogl', 'ogm', 'ogn', 'ogo', 'ogr',
    'ogs', 'ogu', 'ogy', 'oha', 'ohe', 'ohé', 'ohè', 'ohê', 'ohi', 'ohm',
    'oho', 'ohu', 'ohy', 'oia', 'oïa', 'oic', 'oïc', 'oid', 'oïd', 'oie',
    'oïé', 'oïè', 'oië', 'oif', 'oig', 'oik', 'oïk', 'oil', 'oïl', 'oim',
    'oïm', 'oin', 'oïn', 'oio', 'oïo', 'oiq', 'oïq', 'oir', 'ois', 'ôis',
    'oîs', 'oïs', 'oit', 'oît', 'oït', 'oiv', 'oïv', 'oix', 'oiz',
    'oja', 'oje', 'ojk', 'ojo', 'oka', 'oke', 'oké', 'okh', 'oki', 'okl',
    'okm', 'oko', 'oks', 'oku', 'oky', 'ola', 'ôla', 'olà', 'olâ', 'ôlâ',
    'olb', 'olc', 'old', 'ole', 'ôle', 'olé', 'ôlé', 'olè', 'ôlè', 'olf',
    'olg', 'oli', 'ôli', 'olî', 'olj', 'olk', 'oll', 'olm', 'olo', 'ôlo',
    'olp', 'olr', 'ols', 'ôls', 'olt', 'olu', 'olû', 'olv', 'oly', 'olz',
    'oma', 'ôma', 'omâ', 'ômâ', 'omb', 'ome', 'ôme', 'omé', 'ômé', 'omè',
    'ômè', 'omh', 'omi', 'ômi', 'omî', 'oml', 'omm', 'omn', 'omo', 'ômo',
    'omp', 'oms', 'omt', 'omu', 'omû', 'omy', 'ona', 'ôna', 'onâ', 'ônâ',
    'onb', 'onc', 'onç', 'ond', 'one', 'ône', 'oné', 'ôné', 'onè', 'ônè',
    'onf', 'ong', 'ông', 'onh', 'oni', 'ôni', 'onj', 'onk', 'onl', 'onm',
    'onn', 'ono', 'ôno', 'onô', 'onp', 'onq', 'onr', 'ons', 'onS', 'ont',
    'Ont', 'önt', 'onu', 'ônu', 'onv', 'ony', 'onz', 'oob', 'ooc', 'ood',
    'oof', 'oog', 'ooi', 'ooï', 'ook', 'ool', 'oom', 'oon', 'oop', 'oor',
    'oos', 'oot', 'oox', 'opa', 'opâ', 'opc', 'ope', 'opé', 'opè', 'opf',
    'oph', 'opi', 'ôpi', 'opl', 'opn', 'opo', 'opp', 'opr', 'ops', 'opt',
    'opu', 'opy', 'oqs', 'oqu', 'ora', 'orâ', 'orb', 'orc', 'orç', 'ord',
    'ore', 'öre', 'oré', 'orè', 'orê', 'orf', 'org', 'orh', 'ori', 'orî',
    'orj', 'ork', 'orl', 'orm', 'orn', 'oro', 'orp', 'orq', 'orr', 'ors',
    'ort', 'oru', 'orv', 'ory', 'orz', 'osa', 'osâ', 'osb', 'osc', 'ose',
    'ôse', 'osé', 'osè', 'osg', 'osh', 'osi', 'ôsi', 'osî', 'osk', 'osl',
    'osm', 'osn', 'oso', 'osp', 'osq', 'oss', 'ost', 'öst', 'osu', 'osy',
    'ota', 'ôta', 'otâ', 'ôtâ', 'otb', 'otc', 'ote', 'ôte', 'oté', 'ôté',
    'otè', 'ôtè', 'otê', 'oth', 'oti', 'ôti', 'otî', 'ôtî', 'otl', 'otn',
    'oto', 'ôto', 'otr', 'ôtr', 'ots', 'ôts', 'ott', 'oTt', 'Ott', 'otu',
    'ôtu', 'oty', 'otz', 'oua', 'ouâ', 'oub', 'ouc', 'ouç', 'oud', 'oue',
    'oué', 'ouè', 'ouë', 'ouf', 'oug', 'ouh', 'oui', 'ouî', 'ouï', 'ouj',
    'ouk', 'oul', 'oûl', 'oum', 'oun', 'ouo', 'oup', 'oûp', 'ouq', 'our',
    'ous', 'out', 'oût', 'ouu', 'ouv', 'oux', 'ouy', 'ouz', 'ova', 'ovâ',
    'ove', 'ové', 'ovè', 'ovi', 'ovî', 'ovk', 'ovn', 'ovo', 'ovr', 'ovu',
    'ovy', 'owa', 'owb', 'owe', 'owi', 'owl', 'own', 'owp', 'ows', 'oxa',
    'oxâ', 'oxe', 'oxé', 'oxè', 'oxf', 'oxh', 'oxi', 'oxo', 'oxr', 'oxu',
    'oxy', 'oya', 'oyâ', 'oyb', 'oyc', 'oyd', 'oye', 'oyé', 'oyè', 'oyi',
    'oyl', 'oyo', 'oys', 'oyu', 'oza', 'oze', 'ozé', 'ozè', 'ozi', 'ozo',
    'ozs', 'ozy', 'ozz'
    );
  //P
  F3LpMax_ = 285;
  F3Lp_: array[1..F3LpMax_] of S016_ = (
    'pab', 'pac', 'paç', 'pad', 'pae', 'paè', 'paf', 'pag', 'pah', 'pai',
    'paî', 'paï', 'paj', 'pak', 'pal', 'pâl', 'pam', 'pâm', 'pan', 'pao',
    'pap', 'paq', 'pâq', 'Pâq', 'par', 'Par', 'pas', 'pat', 'pât', 'pau',
    'paü', 'pav', 'pax', 'pay', 'paz', 'pch', 'pci', 'pco', 'pço', 'pde',
    'pea', 'péa', 'péâ', 'péb', 'pec', 'péc', 'pèc', 'pêc', 'peç', 'ped',
    'péd', 'pèd', 'pee', 'pée', 'péè', 'pef', 'péf', 'peg', 'pég', 'pèg',
    'peh', 'pei', 'péi', 'péj', 'pek', 'pék', 'pel', 'pél', 'pèl', 'pêl',
    'pem', 'pém', 'pen', 'Pen', 'pén', 'pèn', 'pên', 'peo', 'péo', 'pep',
    'PEP', 'pép', 'peq', 'péq', 'pèq', 'per', 'pér', 'pèr', 'Pèr', 'pes',
    'pés', 'pès', 'pet', 'pét', 'pèt', 'pêt', 'peu', 'pex', 'pey', 'pez',
    'péz', 'pèz', 'pfe', 'pff', 'pfu', 'pha', 'phâ', 'phe', 'phé', 'phè',
    'phi', 'phl', 'phn', 'pho', 'phr', 'pht', 'phu', 'phy', 'pia', 'piâ',
    'pib', 'pic', 'piç', 'pid', 'pie', 'pié', 'piè', 'pif', 'pig', 'pii',
    'pil', 'pim', 'pîm', 'pin', 'pio', 'pip', 'piq', 'pir', 'pis', 'pit',
    'pît', 'piu', 'più', 'piv', 'pix', 'piz', 'pka', 'pla', 'plâ', 'ple',
    'plé', 'plè', 'pli', 'plî', 'plo', 'plô', 'plu', 'plû', 'pma', 'pna',
    'pne', 'pné', 'pni', 'pno', 'poa', 'poc', 'pod', 'poe', 'poé', 'poè',
    'poê', 'poë', 'pog', 'poh', 'poi', 'poï', 'pok', 'pol', 'pôl', 'pom',
    'pon', 'poo', 'pop', 'poq', 'por', 'pos', 'pot', 'pôt', 'pou', 'pov',
    'pow', 'pox', 'poy', 'poz', 'ppa', 'ppâ', 'ppe', 'ppé', 'ppè', 'ppi',
    'ppl', 'ppo', 'ppô', 'ppr', 'ppu', 'ppy', 'pra', 'prâ', 'pre', 'pré',
    'prè', 'prê', 'pri', 'prî', 'pro', 'prô', 'pru', 'pry', 'psa', 'psâ',
    'psc', 'pse', 'psé', 'psè', 'psi', 'psk', 'pso', 'pst', 'psu', 'psy',
    'pta', 'ptâ', 'pte', 'pté', 'ptè', 'ptê', 'pti', 'ptm', 'pto', 'ptô',
    'ptr', 'pts', 'ptu', 'pty', 'pua', 'puâ', 'pub', 'puc', 'puç', 'pud',
    'pue', 'pué', 'puè', 'puf', 'pug', 'pui', 'puî', 'pük', 'pul', 'pum',
    'pûm', 'pun', 'puo', 'pup', 'pur', 'pus', 'put', 'pût', 'puy', 'puz',
    'pwe', 'pya', 'pyc', 'pye', 'pyé', 'pyè', 'pyg', 'pyj', 'pyl', 'pyo',
    'pyr', 'pyt', 'pyu', 'pyx', 'pzi'
    );
  //Q
  F3LqMax_ = 23;
  F3Lq_: array[1..F3LqMax_] of S016_ = (
    'qas', 'qat', 'qch', 'qib', 'qie', 'qqc', 'qqf', 'qqn', 'qua', 'qúa',
    'quâ', 'que', 'qúe', 'qué', 'què', 'quê', 'qui', 'quî', 'qúî', 'quo',
    'qur', 'qûr', 'qúu'
    );
  //R
  F3LrMax_ = 453;
  F3Lr_: array[1..F3LrMax_] of S016_ = (
    'raa', 'rab', 'râb', 'rac', 'râc', 'raç', 'rad', 'rae', 'raé', 'raè',
    'raë', 'raf', 'rag', 'rah', 'rai', 'raî', 'raï', 'raj', 'rak', 'râk',
    'ral', 'râl', 'ram', 'râm', 'ran', 'rân', 'rao', 'rap', 'râp', 'raq',
    'rar', 'ras', 'rat', 'rât', 'rau', 'rav', 'raw', 'rax', 'ray', 'raz',
    'rba', 'rbâ', 'rbe', 'rbé', 'rbè', 'rbi', 'rbl', 'rbm', 'rbo', 'rbr',
    'rbu', 'rby', 'rca', 'rça', 'rçâ', 'rce', 'rcé', 'rcè', 'rch', 'rci',
    'rcî', 'rck', 'rcl', 'rcm', 'rcn', 'rco', 'rço', 'rcq', 'rcr', 'rcs',
    'rct', 'rcu', 'rçu', 'rçû', 'rcy', 'rda', 'rdâ', 'rde', 'rdé', 'rdè',
    'rdh', 'rdi', 'rdî', 'rdl', 'rdm', 'rdo', 'rdr', 'rds', 'rdu', 'rdv',
    'rdw', 'rdy', 'rea', 'réa', 'réâ', 'reb', 'réb', 'rèb', 'rec', 'réc',
    'rèc', 'rêc', 'reç', 'red', 'réd', 'rèd', 'ree', 'rée', 'réé', 'réè',
    'ref', 'réf', 'rèf', 'reg', 'rég', 'règ', 'reh', 'réh', 'rei', 'réi',
    'reî', 'rej', 'réj', 'rek', 'rêk', 'rel', 'rél', 'rèl', 'rêl', 'rem',
    'rém', 'rèm', 'rêm', 'ren', 'rén', 'rèn', 'rên', 'reo', 'réo', 'rep',
    'rép', 'rêp', 'req', 'réq', 'rer', 'rér', 'rèr', 'res', 'rés', 'rès',
    'ret', 'rét', 'rèt', 'rêt', 'reu', 'réu', 'rev', 'rév', 'rèv', 'rêv',
    'rew', 'rex', 'rey', 'rez', 'réz', 'rfa', 'rfe', 'rfé', 'rfè', 'rfi',
    'rfî', 'rfl', 'rfo', 'rfr', 'rfs', 'rfu', 'rga', 'rge', 'rgé', 'rgè',
    'rgh', 'rgi', 'rgî', 'rgl', 'rgm', 'rgn', 'rgo', 'rgr', 'rgs', 'rgt',
    'rgu', 'rgü', 'rgy', 'rha', 'rhe', 'rhé', 'rhi', 'rho', 'rhô', 'rhu',
    'rhy', 'ria', 'riâ', 'rib', 'ric', 'riç', 'rid', 'rie', 'rié', 'riè',
    'rif', 'rig', 'rih', 'rii', 'rij', 'rik', 'ril', 'rim', 'rîm', 'rin',
    'rio', 'rip', 'riq', 'rir', 'ris', 'rit', 'rît', 'riu', 'riv', 'rix',
    'riy', 'riz', 'rja', 'rje', 'rjo', 'rju', 'rka', 'rke', 'rké', 'rkh',
    'rki', 'rkk', 'rkl', 'rkm', 'rko', 'rkp', 'rks', 'rla', 'rlâ',
    'rld', 'rle', 'rlé', 'rlè', 'rli', 'rlo', 'rls', 'rlu', 'rly', 'rma',
    'rmâ', 'rme', 'rmé', 'rmè', 'rmi', 'rmî', 'rmn', 'rmo', 'rms', 'rmu',
    'rna', 'rnâ', 'rnb', 'rne', 'rné', 'rnè', 'rni', 'rnî', 'rnm', 'rno',
    'rns', 'rnu', 'rny', 'roa', 'rob', 'roc', 'rod', 'rôd', 'roe', 'roé',
    'roè', 'roë', 'rof', 'rog', 'roh', 'roi', 'roî', 'roï', 'roj', 'rok',
    'rol', 'rôl', 'rom', 'rôm', 'röm', 'ron', 'rôn', 'rön', 'roo', 'rop',
    'roq', 'ror', 'ros', 'rös', 'rot', 'rôt', 'rou', 'roû', 'rov', 'row',
    'rox', 'roy', 'roz', 'rpa', 'rpâ', 'rpe', 'rpé', 'rpè', 'rph', 'rpi',
    'rpî', 'rpl', 'rpo', 'rpr', 'rps', 'rpt', 'rpu', 'rqu', 'rra', 'rrâ',
    'rre', 'rré', 'rrè', 'rrê', 'rrh', 'rri', 'rrî', 'rro', 'rrr', 'rru',
    'rry', 'rsa', 'rsâ', 'rsc', 'rse', 'rsé', 'rsè', 'rsh', 'rsi', 'rsî',
    'rso', 'rsp', 'rsq', 'rss', 'rst', 'rsu', 'rsy', 'rta', 'rtâ', 'rte',
    'rté', 'rtè', 'rtf', 'rth', 'rti', 'rtî', 'rtl', 'rtm', 'rtn', 'rto',
    'rtr', 'rts', 'rtu', 'rtv', 'rtw', 'rty', 'rtz', 'rua', 'ruâ', 'rub',
    'ruc', 'rud', 'rue', 'rué', 'ruè', 'ruf', 'rug', 'rui', 'ruî', 'rul',
    'rûl', 'rum', 'rûm', 'run', 'ruo', 'rup', 'ruq', 'rur', 'rûr', 'rus',
    'rûs', 'rut', 'rût', 'ruv', 'rux', 'ruy', 'ruz', 'rva', 'rvâ', 'rve',
    'rvé', 'rvè', 'rvê', 'rvi', 'rvî', 'rvo', 'rvu', 'rvû', 'rwe', 'rwi',
    'rxi', 'rxo', 'rya', 'ryb', 'ryc', 'rye', 'ryg', 'ryh', 'ryl', 'rym',
    'ryn', 'ryo', 'ryp', 'rys', 'ryt', 'ryu', 'ryx', 'ryz', 'rza', 'rze',
    'rzi', 'rzl', 'rzo', 'rzu'
    );
  //S
  F3LsMax_ = 340;
  F3Ls_: array[1..F3LsMax_] of S016_ = (
    'saa', 'sab', 'sac', 'Sac', 'sad', 'sae', 'saé', 'saè', 'saf', 'sag',
    'sah', 'sai', 'Sai', 'saï', 'saj', 'sak', 'sal', 'sam', 'sâm', 'san',
    'sao', 'saô', 'sap', 'saq', 'sar', 'sas', 'Sas', 'sat', 'sât', 'sau',
    'sav', 'sax', 'say', 'sba', 'sbe', 'sbé', 'sbè', 'sbi', 'sbn', 'sbo',
    'sbr', 'sby', 'sca', 'sça', 'sçâ', 'sce', 'scé', 'scè', 'sch', 'sci',
    'scl', 'sco', 'sço', 'scô', 'scq', 'scr', 'scs', 'scu', 'scy', 'sda',
    'sde', 'sdi', 'sdu', 'sea', 'séa', 'seb', 'séb', 'sec', 'séc', 'sèc',
    'sed', 'séd', 'sèd', 'see', 'sée', 'sef', 'séf', 'seg', 'ség', 'sei',
    'séi', 'séj', 'sek', 'sel', 'sél', 'sèl', 'sem', 'sém', 'sèm', 'sen',
    'sén', 'sèn', 'seo', 'séo', 'sep', 'sép', 'seq', 'séq', 'sèq', 'ser',
    'Ser', 'sér', 'sèr', 'ses', 'sés', 'set', 'sét', 'sèt', 'seu', 'séu',
    'sev', 'sév', 'sèv', 'sex', 'sey', 'sez', 'séz', 'sfa', 'sfe', 'sfé',
    'sfè', 'sfi', 'sfî', 'sfl', 'sfo', 'sfu', 'sge', 'sgé', 'sgè', 'sgi',
    'sgo', 'sgr', 'sha', 'shb', 'she', 'shé', 'shi', 'shk', 'shm', 'shn',
    'sho', 'shr', 'shs', 'shu', 'shy', 'sia', 'siâ', 'sib', 'sic', 'sid',
    'sie', 'sié', 'siè', 'sif', 'sig', 'sii', 'sik', 'sil', 'sim', 'sîm',
    'sin', 'sio', 'sip', 'siq', 'sir', 'sis', 'sit', 'sît', 'siu', 'siv',
    'six', 'siz', 'sjo', 'sju', 'ska', 'ske', 'ské', 'skè', 'ski', 'sko',
    'skr', 'sku', 'sky', 'sla', 'sle', 'sli', 'sln', 'slo', 'slu', 'sma',
    'smâ', 'sme', 'smé', 'smè', 'smi', 'smî', 'smn', 'smo', 'smu', 'smy',
    'sna', 'snc', 'sne', 'sné', 'sni', 'sno', 'snu', 'soa', 'sob', 'soc',
    'sod', 'soe', 'soé', 'soè', 'sof', 'sog', 'soh', 'soi', 'soï', 'soj',
    'sol', 'som', 'son', 'Son', 'sop', 'soq', 'sor', 'sos', 'sot', 'sou',
    'soû', 'sov', 'sox', 'soy', 'soz', 'spa', 'spâ', 'spe', 'spé', 'spè',
    'sph', 'spi', 'spl', 'spn', 'spo', 'spr', 'spu', 'spy', 'squ', 'sqú',
    'sra', 'srh', 'sri', 'sru', 'ssa', 'ssâ', 'sse', 'ssé', 'ssè', 'ssi',
    'ssî', 'ssm', 'sso', 'ssu', 'ssy', 'sta', 'stâ', 'stc', 'std', 'ste',
    'sté', 'stè', 'stf', 'stg', 'sth', 'sti', 'stî', 'stl', 'stm', 'stn',
    'sto', 'stp', 'str', 'sts', 'stu', 'stû', 'stv', 'sty', 'sua', 'suâ',
    'sub', 'suc', 'suç', 'sud', 'sue', 'sué', 'suè', 'Suè', 'suf', 'sug',
    'sui', 'Sui', 'suj', 'sul', 'sum', 'sûm', 'sun', 'suo', 'sup', 'sur',
    'sûr', 'sus', 'sut', 'sût', 'suv', 'suy', 'suz', 'sva', 'sve', 'svi',
    'swa', 'swe', 'swi', 'swo', 'sya', 'syb', 'syc', 'syd', 'syé', 'syh',
    'syl', 'sym', 'syn', 'syp', 'syr', 'sys', 'syt', 'syu', 'syz', 'szt'
    );
  //T
  F3LtMax_ = 306;
  F3Lt_: array[1..F3LtMax_] of S016_ = (
    'tab', 'tac', 'tâc', 'taç', 'tad', 'tae', 'taé', 'taè', 'taë', 'taf',
    'tag', 'tah', 'tai', 'taï', 'taj', 'tak', 'tal', 'tam', 'tâm', 'tan',
    'tân', 'tao', 'taô', 'tap', 'taq', 'tar', 'târ', 'tas', 'tàs', 'tat',
    'tât', 'tau', 'tav', 'taw', 'tax', 'tay', 'taz', 'tba', 'tbé', 'tbl',
    'tbo', 'tbr', 'tce', 'tch', 'tci', 'tcl', 'tco', 'tcu', 'tda', 'tdi',
    'tdo', 'tea', 'téa', 'teb', 'téb', 'tèb', 'tec', 'téc', 'tèc', 'ted',
    'téd', 'tee', 'tée', 'tef', 'téf', 'teg', 'tég', 'tèg', 'téh', 'tei',
    'téi', 'tek', 'ték', 'tel', 'tél', 'tèl', 'tem', 'tém', 'tèm', 'têm',
    'ten', 'tén', 'tèn', 'teo', 'téo', 'tep', 'tép', 'teq', 'téq', 'tèq',
    'ter', 'tér', 'tèr', 'tes', 'tés', 'tès', 'tet', 'tét', 'tèt', 'têt',
    'teu', 'tev', 'tév', 'tew', 'tex', 'tez', 'téz', 'tfa', 'tfo', 'tge',
    'tgl', 'tgo', 'tgu', 'tha', 'the', 'thé', 'thè', 'thê', 'thi', 'thl',
    'thm', 'thn', 'tho', 'thr', 'ths', 'thu', 'thy', 'tia', 'tiâ', 'tib',
    'tic', 'tid', 'tie', 'tié', 'tiè', 'tif', 'tig', 'tih', 'tii', 'tîi',
    'tij', 'tik', 'til', 'tim', 'tîm', 'tin', 'tîn', 'tio', 'tip', 'tiq',
    'tir', 'tis', 'tîs', 'tit', 'tît', 'tiu', 'tiv', 'tja', 'tjä', 'tjo',
    'tla', 'tle', 'tlé', 'tlo', 'tlu', 'tma', 'tme', 'tmé', 'tmè', 'tmi',
    'tmo', 'tna', 'tne', 'tni', 'toa', 'tob', 'toc', 'tod', 'toe', 'toé',
    'toè', 'tof', 'tog', 'toh', 'toi', 'toï', 'tok', 'tol', 'tôl', 'tom',
    'tôm', 'ton', 'too', 'top', 'toq', 'tor', 'tos', 'tôs', 'tot', 'tôt',
    'tou', 'toû', 'tov', 'tow', 'tox', 'toy', 'toz', 'tpe', 'tph', 'tpi',
    'tpo', 'tpr', 'tpu', 'tra', 'trâ', 'tre', 'tré', 'trè', 'trê', 'tri',
    'trî', 'tro', 'trô', 'trö', 'tru', 'try', 'tsa', 'tsc', 'tse', 'tsé',
    'tsi', 'tsk', 'tsm', 'tso', 'tss', 'tsu', 'tsw', 'tsy', 'tta', 'ttâ',
    'tte', 'tté', 'ttè', 'tth', 'tti', 'ttî', 'ttl', 'ttm', 'tto', 'ttr',
    'tts', 'ttu', 'ttv', 'tua', 'tuâ', 'tub', 'tuc', 'tud', 'tue', 'tué',
    'tuè', 'tuf', 'tug', 'tui', 'tuk', 'tul', 'tum', 'tûm', 'tun', 'tuo',
    'tup', 'tûp', 'tuq', 'tur', 'tus', 'tut', 'tût', 'tuu', 'tuv', 'tuy',
    'tva', 'tve', 'tvi', 'tvo', 'twa', 'twe', 'twi', 'two', 'tya', 'tyb',
    'tyc', 'tyg', 'tyl', 'tym', 'tyn', 'tyo', 'typ', 'tyq', 'tyr', 'tys',
    'tyv', 'tza', 'tze', 'tzi', 'tzs', 'tzy'
    );
  //U
  F3LuMax_ = 491;
  F3Lu_: array[1..F3LuMax_] of S016_ = (
    'uab', 'uac', 'uad', 'uaf', 'uag', 'uah', 'uai', 'üai', 'uak', 'ual',
    'uam', 'uâm', 'üâm', 'uan', 'üan', 'uao', 'uap', 'uaq', 'uar', 'uas',
    'üas', 'uat', 'uât', 'üât', 'uau', 'úau', 'uav', 'uaw', 'uax', 'uay',
    'uaz', 'uba', 'ubâ', 'ubb', 'ubc', 'ubd', 'ube', 'ubé', 'ubè', 'ubf',
    'ubg', 'ubi', 'ubî', 'ubj', 'ubk', 'ubl', 'ubm', 'ubn', 'ubo', 'ubr',
    'ubs', 'ubt', 'ubu', 'ubv', 'uca', 'uça', 'uçâ', 'ucc', 'uce', 'ucé',
    'ucè', 'uch', 'ûch', 'uci', 'ucî', 'uck', 'ucl', 'ucm', 'uco', 'uço',
    'ucq', 'ucr', 'ucs', 'uct', 'ucu', 'uda', 'udâ', 'udb', 'udd', 'ude',
    'udé', 'udè', 'udg', 'udh', 'udi', 'udî', 'udj', 'udo', 'udr', 'uds',
    'udu', 'udv', 'udy', 'uea', 'uéa', 'ueb', 'uéb', 'uèb', 'uec', 'ued',
    'uéd', 'uèd', 'uee', 'uée', 'uéé', 'uef', 'uéf', 'ueg', 'uég', 'uèg',
    'uei', 'uel', 'uél', 'uèl', 'uem', 'uém', 'uen', 'úen', 'üen', 'uèn',
    'uën', 'uep', 'uép', 'uêp', 'uéq', 'uer', 'üer', 'uér', 'uèr', 'üèr',
    'ues', 'ües', 'ués', 'uès', 'uës', 'uet', 'uét', 'uèt', 'uêt', 'uët',
    'ueu', 'uev', 'uév', 'uey', 'uez', 'üez', 'uèz', 'ufa', 'ufâ', 'ufc',
    'ufe', 'ufè', 'uff', 'ufi', 'ûfi', 'ufl', 'ufo', 'ufr', 'ufs', 'uft',
    'uga', 'ugâ', 'ugb', 'uge', 'ugé', 'ugè', 'ugg', 'ugh', 'ugi', 'ugî',
    'ugl', 'ugm', 'ugn', 'ugo', 'ugr', 'ugs', 'ugu', 'uha', 'uhe', 'uhi',
    'uhl', 'uhr', 'ühr', 'uia', 'uïa', 'uib', 'uic', 'uid', 'uie', 'üie',
    'uïe', 'uié', 'uiè', 'uif', 'uig', 'uïg', 'uil', 'uîl', 'úîl', 'uim',
    'uîm', 'uin', 'uîn', 'uio', 'üio', 'uïo', 'uip', 'uiq', 'uir', 'uïr',
    'uis', 'uïs', 'uit', 'üit', 'uît', 'uït', 'uiv', 'uiy', 'uiz', 'uja',
    'uje', 'ujé', 'uji', 'ujo', 'ujt', 'uju', 'uka', 'uke', 'ukè', 'ukh',
    'uki', 'uko', 'ukr', 'uks', 'ukt', 'ula', 'ûla', 'ulâ', 'ûlâ', 'ulb',
    'ulc', 'ulç', 'uld', 'ule', 'ûle', 'ulé', 'ûlé', 'ulè', 'ûlè', 'ulê',
    'ulf', 'ulg', 'ulh', 'uli', 'ûli', 'ulî', 'ulk', 'ull', 'ulm', 'uln',
    'ulo', 'ûlo', 'ulp', 'ulq', 'uls', 'ûls', 'ult', 'ulu', 'ûlu', 'ulû',
    'ulv', 'ulx', 'uma', 'umâ', 'umb', 'umc', 'umd', 'ume', 'ûme', 'umé',
    'umè', 'umi', 'umî', 'uml', 'umm', 'umn', 'umo', 'ump', 'umq', 'ums',
    'umt', 'umu', 'umv', 'umy', 'una', 'ûna', 'unâ', 'ûnâ', 'unc', 'und',
    'une', 'Une', 'ûne', 'uné', 'ûné', 'unè', 'ûnè', 'ung', 'uni', 'ûni',
    'unî', 'unk', 'unl', 'unn', 'uno', 'ûno', 'uns', 'unt', 'unu', 'uod',
    'uog', 'uoi', 'uol', 'uom', 'uon', 'üon', 'uop', 'uor', 'uos', 'uot',
    'uou', 'upa', 'ûpa', 'upâ', 'upç', 'upd', 'upe', 'upé', 'upè', 'uph',
    'upi', 'upî', 'upl', 'upn', 'upo', 'upp', 'upr', 'ups', 'upt', 'upu',
    'upw', 'uqu', 'ura', 'ûra', 'urâ', 'urb', 'urc', 'urç', 'urd', 'ure',
    'ûre', 'üre', 'uré', 'urè', 'urê', 'urf', 'urg', 'urh', 'uri', 'ûri',
    'urî', 'ûrî', 'urj', 'urk', 'url', 'urm', 'ürm', 'urn', 'uro', 'ûro',
    'urp', 'urq', 'urr', 'urs', 'ûrs', 'urt', 'uru', 'urû', 'urv', 'ury',
    'usa', 'usâ', 'usc', 'usd', 'use', 'usé', 'usè', 'ush', 'usi', 'usî',
    'usk', 'usl', 'usm', 'usn', 'uso', 'usp', 'usq', 'uss', 'ûss', 'ust',
    'usu', 'usv', 'uta', 'ûta', 'utâ', 'ûtâ', 'utb', 'utc', 'ute', 'ûte',
    'üte', 'uté', 'ûté', 'utè', 'ûtè', 'utf', 'uth', 'uti', 'ûti', 'utî',
    'utl', 'utn', 'uto', 'ûto', 'utô', 'utp', 'utr', 'ûtr', 'uts', 'ûts',
    'utt', 'utu', 'uty', 'utz', 'uum', 'uun', 'úun', 'uur', 'uus', 'uva',
    'uvâ', 'uve', 'uvé', 'uvè', 'uvi', 'uvî', 'uvo', 'uvr', 'uvu', 'uwo',
    'uxa', 'uxâ', 'uxe', 'uxé', 'uxè', 'uxi', 'uxm', 'uxo', 'uxq', 'uxs',
    'uxt', 'uxu', 'uya', 'uyâ', 'uye', 'uyé', 'uyè', 'uyi', 'uyo', 'uys',
    'uza', 'uzb', 'uze', 'uzé', 'uzè', 'uzi', 'uzl', 'uzn', 'uzo', 'uzu',
    'uzz'
    );
  //V
  F3LvMax_ = 156;
  F3Lv_: array[1..F3LvMax_] of S016_ = (
    'vab', 'vac', 'vad', 'vae', 'vag', 'vah', 'vai', 'vaï', 'vaj', 'val',
    'vam', 'vâm', 'van', 'Van', 'vap', 'vaq', 'var', 'vas', 'vat', 'vât',
    'vau', 'vav', 'vay', 'vea', 'véa', 'vec', 'véc', 'vèc', 'vêc', 'veç',
    'ved', 'véd', 'vee', 'vée', 'vef', 'véf', 'veg', 'vég', 'vèg', 'veh',
    'véh', 'vei', 'véi', 'vej', 'vel', 'vél', 'vèl', 'vêl', 'vem', 'ven',
    'vén', 'vèn', 'véo', 'vêp', 'vêq', 'ver', 'vér', 'vèr', 'ves', 'vés',
    'vet', 'vét', 'vèt', 'vêt', 'veu', 'vev', 'vex', 'vey', 'vez', 'véz',
    'vhé', 'via', 'viâ', 'vib', 'vic', 'vid', 'vie', 'vié', 'viè', 'viê',
    'vif', 'vig', 'vih', 'vii', 'vik', 'vil', 'vim', 'vîm', 'vin', 'vîn',
    'vio', 'viô', 'vip', 'viq', 'vir', 'vis', 'vit', 'vît', 'viu', 'viv',
    'viz', 'vka', 'vkh', 'vla', 'vlo', 'vna', 'vni', 'vob', 'voc', 'vod',
    'voe', 'voé', 'vof', 'vog', 'voh', 'voi', 'voï', 'vol', 'vom', 'von',
    'vop', 'voq', 'vor', 'vos', 'vôs', 'vot', 'vôt', 'vou', 'voû', 'vov',
    'vox', 'voy', 'vra', 'vrâ', 'vre', 'vré', 'vrè', 'vri', 'vrî', 'vro',
    'vru', 'vry', 'vto', 'vud', 'vue', 'vui', 'vul', 'vum', 'vûm', 'vun',
    'vur', 'vus', 'vut', 'vût', 'vyl', 'vzo'
    );
  //W
  F3LwMax_ = 70;
  F3Lw_: array[1..F3LwMax_] of S016_ = (
    'wad', 'wag', 'wah', 'wai', 'waï', 'wal', 'wam', 'wâm', 'wan', 'wap',
    'war', 'was', 'wat', 'wât', 'wax', 'way', 'wba', 'wbi', 'wch', 'wea',
    'web', 'wee', 'wée', 'weg', 'weh', 'wei', 'weï', 'wel', 'wen', 'wer',
    'wèr', 'wes', 'wés', 'wet', 'weu', 'wez', 'wha', 'whi', 'wic', 'wie',
    'wig', 'wil', 'win', 'wio', 'wir', 'wis', 'wit', 'wiy', 'wks', 'wle',
    'wli', 'wne', 'wni', 'wns', 'wok', 'wol', 'wom', 'won', 'woo', 'wor',
    'wpe', 'wre', 'wri', 'wst', 'wto', 'wug', 'wur', 'wür', 'wus', 'wya'
    );
  //X
  F3LxMax_ = 147;
  F3Lx_: array[1..F3LxMax_] of S016_ = (
    'xab', 'xac', 'xad', 'xaé', 'xaè', 'xaf', 'xag', 'xai', 'xal', 'xam',
    'xâm', 'xan', 'xap', 'xar', 'xas', 'xat', 'xât', 'xau', 'xca', 'xce',
    'xcé', 'xcè', 'xch', 'xci', 'xcl', 'xco', 'xcr', 'xcu', 'xda', 'xdi',
    'xdu', 'xea', 'xec', 'xéc', 'xèc', 'xèd', 'xée', 'xeg', 'xég', 'xel',
    'xem', 'xém', 'xèm', 'xen', 'xén', 'xèn', 'xeo', 'xeq', 'xer', 'xér',
    'xèr', 'xes', 'xés', 'xeu', 'xez', 'xfo', 'xha', 'xhe', 'xhé', 'xhi',
    'xho', 'xhu', 'xhy', 'xia', 'xiâ', 'xib', 'xic', 'xid', 'xie', 'xié',
    'xiè', 'xif', 'xig', 'xii', 'xil', 'xim', 'xin', 'xio', 'xip', 'xiq',
    'xir', 'xis', 'xit', 'xiv', 'xiw', 'xmè', 'xoa', 'xob', 'xoc', 'xod',
    'xoe', 'xof', 'xog', 'xoi', 'xol', 'xom', 'xon', 'xop', 'xor', 'xos',
    'xot', 'xpa', 'xpe', 'xpé', 'xpi', 'xpl', 'xpo', 'xpr', 'xpu', 'xqu',
    'xrè', 'xsa', 'xst', 'xsu', 'xta', 'xtâ', 'xte', 'xté', 'xtè', 'xti',
    'xto', 'xtr', 'xtu', 'xua', 'xub', 'xue', 'xué', 'xul', 'xum', 'xuo',
    'xup', 'xur', 'xus', 'xut', 'xuv', 'xwe', 'xya', 'xyc', 'xyd', 'xyg',
    'xyh', 'xyl', 'xym', 'xyr', 'xys', 'xyt', 'xyu'
    );
  //Y
  F3LyMax_ = 247;
  F3Ly_: array[1..F3LyMax_] of S016_ = (
    'yab', 'yac', 'yad', 'yag', 'yai', 'yak', 'yal', 'yam', 'yâm', 'yan',
    'yao', 'yap', 'yar', 'yas', 'yat', 'yât', 'yau', 'yav', 'yaw', 'yba',
    'ybd', 'ybe', 'ybi', 'ybo', 'ybr', 'ybu', 'yca', 'yce', 'ycé', 'ycè',
    'ych', 'yci', 'ycl', 'ycn', 'yco', 'yço', 'ycr', 'yct', 'ycu', 'ycy',
    'yda', 'ydâ', 'ydd', 'yde', 'ydé', 'ydè', 'ydi', 'ydn', 'ydo', 'ydr',
    'ydy', 'yea', 'yèb', 'yec', 'yéd', 'yèd', 'yée', 'yel', 'yél', 'yem',
    'yém', 'yèm', 'yen', 'yén', 'yèn', 'yeo', 'yer', 'yér', 'yèr', 'yes',
    'yés', 'yet', 'yét', 'yèt', 'yeu', 'yez', 'yfo', 'yfu', 'yga', 'ygd',
    'yge', 'ygé', 'ygè', 'ygi', 'ygl', 'ygm', 'ygn', 'ygo', 'ygr', 'ygy',
    'yha', 'yhé', 'yhi', 'yho', 'yhy', 'yia', 'yid', 'yie', 'yin', 'yio',
    'yis', 'yja', 'yke', 'yki', 'ykl', 'yky', 'yla', 'ylâ', 'ylb', 'ylc',
    'yle', 'ylé', 'ylè', 'ylh', 'yli', 'yll', 'ylm', 'ylo', 'ylô', 'ylp',
    'yls', 'ylu', 'ylv', 'yma', 'ymb', 'yme', 'ymé', 'ymè', 'ymh', 'ymi',
    'ymk', 'ymn', 'ymo', 'ymp', 'ymr', 'ymu', 'ymy', 'yna', 'ync', 'ynd',
    'yne', 'yné', 'ynè', 'yng', 'yni', 'yno', 'ynô', 'ynq', 'ynt', 'ynu',
    'ynx', 'yoa', 'yoc', 'yod', 'yoé', 'yof', 'yog', 'yoh', 'yoi', 'yoï',
    'yok', 'yol', 'yom', 'yon', 'yop', 'yor', 'yos', 'yot', 'you', 'yoz',
    'ypa', 'ypâ', 'ype', 'ypé', 'ypè', 'yph', 'ypi', 'ypl', 'ypn', 'ypo',
    'ypr', 'yps', 'ypt', 'yqe', 'yqu', 'yra', 'yre', 'yré', 'yrè', 'yrh',
    'yri', 'yrm', 'yrn', 'yro', 'yrp', 'yrr', 'yrs', 'yrt', 'yru', 'yry',
    'ysa', 'ysâ', 'ysb', 'ysc', 'yse', 'ysé', 'ysè', 'ysf', 'ysg', 'ysh',
    'ysi', 'ysk', 'ysl', 'ysm', 'ysn', 'yso', 'ysp', 'yss', 'yst', 'ysu',
    'ysy', 'yta', 'yte', 'yté', 'ytè', 'yth', 'yti', 'yto', 'ytr', 'ytt',
    'yua', 'yuc', 'yul', 'yum', 'yun', 'yup', 'yur', 'yva', 'yve', 'yvi',
    'ywo', 'yxi', 'yxo', 'yza', 'yze', 'yzo', 'yzy'
    );
  //Z
  F3LzMax_ = 135;
  F3Lz_: array[1..F3LzMax_] of S016_ = (
    'zab', 'zac', 'zad', 'zag', 'zai', 'zaï', 'zak', 'zal', 'zam', 'zâm',
    'zan', 'zao', 'zap', 'zar', 'zas', 'zat', 'zât', 'zaw', 'zay', 'zaz',
    'zbe', 'zda', 'zdé', 'zea', 'zéa', 'zéb', 'zèb', 'zéd', 'zee', 'zée',
    'zef', 'zei', 'zéi', 'zel', 'zél', 'zèl', 'zem', 'zém', 'zen', 'zén',
    'zèn', 'zéo', 'zep', 'zép', 'zer', 'zér', 'zèr', 'zes', 'zés', 'zès',
    'zet', 'zét', 'zêt', 'zeu', 'zév', 'zez', 'zéz', 'zia', 'ziâ', 'zib',
    'zic', 'zid', 'zie', 'zìe', 'zié', 'ziè', 'zif', 'zig', 'zii', 'zil',
    'zim', 'zin', 'zio', 'zip', 'ziq', 'zir', 'zis', 'zit', 'ziz', 'zla',
    'zle', 'zli', 'zlo', 'zly', 'zma', 'zme', 'zne', 'zni', 'zoa', 'zob',
    'zoc', 'zod', 'zoé', 'zoè', 'zog', 'zoi', 'zoï', 'zok', 'zol', 'zom',
    'zon', 'zoo', 'zop', 'zor', 'zos', 'zot', 'zou', 'zoy', 'zoz', 'zsc',
    'ztè', 'zuc', 'zue', 'zué', 'zul', 'zur', 'zut', 'zwa', 'zwi', 'zyd',
    'zye', 'zyg', 'zyk', 'zyl', 'zym', 'zyp', 'zyt', 'zyz', 'zza', 'zze',
    'zzi', 'zzl', 'zzm', 'zzo', 'zzz'
    );
  //----- 4 Lettres -----
  //A
  F4LaMax_ = 2990;
  F4La_: array[1..F4LaMax_] of S016_ = (
    'aals', 'aand', 'aans', 'aaux', 'abab', 'abac', 'abâc', 'abad', 'abag', 'abai',
    'abaï', 'abaj', 'abal', 'aban', 'abap', 'abaq', 'abar', 'abas', 'abat', 'abât',
    'abau', 'abay', 'abba', 'abbe', 'abbé', 'abbi', 'abbl', 'abbr', 'abce', 'abcé',
    'abcè', 'abda', 'abdi', 'abdo', 'abdu', 'abea', 'abéc', 'abèc', 'abee', 'abée',
    'abeg', 'abei', 'abéi', 'abel', 'abél', 'aben', 'aber', 'abes', 'abès', 'abet',
    'abét', 'abèt', 'abêt', 'abeu', 'abfe', 'abho', 'abia', 'abib', 'abic', 'abie',
    'abié', 'abil', 'abim', 'abîm', 'abin', 'abio', 'abiq', 'abir', 'abis', 'abit',
    'abiu', 'abje', 'abju', 'abla', 'ablâ', 'âbla', 'âblâ', 'able', 'ablé', 'ablè',
    'âble', 'âblé', 'âblè', 'abli', 'ablî', 'âbli', 'ablo', 'âblo', 'ablu', 'âblu',
    'abné', 'aboc', 'aboi', 'abol', 'abom', 'abon', 'abop', 'abor', 'âbor', 'abos',
    'abot', 'abou', 'aboy', 'abra', 'abrâ', 'abre', 'abré', 'abrè', 'abri', 'abro',
    'abru', 'absc', 'abse', 'absi', 'abso', 'abst', 'absu', 'abti', 'abuc', 'abud',
    'abué', 'abug', 'abuk', 'abul', 'abur', 'abus', 'abwé', 'abyl', 'abyr', 'abys',
    'acab', 'açab', 'acac', 'acad', 'açad', 'acag', 'açag', 'acah', 'acai', 'açai',
    'acaj', 'acal', 'açâm', 'acan', 'açan', 'acao', 'açao', 'acap', 'acaq', 'acar',
    'acas', 'aças', 'acat', 'açât', 'acau', 'acca', 'acce', 'accé', 'accè', 'acch',
    'acci', 'accl', 'acco', 'accr', 'accu', 'aceb', 'acéd', 'acee', 'acée', 'acel',
    'acèl', 'acem', 'acém', 'acen', 'acén', 'acèn', 'acep', 'acép', 'acer', 'acér',
    'acèr', 'aces', 'acés', 'âces', 'acet', 'acét', 'aceu', 'acez', 'acfa', 'acfu',
    'acha', 'achâ', 'âcha', 'âchâ', 'ache', 'aché', 'achè', 'âche', 'âché', 'âchè',
    'achi', 'achî', 'âchi', 'achl', 'achm', 'achn', 'acho', 'âcho', 'achr', 'achs',
    'acht', 'achu', 'âchu', 'achy', 'acia', 'aciâ', 'acic', 'acid', 'acie', 'acié',
    'aciè', 'acif', 'acii', 'acil', 'acim', 'acin', 'acio', 'aciq', 'acis', 'acit',
    'aciv', 'acka', 'ackb', 'acke', 'ackf', 'ackg', 'acki', 'ackl', 'acks', 'acla',
    'aclâ', 'âcla', 'âclâ', 'acle', 'aclé', 'aclè', 'âcle', 'âclé', 'âclè', 'acli',
    'âcli', 'aclo', 'âclo', 'aclu', 'acly', 'acmé', 'acmi', 'acne', 'acné', 'acno',
    'acob', 'acoc', 'acod', 'acog', 'acoi', 'acoï', 'açoi', 'acol', 'acôl', 'acom',
    'acon', 'açon', 'âcon', 'acoo', 'acop', 'acoq', 'acor', 'açor', 'acos', 'acot',
    'acou', 'acov', 'acqu', 'acra', 'acrâ', 'acre', 'acré', 'acrè', 'âcre', 'acri',
    'âcri', 'acro', 'acru', 'acry', 'acso', 'acta', 'actâ', 'acte', 'acté', 'actè',
    'acti', 'acto', 'actr', 'acts', 'actu', 'acty', 'acua', 'acuâ', 'acud', 'acue',
    'acué', 'acuè', 'acui', 'acul', 'acum', 'acun', 'acuo', 'acup', 'açur', 'acus',
    'acut', 'acuu', 'acyc', 'acyl', 'adab', 'adac', 'adag', 'adai', 'adaï', 'adal',
    'adam', 'adâm', 'adan', 'adap', 'adar', 'adas', 'adat', 'adât', 'adau', 'adav',
    'aday', 'adbr', 'adbu', 'adda', 'adde', 'addi', 'addo', 'addu', 'addy', 'adea',
    'adéc', 'aded', 'adéd', 'adee', 'adée', 'adeg', 'adéi', 'adel', 'adèl', 'adem',
    'adém', 'adèm', 'aden', 'adén', 'adèn', 'adep', 'adeq', 'adéq', 'ader', 'adér',
    'adèr', 'ades', 'adés', 'adet', 'adeu', 'adex', 'adez', 'adge', 'adgé', 'adhé',
    'adhè', 'adho', 'adia', 'adiâ', 'adic', 'adid', 'adie', 'adié', 'adiè', 'adif',
    'adig', 'adii', 'adil', 'adim', 'adîm', 'adin', 'adio', 'adip', 'adiq', 'adir',
    'adis', 'adit', 'adît', 'adiu', 'adiv', 'adix', 'adja', 'adje', 'adji', 'adjo',
    'adju', 'adme', 'admi', 'admî', 'admo', 'adné', 'adno', 'adob', 'adoc', 'adog',
    'adoi', 'adol', 'adom', 'adôm', 'adon', 'adop', 'adoq', 'ador', 'ados', 'adot',
    'adou', 'adox', 'adoz', 'adra', 'adrâ', 'adre', 'adré', 'adrè', 'adri', 'adro',
    'adru', 'adry', 'adsc', 'adso', 'adst', 'adua', 'aduâ', 'aduc', 'adue', 'adué',
    'aduè', 'adui', 'adul', 'aduo', 'aduq', 'adur', 'adus', 'adve', 'advi', 'advî',
    'adyc', 'adyg', 'adyi', 'adyk', 'adyn', 'adyo', 'adyp', 'adys', 'aeca', 'aecu',
    'aède', 'aedi', 'aedr', 'aédr', 'aèdr', 'aega', 'aego', 'aegu', 'aeis', 'aéle',
    'aéli', 'aell', 'aels', 'aena', 'aend', 'aeng', 'aeni', 'aenn', 'aepy', 'aequ',
    'aéra', 'aérâ', 'aére', 'aéré', 'aérè', 'aère', 'aeri', 'aéri', 'aërl', 'aero',
    'aéro', 'aesc', 'aesi', 'aest', 'aete', 'aète', 'aeth', 'aeti', 'aéti', 'aéto',
    'aeus', 'aevi', 'aevo', 'aevu', 'afag', 'afai', 'afal', 'afâm', 'afan', 'afar',
    'afas', 'afat', 'afât', 'afau', 'afay', 'afco', 'afea', 'afée', 'aféi', 'afen',
    'afer', 'afèr', 'afes', 'afés', 'afet', 'afét', 'afeu', 'afez', 'affa', 'affâ',
    'affe', 'affé', 'affè', 'affi', 'affl', 'affo', 'affr', 'affs', 'affu', 'affû',
    'afgh', 'afia', 'afib', 'afic', 'afie', 'afig', 'afil', 'afin', 'afio', 'afiq',
    'afis', 'afit', 'afka', 'afla', 'aflâ', 'afle', 'aflé', 'aflè', 'afli', 'aflo',
    'aflu', 'afni', 'afoc', 'afon', 'afor', 'afou', 'afra', 'afrâ', 'âfra', 'afre',
    'afré', 'afrè', 'âfre', 'afri', 'afro', 'afta', 'afte', 'afts', 'afun', 'agab',
    'agac', 'agaç', 'agad', 'agag', 'agai', 'agaï', 'agak', 'agal', 'agam', 'agan',
    'agap', 'agar', 'agas', 'agat', 'agau', 'agav', 'agay', 'agaz', 'agda', 'agdi',
    'agea', 'ageâ', 'agec', 'agéd', 'agee', 'agée', 'âgée', 'agéi', 'agel', 'agem',
    'agèm', 'agen', 'agén', 'agèn', 'ageo', 'agéo', 'ager', 'agér', 'agèr', 'ages',
    'agés', 'âges', 'âgés', 'aget', 'agèt', 'ageu', 'ageü', 'âgeu', 'agez', 'agfl',
    'agga', 'aggi', 'aggl', 'aggr', 'agha', 'aghe', 'aghi', 'aghr', 'aghz', 'agia',
    'agiâ', 'agib', 'agic', 'agie', 'agié', 'agiè', 'agii', 'agil', 'agîm', 'agin',
    'agio', 'agiq', 'agir', 'agis', 'agit', 'agît', 'agiu', 'agla', 'agle', 'agli',
    'aglo', 'agly', 'agma', 'agmâ', 'agme', 'agmè', 'agmi', 'agmo', 'agmu', 'agna',
    'agnâ', 'agne', 'agné', 'agnè', 'âgne', 'agni', 'agno', 'agnu', 'agoc', 'agod',
    'agog', 'agoi', 'agol', 'agom', 'agon', 'agop', 'agor', 'agos', 'agot', 'agou',
    'agoû', 'agra', 'agre', 'agré', 'agrè', 'agrê', 'agri', 'agro', 'agru', 'agst',
    'agti', 'agua', 'aguâ', 'ague', 'agué', 'aguè', 'agui', 'agul', 'agum', 'agun',
    'aguo', 'agur', 'agus', 'aguz', 'agya', 'ahab', 'ahaï', 'ahal', 'aham', 'ahan',
    'ahar', 'ahat', 'ahaw', 'ahdi', 'ahek', 'ahel', 'ahél', 'aher', 'ahha', 'ahib',
    'ahid', 'ahie', 'ahil', 'ahîm', 'ahin', 'ahir', 'ahis', 'ahit', 'ahît', 'ahla',
    'ahle', 'ahli', 'ahma', 'ahmi', 'ahni', 'ahog', 'ahom', 'ahon', 'ahor', 'ahot',
    'ahou', 'ahra', 'ahre', 'ahua', 'ahuè', 'ahur', 'ahut', 'ahyd', 'aïac', 'aïad',
    'aïau', 'aiba', 'aibe', 'aïbe', 'aibl', 'aïca', 'aich', 'aîch', 'aïci', 'aïcs',
    'aicu', 'aicy', 'aida', 'aidâ', 'aide', 'aidé', 'aidè', 'aïde', 'aidi', 'aidî',
    'aïdi', 'aidj', 'aïdj', 'aido', 'aids', 'aïds', 'aiem', 'aien', 'aïen', 'aier',
    'aïer', 'aies', 'aïes', 'aiet', 'aieu', 'aïeu', 'aifo', 'aïfs', 'aiga', 'aïga',
    'aigl', 'aign', 'aigr', 'aigu', 'aigü', 'aiie', 'aïka', 'aiki', 'aïki', 'aiko',
    'aïku', 'aila', 'aïla', 'ailb', 'aile', 'ailé', 'aili', 'aïli', 'aill', 'âill',
    'ails', 'ailw', 'aima', 'aimâ', 'aïma', 'aimb', 'aime', 'aimé', 'aimè', 'aîme',
    'aïme', 'aimi', 'aïmi', 'aimo', 'aimp', 'aims', 'aimy', 'aina', 'ainâ', 'aîna',
    'aînâ', 'aïna', 'ainb', 'ainc', 'aind', 'aine', 'ainé', 'ainè', 'aîne', 'aîné',
    'aînè', 'aïne', 'ainf', 'aing', 'aini', 'ainî', 'aîni', 'aïni', 'ainl', 'ainm',
    'ainn', 'aino', 'aîno', 'aïno', 'ainq', 'ains', 'aint', 'ainu', 'ainv', 'aiol',
    'aïol', 'aiom', 'aïon', 'aioq', 'aipo', 'aiqu', 'aïqu', 'aira', 'airâ', 'aïra',
    'airb', 'airc', 'aird', 'aire', 'airé', 'airè', 'aïre', 'airi', 'aïri', 'airl',
    'airn', 'airo', 'aïro', 'airs', 'airu', 'airv', 'aisa', 'aisâ', 'aïsa', 'aisc',
    'aise', 'aisé', 'aisè', 'aïse', 'aïsé', 'aisi', 'aisî', 'aism', 'aïsm', 'aiso',
    'aiss', 'aîss', 'aïss', 'aist', 'aïst', 'aisu', 'aisy', 'aita', 'aitâ', 'aîta',
    'aite', 'aité', 'aitè', 'aîte', 'aîté', 'aïte', 'aïté', 'aiti', 'aîti', 'aïti',
    'aito', 'aitr', 'aîtr', 'aits', 'aitu', 'aity', 'aïus', 'aive', 'aïve', 'aïwa',
    'aixa', 'aixe', 'aixo', 'aize', 'aïze', 'ajac', 'ajah', 'ajas', 'ajec', 'ajep',
    'ajes', 'ajet', 'ajeu', 'ajin', 'ajis', 'ajoc', 'ajoi', 'ajol', 'ajon', 'ajor',
    'ajot', 'ajou', 'ajoy', 'ajud', 'ajun', 'ajus', 'ajut', 'akan', 'akar', 'akat',
    'akch', 'akél', 'akém', 'aken', 'akèn', 'akeo', 'aker', 'akes', 'akés', 'akfa',
    'akha', 'akhs', 'akht', 'akhz', 'akie', 'akiè', 'akil', 'akim', 'akin', 'akir',
    'akis', 'akiu', 'akka', 'akla', 'akni', 'akof', 'akos', 'akou', 'âkri', 'akti',
    'akua', 'akul', 'akus', 'akva', 'akwa', 'alab', 'alac', 'alad', 'alaf', 'alag',
    'âlag', 'alah', 'alai', 'alaï', 'âlai', 'alal', 'alam', 'alâm', 'âlâm', 'alan',
    'âlan', 'alao', 'alap', 'alaq', 'alar', 'alas', 'âlas', 'alat', 'alât', 'âlât',
    'alau', 'alav', 'alax', 'alay', 'alaz', 'alba', 'albâ', 'albe', 'albé', 'albè',
    'albi', 'albo', 'albr', 'albu', 'alca', 'alcé', 'alcè', 'alch', 'alci', 'alco',
    'alcs', 'alcu', 'alcy', 'alda', 'alde', 'aldé', 'aldi', 'aldo', 'aldô', 'aldu',
    'alea', 'aléa', 'aleb', 'alec', 'aleç', 'alèc', 'aled', 'aléd', 'alée', 'âlée',
    'alef', 'aléf', 'aleg', 'alég', 'alei', 'aléi', 'aléj', 'alék', 'alem', 'além',
    'âlem', 'alen', 'alén', 'alèn', 'alên', 'âlen', 'aleo', 'aléo', 'alep', 'alép',
    'alèp', 'aler', 'alér', 'alèr', 'âler', 'âlèr', 'ales', 'alés', 'alès', 'âles',
    'âlés', 'äles', 'alet', 'alét', 'alèt', 'aleu', 'âleu', 'alev', 'alèv', 'alex',
    'alez', 'alèz', 'âlez', 'alfa', 'alfe', 'alfé', 'alfo', 'alfr', 'alga', 'alge',
    'algé', 'algè', 'algi', 'algo', 'algr', 'algu', 'alha', 'alhe', 'alho', 'alia',
    'alib', 'alic', 'âlic', 'alid', 'alie', 'alié', 'aliè', 'âlie', 'alif', 'alig',
    'alik', 'alil', 'alim', 'alîm', 'âlîm', 'alin', 'âlin', 'alio', 'âlio', 'alip',
    'aliq', 'alir', 'âlir', 'alis', 'âlis', 'alit', 'alît', 'âlit', 'âlît', 'aliu',
    'aliv', 'aliz', 'alka', 'alke', 'alké', 'alki', 'alkm', 'alko', 'alky', 'alla',
    'allâ', 'alle', 'allé', 'allè', 'alli', 'allo', 'alls', 'allu', 'allû', 'ally',
    'alma', 'almâ', 'alme', 'almé', 'almè', 'almi', 'almo', 'alms', 'almu', 'alné',
    'alnu', 'alob', 'aloc', 'alod', 'aloe', 'aloè', 'alog', 'aloi', 'aloï', 'âloi',
    'alol', 'alom', 'alon', 'àlon', 'âlon', 'aloo', 'alop', 'alor', 'alos', 'alot',
    'âlot', 'alou', 'alow', 'aloy', 'alpa', 'alpâ', 'alpe', 'alpé', 'alpè', 'alpê',
    'alph', 'alpi', 'alpl', 'alpo', 'alpr', 'alps', 'alqu', 'alra', 'alré', 'alsa',
    'alsâ', 'alsb', 'alse', 'alsé', 'alsè', 'alsi', 'also', 'alst', 'alsu', 'alta',
    'altâ', 'alte', 'alté', 'altè', 'alth', 'alti', 'alto', 'altô', 'altr', 'altu',
    'alty', 'alua', 'aluâ', 'alub', 'aluc', 'alud', 'alue', 'alué', 'aluè', 'alui',
    'alum', 'alûm', 'alun', 'aluo', 'alur', 'alus', 'alut', 'alût', 'alva', 'alve',
    'alvé', 'alvè', 'alvi', 'alvo', 'alvu', 'alwe', 'alyc', 'alyn', 'alyp', 'alys',
    'alyt', 'alza', 'amab', 'âmab', 'amac', 'amaç', 'amad', 'amae', 'amag', 'amah',
    'amai', 'amaï', 'âmai', 'amal', 'amam', 'amâm', 'âmâm', 'aman', 'âman', 'amap',
    'amar', 'amas', 'âmas', 'amat', 'amât', 'âmât', 'amau', 'amay', 'amaz', 'amba',
    'ambâ', 'ambd', 'ambe', 'ambé', 'ambè', 'ambi', 'ambl', 'ambo', 'ambr', 'ambs',
    'ambu', 'amby', 'amci', 'amda', 'amea', 'amec', 'ameç', 'améc', 'amèc', 'amed',
    'améd', 'amée', 'âmée', 'amel', 'amél', 'amèl', 'amem', 'amen', 'amén', 'amèn',
    'âmen', 'ameq', 'amer', 'amér', 'amèr', 'âmer', 'âmèr', 'ames', 'amés', 'âmes',
    'âmés', 'amet', 'amét', 'amèt', 'ameu', 'amez', 'âmez', 'amha', 'amia', 'amib',
    'amic', 'amid', 'amie', 'amié', 'amiè', 'âmie', 'amif', 'amik', 'amil', 'amim',
    'amin', 'amio', 'âmio', 'amiq', 'amir', 'amis', 'amit', 'amiz', 'amma', 'ammâ',
    'amme', 'ammé', 'ammè', 'ammi', 'ammo', 'ammu', 'ammy', 'amna', 'amnâ', 'amne',
    'amné', 'amnè', 'amni', 'amno', 'amoa', 'amoc', 'amod', 'amoe', 'amoé', 'amoë',
    'amog', 'amoi', 'amoï', 'âmoi', 'amok', 'amol', 'amom', 'amon', 'âmon', 'amop',
    'amor', 'amos', 'amot', 'amou', 'amov', 'amoy', 'ampa', 'ampâ', 'ampe', 'ampé',
    'ampè', 'ampê', 'amph', 'ampi', 'ampl', 'ampo', 'ampr', 'amps', 'ampt', 'ampu',
    'ampy', 'amsa', 'amse', 'amsi', 'amst', 'amui', 'amuï', 'amul', 'amun', 'amur',
    'amus', 'amwa', 'amyc', 'amyd', 'amyé', 'amyg', 'amyl', 'amyo', 'anaa', 'anab',
    'anac', 'ânac', 'anad', 'anaé', 'anaf', 'anag', 'anai', 'anaï', 'ânai', 'anak',
    'anal', 'anam', 'anâm', 'ânâm', 'anan', 'ânan', 'anap', 'anaq', 'anar', 'anas',
    'ânas', 'anat', 'anât', 'ânât', 'anau', 'anav', 'anax', 'anaz', 'anba', 'anbu',
    'anca', 'ança', 'ançâ', 'ancc', 'ance', 'ancé', 'ancè', 'ancê', 'ancf', 'anch',
    'anci', 'ancî', 'ancl', 'anco', 'anço', 'ancr', 'ancs', 'anct', 'ancu', 'ancy',
    'anda', 'andâ', 'andb', 'andc', 'ande', 'andé', 'andè', 'andg', 'andh', 'andi',
    'andî', 'andj', 'andl', 'ando', 'andr', 'ands', 'andt', 'andu', 'andw', 'andy',
    'anea', 'anéa', 'aneb', 'anec', 'anéc', 'aned', 'anee', 'anée', 'ânée', 'anéf',
    'aneg', 'anég', 'anèg', 'anéi', 'anel', 'anél', 'anem', 'aném', 'ânem', 'anen',
    'ânen', 'anéo', 'anep', 'anép', 'aner', 'anér', 'anèr', 'âner', 'ânèr', 'anes',
    'anés', 'anès', 'ânes', 'anet', 'anét', 'anèt', 'aneu', 'anéu', 'âneu', 'anev',
    'anév', 'anez', 'anèz', 'ânez', 'anfa', 'anfl', 'anfo', 'anfr', 'anga', 'ange',
    'angé', 'angè', 'angi', 'angk', 'angl', 'angn', 'ango', 'angr', 'angs', 'angu',
    'anha', 'anhe', 'anhé', 'anhè', 'anhi', 'anhy', 'ania', 'aniâ', 'anic', 'anid',
    'anie', 'anié', 'aniè', 'ânie', 'âniè', 'anif', 'anig', 'anii', 'anil', 'anim',
    'anîm', 'anin', 'anio', 'ânio', 'anip', 'aniq', 'anir', 'anis', 'ânis', 'anit',
    'anît', 'aniu', 'aniv', 'aniz', 'anjo', 'anka', 'anke', 'anki', 'anks', 'ankt',
    'anky', 'anla', 'anlâ', 'anle', 'anlé', 'anlè', 'anli', 'anlo', 'anme', 'anmi',
    'anmo', 'anna', 'annâ', 'anne', 'anné', 'annè', 'anni', 'annî', 'anno', 'annu',
    'anny', 'anob', 'anoc', 'anod', 'anoe', 'anoé', 'anoë', 'anof', 'anog', 'anoi',
    'anoï', 'ânoi', 'anol', 'anom', 'anon', 'ânon', 'anop', 'anoq', 'anor', 'anos',
    'anot', 'anou', 'anov', 'anox', 'anpe', 'anpo', 'anps', 'anqu', 'anre', 'anry',
    'ansa', 'ansâ', 'ansb', 'ansc', 'ansd', 'anse', 'ansé', 'ansè', 'ansf', 'ansg',
    'ansh', 'ansi', 'ansj', 'ansk', 'ansl', 'ansm', 'ansn', 'anso', 'ansp', 'ansq',
    'ansr', 'anss', 'anst', 'ansu', 'ansv', 'ansy', 'anta', 'antâ', 'ante', 'anté',
    'antè', 'anth', 'anti', 'antî', 'anto', 'antô', 'antr', 'ants', 'antu', 'anua',
    'anub', 'anuc', 'anue', 'anué', 'anuf', 'anug', 'anui', 'anul', 'anum', 'anur',
    'anus', 'anut', 'anva', 'anve', 'anvi', 'anvr', 'anxi', 'anyl', 'anyo', 'anyu',
    'anza', 'anze', 'anzé', 'anzi', 'anzo', 'aoba', 'aoda', 'aoes', 'aois', 'aoïs',
    'aôis', 'aoli', 'aône', 'aoni', 'aonn', 'aons', 'aord', 'aori', 'aort', 'aoté',
    'aoti', 'aoua', 'aouc', 'aoud', 'aoué', 'aouë', 'aoui', 'aouï', 'aoul', 'aoûl',
    'aour', 'aous', 'aout', 'août', 'aoye', 'aoyè', 'apab', 'apac', 'apad', 'apag',
    'âpag', 'apah', 'apai', 'apaï', 'âpai', 'apaj', 'apal', 'apâm', 'âpâm', 'apan',
    'âpan', 'apar', 'apas', 'âpas', 'apat', 'apât', 'âpât', 'apau', 'apaü', 'apav',
    'apax', 'apay', 'apea', 'apéa', 'apéâ', 'apec', 'apéd', 'apee', 'apée', 'apéè',
    'âpée', 'apef', 'apeg', 'apei', 'apéi', 'apel', 'apem', 'apen', 'âpen', 'apeo',
    'apéo', 'apep', 'apèq', 'aper', 'apér', 'apèr', 'âper', 'âpèr', 'apes', 'apés',
    'âpes', 'âpés', 'apet', 'apét', 'âpet', 'apeu', 'âpeu', 'apex', 'apey', 'apez',
    'apéz', 'apèz', 'âpez', 'apha', 'aphâ', 'aphe', 'aphé', 'aphè', 'aphi', 'aphn',
    'apho', 'aphr', 'apht', 'aphy', 'apia', 'apic', 'apid', 'apie', 'apié', 'apiè',
    'âpie', 'apif', 'apil', 'apîm', 'apin', 'apio', 'âpio', 'apiq', 'apir', 'apis',
    'apit', 'apît', 'apiv', 'apka', 'apla', 'aple', 'aplé', 'apli', 'aplo', 'aplu',
    'apne', 'apné', 'apni', 'apoa', 'apoc', 'apod', 'apog', 'apoi', 'apok', 'apol',
    'apom', 'apon', 'âpon', 'apop', 'apor', 'apos', 'apot', 'apou', 'appa', 'appâ',
    'appe', 'appé', 'appè', 'appi', 'appl', 'appo', 'appr', 'appu', 'appy', 'apra',
    'âpra', 'apre', 'apré', 'aprè', 'âpre', 'apri', 'âpri', 'apro', 'apru', 'apry',
    'apsa', 'apse', 'apsi', 'apsk', 'apso', 'apsu', 'apsy', 'apta', 'aptâ', 'apte',
    'apté', 'aptè', 'aptê', 'apti', 'apto', 'aptr', 'apts', 'aptu', 'apub', 'apuc',
    'apue', 'apui', 'apük', 'apul', 'apun', 'apur', 'âpur', 'apus', 'apyr', 'aqie',
    'aqua', 'aquâ', 'aque', 'aqué', 'aquè', 'âque', 'aqui', 'aquî', 'aquo', 'aqur',
    'arab', 'arac', 'araç', 'arad', 'araf', 'arag', 'arai', 'araî', 'araï', 'araj',
    'arak', 'aral', 'aram', 'arâm', 'aran', 'arao', 'arap', 'araq', 'arar', 'aras',
    'arat', 'arât', 'arau', 'arav', 'arax', 'aray', 'araz', 'arba', 'arbâ', 'arbe',
    'arbé', 'arbè', 'arbi', 'arbl', 'arbo', 'arbr', 'arbu', 'arby', 'arca', 'arce',
    'arcé', 'arcè', 'arch', 'arci', 'arcî', 'arck', 'arcl', 'arcm', 'arco', 'arço',
    'arcq', 'arcs', 'arct', 'arcu', 'arda', 'ardâ', 'arde', 'ardé', 'ardè', 'ardi',
    'ardî', 'ardo', 'ardr', 'ards', 'ardu', 'ardw', 'ardy', 'aréa', 'arec', 'aréc',
    'aréd', 'arèd', 'arée', 'aréf', 'areg', 'arég', 'arèg', 'arei', 'aréi', 'arel',
    'arél', 'arem', 'arém', 'arèm', 'arêm', 'aren', 'arén', 'arèn', 'areo', 'aréo',
    'areq', 'aréq', 'arer', 'arèr', 'ares', 'arés', 'arès', 'aret', 'arét', 'arèt',
    'arêt', 'areu', 'arév', 'arex', 'arey', 'arez', 'arfa', 'arfe', 'arfi', 'arfî',
    'arfo', 'arfu', 'arga', 'arge', 'argé', 'argè', 'argh', 'argi', 'argî', 'argn',
    'argo', 'argr', 'argu', 'argü', 'argy', 'arhe', 'arhé', 'arhi', 'aria', 'ariâ',
    'arib', 'aric', 'arid', 'arie', 'arié', 'ariè', 'arif', 'arig', 'arih', 'arii',
    'arij', 'aril', 'arim', 'arîm', 'arin', 'ario', 'arip', 'ariq', 'arir', 'aris',
    'arit', 'arît', 'ariu', 'ariv', 'arix', 'ariy', 'arjo', 'arju', 'arka', 'arke',
    'arké', 'arkh', 'arki', 'arkk', 'arkl', 'arko', 'arks', 'arla', 'arlâ', 'arle',
    'arlé', 'arlè', 'arli', 'arlo', 'arly', 'arma', 'armâ', 'arme', 'armé', 'armè',
    'armi', 'armo', 'arms', 'armu', 'arna', 'arnâ', 'arne', 'arné', 'arnè', 'arni',
    'arnî', 'arno', 'arnu', 'arob', 'aroc', 'arod', 'arog', 'aroi', 'aroï', 'arol',
    'arom', 'aron', 'arop', 'aroq', 'aror', 'aros', 'arot', 'arou', 'arov', 'arox',
    'aroy', 'arpa', 'arpâ', 'arpe', 'arpé', 'arpè', 'arpi', 'arpo', 'arpu', 'arqu',
    'arra', 'arrâ', 'arre', 'arré', 'arrè', 'arrê', 'arrh', 'arri', 'arro', 'arru',
    'arry', 'arsa', 'arse', 'arsé', 'arsè', 'arsi', 'arso', 'arst', 'arsu', 'arta',
    'artâ', 'arte', 'arté', 'artè', 'arth', 'arti', 'artî', 'artn', 'arto', 'artr',
    'arts', 'artu', 'arty', 'artz', 'arub', 'arue', 'arul', 'arum', 'arûm', 'arur',
    'arus', 'arut', 'arût', 'arva', 'arve', 'arvé', 'arvi', 'arvî', 'arwi', 'arxi',
    'arxo', 'arya', 'aryc', 'arye', 'aryl', 'arym', 'aryn', 'aryo', 'arys', 'aryt',
    'aryu', 'arza', 'arzi', 'arzo', 'arzu', 'asab', 'asad', 'asag', 'asai', 'asal',
    'asâm', 'asan', 'asaq', 'asar', 'asas', 'asat', 'asât', 'asau', 'asax', 'asba',
    'asbe', 'asbo', 'asca', 'asce', 'ascé', 'ascè', 'asch', 'asci', 'ascl', 'asco',
    'ascq', 'ascu', 'asde', 'asdi', 'asea', 'aséa', 'asec', 'asée', 'aseg', 'asei',
    'aséi', 'asek', 'asel', 'asem', 'asém', 'asen', 'aseo', 'aséo', 'asep', 'aser',
    'asèr', 'ases', 'asés', 'aset', 'aseu', 'asev', 'asex', 'asey', 'asez', 'asgi',
    'asha', 'ashe', 'ashi', 'ashk', 'ashm', 'ashr', 'ashs', 'asia', 'asiâ', 'asib',
    'asic', 'asid', 'asie', 'asié', 'asiè', 'asif', 'asig', 'asii', 'asil', 'asim',
    'asin', 'asio', 'asip', 'asiq', 'asis', 'asit', 'asiv', 'aska', 'aske', 'aski',
    'asko', 'asma', 'asmâ', 'asme', 'asmé', 'asmè', 'asmi', 'asmo', 'asni', 'asno',
    'asoa', 'asoc', 'asod', 'asoi', 'asol', 'asom', 'ason', 'asop', 'asor', 'asot',
    'asou', 'aspa', 'aspe', 'aspé', 'aspè', 'asph', 'aspi', 'aspl', 'aspo', 'aspr',
    'aspu', 'asqu', 'assa', 'assâ', 'âssa', 'asse', 'assé', 'assè', 'âsse', 'âssé',
    'assi', 'assî', 'âssi', 'asso', 'assu', 'âssu', 'assy', 'asta', 'astâ', 'aste',
    'asté', 'astè', 'asth', 'asti', 'asto', 'astr', 'asts', 'astu', 'asty', 'asua',
    'asub', 'asue', 'asui', 'asun', 'asur', 'asus', 'asyl', 'asym', 'asyn', 'asys',
    'asyu', 'atab', 'atac', 'atad', 'atae', 'ataf', 'atag', 'âtag', 'atai', 'âtai',
    'atak', 'atal', 'atam', 'atâm', 'âtâm', 'atan', 'âtan', 'atap', 'ataq', 'atar',
    'âtar', 'atas', 'âtas', 'atat', 'atât', 'âtât', 'atau', 'atav', 'atax', 'atay',
    'atch', 'atdo', 'atea', 'atéa', 'âtea', 'ateb', 'atec', 'atéc', 'atee', 'atée',
    'âtée', 'atef', 'ateg', 'atég', 'atèg', 'aték', 'atel', 'atél', 'atèl', 'âtel',
    'atem', 'atém', 'âtem', 'aten', 'atén', 'atèn', 'âten', 'ater', 'atér', 'atèr',
    'âter', 'âtèr', 'ates', 'atés', 'âtes', 'âtés', 'atet', 'atét', 'ateu', 'âteu',
    'atex', 'atez', 'âtez', 'atgu', 'atha', 'athe', 'athé', 'athè', 'athi', 'athl',
    'athm', 'atho', 'athr', 'aths', 'athu', 'athy', 'atia', 'âtia', 'atib', 'atic',
    'atid', 'atie', 'atié', 'atiè', 'âtie', 'âtié', 'atif', 'âtif', 'atig', 'atik',
    'atil', 'atim', 'atîm', 'âtim', 'âtîm', 'atin', 'âtin', 'atio', 'âtio', 'atiq',
    'atir', 'âtir', 'atis', 'atîs', 'âtis', 'atit', 'atît', 'âtit', 'âtît', 'ativ',
    'âtiv', 'atjo', 'atla', 'atle', 'atlo', 'atma', 'atmo', 'atni', 'atob', 'atoc',
    'atod', 'atoè', 'atof', 'atog', 'atoi', 'atoï', 'atok', 'atol', 'atom', 'aton',
    'âton', 'atop', 'ator', 'atos', 'atot', 'atou', 'atov', 'atox', 'atoy', 'atoz',
    'atra', 'âtra', 'âtrâ', 'atre', 'atré', 'âtre', 'âtré', 'âtrè', 'atri', 'âtri',
    'atro', 'âtro', 'atru', 'atsu', 'atta', 'attâ', 'atte', 'atté', 'attè', 'atth',
    'atti', 'attî', 'attl', 'attm', 'atto', 'attr', 'atts', 'attu', 'attv', 'atua',
    'atuâ', 'atub', 'atue', 'atué', 'atuè', 'atuf', 'atui', 'atul', 'atum', 'atuo',
    'atur', 'âtur', 'atus', 'atut', 'atvi', 'atyb', 'atyc', 'atyp', 'atyr', 'auba',
    'aubâ', 'aube', 'aubé', 'aubè', 'aubi', 'aubo', 'aubr', 'aubu', 'auca', 'auça',
    'auçâ', 'auce', 'aucé', 'aucè', 'auch', 'auci', 'aucl', 'auco', 'auço', 'aucr',
    'aucu', 'auda', 'audâ', 'aude', 'audé', 'audè', 'audi', 'audî', 'audo', 'audr',
    'auds', 'audu', 'auff', 'aufi', 'aufo', 'aufr', 'aufs', 'auge', 'augé', 'augè',
    'augi', 'augm', 'augr', 'augu', 'auhi', 'auil', 'auit', 'aujo', 'aula', 'aulâ',
    'aule', 'aulé', 'aulè', 'auli', 'aull', 'aulm', 'auln', 'aulo', 'ault', 'aulx',
    'auma', 'aumâ', 'aume', 'aumé', 'aumè', 'aumi', 'aumo', 'aumu', 'auna', 'aunâ',
    'aune', 'auné', 'aunè', 'auni', 'aunî', 'auno', 'aupa', 'aupe', 'aupé', 'auph',
    'aupi', 'aupl', 'aupo', 'aupr', 'aups', 'auqu', 'aura', 'aurâ', 'aure', 'auré',
    'aurè', 'auri', 'auro', 'aurr', 'aurs', 'auru', 'ausa', 'ausâ', 'ausc', 'ause',
    'ausé', 'ausè', 'ausi', 'auso', 'ausp', 'auss', 'aust', 'ausu', 'auta', 'autâ',
    'autb', 'aute', 'auté', 'autè', 'aüte', 'autf', 'auth', 'auti', 'auto', 'autr',
    'auts', 'autu', 'auun', 'auva', 'auvâ', 'auve', 'auvé', 'auvè', 'auvi', 'auvî',
    'auvo', 'auvr', 'auvu', 'auwo', 'auxe', 'auxi', 'auxo', 'auxq', 'auze', 'auzi',
    'avab', 'avac', 'avad', 'avag', 'avai', 'avaï', 'avaj', 'aval', 'avam', 'avâm',
    'avan', 'avar', 'avas', 'avat', 'avât', 'avau', 'avea', 'avec', 'aveç', 'avéd',
    'avée', 'avei', 'avel', 'avél', 'avem', 'aven', 'avèn', 'aver', 'avér', 'avèr',
    'aves', 'avés', 'âves', 'avet', 'aveu', 'avey', 'avez', 'avia', 'avic', 'avid',
    'avie', 'aviè', 'avif', 'avig', 'avil', 'avim', 'avîm', 'avin', 'avio', 'avip',
    'aviq', 'avir', 'avis', 'avit', 'avît', 'aviv', 'avka', 'avlo', 'avoc', 'avod',
    'avoi', 'avol', 'avon', 'avop', 'avor', 'avos', 'avot', 'avou', 'avoy', 'avra',
    'avrâ', 'avre', 'avré', 'avrè', 'avri', 'avro', 'avul', 'avun', 'avur', 'avus',
    'awai', 'awaï', 'awat', 'awba', 'awch', 'awiy', 'awks', 'awle', 'awre', 'awug',
    'axab', 'axac', 'axag', 'axai', 'axâm', 'axan', 'axas', 'axat', 'axât', 'axau',
    'axée', 'axen', 'axén', 'axèn', 'axeo', 'axer', 'axér', 'axèr', 'axes', 'axés',
    'axeu', 'axez', 'axho', 'axia', 'axic', 'axid', 'axie', 'axif', 'axil', 'axim',
    'axin', 'axio', 'axip', 'axiq', 'axis', 'axit', 'axiw', 'axod', 'axol', 'axon',
    'axop', 'axos', 'axot', 'axum', 'axwe', 'ayab', 'ayac', 'ayad', 'ayag', 'ayai',
    'ayak', 'ayal', 'ayâm', 'ayan', 'ayar', 'ayas', 'ayat', 'ayât', 'ayau', 'ayée',
    'ayem', 'ayen', 'ayer', 'ayèr', 'ayes', 'ayés', 'ayet', 'ayeu', 'ayez', 'ayia',
    'ayie', 'ayin', 'ayio', 'ayis', 'ayla', 'ayle', 'aylo', 'ayma', 'aymo', 'ayna',
    'aynè', 'ayoi', 'ayol', 'ayon', 'ayot', 'ayou', 'ayra', 'aysa', 'aysâ', 'ayse',
    'aysé', 'aysè', 'aysi', 'ayso', 'ayti', 'ayto', 'ayun', 'ayur', 'azag', 'azai',
    'azak', 'azal', 'azam', 'azâm', 'azan', 'azar', 'azas', 'azât', 'azdé', 'azéa',
    'azee', 'azée', 'azei', 'azéi', 'azel', 'azen', 'azéo', 'azép', 'azer', 'azér',
    'azèr', 'azes', 'azés', 'azet', 'azeu', 'azez', 'azib', 'azid', 'azie', 'azié',
    'aziè', 'azìe', 'azif', 'azil', 'azim', 'azin', 'azio', 'azir', 'azis', 'azit',
    'azoa', 'azoc', 'azod', 'azog', 'azoï', 'azol', 'azom', 'azon', 'azoo', 'azot',
    'azou', 'aztè', 'azul', 'azur', 'azyg', 'azym', 'azza', 'azzi', 'azzm', 'azzo'
    );

  //B
  F4LbMax_ = 1232;
  F4Lb_: array[1..F4LbMax_] of S016_ = (
    'baba', 'babe', 'babi', 'babl', 'babo', 'bâbo', 'babs', 'babw', 'baby', 'baca',
    'bacc', 'bacé', 'bach', 'bâch', 'baci', 'back', 'bacl', 'bâcl', 'baco', 'bacs',
    'bact', 'bacu', 'bada', 'badâ', 'bade', 'badè', 'badg', 'badi', 'badm', 'bado',
    'baea', 'baér', 'baff', 'bafo', 'bafr', 'bâfr', 'baga', 'bagd', 'bage', 'bagè',
    'bagi', 'bagn', 'bago', 'bagu', 'baha', 'bahi', 'bahî', 'baht', 'bahu', 'baid',
    'baïd', 'baie', 'baig', 'bail', 'bâil', 'bain', 'baïn', 'baio', 'baïo', 'baïq',
    'bair', 'baïr', 'bais', 'baïs', 'bait', 'baix', 'bajo', 'bakc', 'baké', 'bakh',
    'bakl', 'bala', 'balâ', 'bâla', 'balb', 'balc', 'bald', 'bale', 'balé', 'balè',
    'bâle', 'balg', 'bali', 'balk', 'ball', 'baln', 'balo', 'bâlo', 'balp', 'bals',
    'balt', 'balu', 'balz', 'bama', 'bamb', 'bâme', 'bami', 'bana', 'banâ', 'banb',
    'banc', 'banç', 'band', 'bane', 'bané', 'banè', 'bang', 'bani', 'banj', 'banl',
    'bann', 'bano', 'banq', 'bans', 'bant', 'banu', 'banv', 'bany', 'baob', 'baos',
    'bapa', 'bapt', 'baqu', 'bara', 'barb', 'barc', 'bard', 'bare', 'barè', 'barg',
    'bari', 'barj', 'bark', 'barl', 'barm', 'barn', 'baro', 'barq', 'barr', 'bars',
    'bart', 'baru', 'bary', 'barz', 'basa', 'basâ', 'basc', 'basd', 'base', 'basé',
    'basè', 'basi', 'bask', 'baso', 'basq', 'bass', 'bast', 'bata', 'bâta', 'bâtâ',
    'bate', 'baté', 'bâte', 'bâté', 'bâtè', 'bath', 'bati', 'batî', 'bâti', 'bâtî',
    'batj', 'bato', 'bâto', 'batr', 'bâtr', 'bats', 'batt', 'batu', 'baub', 'bauc',
    'baud', 'baug', 'bauh', 'baul', 'baum', 'bauq', 'baux', 'bava', 'bavâ', 'bave',
    'bavé', 'bavè', 'bavi', 'bavo', 'bavu', 'baya', 'baye', 'bayl', 'bayo', 'bayr',
    'baza', 'baze', 'bazi', 'bazo', 'bbal', 'bbas', 'bbat', 'bbay', 'bber', 'bbér',
    'bbes', 'bbés', 'bbeu', 'bbev', 'bbie', 'bbin', 'bbis', 'bbla', 'bblâ', 'bble',
    'bblè', 'bbli', 'bblo', 'bbol', 'bbon', 'bbos', 'bbou', 'bbro', 'bcar', 'bced',
    'bcéd', 'bcès', 'bcon', 'bcul', 'bdac', 'bdan', 'bdat', 'bdél', 'bdén', 'bdèn',
    'bdés', 'bdic', 'bdiq', 'bdiv', 'bdoï', 'bdom', 'bduc', 'beag', 'béai', 'béâm',
    'béan', 'bear', 'béar', 'beas', 'béas', 'beat', 'béat', 'béât', 'beau', 'bébé',
    'bébê', 'bèbe', 'béca', 'becc', 'bécc', 'bécé', 'becf', 'bech', 'béch', 'bèch',
    'bêch', 'beci', 'béci', 'beck', 'béco', 'becq', 'becs', 'bect', 'becu', 'beda',
    'béda', 'bede', 'bédé', 'bédi', 'bedo', 'bédo', 'beef', 'béen', 'beer', 'béer',
    'béèr', 'bées', 'beet', 'béez', 'béfa', 'beff', 'béfi', 'béga', 'begg', 'begi',
    'bego', 'bégo', 'begs', 'begu', 'bégu', 'bègu', 'beha', 'béha', 'behe', 'béid',
    'béie', 'beig', 'beil', 'béîm', 'béio', 'beïr', 'béir', 'béis', 'béit', 'béît',
    'béja', 'béké', 'beks', 'bela', 'béla', 'bêla', 'belc', 'bele', 'belé', 'béle',
    'bèle', 'bêle', 'bêlé', 'belf', 'belg', 'beli', 'béli', 'bélî', 'bell', 'belo',
    'bélo', 'bels', 'belu', 'bélu', 'belv', 'beme', 'bémi', 'bémo', 'bena', 'béna',
    'benc', 'bend', 'bene', 'benê', 'béne', 'béné', 'bène', 'beng', 'beni', 'béni',
    'bénî', 'benj', 'benn', 'beno', 'bens', 'bent', 'benz', 'béol', 'béon', 'béot',
    'béph', 'bépi', 'bequ', 'béqu', 'bera', 'béra', 'bérâ', 'berb', 'berc', 'berç',
    'bere', 'bére', 'béré', 'bérè', 'bérê', 'bère', 'berg', 'beri', 'béri', 'berk',
    'berl', 'berm', 'bern', 'bero', 'béro', 'berq', 'berr', 'bers', 'bert', 'berv',
    'bery', 'béry', 'berz', 'besa', 'bésa', 'besc', 'bese', 'bése', 'bèse', 'besi',
    'bési', 'beso', 'besq', 'bess', 'best', 'beta', 'béta', 'bêta', 'bete', 'beté',
    'béte', 'bété', 'bète', 'bête', 'bêté', 'beth', 'béth', 'beti', 'béti', 'bêti',
    'beto', 'béto', 'bets', 'bett', 'betu', 'bétu', 'béty', 'beuf', 'beug', 'beuh',
    'beur', 'beus', 'beuv', 'beux', 'béva', 'bevi', 'bévu', 'beyl', 'beyr', 'beys',
    'beze', 'béze', 'bézi', 'bezo', 'bézo', 'bféb', 'bfer', 'bfos', 'bgra', 'bhor',
    'biac', 'biaf', 'biag', 'biai', 'bial', 'bian', 'biar', 'bias', 'biat', 'biau',
    'biax', 'biba', 'bibâ', 'bibe', 'bibé', 'bibè', 'bibi', 'bibl', 'bibo', 'bica',
    'bice', 'bicé', 'bich', 'bici', 'bick', 'bico', 'bics', 'bict', 'bicu', 'bicy',
    'bida', 'bide', 'bidé', 'bidi', 'bido', 'bidu', 'biée', 'bief', 'bieh', 'biel',
    'biél', 'bien', 'bier', 'bièr', 'bies', 'biet', 'biét', 'bieu', 'bièv', 'biez',
    'bifa', 'bife', 'bifè', 'biff', 'bifi', 'bifl', 'bifo', 'bifr', 'bifs', 'bift',
    'bifu', 'biga', 'bige', 'bigé', 'bigi', 'bigl', 'bign', 'bigo', 'bigr', 'bigu',
    'bigü', 'biha', 'bihe', 'biho', 'bije', 'bijo', 'biki', 'bila', 'bilâ', 'bilb',
    'bile', 'bilé', 'bilè', 'bilh', 'bili', 'bill', 'bilo', 'bils', 'bima', 'bîma',
    'bîmâ', 'bimb', 'bime', 'bimé', 'bîme', 'bîmé', 'bîmè', 'bimi', 'bîmi', 'bimo',
    'bîmo', 'bina', 'binâ', 'binc', 'bine', 'biné', 'binè', 'bing', 'bini', 'binl',
    'bino', 'binô', 'bins', 'bint', 'binu', 'bioa', 'biob', 'bioc', 'biod', 'bioé',
    'biog', 'biol', 'biom', 'bion', 'biop', 'bior', 'bios', 'biot', 'biov', 'biox',
    'bipa', 'bipe', 'bipè', 'biph', 'bipi', 'bipl', 'bipo', 'biqu', 'bira', 'birb',
    'bire', 'biré', 'birè', 'biri', 'birm', 'biro', 'birr', 'birs', 'biru', 'bisa',
    'bisâ', 'bisb', 'bisc', 'bise', 'bisé', 'bisè', 'bisi', 'bism', 'biso', 'bisq',
    'biss', 'bist', 'bisu', 'bita', 'bitâ', 'bite', 'bité', 'bitè', 'bîte', 'bith',
    'biti', 'bitm', 'bito', 'bitr', 'bits', 'bitt', 'bitu', 'bium', 'biun', 'bius',
    'biva', 'bive', 'bivo', 'biza', 'bize', 'bizn', 'bizo', 'bizu', 'bjac', 'bjec',
    'bjet', 'bjon', 'bjug', 'bjur', 'bkha', 'bkil', 'blab', 'blac', 'blad', 'blaf',
    'blag', 'blai', 'blâm', 'blan', 'blap', 'blar', 'blas', 'blat', 'blât', 'blau',
    'blav', 'blay', 'blaz', 'blea', 'blèc', 'bled', 'bléd', 'blée', 'blég', 'blem',
    'blém', 'blèm', 'blêm', 'blen', 'blep', 'blép', 'bler', 'blèr', 'bles', 'blés',
    'blès', 'blet', 'bleu', 'blez', 'blia', 'bliâ', 'blic', 'blie', 'blié', 'bliè',
    'blig', 'blii', 'blim', 'blîm', 'blin', 'blio', 'blip', 'bliq', 'blir', 'blis',
    'blit', 'blît', 'bliz', 'bloc', 'blod', 'blog', 'bloi', 'bloï', 'blon', 'bloo',
    'bloq', 'blor', 'blot', 'blou', 'blue', 'bluf', 'blun', 'blur', 'blut', 'blux',
    'blyo', 'blyr', 'blys', 'bman', 'bmar', 'bmer', 'bmin', 'bnar', 'bnég', 'bnub',
    'boal', 'boam', 'boar', 'boas', 'boat', 'boba', 'bobe', 'bobè', 'bobi', 'bobo',
    'bobr', 'bobs', 'boca', 'boch', 'bock', 'boco', 'bocy', 'bodg', 'bodh', 'bodo',
    'body', 'boéd', 'boèd', 'boei', 'boél', 'boem', 'boes', 'boës', 'boet', 'boët',
    'boeu', 'bofi', 'bofl', 'bofo', 'bogè', 'bogg', 'bogh', 'bogi', 'bogr', 'bogu',
    'bohe', 'bohé', 'bohè', 'bohê', 'bohu', 'boia', 'boid', 'boïd', 'boie', 'boil',
    'boin', 'boir', 'bois', 'boïs', 'boit', 'boît', 'boiv', 'boki', 'bola', 'bolc',
    'bold', 'bole', 'bolé', 'boli', 'bolî', 'boll', 'bolo', 'bols', 'bolu', 'boly',
    'boma', 'bomb', 'bome', 'bomé', 'bomè', 'bôme', 'bômé', 'bomi', 'bomo', 'bona',
    'bonb', 'bonc', 'bond', 'bone', 'boné', 'bône', 'bong', 'bonh', 'boni', 'bonj',
    'bonn', 'bono', 'bôno', 'bonp', 'bons', 'bont', 'bonu', 'bony', 'bonz', 'book',
    'bool', 'boom', 'boos', 'boot', 'bopé', 'boph', 'bopl', 'bopo', 'bopr', 'boqu',
    'bora', 'borâ', 'borb', 'borc', 'bord', 'bore', 'boré', 'borè', 'borg', 'bori',
    'born', 'boro', 'borr', 'bort', 'boru', 'bory', 'bosc', 'bose', 'bosi', 'bosk',
    'bosn', 'boso', 'bosq', 'boss', 'bost', 'bosu', 'bota', 'botâ', 'bote', 'boté',
    'botè', 'both', 'boti', 'boto', 'botr', 'bots', 'bott', 'botu', 'boty', 'boua',
    'boub', 'bouc', 'boud', 'boue', 'boué', 'bouf', 'boug', 'boui', 'bouj', 'bouk',
    'boul', 'boum', 'bouq', 'bour', 'bous', 'bout', 'bouv', 'boux', 'bouz', 'bova',
    'bove', 'bovi', 'bowe', 'bowl', 'bows', 'boxa', 'boxâ', 'boxe', 'boxé', 'boxè',
    'boxi', 'boxo', 'boxy', 'boya', 'boyâ', 'boyc', 'boye', 'boyé', 'boyè', 'boyi',
    'boyo', 'boys', 'brab', 'brac', 'brad', 'brag', 'brah', 'brai', 'braï', 'bral',
    'bram', 'brâm', 'bran', 'brap', 'braq', 'bras', 'brat', 'brât', 'brau', 'brav',
    'brax', 'bray', 'brea', 'bréa', 'breb', 'bréc', 'brèc', 'bred', 'bree', 'brée',
    'bref', 'breg', 'brég', 'brèg', 'breh', 'brei', 'bréi', 'brel', 'brél', 'brêl',
    'brem', 'brèm', 'bren', 'brep', 'breq', 'brer', 'brèr', 'bres', 'brés', 'bret',
    'breu', 'brev', 'brév', 'brèv', 'brez', 'bria', 'brib', 'bric', 'brid', 'brie',
    'brié', 'briè', 'brif', 'brig', 'bril', 'brim', 'brîm', 'brin', 'brio', 'briq',
    'brir', 'bris', 'brit', 'brît', 'briu', 'briv', 'briz', 'brob', 'broc', 'brod',
    'brog', 'broi', 'broï', 'brol', 'brom', 'bron', 'broo', 'brop', 'broq', 'bros',
    'brot', 'brou', 'brow', 'broy', 'brrr', 'brua', 'bruc', 'brue', 'brug', 'brui',
    'bruî', 'brul', 'brûl', 'brum', 'brup', 'brur', 'brus', 'brut', 'brux', 'bruy',
    'brya', 'bryo', 'bsce', 'bscé', 'bscè', 'bsci', 'bsco', 'bscu', 'bséc', 'bsed',
    'bséd', 'bsèd', 'bsen', 'bséq', 'bsèq', 'bser', 'bses', 'bsid', 'bsin', 'bsis',
    'bsle', 'bsol', 'bsom', 'bson', 'bsor', 'bsou', 'bspo', 'bsta', 'bste', 'bsté',
    'bstè', 'bsti', 'bstî', 'bstr', 'bsul', 'bsum', 'bsur', 'bswo', 'btem', 'bten',
    'bter', 'btes', 'btie', 'btil', 'btin', 'btîn', 'btis', 'btro', 'btur', 'btus',
    'buab', 'buag', 'buai', 'buâm', 'buan', 'buas', 'buât', 'buba', 'bube', 'bubo',
    'buca', 'bucc', 'buce', 'bucé', 'buch', 'bûch', 'buco', 'bucr', 'buda', 'budg',
    'buds', 'buée', 'buen', 'buer', 'buèr', 'bues', 'bués', 'buez', 'buff', 'bufl',
    'buge', 'bugg', 'bugi', 'bugl', 'bugo', 'bugr', 'buie', 'buil', 'buio', 'buir',
    'buis', 'buki', 'bula', 'bulâ', 'bulb', 'bule', 'bulé', 'bulè', 'bulg', 'buli',
    'bull', 'bulo', 'bulu', 'bume', 'bûme', 'bumi', 'bumo', 'bums', 'buna', 'bune',
    'bung', 'buni', 'bunk', 'buns', 'buon', 'bupr', 'buqu', 'bura', 'burâ', 'burb',
    'bure', 'buré', 'burè', 'burg', 'buri', 'burl', 'burn', 'buro', 'burr', 'bury',
    'busa', 'busâ', 'busc', 'buse', 'busé', 'busè', 'bush', 'busi', 'buso', 'busq',
    'buss', 'bust', 'busu', 'buta', 'butâ', 'bute', 'buté', 'butè', 'bûte', 'buti',
    'buto', 'butr', 'buts', 'butt', 'buty', 'buva', 'buve', 'buvé', 'buvi', 'buvo',
    'buxa', 'buza', 'bven', 'bver', 'bvia', 'bvie', 'bvil', 'bvin', 'bvîn', 'bwée',
    'bwil', 'byci', 'byco', 'byen', 'byle', 'byli', 'byll', 'bylo', 'byma', 'byme',
    'byop', 'byqu', 'byri', 'byro', 'bysm', 'byss', 'byst', 'byte', 'byté', 'bytè',
    'byti', 'byza'
    );

  //C
  F4LcMax_ = 1662;
  F4Lc_: array[1..F4LcMax_] of S016_ = (
    'caba', 'cabe', 'cabè', 'cabi', 'cabl', 'çabl', 'câbl', 'cabo', 'cabr', 'cabu',
    'caca', 'caça', 'caçâ', 'cace', 'cacé', 'cacè', 'cach', 'caci', 'caco', 'caço',
    'cact', 'cacu', 'cada', 'cadâ', 'cadd', 'cade', 'çade', 'cadé', 'cadè', 'cadi',
    'cadm', 'cado', 'cadr', 'cadu', 'caec', 'caèd', 'caen', 'caes', 'caet', 'caèt',
    'cafa', 'cafc', 'cafe', 'café', 'caff', 'cafi', 'cafo', 'cafr', 'caft', 'cage',
    'çage', 'cagé', 'cagè', 'cagi', 'cagn', 'cago', 'cagr', 'cahi', 'caho', 'cahu',
    'caic', 'caïd', 'caie', 'çaie', 'caïe', 'cail', 'çail', 'caïm', 'cain', 'caïn',
    'caïq', 'cair', 'caïr', 'cais', 'çais', 'cait', 'çait', 'caje', 'cajo', 'caju',
    'cake', 'cala', 'calâ', 'calb', 'calc', 'cald', 'cale', 'çale', 'calé', 'calè',
    'calf', 'calg', 'cali', 'çali', 'câli', 'call', 'calm', 'calo', 'calp', 'calq',
    'cals', 'calt', 'calu', 'calv', 'caly', 'cama', 'camâ', 'camb', 'came', 'çâme',
    'camé', 'camè', 'cami', 'camm', 'camo', 'camp', 'camu', 'cana', 'canâ', 'canc',
    'cand', 'cane', 'çane', 'cané', 'canè', 'cang', 'cani', 'cann', 'cano', 'canp',
    'cans', 'cant', 'çant', 'canu', 'cany', 'canz', 'caod', 'caon', 'caot', 'caou',
    'caoy', 'capa', 'capâ', 'cape', 'capé', 'capè', 'caph', 'capi',
    'capn', 'capo', 'capp', 'capr', 'câpr', 'caps', 'capt', 'capu', 'caqu', 'çaqu',
    'cara', 'carb', 'carc', 'card', 'çard', 'care', 'caré', 'carè', 'carê', 'carg',
    'cari', 'carl', 'carm', 'carn', 'caro', 'carp', 'carq', 'carr', 'cars', 'cart',
    'caru', 'carv', 'cary', 'casa', 'casâ', 'casb', 'casc', 'case', 'casé', 'casè',
    'cash', 'casi', 'casm', 'caso', 'casp', 'casq', 'cass', 'çass', 'cast', 'casu',
    'casy', 'cata', 'catc', 'cate', 'çate', 'çâte', 'caté', 'catg', 'cath', 'cati',
    'catî', 'catl', 'cato', 'catr', 'cats', 'çats', 'catt', 'catu', 'cauc', 'caud',
    'caul', 'caun', 'caur', 'caus', 'caut', 'cauv', 'caux', 'çaux', 'cava', 'cavâ',
    'cave', 'cavé', 'cavè', 'cavi', 'cavo', 'cawc', 'caye', 'caza', 'caze', 'cbal',
    'cbon', 'cbur', 'ccab', 'ccad', 'ccag', 'ccai', 'ccal', 'ccan', 'ccap', 'ccar',
    'ccas', 'ccat', 'ccau', 'ccéd', 'ccèd', 'ccei', 'ccéi', 'ccel', 'ccél', 'ccem',
    'ccém', 'ccen', 'ccep', 'ccer', 'cces', 'ccès', 'cceu', 'ccha', 'cche', 'cchi',
    'ccho', 'cchr', 'cchy', 'ccid', 'ccie', 'ccif', 'ccin', 'ccio', 'ccip', 'cciq',
    'ccir', 'ccis', 'ccit', 'ccla', 'cclé', 'ccli', 'cclu', 'cclû', 'ccoi', 'ccol',
    'ccom', 'ccon', 'ccor', 'ccos', 'ccot', 'ccou', 'ccre', 'ccré', 'ccro', 'ccru',
    'ccrû', 'ccub', 'ccue', 'ccul', 'ccum', 'ccup', 'ccur', 'ccus', 'ccyc', 'ccyg',
    'ccyx', 'cdoq', 'cdot', 'cdys', 'céan', 'céas', 'ceât', 'ceau', 'cebe', 'cébi',
    'cebo', 'cebu', 'ceci', 'céci', 'cect', 'ceda', 'céda', 'cédâ', 'cede', 'céde',
    'cède', 'cedé', 'cédé', 'cédè', 'cedi', 'cédi', 'cédo', 'cedr', 'cédr', 'cèdr',
    'cédu', 'cééh', 'ceen', 'céen', 'cees', 'cées', 'cefe', 'cefi', 'cefj', 'cége',
    'cégé', 'céid', 'céie', 'ceig', 'cein', 'céin', 'ceit', 'céit', 'cela', 'céla',
    'celâ', 'cele', 'céle', 'cèle', 'celé', 'célé', 'celè', 'célè', 'celi', 'céli',
    'cell', 'celo', 'cels', 'celt', 'celu', 'cema', 'cemb', 'ceme', 'cemè', 'cemi',
    'cémi', 'cemm', 'cemv', 'cena', 'céna', 'cenc', 'cend', 'cene', 'céne', 'cène',
    'cené', 'ceni', 'céni', 'cenn', 'ceno', 'céno', 'cens', 'cent', 'cénu', 'cenx',
    'ceol', 'céol', 'cépa', 'cepe', 'cépe', 'cèpe', 'cépé', 'ceph', 'céph', 'cépi',
    'ceps', 'cept', 'cequ', 'cera', 'céra', 'cérâ', 'cerb', 'cerc', 'cerd', 'cere',
    'cére', 'cère', 'céré', 'cérè', 'cerf', 'ceri', 'céri', 'cerm', 'cern', 'cero',
    'céro', 'cerq', 'cerr', 'cers', 'cert', 'ceru', 'céru', 'cerv', 'cesa', 'césa',
    'cesc', 'cese', 'cèse', 'cési', 'cess', 'cest', 'césu', 'ceta', 'céta', 'cete',
    'céte', 'cète', 'ceté', 'cété', 'ceti', 'céti', 'ceto', 'céto', 'cêtr', 'cets',
    'cett', 'céty', 'ceui', 'ceul', 'ceur', 'ceus', 'ceut', 'ceux', 'ceva', 'ceve',
    'céve', 'cève', 'cevi', 'cevo', 'cevr', 'ceyl', 'ceys', 'cfar', 'cfig', 'cfor',
    'cfun', 'chab', 'chac', 'chad', 'chaf', 'chag', 'chah', 'chai', 'chaî', 'chaï',
    'chak', 'chal', 'châl', 'cham', 'châm', 'chan', 'chân', 'chao', 'chap', 'chaq',
    'char', 'chas', 'châs', 'chat', 'chât', 'chau', 'chav', 'chbl', 'chea', 'chéa',
    'cheb', 'chéb', 'chec', 'chéc', 'chèc', 'ched', 'chéd', 'chee', 'chée', 'chef',
    'chég', 'chei', 'chéi', 'chel', 'chél', 'chèl', 'chem', 'chém', 'chèm', 'chen',
    'chén', 'chèn', 'chên', 'cheo', 'chéo', 'chep', 'cheq', 'chéq', 'chèq', 'cher',
    'chér', 'chèr', 'ches', 'chés', 'chès', 'chet', 'chét', 'chèt', 'cheu', 'chev',
    'chèv', 'chew', 'chex', 'chez', 'chge', 'chia', 'chib', 'chic', 'chid', 'chie',
    'chié', 'chiè', 'chif', 'chig', 'chih', 'chii', 'chik', 'chil', 'chim', 'chîm',
    'chin', 'chio', 'chip', 'chiq', 'chir', 'chis', 'chit', 'chît', 'chiu', 'chiv',
    'chiz', 'chla', 'chle', 'chlé', 'chli', 'chlo', 'chlu', 'chma', 'chme', 'chmè',
    'chna', 'chne', 'chné', 'chni', 'chno', 'chnr', 'choa', 'chob', 'choc', 'chod',
    'choe', 'choé', 'chof', 'chog', 'choi', 'choï', 'chok', 'chol', 'chom', 'chôm',
    'chon', 'choo', 'chop', 'choq', 'chor', 'chos', 'chot', 'chou', 'choy', 'chpi',
    'chpr', 'chre', 'chré', 'chrè', 'chrê', 'chri', 'chro', 'chry', 'chsi', 'chsm',
    'chst', 'chta', 'chtc', 'chte', 'chth', 'chti', 'chtm', 'chto', 'chtr', 'chts',
    'chtu', 'chtw', 'chty', 'chua', 'chuc', 'chue', 'chui', 'chum', 'chûm', 'chup',
    'chur', 'chus', 'chut', 'chût', 'chwa', 'chwi', 'chwo', 'chya', 'chyc', 'chyd',
    'chyg', 'chyl', 'chym', 'chyo', 'chyp', 'chys', 'chyt', 'ciab', 'ciac', 'ciad',
    'ciag', 'ciai', 'cial', 'ciam', 'ciâm', 'cian', 'ciao', 'cias', 'ciat', 'ciât',
    'ciau', 'ciba', 'cibe', 'cibi', 'cibl', 'cibo', 'cica', 'cice', 'cicé', 'cici',
    'cico', 'cicu', 'cida', 'cidâ', 'cide', 'cidé', 'cidè', 'cidi', 'cido', 'cidr',
    'cidu', 'ciée', 'ciel', 'ciem', 'cien', 'cïen', 'cién', 'cièn', 'cier', 'ciér',
    'cièr', 'cies', 'ciés', 'ciès', 'ciét', 'cieu', 'ciez', 'cifa', 'cife', 'cifé',
    'cifè', 'cifi', 'cifl', 'cifo', 'cifs', 'cifu', 'ciga', 'cige', 'cigè', 'cigo',
    'cigr', 'cigu', 'cigü', 'ciie', 'ciif', 'ciio', 'cila', 'cile', 'cilè', 'cili',
    'cill', 'cilo', 'cils', 'cima', 'cimâ', 'cimb', 'cime', 'cîme', 'cimé', 'cimè',
    'cimi', 'cimo', 'cimv', 'cina', 'cinâ', 'cinc', 'cind', 'cine', 'ciné', 'cinè',
    'cing', 'cini', 'cinn', 'cino', 'cinq', 'cins', 'cint', 'cinu', 'cioc', 'ciod',
    'ciog', 'ciol', 'ciom', 'cion', 'ciop', 'cios', 'ciot', 'cipa', 'cipâ', 'cipe',
    'cipé', 'cipè', 'ciph', 'cipi', 'cipl', 'cipo', 'cipp', 'cipr', 'cipu', 'ciqu',
    'cira', 'cirâ', 'circ', 'cire', 'ciré', 'cirè', 'ciri', 'ciro', 'cirp', 'cirq',
    'cirr', 'cirs', 'cisa', 'cisâ', 'cisc', 'cise', 'cisé', 'cisè', 'cisi', 'cisj',
    'cisl', 'cism', 'ciso', 'cisp', 'cisq', 'cisr', 'ciss', 'cist', 'cisu', 'cita',
    'citâ', 'cite', 'cîte', 'cité', 'citè', 'cith', 'citi', 'cito', 'citr', 'cits',
    'citu', 'cium', 'ciur', 'cive', 'civi', 'civo', 'civr', 'ckag', 'ckai', 'ckâm',
    'ckan', 'ckas', 'ckât', 'ckbo', 'ckée', 'ckel', 'ckél', 'cken', 'cker', 'ckèr',
    'ckes', 'ckés', 'cket', 'ckeu', 'ckey', 'ckez', 'ckfi', 'ckfo', 'ckfu', 'ckga',
    'ckgr', 'ckha', 'ckho', 'ckia', 'ckie', 'ckin', 'ckio', 'ckis', 'ckla', 'ckle',
    'ckne', 'ckoi', 'ckon', 'ckor', 'ckos', 'ckpi', 'ckpo', 'ckso', 'ckta', 'clab',
    'clac', 'clad', 'claf', 'clag', 'clai', 'clam', 'clâm', 'clan', 'clap', 'claq',
    'clar', 'clas', 'clat', 'clât', 'clau', 'clav', 'clay', 'clea', 'cléa', 'cléâ',
    'cleb', 'cléb', 'clec', 'cléd', 'clee', 'clée', 'cléé', 'cléè', 'clef', 'clei',
    'cléi', 'clem', 'clém', 'clen', 'cleo', 'cléo', 'clep', 'clép', 'cler', 'clér',
    'clèr', 'cles', 'clés', 'clès', 'clet', 'cleu', 'cléu', 'clez', 'clic', 'clid',
    'clie', 'clig', 'clim', 'clin', 'clio', 'clip', 'cliq', 'clis', 'clit', 'cliv',
    'cloa', 'cloc', 'clod', 'clof', 'clog', 'cloh', 'cloi', 'cloî', 'cloï', 'clom',
    'clon', 'clôn', 'clop', 'cloq', 'clor', 'clos', 'clot', 'clôt', 'clou', 'clov',
    'clow', 'cloy', 'clua', 'club', 'clue', 'clui', 'clum', 'clûm', 'clun', 'cluo',
    'clup', 'clur', 'clus', 'clut', 'clût', 'cluy', 'clys', 'cmac', 'cméi', 'cmèt',
    'cmit', 'cmné', 'cmuc', 'cnéi', 'cném', 'cnèm', 'cnid', 'cnod', 'cnog', 'cnom',
    'cnop', 'cnos', 'cnot', 'coac', 'coad', 'coag', 'coal', 'coap', 'coar', 'coas',
    'coat', 'coau', 'coax', 'coba', 'cobe', 'cobé', 'cobi', 'cobl', 'cobo', 'cobr',
    'cobu', 'coca', 'cocc', 'coce', 'cocè', 'coch', 'côch', 'coci', 'cock', 'coco',
    'cocq', 'cocr', 'coct', 'cocu', 'cocy', 'coda', 'codâ', 'code', 'codé', 'codè',
    'codi', 'codk', 'codo', 'cody', 'coéc', 'coéd', 'coef', 'coéh', 'coel', 'coél',
    'coem', 'coen', 'coéq', 'coer', 'coér', 'coét', 'coeu', 'coex', 'cofa', 'coff',
    'cofo', 'coge', 'cogé', 'cogè', 'cogi', 'cogl', 'cogn', 'cogr', 'coha', 'cohe',
    'cohé', 'coho', 'cohu', 'coid', 'coïd', 'coif', 'coig', 'coil', 'coin', 'coïn',
    'coir', 'çoir', 'cois', 'çois', 'coit', 'çoit', 'coït', 'çoiv', 'coka', 'coke',
    'coké', 'coki', 'cola', 'colâ', 'colb', 'colc', 'cole', 'colé', 'colè', 'coli',
    'coll', 'colm', 'colo', 'côlo', 'colp', 'cols', 'colt', 'colu', 'colv', 'coly',
    'colz', 'coma', 'comb', 'come', 'côme', 'comé', 'comè', 'comi', 'comm', 'como',
    'comp', 'comt', 'comu', 'comy', 'cona', 'conc', 'conç', 'cond', 'cone', 'cône',
    'conf', 'cong', 'coni', 'côni', 'conj', 'conl', 'conn', 'çonn', 'cono', 'conq',
    'cons', 'çons', 'cont', 'conu', 'conv', 'cony', 'coob', 'cooc', 'cool', 'coom',
    'coon', 'coop', 'coor', 'coot', 'copa', 'copâ', 'cope', 'copé', 'copè', 'coph',
    'copi', 'copl', 'copo', 'copp', 'copr', 'cops', 'copt', 'copu', 'copy', 'coqs',
    'coqu', 'cora', 'corâ', 'corb', 'corc', 'corç', 'cord', 'core', 'çore', 'coré',
    'corè', 'corf', 'corh', 'cori', 'corm', 'corn', 'coro', 'corp', 'corr', 'cors',
    'cort', 'coru', 'corv', 'cory', 'cosa', 'cosc', 'cose', 'cosé', 'cosi', 'cosl',
    'cosm', 'cosn', 'cosp', 'coss', 'cost', 'cosu', 'cosy', 'cota', 'çota', 'cotâ',
    'çotâ', 'cotc', 'cote', 'çote', 'côte', 'coté', 'çoté', 'côté', 'cotè', 'çotè',
    'coth', 'coti', 'çoti', 'côti', 'coto', 'çoto', 'côto', 'cotr', 'cots', 'cott',
    'cotu', 'coty', 'coua', 'couâ', 'coub', 'couc', 'coud', 'coue', 'coué', 'couè',
    'couf', 'coug', 'coui', 'coul', 'coum', 'coun', 'couo', 'coup', 'couq', 'cour',
    'cous', 'cout', 'coût', 'couv', 'couy', 'cova', 'cove', 'covi', 'cowp', 'coxa',
    'coya', 'coyl', 'coyo', 'cpou', 'cqua', 'cque', 'cqué', 'cquê', 'cqui', 'cquî',
    'cquo', 'crab', 'crac', 'crad', 'craf', 'crag', 'crai', 'cral', 'cram', 'crâm',
    'cran', 'crân', 'crap', 'craq', 'cras', 'crat', 'crât', 'crau', 'crav', 'craw',
    'cray', 'crea', 'créa', 'créâ', 'creb', 'crec', 'créc', 'crèc', 'crêc', 'cred',
    'créd', 'crée', 'créé', 'créè', 'crei', 'créi', 'crel', 'crem', 'crém', 'crèm',
    'cren', 'crén', 'crèn', 'créo', 'crep', 'crép', 'crêp', 'crer', 'crèr', 'cres',
    'crés', 'cret', 'crét', 'crèt', 'crêt', 'creu', 'crev', 'crèv', 'crez', 'cria',
    'criâ', 'crib', 'cric', 'crid', 'crie', 'crié', 'criè', 'crif', 'crii', 'cril',
    'crim', 'crin', 'crio', 'crip', 'criq', 'crir', 'cris', 'crit', 'criv', 'croa',
    'crob', 'croc', 'crod', 'croé', 'crof', 'crog', 'croh', 'croi', 'croî', 'croï',
    'crol', 'crom', 'cron', 'croo', 'crop', 'croq', 'cror', 'cros', 'crot', 'crou',
    'croû', 'croy', 'crua', 'cruâ', 'crub', 'cruc', 'crud', 'crue', 'cruè', 'crui',
    'crum', 'crûm', 'cruo', 'crup', 'crur', 'crûr', 'crus', 'crûs', 'crut', 'crût',
    'cruz', 'crya', 'cryl', 'crym', 'cryo', 'cryp', 'csar', 'csch', 'csin', 'cson',
    'ctab', 'ctac', 'ctae', 'ctaé', 'ctaè', 'ctag', 'ctai', 'ctal', 'ctam', 'ctâm',
    'ctan', 'ctap', 'ctaq', 'ctar', 'ctas', 'ctat', 'ctât', 'ctau', 'ctav', 'ctéa',
    'ctée', 'ctei', 'ctel', 'ctem', 'cten', 'ctén', 'ctèn', 'ctéo', 'cter', 'ctér',
    'ctèr', 'ctes', 'ctés', 'ctet', 'cteu', 'ctez', 'cthé', 'cthy', 'ctib', 'ctic',
    'ctid', 'ctie', 'ctif', 'ctil', 'ctim', 'ctin', 'ctio', 'ctiq', 'ctis', 'ctit',
    'ctiv', 'ctob', 'ctoc', 'ctod', 'ctof', 'ctog', 'ctoi', 'ctol', 'ctom', 'cton',
    'ctop', 'ctor', 'ctos', 'ctot', 'ctow', 'ctra', 'ctre', 'ctri', 'ctro', 'ctru',
    'ctua', 'ctuâ', 'ctuc', 'ctud', 'ctue', 'ctué', 'ctuè', 'ctui', 'ctul', 'ctum',
    'ctuo', 'ctup', 'ctur', 'ctus', 'ctyl', 'ctyo', 'ctyp', 'cuad', 'cuag', 'cuai',
    'cuâm', 'cuan', 'cuas', 'cuat', 'cuât', 'cuba', 'cubâ', 'cube', 'cubé', 'cubè',
    'cubi', 'cubo', 'cubr', 'cucu', 'cuda', 'cudo', 'cuée', 'cuei', 'cuel', 'cuen',
    'cuer', 'cuèr', 'cues', 'çues', 'cués', 'cuez', 'cufi', 'cuid', 'cuie', 'cuil',
    'cuio', 'cuir', 'cuis', 'cuit', 'cuiv', 'cula', 'culâ', 'culb', 'culc', 'culd',
    'cule', 'culé', 'culè', 'culi', 'cull', 'culm', 'culo', 'culp', 'culq', 'culs',
    'cult', 'culu', 'cuma', 'cumâ', 'cumb', 'cumd', 'cume', 'çume', 'cûme', 'çûme',
    'cumé', 'cumè', 'cumi', 'cuml', 'cumn', 'cumo', 'cump', 'cums', 'cumt', 'cumu',
    'cuna', 'cund', 'cune', 'cuné', 'cuni', 'cunn', 'cuns', 'cuol', 'cuom', 'cuon',
    'cupa', 'cupâ', 'cupe', 'cupé', 'cupè', 'cupi', 'cupl', 'cupo', 'cupr', 'cupu',
    'cuqu', 'cura', 'curâ', 'curb', 'curc', 'cure', 'çure', 'curé', 'curè', 'curi',
    'curl', 'curo', 'curr', 'curs', 'curu', 'curv', 'cusa', 'cusâ', 'cusc', 'cuse',
    'cusé', 'cusè', 'cush', 'cusi', 'cuso', 'cusp', 'cuss', 'çuss', 'cust', 'cuta',
    'cutâ', 'cute', 'çute', 'cûte', 'çûte', 'cuté', 'cutè', 'cuti', 'cuto', 'cutr',
    'cuts', 'cutt', 'cutu', 'cuum', 'cuva', 'cuvâ', 'cuve', 'cuvé', 'cuvè', 'cuvi',
    'cuvo', 'cuye', 'cuyè', 'cver', 'cyai', 'cyan', 'cyba', 'cybe', 'cybi', 'cyca',
    'cycl', 'cyço', 'cygi', 'cygn', 'cyla', 'cyle', 'cylé', 'cyli', 'cyma', 'cymb',
    'cyme', 'cymr', 'cyna', 'cyne', 'cyné', 'cyni', 'cyno', 'cyon', 'cypé', 'cyph',
    'cypo', 'cypr', 'cyqu', 'cyré', 'cyri', 'cyst', 'cyta', 'cyte', 'cyth', 'cyti',
    'cyto', 'czar', 'czém', 'czim'
    );

  //D
  F4LdMax_ = 1195;
  F4Ld_: array[1..F4LdMax_] of S016_ = (
    'dabe', 'dabi', 'dabl', 'dabo', 'dabr', 'dacc', 'dace', 'dacé', 'dach', 'daci',
    'dacn', 'dacq', 'dacr', 'dact', 'dada', 'dade', 'dael', 'dafé', 'daga', 'dage',
    'dagi', 'dagn', 'dago', 'dagr', 'dagu', 'daha', 'dahi', 'dahl', 'daho', 'daïc',
    'daie', 'daig', 'dail', 'daim', 'daïm', 'dain', 'daiq', 'daïq', 'dair', 'dais',
    'daïs', 'dait', 'daït', 'daka', 'daki', 'dala', 'dalâ', 'dale', 'dalé', 'dalè',
    'dalg', 'dali', 'dall', 'dalm', 'dalo', 'dalt', 'dama', 'damâ', 'damb', 'dame',
    'dâme', 'damé', 'damè', 'dami', 'damm', 'damn', 'damo', 'damp', 'dams', 'damu',
    'damy', 'dana', 'danc', 'danç', 'dand', 'dane', 'dané', 'dang', 'dani', 'dano',
    'dans', 'dant', 'danu', 'dape', 'daph', 'dapo', 'dapr', 'dapt', 'daqu', 'dara',
    'darb', 'darc', 'dard', 'dari', 'darm', 'darn', 'daro', 'dars', 'dart', 'darw',
    'dary', 'dasc', 'dase', 'dasq', 'dass', 'dast', 'dasy', 'data', 'datâ', 'datc',
    'date', 'dâte', 'daté', 'datè', 'dati', 'dato', 'datr', 'dâtr', 'dats', 'datt',
    'datu', 'daub', 'daud', 'daul', 'daum', 'daup',
    'daur', 'daus', 'daux', 'dava', 'dave', 'davé', 'davi', 'davr', 'daxi', 'daya',
    'daye', 'dayi', 'days', 'daze', 'dazi', 'dbal', 'dbec', 'dbru', 'dbur', 'dcat',
    'dcho', 'ddag', 'ddar', 'ddax', 'dday', 'dden', 'ddha', 'ddhi', 'ddic', 'ddie',
    'ddin', 'ddis', 'ddit', 'ddla', 'ddle', 'ddoc', 'dduc', 'ddui', 'ddyb', 'déac',
    'deal', 'déal', 'déam', 'déan', 'déat', 'deau', 'déau', 'déba', 'débâ', 'débe',
    'débé', 'débi', 'débl', 'debo', 'débo', 'débr', 'débu', 'deby', 'deca', 'déca',
    'deça', 'deçà', 'decc', 'dece', 'déce', 'décé', 'décè', 'déch', 'dèch', 'deci',
    'déci', 'deck', 'decl', 'décl', 'deco', 'déco', 'dèco', 'déço', 'decr', 'décr',
    'dect', 'decu', 'décu', 'deçu', 'déçu', 'déçû', 'deda', 'déda', 'dédi', 'dédî',
    'dédo', 'dedr', 'dédr', 'dédu', 'déel', 'déen', 'dees', 'dées', 'defa', 'défa',
    'défâ', 'defe', 'défe', 'défé', 'défè', 'defi', 'défi', 'défî', 'défl', 'défo',
    'défr', 'défu', 'dega', 'déga', 'dégâ', 'dége', 'dégé', 'dégè', 'dégi', 'dégî',
    'dégl', 'dego', 'dégo', 'degr', 'dégr', 'dégu', 'déha', 'dehi', 'déhi', 'deho',
    'dého', 'déhy', 'déic', 'deif', 'déif', 'déin', 'deiq', 'deir', 'deis', 'déis',
    'déit', 'déja', 'déjà', 'déje', 'déjo', 'deju', 'déju', 'dela', 'déla', 'delà',
    'delâ', 'délâ', 'delb', 'delc', 'deld', 'dele', 'déle', 'dèle', 'delé', 'délé',
    'delè', 'délè', 'deli', 'déli', 'dell', 'delo', 'délo', 'delp', 'dels', 'delt',
    'delu', 'délu', 'delw', 'dely', 'dema', 'déma', 'démâ', 'demb', 'deme', 'déme',
    'dème', 'demé', 'démé', 'demè', 'démè', 'démê', 'demi', 'démi', 'démî', 'demm',
    'demn', 'demo', 'démo', 'demp', 'dems', 'dému', 'démy', 'dena', 'déna', 'denc',
    'denç', 'dend', 'dene', 'déne', 'dène', 'déné', 'deng', 'deni', 'déni', 'denn',
    'deno', 'déno', 'denr', 'dens', 'dent', 'dénu', 'déoc', 'déod', 'déof', 'déog',
    'déol', 'déom', 'déon', 'déop', 'déos', 'déot', 'dépa', 'depe', 'dépe', 'dépé',
    'dépè', 'dépê', 'deph', 'déph', 'dépi', 'depl', 'dépl', 'dépo', 'dépô', 'depr',
    'dépr', 'dept', 'depu', 'dépu', 'dequ', 'déqu', 'dera', 'déra', 'dérâ', 'derb',
    'dere', 'dére', 'dère', 'deré', 'déré', 'dérè', 'derf', 'derg', 'deri', 'déri',
    'derl', 'derm', 'dern', 'dero', 'déro', 'derr', 'ders', 'dert', 'déru', 'derv',
    'désa', 'desc', 'désc', 'dese', 'dése', 'dèse', 'désé', 'désh', 'desi', 'dési',
    'desm', 'deso', 'déso', 'desp', 'desq', 'dess', 'déss', 'dest', 'dést', 'désu',
    'désy', 'déta', 'dete', 'déte', 'dète', 'dété', 'déth', 'deti', 'déti', 'détî',
    'deto', 'déto', 'détr', 'dets', 'dett', 'détu', 'deui', 'deum', 'deur', 'deus',
    'deut', 'deux', 'deuz', 'deva', 'déva', 'dêva', 'deve', 'déve', 'dève', 'dêve',
    'dévê', 'devi', 'dévi', 'devî', 'devo', 'dévo', 'devr', 'déwa', 'dexa', 'dexâ',
    'dexe', 'dexé', 'dexè', 'dexi', 'dexo', 'dext', 'deys', 'dezi', 'dgea', 'dgen',
    'dgeo', 'dger', 'dges', 'dget', 'dgét', 'dgeu', 'dgie', 'dgin', 'dgki', 'dgra',
    'dhal', 'dhas', 'dhér', 'dhèr', 'dhés', 'dhib', 'dhiq', 'dhis', 'dhom', 'dhon',
    'dhou', 'dhpu', 'dhui', 'dhyd', 'diab', 'diac', 'diad', 'diag', 'diai', 'dial',
    'diam', 'diâm', 'dian', 'diap', 'diaq', 'diar', 'dias', 'diat', 'diât', 'diau',
    'diaz', 'diba', 'dibi', 'dibl', 'dibo', 'dibr', 'dibu', 'dica', 'dice', 'dicé',
    'dich', 'dici', 'dicl', 'dicn', 'dico', 'dicr', 'dics', 'dict', 'dicu', 'dida',
    'dide', 'didé', 'didi', 'dido', 'didu', 'didy', 'dièd', 'diée', 'diél', 'diem',
    'dièm', 'dien', 'dièn', 'diep', 'dier', 'diér', 'dièr', 'dies', 'diés', 'diès',
    'diet', 'diét', 'dièt', 'dieu', 'diév', 'diez', 'dife', 'diff', 'difi', 'difo',
    'difs', 'difu', 'diga', 'dige', 'digé', 'digè', 'digi', 'digl', 'digm', 'dign',
    'digo', 'digr', 'digu', 'diho', 'diie', 'diio', 'dijo', 'dikt', 'dila', 'dile',
    'dili', 'dill', 'dilo', 'dilu', 'dima', 'dimb', 'dime', 'dîme', 'dimé', 'dimè',
    'dimi', 'dimo', 'dimu', 'dina', 'dîna', 'dinâ', 'dînâ', 'dinc', 'dind', 'dine',
    'dîne', 'diné', 'dîné', 'dinè', 'dînè', 'ding', 'dini', 'dîni', 'dino', 'dîno',
    'dins', 'dint', 'dioa', 'diob', 'dioc', 'diod', 'dioé', 'diof', 'diog', 'dioi',
    'dioï', 'dioj', 'diol', 'diom', 'dion', 'diop', 'dior', 'dios', 'diot', 'diou',
    'diov', 'diox', 'dipa', 'dipe', 'dipé', 'diph', 'dipi', 'dipl', 'dipn', 'dipo',
    'dipô', 'dips', 'dipt', 'diqu', 'dira', 'dire', 'diré', 'dirh', 'diri', 'diro',
    'disa', 'disâ', 'disc', 'dise', 'disé', 'disè', 'disg', 'dish', 'disi', 'disj',
    'disl', 'dism', 'disn', 'diso', 'disp', 'disq', 'disr', 'diss', 'dist', 'disu',
    'dita', 'ditâ', 'dite', 'dîte', 'dité', 'ditè', 'dith', 'diti', 'dito', 'ditr',
    'dits', 'dium', 'diur', 'dius', 'diva', 'divâ', 'dive', 'divé', 'divè', 'divi',
    'divo', 'divu', 'dixi', 'diza', 'dizy', 'djac', 'djah', 'djai', 'djaï', 'djak',
    'djan', 'djar', 'djat', 'djeb', 'djec', 'djel', 'djem', 'djih', 'djik', 'djin',
    'djis', 'djit', 'djla', 'djoi', 'djon', 'djud', 'djug', 'djur', 'djut', 'djuv',
    'dkas', 'dlag', 'dlan', 'dler', 'dleu', 'dman', 'dmee', 'dmen', 'dmet', 'dmia',
    'dmie', 'dmié', 'dmîm', 'dmin', 'dmir', 'dmis', 'dmit', 'dmît', 'dmiu', 'dmix',
    'dmon', 'dnap', 'dnée', 'dnom', 'dnou', 'doai', 'doal', 'doba', 'dobe', 'dobl',
    'doca', 'doce', 'docé', 'docè', 'doch', 'doci', 'dock', 'docl', 'doco', 'docr',
    'doct', 'docu', 'dode', 'dodé', 'dodi', 'dodo', 'dodu', 'dofo', 'doga', 'doge',
    'dogé', 'dogè', 'dogg', 'dogm', 'dogn', 'dogr', 'dogu', 'doïd', 'doie', 'doig',
    'doin', 'doir', 'dois', 'doit', 'doiv', 'dojo', 'doka', 'doku', 'dola', 'dolâ',
    'dolc', 'dold', 'dole', 'dolé', 'dolè', 'doli', 'doll', 'dolm', 'dolo', 'dolp',
    'dolu', 'doma', 'domb', 'dome', 'dôme', 'domé', 'domè', 'domi', 'domm', 'domo',
    'dômo', 'domp', 'domy', 'dona', 'donc', 'dond', 'done', 'doné', 'dong', 'dông',
    'doni', 'donj', 'donn', 'dono', 'donq', 'dons', 'dont', 'donv', 'dony', 'donz',
    'dopa', 'dopâ', 'dope', 'dopé', 'dopè', 'doph', 'dopi', 'dopl', 'dopo', 'dopp',
    'dops', 'dopt', 'dopy', 'doqu', 'dora', 'dorâ', 'dord', 'dore', 'doré', 'dorè',
    'dorh', 'dori', 'dorl', 'dorm', 'dorn', 'doro', 'dorp', 'dorr', 'dors', 'dort',
    'doru', 'dory', 'dosa', 'dosâ', 'dosc', 'dose', 'dosé', 'dosè', 'dosi', 'dosm',
    'doso', 'dosp', 'doss', 'dost', 'dosy', 'dota', 'dôta', 'dotâ', 'dote', 'doté',
    'dotè', 'doth', 'doti', 'doto', 'dotr', 'dots', 'dott', 'dotu', 'doua', 'douâ',
    'doub', 'douc', 'doud', 'doue', 'doué', 'douè', 'douf', 'doug', 'doui', 'douk',
    'doul', 'doum', 'doun', 'douo', 'dour', 'dous', 'dout', 'douv', 'doux', 'douz',
    'dovi', 'dovu', 'dowa', 'down', 'doxa', 'doxe', 'doxi', 'doxo', 'doxr', 'doya',
    'doyâ', 'doye', 'doyé', 'doyè', 'doyi', 'doyo', 'doze', 'drac', 'drag', 'drai',
    'drak', 'dral', 'dram', 'drâm', 'dran', 'drap', 'drar', 'dras', 'drat', 'drât',
    'drau', 'drav', 'draw', 'drax', 'dray', 'draz', 'drea', 'drec', 'drêc', 'dred',
    'drée', 'dreg', 'drèg', 'drel', 'drem', 'drém', 'dren', 'drén', 'drèn', 'drep',
    'drép', 'drer', 'drèr', 'dres', 'drés', 'drès', 'dret', 'dreu', 'drèv', 'drey',
    'drez', 'dria', 'drib', 'dric', 'drid', 'drie', 'driè', 'drif', 'drig', 'drii',
    'drij', 'dril', 'drim', 'drîm', 'drin', 'drio', 'drip', 'driq', 'drir', 'dris',
    'drit', 'drît', 'driv', 'drix', 'drob', 'droc', 'drod', 'droé', 'drof', 'drog',
    'droi', 'droï', 'drol', 'drôl', 'drom', 'drôm', 'dron', 'drop', 'droq', 'dror',
    'dros', 'drot', 'drou', 'drox', 'droy', 'droz', 'druc', 'drue', 'drug', 'drui',
    'drum', 'drup', 'drur', 'drus', 'druz', 'drya', 'dryl', 'dscr', 'dsen', 'dshi',
    'dsia', 'dsie', 'dsis', 'dsma', 'dsor', 'dspa', 'dste', 'dstr', 'dstu', 'dsur',
    'dtag', 'duai', 'dual', 'duâm', 'duan', 'duas', 'duat', 'duât', 'duau', 'dubi',
    'duca', 'duce', 'ducé', 'duch', 'duci', 'ducr', 'ducs', 'duct', 'dudg', 'duee',
    'duée', 'duèg', 'duel', 'duen', 'duer', 'duèr', 'dues', 'dués', 'duet', 'duez',
    'duff', 'duga', 'dugo', 'duie', 'duio', 'duir', 'duis', 'duit', 'dula', 'dulâ',
    'dulc', 'dulç', 'dule', 'dulé', 'dulè', 'dulg', 'duli', 'dull', 'dulo', 'dult',
    'duma', 'dume', 'dûme', 'dump', 'dums', 'dund', 'dune', 'duni', 'dunk', 'duno',
    'duod', 'duon', 'duop', 'duos', 'dupa', 'dupâ', 'dupe', 'dupé', 'dupè', 'dupi',
    'dupl', 'dupo', 'duqu', 'dura', 'durâ', 'durc', 'dure', 'duré', 'durè', 'durh',
    'duri', 'duro', 'durs', 'dusa', 'dusâ', 'duse', 'dusé', 'dusè', 'dusi', 'duso',
    'duss', 'dust', 'dute', 'dûte', 'duum', 'duve', 'duvi', 'dvec', 'dven', 'dver',
    'dvie', 'dvil', 'dvin', 'dvîn', 'dvoi', 'dwar', 'dweb', 'dweh', 'dwic', 'dwom',
    'dyad', 'dyar', 'dybe', 'dyca', 'dyge', 'dyin', 'dyke', 'dyki', 'dyla', 'dyle',
    'dyli', 'dyll', 'dylo', 'dyma', 'dyme', 'dymi', 'dyna', 'dyne', 'dyni', 'dyno',
    'dyom', 'dyon', 'dype', 'dyph', 'dyps', 'dysa', 'dysb', 'dysc', 'dyse', 'dysf',
    'dysg', 'dysh', 'dysi', 'dysk', 'dysl', 'dysm', 'dysn', 'dyso', 'dysp', 'dyss',
    'dyst', 'dysu', 'dyte', 'dyti', 'dzét', 'dzêt', 'dzin', 'dzol', 'dzou'
    );

  //E
  F4LeMax_ = 3998;
  F4Le_: array[1..F4LeMax_] of S016_ = (
    'eabe', 'eabi', 'éabi', 'eabl', 'éabl', 'éabo', 'éabs', 'éacc', 'éace', 'eacé',
    'éacé', 'each', 'éach', 'éaci', 'eaco', 'éacq', 'eact', 'éact', 'éada', 'eade',
    'éade', 'eadm', 'éadm', 'eadn', 'eado', 'éado', 'eady', 'éaff', 'eaga', 'eage',
    'éage', 'éagè', 'éagi', 'éagî', 'eagl', 'éago', 'éagr', 'eaie', 'éaie', 'eail',
    'éair', 'eais', 'éais', 'eait', 'éait', 'éaju', 'eake', 'eakf', 'eaks', 'éala',
    'ealb', 'eale', 'éale', 'éalé', 'éalè', 'éalg', 'éali', 'éall', 'éalo', 'éalp',
    'eals', 'éals', 'éamb', 'eame', 'éame', 'eâme', 'éâme', 'éamé', 'éamè', 'eamm',
    'éamo', 'éamp', 'éana', 'eanc', 'éanc', 'eand', 'éand', 'éane', 'éani', 'éanm',
    'eann', 'éann', 'éano', 'eans', 'éans', 'eant', 'éant', 'eapp', 'éapp', 'éapr',
    'eara', 'éara', 'earc', 'éarc', 'eare', 'éare', 'éarg', 'eari', 'éari', 'earl',
    'éarm', 'éarn', 'éarr', 'eart', 'éary', 'easc', 'ease', 'éase', 'easi', 'eass',
    'éass', 'east', 'éast', 'éasy', 'éata', 'eate', 'éate', 'eâte', 'éâte', 'eati',
    'éati', 'eatl', 'eatn', 'eato', 'éato', 'éatr', 'eâtr', 'éâtr', 'eats', 'éats',
    'eatu', 'éatu', 'eaub', 'eauc', 'eaud', 'eauf', 'eauj', 'eaul', 'eaum', 'éaum',
    'eaun', 'eaup', 'eaur', 'eaus', 'eaut', 'éaut', 'eauv', 'eaux', 'éaux', 'eavi',
    'éavi', 'ebab', 'ebac', 'ébac', 'ébâc', 'ébag', 'ébah', 'ebai', 'ébai', 'ebâi',
    'ébâi', 'ébaï', 'ebal', 'ébal', 'eban', 'éban', 'ebap', 'ébap', 'ebar', 'ébar',
    'ebas', 'ébas', 'ebat', 'ébat', 'ebât', 'ébât', 'ebau', 'ébau', 'ébav', 'ebdo',
    'ebea', 'ebec', 'ébec', 'ébéc', 'ebée', 'ébéi', 'ebek', 'ebel', 'ébel', 'ebél',
    'ében', 'ébén', 'ébèn', 'ébép', 'ébeq', 'ébéq', 'eber', 'éber', 'èbes', 'ébés',
    'ebet', 'ébet', 'ébét', 'ébêt', 'ébic', 'ébid', 'ébie', 'ebiè', 'ebif', 'ébig',
    'ébil', 'ebin', 'ébin', 'ébio', 'ebiq', 'ébiq', 'ebir', 'ébir', 'ebis', 'ébis',
    'ébit', 'ebka', 'ebkh', 'ebla', 'ébla', 'eble', 'éble', 'èble', 'eblo', 'éblo',
    'eboa',
    'ebob', 'ébob', 'ébog', 'eboi', 'éboi', 'éboî', 'éboï', 'ébol', 'ebon', 'ébon',
    'ebor', 'ébor', 'ebos', 'ébos', 'ebot', 'ébot', 'ebou', 'ébou', 'ebra', 'ébra',
    'ébrâ', 'ebre', 'ébre', 'èbre', 'ebré', 'ébré', 'ébrè', 'ebri', 'ébri', 'ebro',
    'ébro', 'ebru', 'ébru', 'ebrû', 'ebua', 'ébuc', 'ébud', 'ebuf', 'ebul', 'ébul',
    'ébum', 'ébur', 'ebus', 'ébus', 'ebut', 'ébut', 'ebvi', 'ebwi', 'ebye', 'ecab',
    'écab', 'ecac', 'écac', 'ecad', 'écad', 'écaè', 'ecaf', 'écaf', 'écag', 'eçag',
    'éçag', 'ecai', 'écai', 'eçai', 'écaï', 'ecal', 'écal', 'ecam', 'écam', 'eçâm',
    'ecan', 'écan', 'eçan', 'éçan', 'écap', 'ecar', 'écar', 'ecas', 'écas', 'eças',
    'ecat', 'écat', 'eçat', 'eçât', 'ecau', 'écau', 'ecav', 'écav', 'ecba', 'ecca',
    'écca', 'ecce', 'eccé', 'ecch', 'ecci', 'eccl', 'éccl', 'eccy', 'ecdo', 'ecdy',
    'eced', 'éced', 'ecéd', 'écéd', 'ecèd', 'écèd', 'ecée', 'écée', 'écei', 'ecel',
    'écel', 'ecél', 'écél', 'ecèl', 'écèl', 'écem', 'ècem', 'ecen', 'écen', 'ècen',
    'écén', 'écèn', 'ecep', 'écep', 'ecép', 'écép', 'ecèp', 'ecer', 'écer', 'ècer',
    'écér', 'ecèr', 'éces', 'èces', 'ecés', 'écés', 'ecès', 'écès', 'ecet', 'écet',
    'eceu', 'éceu', 'ecev', 'écev', 'ecez', 'ecfi', 'echa', 'écha', 'êcha', 'echâ',
    'échâ', 'êchâ', 'echb', 'eche', 'éche', 'èche', 'êche', 'éché', 'êché', 'echè',
    'échè', 'êchè', 'echg', 'echi', 'échi', 'êchi', 'échî', 'échl', 'echn', 'echo',
    'écho', 'ècho', 'êcho', 'echr', 'échr', 'echs', 'echt', 'echu', 'échu', 'échû',
    'écia', 'éciâ', 'écib', 'ecid', 'écid', 'ecie', 'écie', 'écié', 'eciè', 'éciè',
    'ecif', 'écif', 'ecig', 'écig', 'écii', 'ecil', 'écil', 'ecim', 'écim', 'écîm',
    'ecin', 'écin', 'ecio', 'écio', 'ecip', 'écip', 'écir', 'ecis', 'écis', 'ecit',
    'écit', 'écît', 'éciu', 'ecke', 'ecki', 'ecko', 'ecks', 'ecla', 'écla', 'ecle',
    'écle', 'ècle', 'éclé', 'ecli', 'écli', 'eclo', 'éclo', 'éclô', 'eclu', 'éclu',
    'ecmn', 'ecno', 'écoa', 'écob', 'écoc', 'écod', 'ecoe', 'écoe', 'écof', 'ecog',
    'écog', 'écoh', 'ecoi', 'écoi', 'eçoi', 'éçoi', 'ecol', 'écol', 'ecom', 'écom',
    'econ', 'écon', 'ècon', 'eçon', 'ecop', 'écop', 'ecoq', 'ecor', 'écor', 'écos',
    'Écos', 'écot', 'ecôt', 'ecou', 'écou', 'ècou', 'ecqu', 'ecra', 'écra', 'écrâ',
    'ecre', 'écre', 'ècre', 'ecré', 'écré', 'ecrè', 'écrè', 'ecrê', 'écrê', 'ecri',
    'écri', 'ècri', 'ecro', 'écro', 'ecru', 'écru', 'ecrû', 'écrû', 'écry', 'ecta',
    'ectâ', 'ecte', 'ecté', 'ectè', 'ecth', 'ecti', 'ecto', 'ectr', 'ects', 'ectu',
    'ecty', 'écub', 'ecue', 'écue', 'eçue', 'éçue', 'ecui', 'écui', 'ecul', 'écul',
    'ecum', 'écum', 'eçum', 'écûm', 'eçûm', 'éçûm', 'ecun', 'écun', 'ecup', 'écup',
    'écur', 'eçur', 'éçur', 'ecus', 'écus', 'eçus', 'éçus', 'ecut', 'écut', 'eçut',
    'éçut', 'écût', 'eçût', 'éçût', 'écuv', 'écuy', 'ecyc', 'ecyç', 'écyp', 'écys',
    'écyt', 'eczé', 'éczé', 'édab', 'édac', 'édag', 'edai', 'édai', 'edal', 'édal',
    'edam', 'édam', 'édâm', 'edan', 'édan', 'édap', 'edar', 'édar', 'édas', 'édat',
    'édât', 'eday', 'edaz', 'edda', 'eddi', 'eddy', 'edea', 'édec', 'edéc', 'édéc',
    'edée', 'édée', 'edef', 'edéf', 'édéf', 'édég', 'edel', 'édel', 'édél', 'edem',
    'édem', 'èdem', 'edém', 'édém', 'edèm', 'eden', 'éden', 'èden', 'édén', 'edép',
    'eder', 'éder', 'èder', 'édér', 'édèr', 'edes', 'édes', 'èdes', 'édés', 'édès',
    'edet', 'édet', 'édét', 'édeu', 'edev', 'edév', 'edex', 'édez', 'édhi', 'edia',
    'édia', 'édiâ', 'edib', 'édib', 'edic', 'édic', 'edie', 'édie', 'edié', 'édié',
    'édiè', 'edif', 'édif', 'edig', 'édig', 'édii', 'edil', 'édil', 'edim', 'édim',
    'edîm', 'édîm', 'edin', 'édin', 'edio', 'édio', 'edip', 'édip', 'édiq', 'edir',
    'édir', 'edis', 'édis', 'edit', 'édit', 'edît', 'édît', 'ediu', 'édiu', 'ediv',
    'édiv', 'edmo', 'édoa', 'edoc', 'édoc', 'edog', 'édog', 'edoi', 'édoi', 'edol',
    'édol', 'edom', 'édom', 'edon', 'édon', 'édop', 'edoq', 'édoq', 'edor', 'édor',
    'edos', 'édos', 'édot', 'edou', 'édou', 'édow', 'edox', 'édox', 'edoz', 'edra',
    'édra', 'edre', 'édre', 'èdre', 'edri', 'édri', 'èdri', 'edro', 'édro', 'educ',
    'éduc', 'edue', 'édui', 'edul', 'édul', 'edum', 'édum', 'edûm', 'édup', 'éduq',
    'edur', 'édur', 'edus', 'édus', 'edûs', 'edut', 'edût', 'éduv', 'édyn', 'edzo',
    'eech', 'ééco', 'eecr', 'éécr', 'eede', 'eedi', 'éédi', 'eeds', 'éédu', 'éées',
    'eefs', 'ééha', 'eela', 'ééle', 'eeli', 'éeli', 'ééli', 'éell', 'éels', 'éélu',
    'éélû', 'éemb', 'éeme', 'ééme', 'éemi', 'éémi', 'éemo', 'éemp', 'eena', 'éenc',
    'eene', 'eené', 'éeng', 'éenn', 'éenq', 'eens', 'éens', 'eent', 'éent', 'eepi',
    'eepl', 'eeps', 'ééqu', 'éera', 'éere', 'éère', 'eeri', 'éeri', 'éerl', 'éero',
    'eers', 'éesc', 'eesh', 'eesi', 'éess', 'ééta', 'eete', 'eeth', 'eeti', 'éétu',
    'éeur', 'éeus', 'éeux', 'éeva', 'ééva', 'éexa', 'eexc', 'éexc', 'éexi', 'éexp',
    'eeze', 'efab', 'éfab', 'efac', 'éfac', 'éfâc', 'efaç', 'éfaç', 'efai', 'éfai',
    'éfal', 'éfan', 'efar', 'éfar', 'efas', 'éfas', 'éfat', 'éfau', 'éfav', 'éfec',
    'éféc', 'efel', 'éfém', 'efen', 'éfen', 'éféq', 'éfèq', 'efer', 'éfer', 'éfér',
    'éfèr', 'efes', 'éfet', 'éfèt', 'efeu', 'éfeu', 'effa', 'effâ', 'effe', 'effé',
    'effè', 'effi', 'effl', 'effo', 'effr', 'effu', 'éfia', 'éfiâ', 'éfib', 'efic',
    'éfic', 'efie', 'éfie', 'éfié', 'éfiè', 'éfig', 'éfii', 'efil', 'éfil', 'efîm',
    'éfîm', 'efin', 'éfin', 'éfio', 'éfiq', 'efir', 'éfir', 'efis', 'éfis', 'efit',
    'éfit', 'efît', 'éfît', 'éfix', 'efje', 'éfla', 'efle', 'éfle', 'èfle', 'eflé',
    'éflé', 'eflè', 'éfli', 'eflo', 'éflo', 'eflu', 'éflu', 'efoi', 'efol', 'éfol',
    'efon', 'éfon', 'efor', 'éfor', 'efou', 'éfou', 'efra', 'éfra', 'efre', 'efré',
    'éfré', 'efrè', 'éfrè', 'efri', 'éfri', 'efro', 'éfro', 'efru', 'éfru', 'efst',
    'efta', 'efug', 'éfug', 'efui', 'efuî', 'éfun', 'efus', 'efut', 'éfut', 'efuy',
    'efuz', 'égab', 'égac', 'egag', 'égag', 'égah', 'egai', 'égai', 'égaj', 'egal',
    'égal', 'egam', 'égam', 'égan', 'égao', 'égap', 'egar', 'égar', 'égas', 'egat',
    'égat', 'égât', 'égau', 'égaw', 'égay', 'egaz', 'égaz', 'egea', 'égea', 'égeâ',
    'égée', 'egel', 'égel', 'égél', 'egèl', 'égèl', 'egem', 'égem', 'ègem', 'égém',
    'egen', 'égen', 'ègen', 'égén', 'egeo', 'égeo', 'égep', 'égép', 'eger', 'éger',
    'èger', 'égér', 'égèr', 'eges', 'éges', 'èges', 'égés', 'égès', 'eget', 'égét',
    'égèt', 'egeu', 'égeu', 'égez', 'egga', 'egge', 'eggi', 'eghi', 'egho', 'égia',
    'égiâ', 'égic', 'égid', 'egie', 'égie', 'égié', 'égiè', 'égif', 'égii', 'egim',
    'égim', 'égîm', 'egin', 'égin', 'égio', 'égiq', 'egir', 'égir', 'egis', 'égis',
    'egit', 'égit', 'égît', 'égiv', 'egla', 'égla', 'églâ', 'égle', 'ègle', 'eglé',
    'églé', 'églè', 'égli', 'églo', 'églu', 'egma', 'egme', 'egmo', 'égna', 'égnâ',
    'égne', 'ègne', 'égné', 'égnè', 'égni', 'égno', 'égob', 'egoc', 'égoc', 'égod',
    'egoh', 'égoh', 'égoi', 'égoï', 'égol', 'egom', 'égom', 'egon', 'égon', 'egor',
    'égor', 'egos', 'égos', 'égot', 'egou', 'égou', 'égoû', 'égov', 'egra', 'égra',
    'égrâ', 'egre', 'égre', 'ègre', 'egré', 'égré', 'egrè', 'égrè', 'egri', 'égri',
    'egro', 'égro', 'egru', 'égru', 'egua', 'égua', 'éguâ', 'egue', 'égue', 'ègue',
    'égué', 'éguè', 'éguë', 'egui', 'égui', 'egul', 'égul', 'egum', 'égum', 'egun',
    'égun', 'éguo', 'egur', 'égur', 'egus', 'égus', 'égyp', 'égyr', 'ehab', 'éhab',
    'ehai', 'éhaï', 'ehal', 'éhal', 'éhan', 'ehar', 'éhar', 'ehau', 'ehav', 'éhav',
    'éhel', 'ehem', 'éhém', 'ehen', 'éhen', 'éhér', 'éhic', 'ehil', 'ehis', 'éhis',
    'ehlv', 'ehmi', 'ehne', 'éhob', 'éhom', 'éhon', 'ehor', 'ehou', 'éhou', 'éhov',
    'éhyd', 'éhyp', 'eiad', 'éiad', 'éiag', 'éian', 'eice', 'eich', 'éici', 'éico',
    'éict', 'éicu', 'eida', 'eide', 'éide', 'eidé', 'éidé', 'eido', 'éido', 'eidu',
    'éien', 'éier', 'eièr', 'éièr', 'éies', 'éieu', 'éiez', 'éifè', 'eiff', 'eifi',
    'éifi', 'eifo', 'éifo', 'eige', 'eigé', 'eigè', 'eigh', 'eigi', 'eigl', 'eign',
    'eïji', 'eikh', 'eiks', 'eili', 'éili', 'eill', 'eils', 'eima', 'eime', 'éîme',
    'eimp', 'éimp', 'eims', 'eina', 'éina', 'einâ', 'einb', 'éinc', 'eind', 'éind',
    'eine', 'éine', 'einé', 'éiné', 'einè', 'éinf', 'eing', 'eini', 'éini', 'eino',
    'éino', 'einq', 'eins', 'éins', 'eint', 'éint', 'einu', 'éinu', 'éinv', 'éiol',
    'éiom', 'eion', 'éion', 'eiop', 'éios', 'éiot', 'eipz', 'eiqu', 'éiqu', 'eira',
    'éira', 'eïra', 'eire', 'éire', 'éiri', 'eiro', 'éiro', 'éisa', 'éisâ', 'éise',
    'éisé', 'éisè', 'eish', 'eisi', 'éisi', 'eism', 'éism', 'eiso', 'éiso', 'eiss',
    'éiss', 'eist', 'éist', 'éita', 'eite', 'éite', 'éîte', 'éité', 'éitè', 'eith',
    'eiti', 'eïti', 'eitm', 'eîtr', 'eits', 'éitt', 'eiza', 'eize', 'eizi', 'éjac',
    'éjad', 'ejai', 'ejam', 'éjan', 'ejar', 'éjar', 'éjau', 'éjàv', 'éjea', 'ejec',
    'éjec', 'éjer', 'ejet', 'éjet', 'éjeu', 'ejoi', 'éjoi', 'ejol', 'éjor', 'ejos',
    'ejou', 'éjou', 'éjuc', 'éjud', 'éjug', 'ejui', 'éjun', 'ejur', 'éjus', 'ekan',
    'ékan', 'ékas', 'ekel', 'eken', 'éken', 'ekhi', 'ékin', 'ékis', 'ekki', 'ekko',
    'ekou', 'ekto', 'elab', 'élab', 'elac', 'élac', 'elâc', 'elaç', 'élaç', 'elad',
    'élad', 'elae', 'élae', 'elag', 'élag', 'êlag', 'elai', 'élai', 'èlai', 'êlai',
    'élaï', 'elam', 'élam', 'elâm', 'élâm', 'êlâm', 'elan', 'élan', 'êlan', 'elap',
    'elar', 'élar', 'elas', 'élas', 'êlas', 'elat', 'élat', 'elât', 'élât', 'êlât',
    'elau', 'elav', 'élav', 'elax', 'elay', 'élay', 'elba', 'elbe', 'elbo', 'elbr',
    'elca', 'elch', 'elco', 'elcr', 'elcy', 'eldo', 'elds', 'eldt', 'eldw', 'elea',
    'éléa', 'eleb', 'éléb', 'élèb', 'elec', 'élec', 'éléc', 'êléc', 'éléd', 'elee',
    'elée', 'élée', 'êlée', 'éléf', 'eleg', 'éleg', 'elég', 'élég', 'elèg', 'élèg',
    'elei', 'éléi', 'éléj', 'élék', 'elel', 'elem', 'élem', 'èlem', 'êlem', 'élém',
    'elen', 'élen', 'èlen', 'êlen', 'élén', 'élèn', 'éléo', 'élép', 'eler', 'éler',
    'èler', 'êler', 'elér', 'élér', 'elèr', 'élèr', 'êlèr', 'eles', 'éles', 'èles',
    'êles', 'elés', 'élés', 'êlés', 'elet', 'élet', 'élét', 'eleu', 'éleu', 'êleu',
    'elev', 'élev', 'élév', 'elèv', 'élèv', 'élex', 'elez', 'élez', 'êlez', 'élèz',
    'elfe', 'elfo', 'elfs', 'elga', 'elge', 'elgi', 'elgu', 'elho', 'elia', 'élia',
    'eliâ', 'éliâ', 'elib', 'élib', 'elic', 'élic', 'elid', 'élid', 'elie', 'élie',
    'êlie', 'elié', 'élié', 'eliè', 'éliè', 'elif', 'élif', 'elig', 'élig', 'elii',
    'élii', 'élil', 'élim', 'elîm', 'elin', 'élin', 'elio', 'élio', 'êlio', 'élip',
    'eliq', 'éliq', 'elir', 'élir', 'elis', 'élis', 'elit', 'élit', 'elît', 'élît',
    'eliu', 'éliu', 'eliv', 'éliv', 'elix', 'élix', 'elka', 'elki', 'ella', 'ellâ',
    'elle', 'ellé', 'éllé', 'ellè', 'elli', 'ellî', 'ello', 'ells', 'ellu', 'elme',
    'elmi', 'elna', 'élob', 'eloc', 'éloc', 'elod', 'élod', 'eloe', 'éloé', 'elog',
    'élog', 'eloi', 'éloi', 'êloi', 'eloï', 'éloï', 'élol', 'elom', 'élom', 'elon',
    'élon', 'êlon', 'elop', 'élop', 'eloq', 'éloq', 'élor', 'elos', 'élos', 'elot',
    'élot', 'elou', 'élou', 'elov', 'élov', 'éloy', 'elpe', 'elph', 'elqu', 'elqú',
    'elro', 'elsa', 'elsc', 'elsi', 'elso', 'elst', 'elta', 'elte', 'elté', 'elti',
    'elto', 'eltr', 'elts', 'eltz', 'eluc', 'éluc', 'élud', 'elue', 'élue', 'elug',
    'élug', 'elui', 'élui', 'eluk', 'élul', 'elum', 'élum', 'elûm', 'élûm', 'elun',
    'eluq', 'elur', 'élur', 'êlur', 'elus', 'élus', 'elut', 'élut', 'elût', 'élût',
    'éluv', 'elux', 'elva', 'elve', 'elvé', 'elvè', 'elvi', 'elvo', 'elwe', 'elys',
    'élys', 'elyt', 'élyt', 'elzé', 'emââ', 'emac', 'émac', 'emâc', 'émaç', 'emag',
    'émag', 'emai', 'émai', 'emaî', 'émaï', 'emak', 'emal', 'émal', 'emâm', 'eman',
    'éman', 'émao', 'émap', 'emaq', 'émaq', 'emar', 'émar', 'emas', 'émas', 'emat',
    'émat', 'emât', 'émât', 'émau', 'émaz', 'emba', 'embâ', 'embe', 'embé', 'embê',
    'embi', 'embl', 'embo', 'embr', 'embu', 'embû', 'émea', 'éméc', 'émèc', 'émêc',
    'eméd', 'éméd', 'emèd', 'emée', 'émée', 'éméi', 'emel', 'émel', 'emêl', 'émêl',
    'emem', 'émem', 'èmem', 'êmem', 'emém', 'émèm', 'emen', 'émen', 'èmen', 'émén',
    'émèn', 'emer', 'émer', 'èmer', 'emér', 'émér', 'emèr', 'émèr', 'emes', 'émes',
    'èmes', 'êmes', 'emés', 'émés', 'émès', 'emet', 'émet', 'èmet', 'emét', 'émét',
    'emèt', 'émèt', 'emeu', 'émeu', 'emez', 'émez', 'emia', 'émia', 'émiâ', 'emic',
    'émic', 'émid', 'emie', 'émie', 'êmie', 'emié', 'émié', 'emiè', 'émiè', 'emig',
    'émig', 'émii', 'emil', 'émil', 'emîm', 'émîm', 'êmîm', 'emin', 'émin', 'emio',
    'émio', 'émip', 'émiq', 'emir', 'émir', 'êmir', 'emis', 'émis', 'êmis', 'emit',
    'émit', 'êmit', 'emît', 'émît', 'êmît', 'emiu', 'émiu', 'émix', 'émiz', 'emli',
    'emma', 'emmâ', 'emme', 'emmé', 'emmè', 'emmê', 'emmi', 'emmo', 'emms', 'emmu',
    'emna', 'emne', 'emni', 'emno', 'emnt', 'emob', 'émob', 'emoc', 'émoc', 'emod',
    'émod', 'emog', 'émog', 'emoi', 'émoi', 'emol', 'émol', 'emom', 'émom', 'emon',
    'émon', 'emop', 'émop', 'emor', 'émor', 'emos', 'émos', 'emot', 'émot', 'emou',
    'émou', 'empa', 'empâ', 'empe', 'empé', 'empè', 'empê', 'emph', 'empi', 'empl',
    'empo', 'empr', 'emps', 'empt', 'empu', 'empy', 'emro', 'emst', 'emto', 'emua',
    'emuâ', 'emue', 'émue', 'emué', 'emuè', 'emug', 'emui', 'emul', 'émul', 'emum',
    'émûm', 'emun', 'émun', 'emuo', 'emur', 'émur', 'emus', 'émus', 'émut', 'émût',
    'emvi', 'émys', 'émyt', 'enab', 'énab', 'enac', 'énac', 'enâc', 'enaç', 'enad',
    'énad', 'enag', 'énag', 'enâg', 'enai', 'énai', 'ênai', 'enaî', 'énaï', 'énak',
    'enal', 'énal', 'enam', 'énam', 'enâm', 'énâm', 'ênâm', 'enan', 'énan', 'ênan',
    'enap', 'enaq', 'enar', 'énar', 'enas', 'énas', 'ênas', 'enat', 'énat', 'enât',
    'énât', 'ênât', 'enau', 'énau', 'énav', 'enay', 'enaz', 'énaz', 'enca', 'ença',
    'ençâ', 'ence', 'encé', 'encè', 'ench', 'enci', 'encl', 'enco', 'enço', 'encr',
    'encu', 'ency', 'enda', 'endâ', 'ende', 'endé', 'endè', 'endê', 'endh', 'endi',
    'endî', 'endo', 'endô', 'endr', 'ends', 'endu', 'endv', 'endy', 'endz', 'enea',
    'énea', 'ênea', 'énéa', 'eneb', 'énéb', 'énèb', 'enec', 'énec', 'énéc', 'éneç',
    'ened', 'énéd', 'enee', 'enée', 'énée', 'ênée', 'énef', 'énéf', 'eneg', 'éneg',
    'enég', 'énég', 'eneh', 'enei', 'énei', 'énéi', 'enel', 'énel', 'énél', 'enem',
    'énem', 'ènem', 'ênem', 'éném', 'enen', 'ènen', 'ênen', 'énén', 'énéo', 'enep',
    'enép', 'énép', 'ener', 'éner', 'èner', 'êner', 'énér', 'enèr', 'énèr', 'ênèr',
    'enes', 'énes', 'ènes', 'ênes', 'enés', 'énés', 'ênés', 'enès', 'énès', 'enet',
    'énet', 'ènet', 'enét', 'énét', 'énèt', 'enêt', 'eneu', 'éneu', 'êneu', 'enev',
    'énev', 'ènev', 'enév', 'énév', 'enèv', 'enex', 'enez', 'énez', 'ênez', 'enéz',
    'énéz', 'enfa', 'enfe', 'enfi', 'enfl', 'enfo', 'enfr', 'enfu', 'enfû', 'enga',
    'enge', 'engé', 'engè', 'engi', 'engl', 'engo', 'engr', 'engs', 'engu', 'enha',
    'enhe', 'enhi', 'énhy', 'enia', 'énia', 'eniâ', 'éniâ', 'énib', 'enic', 'énic',
    'enid', 'énid', 'enie', 'énie', 'ênie', 'enié', 'énié', 'eniè', 'éniè', 'enif',
    'énif', 'énig', 'enii', 'énii', 'enil', 'énil', 'enim', 'énim', 'énîm', 'enin',
    'énin', 'enio', 'énio', 'ênio', 'enip', 'énip', 'eniq', 'éniq', 'enir', 'énir',
    'enis', 'énis', 'enit', 'énit', 'énît', 'eniu', 'éniu', 'eniv', 'éniv', 'enix',
    'énix', 'enja', 'enje', 'enjo', 'enjô', 'enju', 'enka', 'enké', 'enki', 'enkl',
    'enky', 'enla', 'enle', 'enlè', 'enli', 'enlu', 'enna', 'énna', 'ennâ', 'enne',
    'enné', 'ennè', 'enni', 'ennn', 'enno', 'enns', 'ennu', 'enny', 'enob', 'énob',
    'énoc', 'enod', 'énod', 'enog', 'énog', 'énoh', 'enoi', 'énoi', 'enoî', 'enoï',
    'énoï', 'enol', 'énol', 'enom', 'énom', 'enon', 'énon', 'ênon', 'enop', 'énop',
    'enor', 'énor', 'enos', 'énos', 'enot', 'énot', 'enôt', 'enou', 'énou', 'enov',
    'énov', 'enoy', 'énoy', 'énoz', 'enpr', 'enqu', 'enra', 'enre', 'enré', 'enrê',
    'enrh', 'enri', 'enro', 'enrô', 'enru', 'enry', 'ensa', 'ensâ', 'ensc', 'ense',
    'ensé', 'ensè', 'ensi', 'ënsi', 'enso', 'ensp', 'enst', 'ensu', 'enta', 'entâ',
    'entb', 'ente', 'enté', 'entè', 'entê', 'entg', 'enth', 'enti', 'entî', 'entl',
    'ento', 'entô', 'entr', 'ents', 'entu', 'entz', 'enua', 'énua', 'énuâ', 'énub',
    'enuc', 'énuc', 'énud', 'enue', 'énue', 'enué', 'énué', 'énuè', 'énuf', 'enug',
    'enui', 'énui', 'enul', 'énul', 'énum', 'énuo', 'énup', 'énuq', 'enur', 'énur',
    'enus', 'énus', 'enut', 'énut', 'enva', 'enve', 'envi', 'envî', 'envo', 'envu',
    'enya', 'énya', 'enyl', 'ényl', 'enza', 'enzé', 'enzè', 'enzi', 'enzo', 'enzy',
    'éoas', 'éoau', 'éoba', 'éobi', 'éobj', 'éobl', 'éobo', 'éobr', 'eoca', 'éoca',
    'éocâ', 'éocc', 'eoce', 'éoce', 'éocè', 'eoch', 'éoch', 'éocl', 'eoco', 'éoco',
    'éocr', 'éoda', 'éode', 'éodé', 'éodi', 'éodo', 'éodu', 'eody', 'éody', 'éoéc',
    'éoed', 'éoél', 'eoff', 'éofo', 'éofr', 'éofu', 'eoge', 'éoge', 'éogé', 'éogè',
    'eogn', 'éogn', 'éogo', 'eogr', 'éogr', 'éohi', 'eoid', 'éoïd', 'eoie', 'eoir',
    'eois', 'éoka', 'eola', 'éola', 'éolâ', 'eole', 'éole', 'eôle', 'éôle', 'eolé',
    'éolé', 'éolè', 'eoli', 'éoli', 'eôli', 'eolo', 'éolo', 'éoly', 'eoma', 'éoma',
    'eome', 'éome', 'éomé', 'éomè', 'éomi', 'eomo', 'éomo', 'éomy', 'éona', 'eone',
    'éone', 'éoné', 'eoni', 'éoni', 'eonn', 'éono', 'eons', 'éons', 'eont', 'éont',
    'éonu', 'eony', 'éopa', 'éopâ', 'eope', 'éopé', 'eoph', 'éoph', 'éopi', 'eopl',
    'éopl', 'éopo', 'eopr', 'éopr', 'éops', 'éopt', 'eora', 'éora', 'éorb', 'éorc',
    'éord', 'éore', 'éoré', 'éorè', 'eorg', 'éorg', 'éori', 'éoro', 'éorr', 'éosa',
    'eosc', 'éosc', 'eose', 'éose', 'éosé', 'eosi', 'éosi', 'éoso', 'éosp', 'éost',
    'éosy', 'eota', 'éota', 'eote', 'éote', 'éoté', 'éotè', 'eoth', 'éoth', 'éoti',
    'éoto', 'eotr', 'éotr', 'eots', 'eott', 'éott', 'eoty', 'éoty', 'éoul', 'éout',
    'éouv', 'éovi', 'eoxe', 'eoya', 'eoyâ', 'eoye', 'eoyé', 'eoyè', 'eoyi', 'eoyo',
    'éozo', 'épab', 'epac', 'épac', 'epag', 'épag', 'êpag', 'epai', 'épai', 'êpai',
    'epaî', 'epal', 'épal', 'épam', 'êpâm', 'epan', 'épan', 'êpan', 'épaq', 'epar',
    'épar', 'epas', 'épas', 'êpas', 'epat', 'épat', 'êpât', 'epau', 'épau', 'epav',
    'épav', 'epay', 'épay', 'épea', 'epec', 'épec', 'épèc', 'epêc', 'épêc', 'épeç',
    'épée', 'êpée', 'epei', 'épei', 'épéi', 'épel', 'êpel', 'épèl', 'epen', 'épen',
    'èpen', 'êpen', 'épén', 'épép', 'eper', 'éper', 'êper', 'epér', 'épér', 'epèr',
    'épèr', 'êpèr', 'èpes', 'êpes', 'êpés', 'epet', 'épet', 'épét', 'epèt', 'épèt',
    'épêt', 'epeu', 'épeu', 'epex', 'êpez', 'epha', 'épha', 'ephe', 'èphe', 'éphé',
    'éphè', 'ephi', 'éphi', 'éphl', 'epho', 'épho', 'ephr', 'éphr', 'epht', 'épht',
    'éphy', 'epia', 'épia', 'épiâ', 'epib', 'epic', 'épic', 'épiç', 'epid', 'épid',
    'epie', 'épie', 'êpie', 'épié', 'épiè', 'êpiè', 'epig', 'épig', 'épii', 'épil',
    'épim', 'épîm', 'epin', 'épin', 'épio', 'êpio', 'epip', 'épip', 'Épip', 'epiq',
    'épiq', 'epir', 'épir', 'epis', 'épis', 'epit', 'épit', 'épît', 'épiz', 'epla',
    'épla', 'eplâ', 'éplâ', 'eple', 'éplé', 'eplè', 'epli', 'épli', 'eplo', 'éplo',
    'éplu', 'éplû', 'épod', 'époé', 'epoi', 'époi', 'epol', 'épol', 'epon', 'épon',
    'êpon', 'epop', 'épop', 'époq', 'epor', 'épor', 'epos', 'épos', 'epot', 'épot',
    'epôt', 'épôt', 'epou', 'épou', 'épox', 'eppa', 'eppe', 'eppi', 'eppo', 'épra',
    'epre', 'épre', 'èpre', 'êpre', 'epré', 'épré', 'epri', 'épri', 'eprî', 'éprî',
    'epro', 'épro', 'epsa', 'epse', 'epsi', 'epso', 'epst', 'epsy', 'épsy', 'epta',
    'eptâ', 'epte', 'epté', 'eptè', 'epti', 'eptm', 'epto', 'eptr', 'epts', 'eptu',
    'epub', 'épub', 'épuc', 'épuç', 'épud', 'epue', 'épue', 'êpue', 'épug', 'epui',
    'épui', 'epul', 'épul', 'épur', 'êpur', 'epus', 'épus', 'eput', 'éput', 'epyo',
    'épyo', 'equa', 'équa', 'équâ', 'eque', 'éque', 'èque', 'êque', 'equé', 'équé',
    'équè', 'equê', 'equi', 'équi', 'equî', 'equo', 'équo', 'erab', 'érab', 'erac',
    'érac', 'erad', 'érad', 'eraé', 'éraf', 'erag', 'érag', 'erai', 'érai', 'eral',
    'éral', 'eram', 'éram', 'erâm', 'érâm', 'eran', 'éran', 'erap', 'érap', 'erar',
    'érar', 'eras', 'éras', 'erat', 'érat', 'erât', 'érât', 'erau', 'érau', 'erav',
    'eray', 'éray', 'eraz', 'erba', 'erbâ', 'erbe', 'erbé', 'erbè', 'erbi', 'erbl',
    'erbo', 'erbr', 'erbu', 'erby', 'erca', 'erça', 'erçâ', 'erce', 'ercé', 'ercè',
    'erch', 'erci', 'ercl', 'ercn', 'erco', 'erço', 'ercr', 'ercs', 'ercu', 'erçu',
    'erçû', 'ercy', 'erda', 'erdâ', 'erde', 'erdé', 'erdi', 'erdî', 'erdo', 'erdr',
    'erds', 'erdu', 'erea', 'érea', 'éréa', 'ereb', 'éréb', 'érèb', 'erec', 'érec',
    'éréc', 'ered', 'éréd', 'erée', 'érée', 'eref', 'éréf', 'érég', 'érèg', 'erei',
    'érei', 'éréi', 'erel', 'érel', 'érél', 'erem', 'érem', 'èrem', 'erém', 'érém',
    'érèm', 'èrèm', 'eren', 'éren', 'èren', 'érén', 'érèn', 'ereo', 'éreo', 'éréo',
    'erep', 'érep', 'erép', 'érép', 'éréq', 'erer', 'érer', 'érér', 'erèr', 'érèr',
    'eres', 'éres', 'ères', 'erés', 'érés', 'érès', 'eret', 'éret', 'èret', 'érét',
    'erêt', 'érêt', 'ereu', 'éreu', 'erez', 'érez', 'eréz', 'erfa', 'erfe', 'erfé',
    'erfè', 'erfi', 'erfl', 'erfo', 'erfr', 'erfs', 'erfu', 'erga', 'erge', 'ergé',
    'ergè', 'ergi', 'ergl', 'ergn', 'ergo', 'ergr', 'ergs', 'ergt', 'ergu', 'ergy',
    'erhe', 'erhé', 'erhi', 'erhy', 'eria', 'éria', 'ériâ', 'érib', 'eric', 'éric',
    'erid', 'érid', 'erie', 'érie', 'érié', 'ériè', 'erif', 'érif', 'erig', 'érig',
    'erih', 'érih', 'érii', 'eril', 'éril', 'erim', 'érim', 'érîm', 'erin', 'érin',
    'erio', 'ério', 'érip', 'eriq', 'ériq', 'erir', 'érir', 'eris', 'éris', 'erit',
    'érit', 'érît', 'eriu', 'ériu', 'eriv', 'ériv', 'erje', 'erju', 'erka', 'erke',
    'erké', 'erla', 'erlâ', 'erle', 'erlé', 'erlè', 'erli', 'erlo', 'erlu', 'erma',
    'ermâ', 'erme', 'ermé', 'ermè', 'ermi', 'ermî', 'ermn', 'ermo', 'ermu', 'erna',
    'ernâ', 'erne', 'erné', 'ernè', 'erni', 'ernî', 'ernm', 'erno', 'ernu', 'erny',
    'erob', 'érob', 'eroc', 'éroc', 'erod', 'érod', 'érof', 'erog', 'érog', 'eroi',
    'éroi', 'eroï', 'éroï', 'erok', 'érok', 'erol', 'érol', 'erom', 'érom', 'eron',
    'éron', 'erop', 'érop', 'eror', 'éror', 'eros', 'éros', 'erot', 'érot', 'erou',
    'érou', 'erov', 'érov', 'erox', 'érox', 'éroz', 'erpa', 'erpe', 'erpé', 'érpé',
    'erpè', 'erph', 'erpi', 'erpî', 'erpl', 'erpo', 'erpr', 'erps', 'erpu', 'erqu',
    'erra', 'errâ', 'erre', 'erré', 'errè', 'erri', 'errî', 'erro', 'errr', 'erru',
    'erry', 'ersa', 'ersâ', 'ersc', 'erse', 'ersé', 'ersè', 'ersh', 'ersi', 'erso',
    'ersp', 'erst', 'ersu', 'ersy', 'erta', 'ertâ', 'erte', 'erté', 'ertè', 'erth',
    'erti', 'ertî', 'erto', 'ertr', 'erts', 'ertu', 'ertv', 'erty', 'ertz', 'érub',
    'éruc', 'érud', 'érue', 'érug', 'erul', 'érul', 'erum', 'érum', 'erup', 'érup',
    'éruq', 'erur', 'érur', 'erus', 'érus', 'éruv', 'éruy', 'erva', 'ervâ', 'erve',
    'ervé', 'ervè', 'ervi', 'ervî', 'ervo', 'ervu', 'erwe', 'eryc', 'éryc', 'eryg',
    'éryg', 'eryl', 'éryl', 'érys', 'eryt', 'éryt', 'eryx', 'éryx', 'erza', 'erze',
    'erzi', 'erzl', 'erzo', 'ésab', 'esac', 'ésac', 'esad', 'ésad', 'esae', 'ésaé',
    'ésaè', 'ésaf', 'esag', 'ésag', 'esai', 'ésai', 'ésaj', 'esal', 'ésal', 'esam',
    'ésam', 'esâm', 'ésâm', 'esan', 'ésan', 'ésap', 'esar', 'ésar', 'esas', 'ésas',
    'esat', 'ésat', 'esât', 'ésât', 'esau', 'ésau', 'esav', 'ésav', 'ésax', 'esba',
    'esbi', 'esbo', 'esbr', 'esby', 'esca', 'ésca', 'esça', 'esçâ', 'esce', 'ésce',
    'escé', 'escè', 'esch', 'ésch', 'esci', 'escl', 'esco', 'ésco', 'esço', 'escr',
    'éscr', 'escu', 'esda', 'esde', 'esdi', 'ésea', 'éséa', 'esec', 'ésec', 'éséc',
    'éséd', 'esee', 'esée', 'ésée', 'ésef', 'éség', 'esei', 'esel', 'ésel', 'ésél',
    'ésem', 'èsem', 'esen', 'ésen', 'èsen', 'ésén', 'ésép', 'éséq', 'eser', 'éser',
    'èser', 'esér', 'ésér', 'esèr', 'ésèr', 'éses', 'èses', 'esés', 'ésés', 'eset',
    'ését', 'eseu', 'éseu', 'ésex', 'esey', 'esez', 'ésez', 'esgo', 'ésha', 'éshe',
    'éshé', 'eshi', 'ésho', 'éshu', 'éshy', 'esia', 'ésia', 'ésiâ', 'esic', 'ésic',
    'esid', 'ésid', 'esie', 'ésie', 'ésié', 'ésiè', 'esif', 'ésif', 'esig', 'ésig',
    'ésii', 'esil', 'ésil', 'esim', 'ésim', 'esin', 'ésin', 'esio', 'ésio', 'ésip',
    'esiq', 'ésiq', 'ésir', 'esis', 'ésis', 'èsis', 'esit', 'ésit', 'esiu', 'ésiu',
    'ésiv', 'eski', 'éski', 'esku', 'esla', 'esle', 'esli', 'esma', 'esme', 'esmé',
    'esmi', 'esmo', 'esna', 'esne', 'esni', 'esno', 'ésob', 'esoc', 'ésoc', 'ésod',
    'ésoe', 'esog', 'esoi', 'ésoi', 'esol', 'ésol', 'esom', 'ésom', 'eson', 'éson',
    'esop', 'ésop', 'esor', 'ésor', 'esos', 'ésos', 'esot', 'ésot', 'esou', 'ésou',
    'ésox', 'ésoz', 'espa', 'espe', 'éspe', 'espé', 'espè', 'espi', 'espl', 'espo',
    'èspo', 'espr', 'espu', 'esqu', 'esqú', 'essa', 'essâ', 'esse', 'ésse', 'ësse',
    'essé', 'éssé', 'essè', 'éssè', 'essi', 'essm', 'esso', 'essu', 'esta', 'ésta',
    'estâ', 'este', 'esté', 'estè', 'esth', 'esti', 'estî', 'esto', 'ésto', 'estp',
    'estr', 'éstr', 'ests', 'estu', 'esua', 'ésub', 'esuc', 'ésue', 'ésué', 'ésuè',
    'ésui', 'esul', 'ésul', 'ésum', 'esûm', 'ésun', 'ésup', 'esur', 'ésur', 'esus',
    'ésus', 'esût', 'esuv', 'ésuv', 'ésyc', 'esyl', 'ésyl', 'ésyn', 'ésys', 'etab',
    'étab', 'etac', 'étac', 'etad', 'étad', 'etag', 'étag', 'êtag', 'étah', 'etai',
    'étai', 'êtai', 'étaï', 'etal', 'étal', 'etam', 'étam', 'etâm', 'étâm', 'êtâm',
    'etan', 'étan', 'êtan', 'etap', 'étap', 'etar', 'étar', 'êtar', 'etas', 'étas',
    'êtas', 'etàs', 'etat', 'état', 'êtat', 'etât', 'étât', 'êtât', 'etau', 'étau',
    'étax', 'étay', 'étaz', 'etch', 'étch', 'etea', 'étea', 'êtea', 'eteb', 'etec',
    'étec', 'étéc', 'etèc', 'etee', 'etée', 'étée', 'êtée', 'etei', 'étei', 'etel',
    'étel', 'etél', 'etem', 'étem', 'ètem', 'êtem', 'eten', 'éten', 'èten', 'êten',
    'étéo', 'étèq', 'eter', 'éter', 'èter', 'êter', 'etér', 'étér', 'etèr', 'étèr',
    'êtèr', 'etes', 'étes', 'ètes', 'êtes', 'etés', 'étés', 'êtés', 'étet', 'êtet',
    'étét', 'étèt', 'étêt', 'eteu', 'éteu', 'êteu', 'étex', 'etez', 'étez', 'êtez',
    'etha', 'étha', 'ethe', 'éthe', 'ethé', 'éthé', 'éthè', 'éthi', 'ethl', 'éthl',
    'ethm', 'éthm', 'ethn', 'éthn', 'etho', 'étho', 'ethr', 'èthr', 'ethu', 'éthu',
    'ethy', 'éthy', 'etia', 'étia', 'etic', 'étic', 'étid', 'etie', 'étie', 'êtie',
    'etié', 'etiè', 'êtiè', 'etif', 'étif', 'êtif', 'étig', 'etil', 'étil', 'étim',
    'êtîm', 'etin', 'étin', 'etîn', 'étîn', 'etio', 'étio', 'êtio', 'etiq', 'étiq',
    'etir', 'étir', 'êtir', 'etis', 'étis', 'ètis', 'êtis', 'etit', 'étit', 'êtit',
    'êtît', 'etiu', 'étiu', 'etiv', 'étiv', 'etla', 'etma', 'etmi', 'etna', 'étob',
    'étoc', 'étod', 'étoé', 'étof', 'etog', 'étog', 'étoh', 'etoi', 'étoi', 'êtoi',
    'étoï', 'étol', 'etom', 'étom', 'eton', 'éton', 'êton', 'etop', 'étop', 'etoq',
    'etor', 'étor', 'étos', 'etot', 'étot', 'etou', 'étou', 'étox', 'etpi', 'etra',
    'étra', 'êtra', 'étrâ', 'êtrâ', 'etre', 'étre', 'ètre', 'être', 'etré', 'étré',
    'êtré', 'étrè', 'êtrè', 'etri', 'étri', 'êtri', 'étrî', 'etro', 'étro', 'êtro',
    'étrô', 'etru', 'étru', 'êtru', 'etsc', 'etta', 'ettâ', 'ette', 'ëtte', 'etté',
    'ettè', 'etti', 'ettî', 'etto', 'ettr', 'etts', 'etua', 'étua', 'étuâ', 'etub',
    'étub', 'etud', 'étud', 'etue', 'étue', 'êtue', 'etué', 'étué', 'étuè', 'étui',
    'etul', 'étul', 'etum', 'étum', 'étun', 'étuo', 'étuq', 'etur', 'étur', 'êtur',
    'etus', 'étus', 'êtus', 'étuv', 'étyl', 'étym', 'etyp', 'étyp', 'étyv', 'etza',
    'etze', 'etzs', 'euât', 'euba', 'eubl', 'eubo', 'euca', 'eucé', 'euch', 'euci',
    'eucl', 'euco', 'euda', 'eude', 'eudé', 'eudi', 'eudo', 'euds', 'eues', 'euet',
    'eufc', 'eufr', 'eufs', 'euge', 'eugé', 'eugi', 'eugl', 'eugm', 'eugn', 'eugu',
    'euhl', 'euie', 'euil', 'euîm', 'euir', 'euis', 'euit', 'euît', 'eula', 'eulâ',
    'eule', 'eulé', 'eulè', 'euli', 'eulî', 'eulo', 'euls', 'eulv', 'euma', 'eume',
    'eumè', 'eumo', 'éums', 'eumy', 'euna', 'eûna', 'eunâ', 'eûnâ', 'eune', 'eûne',
    'euné', 'eûné', 'eunè', 'eûnè', 'euni', 'éuni', 'eûni', 'eunî', 'éunî', 'euno',
    'eûno', 'eunu', 'eupa', 'eupe', 'euph', 'eupl', 'eupn', 'eupr', 'euqu', 'eura',
    'eurâ', 'eurd', 'eure', 'eûre', 'eüre', 'euré', 'eurè', 'eurê', 'éurg', 'euri',
    'eurî', 'eurk', 'eurm', 'eurn', 'euro', 'eurr', 'eurs', 'eurt', 'euru', 'eury',
    'eusa', 'eusâ', 'eusc', 'euse', 'eusé', 'eusè', 'eusi', 'eusk', 'euso', 'euss',
    'éuss', 'eust', 'eusu', 'euta', 'eutâ', 'eute', 'eûte', 'euté', 'eutè', 'euth',
    'euti', 'éuti', 'euto', 'eutr', 'euts', 'euty', 'eutz', 'euva', 'euve', 'euvé',
    'euvi', 'euvo', 'euvr', 'euxi', 'euxs', 'euze', 'euzè', 'euzi', 'evab', 'evac',
    'évac', 'évad', 'evag', 'évag', 'évah', 'evai', 'êvai', 'eval', 'éval', 'evam',
    'evâm', 'êvâm', 'evan', 'évan', 'êvan', 'évap', 'evar', 'évar', 'evas', 'évas',
    'êvas', 'evat', 'évat', 'evât', 'êvât', 'evau', 'évau', 'evea', 'évéa', 'evec',
    'évec', 'evéc', 'evêc', 'évêc', 'evée', 'êvée', 'évei', 'evel', 'ével', 'évél',
    'évèl', 'evem', 'èvem', 'even', 'éven', 'èven', 'êven', 'évén', 'évèn', 'evêq',
    'évêq', 'ever', 'éver', 'èver', 'êver', 'evér', 'évér', 'evèr', 'évèr', 'êvèr',
    'eves', 'èves', 'êves', 'evés', 'évés', 'êvés', 'evet', 'èvet', 'evèt', 'evêt',
    'évêt', 'eveu', 'êveu', 'evey', 'evez', 'êvez', 'évhé', 'évia', 'éviâ', 'evic',
    'évic', 'évid', 'evie', 'évie', 'êvie', 'évié', 'eviè', 'éviè', 'evif', 'evig',
    'évig', 'évii', 'evik', 'evil', 'évil', 'evim', 'evîm', 'évîm', 'evin', 'évin',
    'evîn', 'évîn', 'evio', 'évio', 'êvio', 'eviq', 'evir', 'évir', 'evis', 'évis',
    'evit', 'évit', 'evît', 'évît', 'éviu', 'eviv', 'évoc', 'évod', 'ëvod', 'evoe',
    'évoé', 'évog', 'evoh', 'évoh', 'evoi', 'évoi', 'evol', 'évol', 'evon', 'évon',
    'êvon', 'evoq', 'évoq', 'évor', 'evot', 'évot', 'évôt', 'evou', 'évou', 'evoû',
    'evoy', 'évoy', 'evra', 'évra', 'evrâ', 'evre', 'évre', 'èvre', 'evré', 'évré',
    'èvré', 'evrè', 'evri', 'évri', 'evro', 'évro', 'évry', 'evue', 'évue', 'evui',
    'evul', 'évul', 'evur', 'evus', 'évus', 'evzo', 'ewai', 'ewâm', 'ewan', 'ewar',
    'ewas', 'éwat', 'ewât', 'ewée', 'ewen', 'ewer', 'ewèr', 'ewes', 'ewés', 'eweu',
    'ewez', 'ewie', 'ewio', 'ewon', 'ewri', 'ewto', 'exac', 'exad', 'exaé', 'exaè',
    'exaf', 'exag', 'exai', 'exal', 'exam', 'exâm', 'exan', 'exap', 'exar', 'exas',
    'exat', 'exât', 'exau', 'exca', 'exce', 'excé', 'excè', 'exch', 'exci', 'excl',
    'exco', 'excr', 'excu', 'exdi', 'exdu', 'exea', 'exec', 'exéc', 'exèc', 'exèd',
    'exée', 'exeg', 'exég', 'exem', 'exèm', 'exen', 'exén', 'exeq', 'exer', 'exér',
    'exèr', 'exes', 'exés', 'exeu', 'exez', 'exfo', 'exha', 'exhe', 'exhé', 'exhi',
    'exho', 'exhu', 'exib', 'exic', 'exie', 'exif', 'exig', 'exil', 'exin', 'exio',
    'exiq', 'exis', 'exit', 'exiv', 'exob', 'exoc', 'exod', 'exof', 'exog', 'exol',
    'exom', 'exon', 'exop', 'exor', 'exos', 'exot', 'expa', 'expe', 'expé', 'expi',
    'expl', 'expo', 'expr', 'expu', 'exqu', 'exsa', 'exst', 'exsu', 'exta', 'extâ',
    'exte', 'exté', 'extè', 'exti', 'exto', 'extr', 'extu', 'exua', 'exub', 'exue',
    'exué', 'exul', 'exuo', 'exup', 'exur', 'exus', 'exut', 'exuv', 'eyag', 'eyai',
    'eyan', 'eyas', 'eybu', 'eyem', 'eyen', 'eyer', 'eyes', 'eyeu', 'eyez', 'eyfu',
    'eyie', 'eyio', 'eyis', 'eyla', 'eyli', 'eyné', 'eyon', 'eyot', 'eyra', 'eyro',
    'eyru', 'eysa', 'eyse', 'ezai', 'ézai', 'ezan', 'ézar', 'ézay', 'ezef', 'ézef',
    'ézel', 'ezen', 'ézen', 'ezer', 'èzes', 'ézie', 'éziè', 'ézif', 'ézig', 'ezin',
    'ézis', 'éziz', 'ezoa', 'ézoa', 'ézoé', 'ézoè', 'ézog', 'ézoï', 'ézol', 'ezom',
    'ézom', 'ezou', 'ézue', 'ézué', 'ezza', 'ezzi', 'ezzo'
    );

  //F
  F4LfMax_ = 853;
  F4Lf_: array[1..F4LfMax_] of S016_ = (
    'fabi', 'fabl', 'fabr', 'fabu', 'faça', 'façâ', 'face', 'facé', 'facè', 'fach',
    'fâch', 'faci', 'faco', 'faço', 'fact', 'facu', 'façu', 'fada', 'fade', 'fadé',
    'fadi', 'fadî', 'fado', 'faen', 'fafi', 'faga', 'fage', 'fagi', 'fagn', 'fago',
    'fagu', 'fahr', 'faib', 'faie', 'faïe', 'faig', 'fail', 'faim', 'fain', 'faîn',
    'fair', 'fais', 'fait', 'faît', 'faix', 'faki', 'fala', 'falâ', 'falb', 'falc',
    'fald', 'fale', 'falé', 'falè', 'falg', 'fall', 'falo', 'falq', 'fals', 'falu',
    'falz', 'fama', 'famâ', 'fame', 'fâme', 'famé', 'famè', 'fami', 'famo', 'famp',
    'fana', 'fanâ', 'fanc', 'fanç', 'fand', 'fane', 'fané', 'fanè', 'fanf', 'fang',
    'fani', 'fano', 'fant', 'fanu', 'fanz', 'faon', 'faou', 'faqu', 'fara', 'farâ',
    'farc', 'fard', 'fare', 'faré', 'farè', 'farf', 'farg', 'fari', 'farl', 'farm',
    'farn', 'faro', 'farr', 'fars', 'fart', 'farv', 'fasc', 'fase', 'fash', 'fass',
    'fast', 'fata', 'fatâ', 'fate', 'fâte', 'faté', 'fatè', 'fath', 'fati', 'fatm',
    'fato', 'fatr', 'fats', 'fatu', 'faub', 'fauc', 'faud', 'fauf', 'faun', 'faus',
    'faut', 'fauv', 'faux', 'fave', 'favo', 'favu', 'faya', 'faye', 'fayo', 'faze',
    'fchâ', 'fcon', 'féag', 'féal', 'feau', 'féau', 'fébr', 'feca', 'féca', 'fece',
    'fèce', 'feci', 'féci',
    'feco', 'féco', 'fect', 'fécu', 'feda', 'fedd', 'fede', 'fédé', 'fédè', 'feed',
    'féer', 'fées', 'fège', 'féie', 'féiè', 'feig', 'fein', 'féin', 'féis', 'fela',
    'fêla', 'fêlâ', 'feld', 'fêle', 'fêlé', 'fêlè', 'feli', 'féli', 'fêli', 'fell',
    'felo', 'félo', 'fêlo', 'felt', 'felu', 'fêlu', 'feme', 'féme', 'fémi', 'femm',
    'fémo', 'femt', 'fému', 'fena', 'fend', 'fene', 'fène', 'fenê', 'feni', 'féni',
    'fenn', 'feno', 'fens', 'fent', 'fenu', 'féod', 'féqu', 'fèqu', 'fera', 'féra',
    'férâ', 'ferb', 'fere', 'fére', 'fère', 'feré', 'féré', 'férè', 'feri', 'féri',
    'ferl', 'ferm', 'fern', 'fero', 'féro', 'ferr', 'fers', 'fert', 'feru', 'féru',
    'ferv', 'fesa', 'fess', 'fest', 'feta', 'féta', 'fêta', 'fêtâ', 'fete', 'féte',
    'fète', 'fête', 'fété', 'fêté', 'fêtè', 'feti', 'féti', 'fêti', 'feto', 'fêto',
    'fets', 'fett', 'fétu', 'feud', 'feue', 'feui', 'feul', 'feur', 'feus', 'feut',
    'feux', 'féve', 'fève', 'févi', 'févr', 'fèvr', 'feze', 'fèze', 'fezz', 'ffab',
    'ffac', 'ffaç', 'ffad', 'ffag', 'ffai', 'ffal', 'ffam', 'ffâm', 'ffan', 'ffar',
    'ffas', 'ffât', 'ffea', 'fféa', 'ffec', 'fféc', 'ffee', 'ffée', 'ffel', 'ffem',
    'ffém', 'ffen', 'ffer', 'ffér', 'ffèr', 'ffes', 'ffés', 'ffet', 'ffét', 'ffèt',
    'ffeu', 'ffez', 'ffia', 'ffic', 'ffid', 'ffie', 'ffié', 'ffiè', 'ffig', 'ffil',
    'ffîm', 'ffin', 'ffio', 'ffiq', 'ffir', 'ffis', 'ffit', 'ffît', 'ffix', 'ffla',
    'fflâ', 'ffle', 'fflé', 'fflè', 'ffli', 'fflo', 'fflu', 'ffoc', 'ffoi', 'ffol',
    'ffon', 'ffoq', 'ffor', 'ffou', 'ffra', 'ffrâ', 'ffre', 'ffré', 'ffrè', 'ffri',
    'ffrî', 'ffro', 'ffru', 'ffse', 'ffsh', 'ffub', 'ffue', 'ffum', 'ffur', 'ffus',
    'ffut', 'ffût', 'fgha', 'fghâ', 'fhém', 'fhyd', 'fiab', 'fiac', 'fiag', 'fiai',
    'fiâm', 'fian', 'fias', 'fiat', 'fiât', 'fiau', 'fibr', 'fibu', 'fica', 'fice',
    'ficè', 'fich', 'fici', 'fico', 'fics', 'fict', 'ficu', 'fida', 'fide', 'fidé',
    'fidè', 'fidi', 'fido', 'fidu', 'fiée', 'fief', 'fieh', 'fiel', 'fiem', 'fien',
    'fier', 'fiér', 'fièr', 'fies', 'fiés', 'fieu', 'fiév', 'fièv', 'fiez', 'fifi',
    'fifr', 'fift', 'figa', 'fige', 'figé', 'figè', 'figi', 'fign', 'figu', 'fiia',
    'fiie', 'fiio', 'fila', 'filâ', 'fild', 'file', 'filé', 'filè', 'fili', 'fill',
    'film', 'filo', 'fils', 'filt', 'filu', 'fime', 'fîme', 'fimi', 'fina', 'finâ',
    'fine', 'finé', 'finè', 'fing', 'fini', 'finî', 'finl', 'finn', 'fino', 'fins',
    'fiol', 'fion', 'fior', 'fios', 'fiot', 'fiou', 'fiqu', 'fira', 'fire', 'firi',
    'firm', 'firo', 'fisa', 'fisc', 'fise', 'fish', 'fisi', 'fism', 'fiso', 'fisq',
    'fiss', 'fist', 'fita', 'fitâ', 'fite', 'fîte', 'fité', 'fitè', 'fiti', 'fito',
    'fits', 'fitt', 'fitu', 'five', 'fixa', 'fixâ', 'fixe', 'fixé', 'fixè', 'fixi',
    'fixo', 'fizz', 'fjel', 'fjor', 'fkai', 'fkaï', 'flab', 'flac', 'flag', 'flai',
    'flam', 'flâm', 'flan', 'flân', 'flao', 'flap', 'flaq', 'flar', 'flas', 'flat',
    'flât', 'flav', 'flay', 'fléa', 'flec', 'fléc', 'flèc', 'flee', 'flée', 'fleg',
    'flei', 'flem', 'flém', 'flen', 'flén', 'fléo', 'fler', 'flér', 'flèr', 'fles',
    'flés', 'flet', 'flét', 'flèt', 'fleu', 'flev', 'flex', 'flez', 'flib', 'flic',
    'flie', 'fliè', 'flig', 'flin', 'flio', 'flip', 'flir', 'flis', 'flit', 'floc',
    'floi', 'flon', 'floo', 'flop', 'floq', 'flor', 'flos', 'flot', 'flou', 'flua',
    'fluâ', 'fluc', 'flue', 'flué', 'fluè', 'flui', 'fluo', 'flur', 'flus', 'flut',
    'flût', 'fluv', 'flux', 'fniu', 'fobo', 'foca', 'foch', 'foco', 'focs', 'focu',
    'focy', 'foeh', 'foen', 'foèn', 'foën', 'foet', 'fofo', 'fogg', 'fogr', 'foie',
    'foil', 'foin', 'foir', 'fois', 'foix', 'fola', 'folâ', 'fold', 'fole', 'folé',
    'folè', 'foli', 'folk', 'foll', 'folo', 'foma', 'fome', 'fomè', 'fona', 'fonc',
    'fonç', 'fond', 'fone', 'foné', 'fong', 'foni', 'fonn', 'fons', 'font', 'food',
    'foot', 'foqu', 'fora', 'forâ', 'forb', 'forc', 'forç', 'ford', 'fore', 'foré',
    'forè', 'forê', 'forf', 'forg', 'fori', 'forj', 'forl', 'form', 'forn', 'foro',
    'fors', 'fort', 'foru', 'forz', 'fose', 'fosé', 'foss', 'foua', 'fouâ', 'fouc',
    'foud', 'foue', 'foué', 'fouè', 'fouë', 'fouf', 'foug', 'foui', 'fouî', 'foul',
    'fouo', 'four', 'fous', 'fout', 'foux', 'fové', 'fovi', 'foxe', 'foxé', 'foya',
    'foye', 'frab', 'frac', 'frag', 'frai', 'fraî', 'fral', 'fram', 'frâm', 'fran',
    'frap', 'frar', 'fras', 'frat', 'frât', 'frau', 'frav', 'frax', 'fray', 'fred',
    'free', 'frée', 'freg', 'frég', 'frei', 'fréj', 'frel', 'frêl', 'frem', 'frém',
    'fren', 'frén', 'frèn', 'frên', 'fréo', 'fréq', 'frer', 'frér', 'frèr', 'fres',
    'frés', 'fret', 'frét', 'frèt', 'frêt', 'freu', 'frez', 'fria', 'frib', 'fric',
    'frid', 'frie', 'friè', 'frig', 'frik', 'fril', 'frim', 'frîm', 'frin', 'frio',
    'frip', 'friq', 'frir', 'fris', 'frit', 'frît', 'friv', 'froc', 'froe', 'frog',
    'froi', 'frol', 'frôl', 'from', 'fron', 'froq', 'fros', 'frot', 'frou', 'froy',
    'fruc', 'frug', 'frui', 'frum', 'frur', 'frus', 'frut', 'fset', 'fsho', 'fste',
    'ftai', 'ftan', 'ftec', 'fter', 'fteu', 'ftie', 'ftin', 'fton', 'ftwa', 'fubl',
    'fuca', 'fucé', 'fuch', 'fuci', 'fucu', 'fuég', 'fuel', 'fuer', 'fues', 'fuga',
    'fuge', 'fugé', 'fugè', 'fugi', 'fugu', 'führ', 'fuie', 'fuîm', 'fuir', 'fuis',
    'fuit', 'fuît', 'fula', 'fule', 'fulg', 'fuli', 'full', 'fulm', 'fulv', 'fuma',
    'fumâ', 'fume', 'fûme', 'fumé', 'fumè', 'fumi', 'fumo', 'fums', 'fumu', 'funa',
    'fund', 'fune', 'funé', 'funè', 'fung', 'funi', 'funk', 'funt', 'fura', 'furc',
    'fure', 'fûre', 'furé', 'furè', 'furf', 'furi', 'furo', 'furq', 'furt', 'fusa',
    'fusâ', 'fusc', 'fuse', 'fusé', 'fusè', 'fusi', 'fuso', 'fusq', 'fuss', 'fust',
    'futa', 'fûta', 'futâ', 'fute', 'fûte', 'futé', 'fûté', 'futè', 'futi', 'fûti',
    'futo', 'futs', 'fûts', 'futu', 'fuxé', 'fuya', 'fuye', 'fuyi', 'fuyo', 'fuzn'
    );

  //G
  F4LgMax_ = 1113;
  F4Lg_: array[1..F4LgMax_] of S016_ = (
    'gaba', 'gabb', 'gabe', 'gabi', 'gabl', 'gâbl', 'gabo', 'gaca', 'gaça', 'gaçâ',
    'gace', 'gacé', 'gacè', 'gach', 'gâch', 'gaci', 'gaço', 'gacô', 'gacy', 'gada',
    'gadâ', 'gade', 'gadé', 'gadè', 'gadg', 'gadi', 'gado', 'gaél', 'gaff', 'gaga',
    'gage', 'gagé', 'gagè', 'gagi', 'gagm', 'gagn', 'gagr', 'gags', 'gahe', 'gaïa',
    'gaie', 'gaïe', 'gaïk', 'gail', 'gaîm', 'gain', 'gaïn', 'gair', 'gais', 'gaît',
    'gaiz', 'gajo', 'gaku', 'gala', 'galâ', 'galb', 'gale', 'galé', 'galè', 'galf',
    'galg', 'galh', 'gali', 'gall', 'galm', 'galo', 'gals', 'galu', 'galv', 'gama',
    'gamâ', 'gamb', 'game', 'gamé', 'gamè', 'gami', 'gamm', 'gamo', 'gamp', 'gana',
    'ganc', 'ganç', 'gand', 'gane', 'gané', 'ganè', 'gang', 'gani', 'gann', 'gano',
    'gans', 'gant', 'ganu', 'gaoe', 'gape', 'gâpe', 'gaph', 'gapo', 'gapt', 'gara',
    'garâ', 'garb', 'garc', 'garç', 'gard', 'gare', 'garé', 'garè', 'garg', 'gari',
    'garn', 'garo', 'garq', 'garr', 'gars', 'gart', 'gasc', 'gase', 'gasi', 'gasm',
    'gaso', 'gasp', 'gasq', 'gass', 'gast', 'gata', 'gâta', 'gatâ', 'gâtâ', 'gate',
    'gâte', 'gâté', 'gatè', 'gâtè', 'gath', 'gati', 'gâti', 'gato', 'gâto', 'gatr',
    'gats', 'gâts', 'gatt', 'gatu', 'gauc', 'gaud', 'gauf', 'gaug', 'gaul', 'gaup',
    'gaur', 'gaus', 'gaut', 'gaux', 'gava', 'gavâ', 'gave', 'gavé', 'gavè', 'gavi',
    'gavo', 'gavr', 'gawa', 'gaya', 'gayâ', 'gaye', 'gayé', 'gayè', 'gayi', 'gayo',
    'gaza', 'gazâ', 'gaze', 'gazé', 'gazè', 'gazi', 'gazì', 'gazo', 'gbok', 'gbym',
    'gbys', 'gdad', 'gdal', 'gdie', 'gdin', 'gdit', 'geab', 'geac', 'gead', 'geag',
    'geai', 'geam', 'geâm', 'gean', 'géan', 'geas', 'géas', 'geat', 'geât', 'geau',
    'gébr', 'gèbr', 'geck', 'gect', 'gédé', 'gédi', 'géen', 'gées', 'géhe', 'géif',
    'geig', 'gein', 'geis', 'géit', 'gekk', 'gela', 'géla', 'gèla', 'gelâ', 'gélâ',
    'geld', 'gele', 'gèle', 'gelé', 'gélé', 'gelè', 'gélè', 'gelh', 'geli', 'géli',
    'gell', 'gelo', 'gélo', 'gelu', 'gélu', 'gemb', 'geme', 'géme', 'gème', 'gemé',
    'gemè', 'gemi', 'gémi', 'gémî', 'gemm', 'gémo', 'gena', 'géna', 'gêna', 'génâ',
    'gênâ', 'genc', 'genç', 'gend', 'gene', 'géne', 'gène', 'gêne', 'gené', 'géné',
    'gêné', 'genè', 'génè', 'gênè', 'genê', 'geni', 'géni', 'gêni', 'geno', 'géno',
    'gêno', 'genr', 'gens', 'gent', 'genu', 'génu', 'géob', 'géoc', 'géod', 'geog',
    'géog', 'géoh', 'geoi', 'géoï', 'geol', 'géol', 'geôl', 'géôl', 'geom', 'géom',
    'geon', 'geop', 'géop', 'geor', 'géor', 'geos', 'géos', 'geot', 'géot', 'geox',
    'geoy', 'géph', 'gépi', 'gera', 'géra', 'gérâ', 'gerb', 'gerc', 'gerç', 'gere',
    'gére', 'gère', 'géré', 'gerè', 'gérè', 'gerf', 'gerg', 'geri', 'géri', 'germ',
    'gero', 'géro', 'gerr', 'gers', 'gerz', 'gesa', 'gesc', 'gese', 'gèse', 'gesi',
    'gési', 'gesq', 'gess', 'gest', 'géta', 'gétâ', 'gete', 'géte', 'gète', 'geté',
    'gété', 'gétè', 'geti', 'géti', 'getm', 'geto', 'géto', 'gets', 'gett', 'getu',
    'geur', 'geür', 'geus', 'geux', 'géva', 'gevi', 'gévi', 'geys', 'gfla', 'ggae',
    'ggan', 'ggar', 'gger', 'ggér', 'ggèr', 'gges', 'ggia', 'ggie', 'ggin', 'ggio',
    'ggis', 'gglo', 'gglu', 'ggou', 'ggra', 'ggys', 'ghal', 'gham', 'ghan', 'ghân',
    'ghea', 'ghei', 'ghet', 'ghey', 'ghia', 'ghie', 'ghil', 'ghiz', 'ghla', 'ghol',
    'ghor', 'ghos', 'ghou', 'ghre', 'ghré', 'ghti', 'ghts', 'ghys', 'ghze', 'giai',
    'gial', 'giâm', 'gian', 'giao', 'giap', 'giaq', 'gias', 'giat', 'giât', 'giau',
    'giba', 'gibb', 'gibe', 'gibé', 'gibi', 'gibl', 'gibo', 'gibu', 'gica', 'gici',
    'gicl', 'gico', 'gicu', 'gida', 'gide', 'gidé', 'gidi', 'gido', 'giec', 'giee',
    'giée', 'gien', 'gién', 'gièn', 'gier', 'gièr', 'gies', 'giés', 'gieu', 'giez',
    'gifé', 'gifè', 'giff', 'gifl', 'gifo', 'giga', 'gigo', 'gigr', 'gigu', 'giie',
    'giio', 'giit', 'gila', 'gilb', 'gild', 'gile', 'gili', 'gill', 'gilo', 'gimb',
    'gime', 'gîme', 'gimé', 'gina', 'ginâ', 'gind', 'gine', 'giné', 'ginè', 'ging',
    'gini', 'gink', 'ginn', 'gino', 'gins', 'giob', 'gioc', 'giog', 'giol', 'giom',
    'gion', 'giop', 'gior', 'gios', 'giot', 'gipa', 'giqu', 'gira', 'gire', 'giri',
    'girl', 'giro', 'gisa', 'gisb', 'gisc', 'gise', 'gisi', 'gisl', 'gism', 'giso',
    'giss', 'gist', 'gita', 'gîta', 'gitâ', 'gîtâ', 'gite', 'gîte', 'gité', 'gitè',
    'gîtè', 'gith', 'giti', 'gîti', 'gito', 'gîto', 'gits', 'gitt', 'gitu', 'gium',
    'giva', 'give', 'givi', 'givo', 'givr', 'gjum', 'gkin', 'gkon', 'gkor', 'glab',
    'glac', 'glaç', 'glad', 'glag', 'glai', 'glaï', 'glâm', 'glan', 'glap', 'glar',
    'glas', 'glat', 'glât', 'glau', 'glav', 'glèb', 'gléc', 'gled', 'glée', 'glef',
    'glem', 'glém', 'glen', 'glén', 'glèn', 'gler', 'glèr', 'gles', 'glés', 'glet',
    'gleu', 'glez', 'glia', 'glic', 'glie', 'gliè', 'glig', 'glin', 'glio', 'gliq',
    'glis', 'glob', 'gloc', 'glod', 'glof', 'glog', 'gloi', 'glom', 'glon', 'gloo',
    'glop', 'glor', 'glos', 'glot', 'glou', 'glox', 'gloy', 'glua', 'gluc', 'glue',
    'glué', 'glui', 'glum', 'glur', 'glus', 'glut', 'gluv', 'glyc', 'glym', 'glyp',
    'gmai', 'gmâm', 'gman', 'gmas', 'gmat', 'gmât', 'gmée', 'gmen', 'gmer', 'gmèr',
    'gmes', 'gmez', 'gmie', 'gmin', 'gmio', 'gmiq', 'gmit', 'gmog', 'gmoï', 'gmom',
    'gmon', 'gmot', 'gmus', 'gnab', 'gnac', 'gnaç', 'gnad', 'gnaf', 'gnag', 'gnai',
    'gnal', 'gnam', 'gnâm', 'gnan', 'gnar', 'gnas', 'gnat', 'gnât', 'gnau', 'gnea',
    'gnée', 'gnei', 'gnel', 'gnèl', 'gnem', 'gném', 'gnen', 'gner', 'gnér', 'gnèr',
    'gnes', 'gnés', 'gnès', 'gnet', 'gnét', 'gnèt', 'gneu', 'gnez', 'gnia', 'gnic',
    'gnie', 'gnif', 'gnig', 'gnim', 'gnîm', 'gnin', 'gnio', 'gnip', 'gnir', 'gnis',
    'gnit', 'gnît', 'gniv', 'gnob', 'gnoc', 'gnog', 'gnoi', 'gnol', 'gnôl', 'gnom',
    'gnon', 'gnor', 'gnos', 'gnot', 'gnou', 'gnum', 'gnur', 'gnus', 'gnyc', 'goal',
    'goba', 'gobâ', 'gobe', 'gobé', 'gobè', 'gobi', 'gobo', 'gobr', 'goca', 'goce',
    'gocé', 'gocè', 'goch', 'goci', 'gocl', 'goco', 'gocr', 'gocy', 'goda', 'gode',
    'godi', 'godo', 'godr', 'goél', 'goém', 'goét', 'goge', 'gogi', 'gogl', 'gogn',
    'gogo', 'gogr', 'gogu', 'gohi', 'gohm', 'goïd', 'goïm', 'goin', 'goïn', 'gois',
    'goïs', 'goit', 'gola', 'golâ', 'gold', 'gole', 'golé', 'golè', 'golf', 'golg',
    'goli', 'goll', 'golm', 'golo', 'gols', 'goly', 'goma', 'gomb', 'gome', 'gomé',
    'gomè', 'gomi', 'gomm', 'gomo', 'gomy', 'gona', 'gonc', 'gonç', 'gond', 'gone',
    'gonf', 'gong', 'goni', 'gonj', 'gonk', 'gonn', 'gono', 'gonq', 'gons', 'gonz',
    'gopa', 'gopé', 'gopè', 'goph', 'gopl', 'gopo', 'gops', 'gopu', 'gora', 'gorâ',
    'gord', 'gore', 'goré', 'gorè', 'gorf', 'gorg', 'gori', 'gorn', 'goro', 'gorr',
    'gosa', 'gosc', 'gose', 'gosi', 'gosl', 'goso', 'gosp', 'goss', 'gost', 'gota',
    'gotâ', 'gote', 'goté', 'gotè', 'goth', 'goti', 'goto', 'gotr', 'gots', 'gott',
    'gotu', 'goty', 'goua', 'goud', 'goue', 'gouf', 'goug', 'goui', 'gouj', 'goul',
    'goum', 'goun', 'goup', 'gour', 'gous', 'gout', 'goût', 'gouv', 'gouz', 'gove',
    'govi', 'gown', 'goya', 'goye', 'grab', 'grac', 'grâc', 'grad', 'graf', 'grag',
    'grai', 'gral', 'gram', 'grâm', 'gran', 'grap', 'grar', 'gras', 'grat', 'grât',
    'grau', 'grav', 'gray', 'graz', 'grea', 'gréa', 'gréâ', 'gréb', 'grèb', 'grec',
    'gréc', 'grèc', 'gred', 'gréd', 'gree', 'grée', 'gréé', 'gréè', 'gref', 'grég',
    'grèg', 'gréi', 'grel', 'grêl', 'grem', 'grém', 'gren', 'grén', 'grèn', 'gréo',
    'grer', 'grèr', 'gres', 'grés', 'grès', 'gret', 'greu', 'grev', 'grév', 'grèv',
    'grez', 'gria', 'grib', 'gric', 'grid', 'grie', 'griè', 'grif', 'grig', 'gril',
    'grim', 'grîm', 'grin', 'grio', 'grip', 'grir', 'gris', 'grit', 'grît', 'griv',
    'griz', 'groa', 'groc', 'groe', 'grog', 'groi', 'groï', 'grol', 'grom', 'gron',
    'groo', 'grop', 'gros', 'grot', 'grou', 'grov', 'groy', 'grua', 'grue', 'grué',
    'grug', 'grui', 'grum', 'grûm', 'gruo', 'grup', 'grur', 'grus', 'grut', 'gruy',
    'gryl', 'gryp', 'gson', 'gsta', 'gste', 'gsté', 'gstè', 'gsti', 'gsto', 'gstr',
    'gsue', 'gtai', 'gtan', 'gtem', 'gter', 'gtés', 'gtie', 'gtiè', 'gtim', 'gton',
    'guab', 'guad', 'guag', 'guai', 'güai', 'gual', 'guâm', 'güâm', 'guan', 'güan',
    'guar', 'guas', 'güas', 'guat', 'guât', 'güât', 'guau', 'guax', 'guay', 'guaz',
    'gube', 'gubr', 'guea', 'guéa', 'gueb', 'guèb', 'gued', 'guéd', 'guèd', 'guee',
    'guée', 'guéé', 'guég', 'guei', 'guel', 'guem', 'guen', 'güen', 'guep', 'guép',
    'guêp', 'guer', 'güer', 'guér', 'guèr', 'güèr', 'gues', 'gües', 'gués', 'guës',
    'guet', 'guèt', 'guêt', 'gueu', 'guév', 'guey', 'guez', 'güez', 'guèz', 'guge',
    'gugu', 'guhr', 'guia', 'guib', 'guic', 'guid', 'guie', 'güie', 'guïe', 'guiè',
    'guif', 'guig', 'guil', 'guim', 'guîm', 'guin', 'guio', 'güio', 'guïo', 'guip',
    'guir', 'guis', 'guïs', 'guit', 'güit', 'guît', 'guït', 'guiv', 'guiy', 'guja',
    'gula', 'gulâ', 'guld', 'gule', 'gulé', 'gulè', 'guli', 'gulo', 'gulu', 'gume',
    'gumè', 'gumi', 'gumm', 'guna', 'gund', 'gune', 'guni', 'guns', 'guoi', 'guon',
    'güon', 'guos', 'gupp', 'gura', 'gurâ', 'gure', 'guré', 'gurè', 'gurg', 'guri',
    'guro', 'guru', 'gusi', 'guss', 'gust', 'guti', 'guts', 'gutt', 'guya', 'guyo',
    'guze', 'guzl', 'gwam', 'gway', 'gyar', 'gyle', 'gylo', 'gyma', 'gyme', 'gymk',
    'gymn', 'gyna', 'gyne', 'gyné', 'gyni', 'gypa', 'gyps', 'gypt', 'gyra', 'gyre',
    'gyri', 'gyro', 'gzag'
    );

  //H
  F4LhMax_ = 1239;
  F4Lh_: array[1..F4LhMax_] of S016_ = (
    'haba', 'habd', 'habe', 'habé', 'habè', 'habi', 'habl', 'hâbl', 'habo', 'habr',
    'haca', 'hace', 'hacé', 'hacè', 'hach', 'haci', 'hack', 'haco', 'hacq', 'hacr',
    'hacu', 'hada', 'hadb', 'hadd', 'hade', 'hadi', 'hadj', 'hado', 'hadr', 'haea',
    'haél', 'haen', 'haés', 'haét', 'hafa', 'hafn', 'hafo', 'haga', 'hage', 'hagé',
    'hagg', 'hagi', 'hagn', 'hâgn', 'hago', 'hagr', 'hagu', 'haha', 'hahn', 'hahs',
    'hahu', 'haid', 'haie', 'haïe', 'haig', 'haïk', 'hail', 'haïl', 'haïm', 'hain',
    'haîn', 'haïq', 'hair', 'haïr', 'hais', 'haïs', 'hait', 'haït', 'hake', 'haki',
    'hakk', 'hako', 'haku', 'hala', 'hâla', 'halâ', 'hâlâ', 'halb', 'halc', 'hald',
    'hale', 'hâle', 'halé', 'hâlé', 'halè', 'hâlè', 'half', 'hali', 'hâli', 'hall',
    'halo', 'hâlo', 'halp', 'halq', 'hals', 'halt', 'halu', 'halv', 'halw', 'hama',
    'hamb', 'hame', 'hâme', 'hamé', 'hami', 'hamm', 'hamn', 'hamo', 'hamp', 'hams',
    'hana', 'hanb', 'hanc', 'hanç', 'hand', 'hane', 'hané', 'hanè', 'hanf', 'hang',
    'hani', 'hâni', 'hanl', 'hann', 'hano', 'hâno', 'hans', 'hant', 'hanu', 'hanv',
    'haon', 'haos', 'haot', 'haou', 'hapa', 'hape', 'hapé', 'hapi', 'hapk', 'hapl',
    'hapo', 'happ', 'haps', 'hapt', 'hapu', 'haqu', 'hara', 'harb', 'harc', 'hard',
    'hare', 'haré', 'harè', 'harf', 'harg', 'hari', 'hark', 'harl', 'harm', 'harn',
    'haro', 'harp', 'harr', 'hars', 'hart', 'haru', 'hary',
    'harz', 'hasa', 'hasc', 'hase', 'hasé', 'hasi', 'hasm', 'hass', 'hâss', 'hast',
    'hasu', 'hata', 'hâta', 'hatâ', 'hâtâ', 'hate', 'hâte', 'haté', 'hâté', 'hatè',
    'hâtè', 'hath', 'hati', 'hâti', 'hatm', 'hato', 'hâto', 'hatr', 'hâtr', 'hats',
    'hatt', 'hatu', 'haub', 'haud', 'hauf', 'haug', 'haul', 'haum', 'haur', 'haus',
    'haut', 'hauu', 'hauv', 'haux', 'hava', 'have', 'hâve', 'havi', 'havr', 'hawa',
    'hawk', 'haye', 'hayl', 'hayo', 'hayt', 'haza', 'hazi', 'hble', 'hbon', 'hdis',
    'heac', 'héac', 'head', 'héag', 'héal', 'hean', 'héan', 'héas', 'héat', 'heât',
    'héât', 'heau', 'héau', 'heba', 'héba', 'hebd', 'hebe', 'hébe', 'hèbe', 'hébé',
    'hébi', 'hébo', 'hebr', 'hébr', 'hebu', 'heca', 'héca', 'hece', 'hèce', 'hech',
    'héch', 'hèch', 'héci', 'heck', 'heco', 'héco', 'hecs', 'hect', 'hedd', 'hédé',
    'hedi', 'hédi', 'hédo', 'hedr', 'hédr', 'hèdr', 'héel', 'heen', 'héen', 'heer',
    'hées', 'heet', 'hefe', 'heff', 'hefi', 'hefo', 'hefr', 'hefs', 'heft', 'hege',
    'hégé', 'hégi', 'hégo', 'héia', 'heid', 'héid', 'héie', 'héié', 'heiè', 'héiè',
    'heik', 'heil', 'héil', 'heim', 'hein', 'héin', 'heiq', 'héiq', 'heir', 'héir',
    'heis', 'héis', 'heit', 'héit', 'heke', 'hela', 'héla', 'hélâ', 'helc', 'hele',
    'héle', 'hèle', 'hélé', 'hélè', 'heli', 'héli', 'helk', 'hell', 'héll', 'helm',
    'helo', 'hélo', 'hels', 'helt', 'helv', 'hely', 'hema', 'héma', 'heme', 'héme',
    'hème', 'hême', 'hémé', 'hémè', 'hemi', 'hémi', 'hemo', 'hémo', 'hems', 'hemu',
    'hena', 'héna', 'hêna', 'hend', 'hene', 'héne', 'hène', 'hêne', 'héné', 'heni',
    'héni', 'henn', 'heno', 'héno', 'henr', 'hens', 'hent', 'henu', 'heny', 'hény',
    'héob', 'heoc', 'héoc', 'héod', 'héog', 'héol', 'heom', 'héom', 'héon', 'héop',
    'héor', 'héos', 'héot', 'héou', 'héoz', 'hepa', 'hépa', 'hepi', 'hepo', 'hept',
    'hequ', 'héqu', 'hèqu', 'hera', 'héra', 'hérâ', 'herb', 'herc', 'herd', 'here',
    'hére', 'hère', 'heré', 'héré', 'hérè', 'herf', 'herg', 'heri', 'héri', 'hérî',
    'herk', 'herm', 'hern', 'hero', 'héro', 'herp', 'herr', 'hers', 'hert', 'héru',
    'herv', 'herz', 'hesa', 'hésa', 'hese', 'hèse', 'hesi', 'hési', 'hèsi', 'hesm',
    'heso', 'hesp', 'hess', 'hest', 'hésu', 'hésy', 'heta', 'héta', 'hêta', 'hetâ',
    'hetc', 'hétc', 'hete', 'héte', 'hète', 'heté', 'hété', 'hetè', 'heti', 'héti',
    'hetl', 'hetm', 'heto', 'héto', 'hêtr', 'hets', 'hett', 'hetu', 'héty', 'heul',
    'heum', 'héum', 'heur', 'héur', 'heus', 'heut', 'heux', 'heva', 'hevâ', 'heve',
    'hève', 'hevé', 'hévé', 'hevè', 'hevê', 'hevi', 'hevo', 'hevr', 'hèvr', 'hewa',
    'hexa', 'hexi', 'hexo', 'hges', 'hhab', 'hiad', 'hiai', 'hial', 'hiam', 'hiâm',
    'hian', 'hiar', 'hias', 'hiat', 'hiât', 'hiau', 'hiav', 'hiaz', 'hiba', 'hibâ',
    'hibb', 'hibe', 'hibé', 'hibè', 'hibi', 'hibo', 'hibs', 'hica', 'hicb', 'hicc',
    'hice', 'hich', 'hici', 'hick', 'hicl', 'hico', 'hict', 'hicu', 'hida', 'hidd',
    'hide', 'hidé', 'hidi', 'hidn', 'hido', 'hidr', 'hidu', 'hiéa', 'hièb', 'hiec',
    'hied', 'hiée', 'hiem', 'hiém', 'hien', 'hiep', 'hiép', 'hier', 'hiér', 'hièr',
    'hies', 'hiés', 'hieu', 'hiez', 'hifa', 'hife', 'hiff', 'hifi', 'hifr', 'hift',
    'higa', 'high', 'higm', 'hign', 'higo', 'higu', 'hihu', 'hiie', 'hiio', 'hiis',
    'hiit', 'hila', 'hilâ', 'hild', 'hile', 'hilé', 'hilè', 'hilh', 'hili', 'hill',
    'hilo', 'hilt', 'hima', 'himb', 'hime', 'hîme', 'himé', 'himè', 'himi', 'himm',
    'himo', 'himp', 'hina', 'hinâ', 'hinc', 'hind', 'hine', 'hiné', 'hinè', 'hing',
    'hini', 'hink', 'hino', 'hins', 'hint', 'hinu', 'hinx', 'hioa', 'hiob', 'hioc',
    'hiof', 'hiog', 'hiok', 'hiol', 'hiom', 'hion', 'hiop', 'hior', 'hios', 'hiot',
    'hiou', 'hiox', 'hipa', 'hipc', 'hipe', 'hiph', 'hipi', 'hipl', 'hipm', 'hipo',
    'hipp', 'hipr', 'hips', 'hipt', 'hiqu', 'hira', 'hirâ', 'hirc', 'hire', 'hiré',
    'hirè', 'hiri', 'hirm', 'hiro', 'hirs', 'hirt', 'hiru', 'hisa', 'hisâ', 'hisb',
    'hisc', 'hise', 'hisé', 'hisè', 'hisi', 'hisk', 'hism', 'hiso', 'hisp', 'hisq',
    'hiss', 'hist', 'hita', 'hitâ', 'hite', 'hîte', 'hitè', 'hith', 'hiti', 'hitl',
    'hito', 'hitr', 'hitt', 'hium', 'hiur', 'hiva', 'hivâ', 'hive', 'hivé', 'hivè',
    'hivi', 'hivo', 'hixo', 'hize', 'hizi', 'hizo', 'hkén', 'hlag', 'hlam', 'hlan',
    'hlas', 'hlav', 'hléa', 'hleb', 'hléb', 'hlée', 'hleg', 'hleh', 'hléo', 'hler',
    'hlet', 'hlét', 'hlèt', 'hleu', 'hlia', 'hlic', 'hlin', 'hlio', 'hlit', 'hloa',
    'hlog', 'hlon', 'hlor', 'hlox', 'hlus', 'hlvi', 'hlyc', 'hmai', 'hmâm', 'hman',
    'hmas', 'hmat', 'hmât', 'hmée', 'hmen', 'hmer', 'hmèr', 'hmes', 'hmés', 'hmet',
    'hmét', 'hmèt', 'hmez', 'hmic', 'hmie', 'hmin', 'hmio', 'hmiq', 'hmmè', 'hmog',
    'hmoï', 'hmol', 'hmom', 'hmon', 'hmum', 'hnap', 'hnar', 'hnau', 'hnée', 'hnel',
    'hnem', 'hnét', 'hneu', 'hnic', 'hnid', 'hnie', 'hnik', 'hnin', 'hniq', 'hnis',
    'hniu', 'hnob', 'hnoc', 'hnoé', 'hnog', 'hnoï', 'hnol', 'hnom', 'hnop', 'hnoq',
    'hnor', 'hnos', 'hnou', 'hnré', 'hnui', 'hoaf', 'hoan', 'hoat', 'hoba', 'hobb',
    'hobe', 'hobi', 'hobl', 'hobo', 'hobr', 'hoca', 'hocc', 'hoce', 'hocé', 'hoch',
    'hoci', 'hock', 'hocl', 'hoco', 'hocô', 'hocr', 'hocs', 'hocy', 'hoda', 'hode',
    'hodè', 'hodg', 'hodi', 'hodj', 'hodo', 'hodr', 'hods', 'hody', 'hoed', 'hoen',
    'hoép', 'hoeu', 'hofa', 'hoga', 'hoge', 'hogé', 'hogè', 'hogl', 'hogn', 'hogo',
    'hogr', 'hogu', 'hogy', 'hohy', 'hoid', 'hoïd', 'hoie', 'hoin', 'hoir', 'hois',
    'hoit', 'hoix', 'hoke', 'hoki', 'hoko', 'hola', 'holà', 'holc', 'hold', 'hole',
    'holé', 'holi', 'holl', 'holm', 'holo', 'hols', 'hôls', 'holt', 'holu', 'holy',
    'homa', 'hôma', 'hômâ', 'homb', 'home', 'hôme', 'homé', 'hômé', 'homè', 'hômè',
    'homi', 'hômi', 'homm', 'homo', 'hômo', 'homu', 'homy', 'hona', 'honâ', 'honc',
    'hond', 'hone', 'hône', 'honé', 'honè', 'honf', 'hong', 'honi', 'honn', 'hono',
    'hons', 'hont', 'hool', 'hoon', 'hoot', 'hopa', 'hopâ', 'hope', 'hopé', 'hopè',
    'hopf', 'hoph', 'hopi', 'hôpi', 'hopl', 'hopn', 'hopo', 'hopp', 'hopr', 'hops',
    'hopt', 'hoqu', 'hora', 'horâ', 'horb', 'hord', 'hore', 'horé', 'horè', 'horh',
    'hori', 'horl', 'horm', 'horn', 'horo', 'horr', 'hors', 'hort', 'horu', 'hory',
    'hosa', 'hosâ', 'hosc', 'hose', 'hosé', 'hosè', 'hosg', 'hosi', 'hoso', 'hosp',
    'host', 'hosy', 'hota', 'hotâ', 'hote', 'hôte', 'hoté', 'hotè', 'hoth', 'hoti',
    'hoto', 'hotr', 'hots', 'hott', 'hotu', 'hoty', 'houa', 'houâ', 'houb', 'houc',
    'houd', 'houe', 'houé', 'houè', 'houi', 'houk', 'houl', 'houm', 'houn', 'houo',
    'houp', 'houq', 'hour', 'hous', 'hout', 'houv', 'houx', 'hova', 'hove', 'hovy',
    'howb', 'hows', 'hoya', 'hoyâ', 'hoye', 'hoyé', 'hoyè', 'hoyi', 'hoyo', 'hoze',
    'hozi', 'hozo', 'hozs', 'hpin', 'hpro', 'hpur', 'hrâb', 'hrac', 'hrag', 'hrai',
    'hraï', 'hral', 'hram', 'hrao', 'hrap', 'hraq', 'hras', 'hrat', 'hrax', 'hréa',
    'hreb', 'hréb', 'hrec', 'hrèd', 'hrée', 'hrém', 'hrêm', 'hren', 'hrén', 'hrèn',
    'hréo', 'hrep', 'hrer', 'hres', 'hrés', 'hrès', 'hret', 'hrét', 'hria', 'hric',
    'hrid', 'hrie', 'hril', 'hrin', 'hrio', 'hrip', 'hris', 'hrit', 'hrix', 'hrob',
    'hroc', 'hrod', 'hrog', 'hroi', 'hroï', 'hrol', 'hrom', 'hron', 'hrop', 'hros',
    'hrot', 'hryg', 'hrys', 'hsia', 'hsie', 'hsin', 'hsma', 'hsme', 'hson', 'hsta',
    'htal', 'htas', 'htaz', 'htch', 'hteg', 'hten', 'hter', 'htér', 'htes', 'hteu',
    'htho', 'hthy', 'htia', 'htin', 'htiq', 'htir', 'htis', 'htma', 'htme', 'htol',
    'hton', 'htor', 'htos', 'htra', 'htre', 'htsm', 'htsw', 'htus', 'htwo', 'htyl',
    'htyo', 'huah', 'huai', 'huâm', 'huan', 'huar', 'huas', 'huât', 'huba', 'hubl',
    'huch', 'hudr', 'huée', 'huen', 'huer', 'huèr', 'hues', 'hués', 'huèt', 'hueu',
    'huez', 'hugo', 'hugu', 'huha', 'huie', 'huil', 'huin', 'huio', 'huir', 'huis',
    'huit', 'huît', 'huli', 'hull', 'hulo', 'hulu', 'huma', 'humâ', 'humb', 'hume',
    'hûme', 'humé', 'humè', 'humi', 'humm', 'humo', 'hums', 'humu', 'hune', 'huni',
    'hunn', 'huno', 'hunt', 'huon', 'huot', 'hupo', 'hupp', 'hura', 'hurâ', 'hurc',
    'hurd', 'hure', 'huré', 'hurè', 'huri', 'hurî', 'hurl', 'hurn', 'huro', 'hurr',
    'husa', 'huse', 'husi', 'huss', 'huta', 'hutâ', 'hute', 'hûte', 'huté', 'hutè',
    'huti', 'huto', 'huts', 'hutt', 'huya', 'hwan', 'hwit', 'hwor', 'hyac', 'hyad',
    'hyal', 'hyan', 'hyar', 'hyau', 'hybr', 'hyca', 'hycé', 'hyco', 'hyda', 'hyde',
    'hydi', 'hydn', 'hydr', 'hyèn', 'hyér', 'hyèr', 'hyèt', 'hyge', 'hygi', 'hygm',
    'hygr', 'hyia', 'hyla', 'hyle', 'hylé', 'hylè', 'hylh', 'hyli', 'hyll', 'hylo',
    'hyls', 'hylu', 'hyma', 'hyme', 'hymé', 'hymè', 'hymh', 'hymi', 'hymn', 'hymo',
    'hymu', 'hync', 'hynq', 'hyoi', 'hyoï', 'hyol', 'hyon', 'hyos', 'hypa', 'hype',
    'hypé', 'hyph', 'hypn', 'hypo', 'hypr', 'hyps', 'hyra', 'hyre', 'hyré', 'hyrè',
    'hyri', 'hyro', 'hyrs', 'hysa', 'hysc', 'hyse', 'hysé', 'hysè', 'hysi', 'hysm',
    'hyso', 'hysp', 'hyss', 'hyst', 'hysy', 'hyte', 'hyté', 'hyth', 'hyti', 'hyto',
    'hyxi', 'hzen'
    );

  //I
  F4LiMax_ = 2492;
  F4Li_: array[1..F4LiMax_] of S016_ = (
    'iaba', 'iabé', 'iabè', 'iabi', 'iabl', 'iabo', 'iabu', 'iaca', 'iace', 'iacé',
    'iach', 'iaci', 'iacl', 'iaco', 'ïaco', 'iacr', 'iacu', 'iada', 'iade', 'iadè',
    'ïade', 'iadi', 'iado', 'iadu', 'iady', 'iaer', 'iaér', 'iaff', 'iafr', 'iaga',
    'iage', 'iagè', 'iagn', 'iago', 'iagr', 'iaie', 'iail', 'iair', 'iais', 'iait',
    'iako', 'iala', 'ialc', 'iale', 'ialg', 'iali', 'iall', 'ialo', 'ials', 'ialt',
    'ialy', 'iama', 'iamb', 'ïamb', 'iamc', 'iame', 'iamé', 'iamè', 'iâme', 'iami',
    'iamo', 'iamp', 'iams', 'iana', 'ianc', 'ianç', 'iand', 'iane', 'iang', 'iani',
    'iann', 'iano', 'ians', 'iant', 'iaou', 'iapa', 'iapé', 'iaph', 'iapi', 'iapo',
    'iapr', 'iaqu', 'ïaqu', 'iarc', 'iard', 'iare', 'iari', 'iarq', 'iarr', 'iars',
    'iart', 'iasc', 'iase', 'iasi', 'iasm', 'iasp', 'iasq', 'iass', 'iast', 'iata',
    'iate', 'iâte', 'iath', 'iati', 'iato', 'iatr', 'iâtr', 'iats', 'iatt', 'iatu',
    'iaud', 'iaul', 'iaur', 'iaut', 'ïaut', 'iaux', 'iavé', 'iaxe', 'iazé', 'iazi',
    'iazo', 'iazz', 'ibac', 'ibad', 'ibag', 'ibai', 'ibal', 'ibam', 'ibâm', 'iban',
    'ibao', 'ibar', 'ibas', 'ibat', 'ibât', 'ibau', 'ibbe', 'ibbé', 'ibbl', 'ibbo',
    'ibea', 'ibec', 'ibée', 'ibeg', 'ibel', 'iben', 'iber', 'ibér', 'ibèr', 'ibes',
    'ibés', 'ïbes', 'ibet', 'ibét', 'ibez', 'ibia', 'ibic', 'ibid', 'ibie', 'ibié',
    'ibil', 'ibin', 'ibio', 'ibis', 'ibit', 'ibla', 'iblâ', 'ible', 'iblé', 'iblè',
    'ibli', 'iblî', 'iblo', 'iblu', 'iboc', 'iboé', 'ibof', 'iboi', 'iboï', 'ibol',
    'ibom', 'ibon', 'ibor', 'ibos', 'ibot', 'ibou', 'iboy', 'ibra', 'ibrâ', 'ibre',
    'ibré', 'ibrè', 'ibri', 'ibro', 'ibru', 'ibua', 'ibuâ', 'ibue', 'ibué', 'ibuè',
    'ibui', 'ibul', 'ibun', 'ibuo', 'ibur', 'ibus', 'ibut', 'ibyc', 'ibye', 'ibyl',
    'ibyq', 'icab', 'icâb', 'icac', 'icaç', 'icad', 'icag', 'içag', 'icai', 'ical',
    'icam', 'ican', 'içan', 'icap', 'icaq', 'icar', 'icas', 'icat', 'ïcat', 'icau',
    'icbo', 'icca', 'icce', 'icci', 'icco', 'icea', 'icéa', 'iceb', 'icec', 'icee',
    'icée', 'icef', 'icei', 'icéi', 'icel', 'icèl', 'icem', 'icém',
    'icen', 'icèn', 'icep', 'icép', 'icer', 'icér', 'icèr', 'ices', 'icés', 'icet',
    'icét', 'icèt', 'iceu', 'icey', 'icha', 'ichâ', 'îcha', 'iche', 'iché', 'ichè',
    'îche', 'îchè', 'ichi', 'ichî', 'îchi', 'îchî', 'ichl', 'ichn', 'icho', 'ichr',
    'ichs', 'icht', 'ichu', 'ichy', 'icia', 'iciâ', 'icib', 'icic', 'icid', 'icie',
    'icié', 'iciè', 'icïe', 'ïcie', 'icif', 'icig', 'icii', 'icil', 'icim', 'icin',
    'icio', 'icip', 'iciq', 'icis', 'ïcis', 'icit', 'ïcit', 'iciu', 'iciv', 'icke',
    'ické', 'ickf', 'ickl', 'icko', 'ickp', 'icks', 'icla', 'iclâ', 'icle', 'iclé',
    'iclè', 'icli', 'iclo', 'iclu', 'icma', 'icnè', 'icoa', 'icoc', 'icod', 'icof',
    'icog', 'icoi', 'icoï', 'içoi', 'icol', 'icom', 'icon', 'icôn', 'icop', 'icoq',
    'icor', 'icos', 'icot', 'icou', 'icpo', 'icqu', 'icra', 'icrâ', 'icre', 'icri',
    'icro', 'icru', 'icry', 'icta', 'ictâ', 'icte', 'icté', 'ictè', 'icti', 'icto',
    'ictr', 'icts', 'ictu', 'icty', 'icub', 'icui', 'icul', 'icum', 'icur', 'icus',
    'icut', 'icve', 'icya', 'icyc', 'icyl', 'icyt', 'idab', 'idac', 'ïdac', 'idad',
    'idag', 'idai', 'ïdai', 'idal', 'ïdal', 'idam', 'idâm', 'idan', 'idar', 'idas',
    'idat', 'idât', 'idau', 'ïdau', 'idav', 'idax', 'iddi', 'idea', 'idéa', 'idec',
    'ïdec', 'idée', 'ïdée', 'idéf', 'idei', 'idéi', 'ïdei', 'ïdéi', 'idéj', 'idel',
    'idél', 'idèl', 'idem', 'idém', 'iden', 'idéo', 'idep', 'idép', 'ider', 'idér',
    'idèr', 'ides', 'idés', 'ïdes', 'idet', 'idét', 'ideu', 'idex', 'idez', 'idge',
    'idgi', 'idia', 'idic', 'idid', 'idie', 'idié', 'ïdie', 'idif', 'idig', 'idil',
    'idim', 'idîm', 'idin', 'ïdin', 'idio', 'idip', 'idiq', 'ïdiq', 'idir', 'idis',
    'ïdis', 'idit', 'idît', 'ïdit', 'idiu', 'ïdiu', 'idiv', 'idja', 'ïdja', 'idji',
    'idna', 'idné', 'idoc', 'idod', 'idog', 'idoi', 'idol', 'idom', 'idon', 'idop',
    'ïdop', 'idor', 'idos', 'ïdos', 'idot', 'ïdot', 'idou', 'idov', 'idox', 'idoy',
    'idra', 'idre', 'idri', 'idro', 'idsh', 'idua', 'iduc', 'idue', 'idui', 'idul',
    'idum', 'idûm', 'iduq', 'idur', 'idus', 'iduu', 'idyl', 'idym', 'iéar', 'ieba',
    'iébl', 'ièbl', 'iéça', 'iece', 'iéce', 'iécé', 'ièce', 'iech', 'ièch', 'iècl',
    'iéco', 'iect', 'ieda', 'iéda', 'iede', 'iéde', 'iède', 'iedi', 'iédi', 'iedm',
    'iédo', 'iédr', 'ièdr', 'ieds', 'iéen', 'iées', 'ieff', 'iefi', 'iéfo', 'iefs',
    'iege', 'iége', 'iégé', 'iégè', 'iège', 'iégi', 'iègl', 'iégn', 'iègn', 'iegu',
    'ieil', 'iela', 'ield', 'iéle', 'ièle', 'iell', 'iélo', 'iels', 'iema', 'iéma',
    'ieme', 'iémé', 'ième', 'iémi', 'iemm', 'iémo', 'iems', 'iena', 'iéna', 'iénâ',
    'ienc', 'ïenc', 'ïenç', 'iend', 'iene', 'iéne', 'iéné', 'iénè', 'iène', 'ienf',
    'ienh', 'ieni', 'iéni', 'ienl', 'ienn', 'ïenn', 'ieno', 'iéno', 'iens', 'ïens',
    'ient', 'ienv', 'ienz', 'iepi', 'iépi', 'iepp', 'iera', 'iéra', 'ierc', 'iere',
    'ieré', 'iére', 'iéré', 'iérè', 'ière', 'ìere', 'ierg', 'ieri', 'iéri', 'ierm',
    'iern', 'iero', 'iéro', 'ierr', 'iers', 'iert', 'ierz', 'iesa', 'iesc', 'iesç',
    'iese', 'iesé', 'iése', 'iésé', 'ièse', 'ïèse', 'iesl', 'ièsp', 'iesq', 'iess',
    'iest', 'ieta', 'ietà', 'iéta', 'iétâ', 'iete', 'ieté', 'iéte', 'iété', 'iétè',
    'iète', 'ieth', 'iéth', 'iéti', 'ïéti', 'ietn', 'iéto', 'ietr', 'iétr', 'iètr',
    'iets', 'iett', 'ietu', 'iétu', 'ietz', 'ieuc', 'ieud', 'ieue', 'ïeul', 'ieur',
    'ïeur', 'ieus', 'ieut', 'ïeut', 'ieuv', 'ieux', 'ïeux', 'iéva', 'ieve', 'iève',
    'iévi', 'iëvo', 'ïévo', 'ievr', 'iévr', 'ièvr', 'iewa', 'iewâ', 'iewe', 'iewé',
    'iewè', 'iewi', 'iewo', 'iews', 'ièze', 'iezo', 'iézo', 'ifac', 'ifad', 'ifai',
    'ifal', 'ifam', 'ifâm', 'ifan', 'ifas', 'ifat', 'ifât', 'ifau', 'ifax', 'iféb',
    'ifée', 'ifem', 'ifen', 'ifèn', 'ifer', 'ifér', 'ifèr', 'ifes', 'ifés', 'ifet',
    'ifeu', 'ifex', 'ifez', 'iffa', 'iffâ', 'iffe', 'iffé', 'iffè', 'iffi', 'iffl',
    'iffo', 'iffr', 'iffs', 'iffu', 'ifia', 'ifiâ', 'ific', 'ifid', 'ifie', 'ifié',
    'ifiè', 'ifif', 'ifii', 'ifil', 'ifio', 'ifiq', 'ifis', 'ifix', 'ifla', 'iflâ',
    'ifle', 'iflé', 'iflè', 'ifli', 'iflo', 'iflu', 'ifoc', 'ifoi', 'ifol', 'ifom',
    'ifon', 'ifor', 'ifou', 'ifra', 'ifre', 'ifrè', 'ifri', 'ifro', 'ifte', 'ifti',
    'ifto', 'ifts', 'ifty', 'ifug', 'ifum', 'ifun', 'ifur', 'igab', 'igad', 'igag',
    'igai', 'igal', 'igam', 'igan', 'igar', 'igas', 'ïgas', 'igat', 'igau', 'igea',
    'igeâ', 'igee', 'igée', 'igel', 'igem', 'igém', 'igen', 'igén', 'igèn', 'igeo',
    'iger', 'igér', 'igèr', 'iges', 'igés', 'iget', 'igèt', 'igeu', 'igez', 'igge',
    'iggo', 'ighi', 'ighl', 'ïgho', 'ighs', 'ight', 'igia', 'igib', 'igid', 'igie',
    'igié', 'igii', 'igil', 'igin', 'igio', 'igis', 'igit', 'igiv', 'igla', 'igle',
    'igli', 'iglo', 'igly', 'igma', 'igme', 'igmi', 'igmo', 'igna', 'ignâ', 'igne',
    'igné', 'ignè', 'igni', 'ignî', 'igno', 'igns', 'ignu', 'igny', 'igoc', 'igod',
    'igog', 'igoi', 'igol', 'igon', 'igop', 'igor', 'igos', 'igot', 'igou', 'ïgou',
    'igra', 'igrâ', 'igre', 'igré', 'igrè', 'igri', 'igrî', 'igro', 'igru', 'igta',
    'igte', 'igté', 'igti', 'igts', 'igua', 'iguâ', 'igue', 'igué', 'iguè', 'iguë',
    'igüe', 'igug', 'igui', 'iguï', 'igüi', 'igul', 'igum', 'iguo', 'igur', 'igus',
    'igwa', 'igyn', 'igza', 'ihad', 'ihal', 'ihar', 'ihau', 'iheb', 'ihél', 'ihép',
    'ihér', 'ihil', 'ihis', 'ihol', 'ihor', 'ihrâ', 'ihua', 'ihyg', 'iian', 'iide',
    'iidé', 'iien', 'iieu', 'iiez', 'iifl', 'iifo', 'iimp', 'iinf', 'iint', 'îint',
    'iion', 'iism', 'iite', 'ijam', 'ijap', 'ijau', 'ijec', 'ijon', 'ijot', 'ijou',
    'ijua', 'ijum', 'ijup', 'ikaa', 'ikad', 'ïkaï', 'ikan', 'ikar', 'ikas', 'ïkas',
    'ikat', 'ikaz', 'ikhe', 'ikhs', 'ikid', 'ïkid', 'ikik', 'ikil', 'ïkil', 'ikin',
    'ïkis', 'ikke', 'ikom', 'ikou', 'ikov', 'ikta', 'ilab', 'ilac', 'ilad', 'ilaf',
    'ilag', 'ilai', 'ilak', 'ilal', 'ilam', 'ilâm', 'ilan', 'ïlan', 'ilap', 'ilar',
    'ilas', 'ilat', 'ilât', 'ilau', 'ilaw', 'ilax', 'ilay', 'ilbe', 'ilbè', 'ilbi',
    'ilbo', 'ilbu', 'ilch', 'ildc', 'ilde', 'ildi', 'ilea', 'iléa', 'ileb', 'ilec',
    'ilée', 'ilég', 'ilèg', 'ileh', 'iléi', 'ilem', 'ilèm', 'ilen', 'ilèn', 'ileo',
    'iléo', 'ilep', 'iler', 'ilèr', 'iles', 'ilés', 'îles', 'ilet', 'ilét', 'ilèt',
    'îlet', 'ileu', 'iléu', 'ilev', 'ilex', 'ilez', 'ilga', 'ilha', 'ilhe', 'ilho',
    'ilia', 'iliâ', 'ilib', 'ilic', 'ilid', 'ilie', 'ilié', 'iliè', 'îlie', 'ïlie',
    'ilif', 'ilig', 'ilii', 'ilim', 'ilîm', 'ilin', 'ilio', 'ilip', 'iliq', 'ilir',
    'ilis', 'ilit', 'ilît', 'iliu', 'iliv', 'illa', 'illâ', 'ille', 'illé', 'illè',
    'illi', 'illî', 'illo', 'ills', 'illu', 'illy', 'ilma', 'ilmâ', 'ilme', 'ilmé',
    'ilmè', 'ilmi', 'ilmo', 'ilms', 'iloa', 'ilob', 'iloc', 'ilod', 'ilof', 'ilog',
    'iloh', 'iloi', 'ilol', 'ilom', 'ilon', 'ilop', 'iloq', 'ilor', 'ilos', 'ilot',
    'îlot', 'ilou', 'ilov', 'ilow', 'ilph', 'ilpo', 'ilre', 'ilsa', 'ilsh', 'ilte',
    'ilti', 'ilto', 'iltr', 'ilts', 'ilua', 'iluâ', 'ilud', 'ilue', 'ilué', 'iluè',
    'ilui', 'ilul', 'ilum', 'iluo', 'iluq', 'ilur', 'ilus', 'ilut', 'iluv', 'ilva',
    'ilve', 'ilwa', 'imab', 'imac', 'imaç', 'imad', 'imaf', 'imag', 'imai', 'îmai',
    'imal', 'imam', 'imâm', 'îmâm', 'iman', 'îman', 'ïman', 'imao', 'imaq', 'imar',
    'imas', 'îmas', 'imat', 'imât', 'îmât', 'imau', 'imax', 'imay', 'imba', 'imbe',
    'imbé', 'imbê', 'imbi', 'imbl', 'imbo', 'imbr', 'imbu', 'imca', 'iméd', 'imèd',
    'imée', 'îmée', 'imel', 'imem', 'imen', 'imén', 'imèn', 'îmen', 'imer', 'imér',
    'imèr', 'îmer', 'îmèr', 'imes', 'imés', 'îmes', 'îmés', 'ïmes', 'imet', 'imét',
    'imèt', 'imeu', 'imev', 'imez', 'îmez', 'imic', 'imid', 'imie', 'îmie', 'imig',
    'imil', 'imin', 'imio', 'îmio', 'ïmio', 'imip', 'imiq', 'imir', 'ïmir', 'imis',
    'imit', 'imiu', 'imiv', 'imix', 'imiz', 'imma', 'imme', 'immé', 'immi', 'immo',
    'immu', 'immy', 'imné', 'imni', 'imno', 'imod', 'imog', 'imoi', 'îmoi', 'imol',
    'imon', 'îmon', 'imor', 'imos', 'imot', 'imou', 'impa', 'impâ', 'impe', 'impé',
    'impè', 'impi', 'impl', 'impo', 'impô', 'impr', 'imps', 'impu', 'imti', 'imug',
    'imul', 'imum', 'imus', 'imut', 'imvi', 'imyc', 'imyn', 'imyo', 'inab', 'înab',
    'inac', 'inad', 'inaf', 'inag', 'înag', 'inah', 'inai', 'inaï', 'înai', 'inal',
    'inam', 'inâm', 'înâm', 'inan', 'înan', 'inap', 'inar', 'înar', 'inas', 'înas',
    'inat', 'inât', 'înat', 'înât', 'inau', 'inav', 'inaz', 'inba', 'inbl', 'inbo',
    'inca', 'inça', 'inçâ', 'ince', 'incé', 'incè', 'inch', 'inci', 'incî', 'ïnci',
    'incl', 'inco', 'inço', 'incr', 'incs', 'inct', 'incu', 'inçu', 'ïncu', 'inda',
    'indâ', 'inde', 'indé', 'indè', 'indi', 'indo', 'indr', 'inds', 'indu', 'indû',
    'inea', 'inéa', 'înea', 'ineb', 'inéb', 'inec', 'inéc', 'inéd', 'inèd', 'inee',
    'inée', 'înée', 'inef', 'inég', 'inéi', 'inel', 'inél', 'inem', 'iném', 'înem',
    'inen', 'inén', 'inèn', 'înen', 'inéo', 'inep', 'inép', 'inéq', 'iner', 'inér',
    'inèr', 'îner', 'înèr', 'ines', 'inés', 'inès', 'înes', 'înés', 'ïnes', 'inet',
    'inét', 'inèt', 'înet', 'ineu', 'îneu', 'inev', 'inév', 'inex', 'inez', 'înez',
    'infa', 'infâ', 'infe', 'infé', 'infè', 'infi', 'infl', 'info', 'infr', 'infu',
    'inga', 'ingb', 'inge', 'ingé', 'ingè', 'ingh', 'ingi', 'ingl', 'ingn', 'ingo',
    'ingr', 'ings', 'ingt', 'ingu', 'ingw', 'inha', 'inhe', 'inhé', 'inhi', 'inho',
    'inhu', 'inia', 'iniâ', 'inib', 'inic', 'inid', 'inie', 'inié', 'iniè', 'înie',
    'inif', 'inij', 'inil', 'inim', 'inîm', 'inin', 'inio', 'înio', 'inip', 'iniq',
    'inir', 'inis', 'înis', 'ïnis', 'init', 'inît', 'ïnit', 'iniu', 'iniv', 'inja',
    'inje', 'injo', 'inju', 'inka', 'inke', 'inké', 'inkg', 'inks', 'inky', 'inla',
    'inle', 'inli', 'inlo', 'inme', 'inmè', 'înme', 'inmi', 'inmo', 'inna', 'inne',
    'inné', 'inni', 'inno', 'inns', 'innu', 'inoa', 'inob', 'inoc', 'inod', 'inoe',
    'inof', 'inog', 'inoi', 'inoï', 'inol', 'inom', 'inôm', 'ïnom', 'inon', 'înon',
    'inoo', 'inop', 'inoq', 'inor', 'inos', 'inot', 'inou', 'ïnou', 'inov', 'inox',
    'inoz', 'inpi', 'inpu', 'inqu', 'inra', 'inre', 'inri', 'insa', 'insc', 'inse',
    'insé', 'insè', 'insi', 'insk', 'inso', 'insp', 'insr', 'inss', 'inst', 'insu',
    'inta', 'intâ', 'intc', 'inte', 'inté', 'intè', 'înte', 'inth', 'inti', 'intî',
    'into', 'intô', 'intr', 'ints', 'intu', 'intz', 'inua', 'inuâ', 'inuc', 'inue',
    'inué', 'inuè', 'inui', 'inul', 'inum', 'inûm', 'inuo', 'inur', 'inus', 'inut',
    'inuu', 'inuy', 'inva', 'inve', 'invé', 'invi', 'invo', 'invr', 'invu', 'inyi',
    'inyl', 'inza', 'inze', 'inzi', 'inzo', 'ioac', 'ioal', 'ioam', 'ioas', 'ioba',
    'iobe', 'iobi', 'iobo', 'iobu', 'ioca', 'ioce', 'iocé', 'iocè', 'ioch', 'ioci',
    'iocl', 'ioco', 'iocr', 'iocs', 'iocu', 'iocy', 'ioda', 'iodâ', 'iode', 'iodé',
    'iodè', 'iodh', 'iodi', 'iodl', 'iodo', 'iodr', 'iodu', 'iody', 'ioec', 'ioél',
    'ioén', 'iofè', 'iofr', 'ioga', 'ioge', 'iogé', 'iogè', 'iogl', 'iogn', 'iogo',
    'iogr', 'iogu', 'ioïd', 'ioïq', 'ioir', 'iois', 'iojo', 'ioko', 'iola', 'iolâ',
    'iole', 'iolé', 'iolè', 'iôle', 'ioli', 'ïoli', 'ioll', 'ïoll', 'iolo', 'iols',
    'iolu', 'ioly', 'ioma', 'iome', 'iomé', 'iomè', 'iomi', 'iomo', 'iomp', 'iomy',
    'ion,', 'iona', 'ionc', 'ionç', 'ione', 'ioné', 'ioni', 'ïoni', 'ionn', 'ïonn',
    'iono', 'ions', 'ïons', 'iont', 'ionu', 'ionv', 'iony', 'iopa', 'iopè', 'ioph',
    'iopi', 'iopl', 'iopo', 'iopr', 'iops', 'iopt', 'ioqu', 'iora', 'iorâ', 'iorc',
    'iord', 'iore', 'ioré', 'iorè', 'iori', 'iork', 'iorn', 'ioro', 'iors', 'iort',
    'ioru', 'iory', 'iosa', 'iosc', 'iose', 'iôse', 'iosi', 'ioso', 'iosp', 'iosq',
    'iost', 'iosu', 'iosy', 'iota', 'iotâ', 'iote', 'ioté', 'iotè', 'ioth', 'ioti',
    'ioto', 'iotr', 'iots', 'iott', 'ioty', 'ioud', 'ioul', 'ioup', 'iour', 'ious',
    'ioux', 'iove', 'iovi', 'iovu', 'ioxi', 'ioxu', 'ioxy', 'iozo', 'ipab', 'ipag',
    'ipai', 'ipal', 'ipâm', 'ipan', 'ipap', 'ipar', 'ipas', 'ipat', 'ipât', 'ipau',
    'ipay', 'ipch', 'ipco', 'ipea', 'ipéc', 'iped', 'ipéd', 'ipèd', 'ipée', 'ipeg',
    'ipel', 'ipél', 'ipèl', 'ipem', 'ipém', 'ipen', 'ipep', 'iper', 'ipér', 'ipèr',
    'ipes', 'ipés', 'ipet', 'ipét', 'ipèt', 'ipeu', 'ipez', 'ipha', 'iphe', 'iphé',
    'iphi', 'iphl', 'ipho', 'iphr', 'ipht', 'iphy', 'ipia', 'ipic', 'ipid', 'ipie',
    'ipiè', 'ipil', 'ipio', 'ipip', 'ipiq', 'ipis', 'ipit', 'ipla', 'iplâ', 'iple',
    'iplé', 'iplè', 'ipli', 'iplo', 'iplô', 'iplu', 'ipma', 'ipne', 'ipoc', 'ipod',
    'ipoé', 'ipog', 'ipoi', 'ipoï', 'ipol', 'ipôl', 'ipom', 'ipon', 'ipop', 'ipor',
    'ipos', 'ipot', 'ipou', 'ipov', 'ippa', 'ippâ', 'ippe', 'ippé', 'ippè', 'ippi',
    'ippl', 'ippo', 'ippu', 'ippy', 'ipra', 'ipre', 'ipré', 'iprê', 'ipri', 'ipro',
    'ipsa', 'ipsâ', 'ipse', 'ipsé', 'ipsè', 'ipsi', 'ipso', 'ipsy', 'ipte', 'ipté',
    'iptè', 'ipti', 'ipto', 'ipts', 'iptu', 'ipty', 'ipua', 'ipul', 'ipun', 'ipur',
    'iput', 'ipyg', 'ipyl', 'ipyr', 'ipzi', 'iqua', 'iquâ', 'ïqua', 'ique', 'iqué',
    'iquè', 'ïque', 'ïqué', 'iqui', 'iquo', 'iqûr', 'irab', 'irac', 'irad', 'irae',
    'iraf', 'irag', 'irai', 'ïrai', 'irak', 'iral', 'iram', 'irâm', 'ïram', 'iran',
    'irap', 'iraq', 'irar', 'iras', 'ïras', 'irat', 'irât', 'irau', 'irav', 'iray',
    'irba', 'irbe', 'irbm', 'irbu', 'irca', 'irce', 'irci', 'ircî', 'irco', 'ircu',
    'irda', 'irdu', 'irea', 'iréa', 'ireb', 'irec', 'iréc', 'ired', 'iree', 'irée',
    'iref', 'iréf', 'irég', 'irèg', 'irel', 'irem', 'irém', 'irèm', 'iren', 'irén',
    'irèn', 'ïren', 'irep', 'irép', 'irer', 'irèr', 'ires', 'irés', 'ïres', 'iret',
    'ireu', 'irev', 'irév', 'irex', 'irez', 'ïrez', 'irga', 'irgh', 'irgi', 'irgu',
    'irha', 'irhe', 'iria', 'irib', 'iric', 'irid', 'irie', 'iriè', 'ïrie', 'irif',
    'irig', 'iril', 'irim', 'irin', 'irio', 'ïrio', 'iriq', 'iris', 'irit', 'iriu',
    'irkp', 'irla', 'irle', 'irli', 'irls', 'irma', 'irmâ', 'irme', 'irmé', 'irmè',
    'irmi', 'irmo', 'irob', 'iroc', 'irod', 'irof', 'irog', 'iroi', 'iroï', 'ïroi',
    'iroj', 'irol', 'irom', 'iron', 'ïron', 'irop', 'iroq', 'iror', 'iros', 'irot',
    'irou', 'irpa', 'irpâ', 'irpe', 'irpé', 'irpè', 'irpi', 'irpo', 'irqu', 'irra',
    'irre', 'irré', 'irrh', 'irri', 'irro', 'irru', 'irsc', 'irse', 'irso', 'irsu',
    'irta', 'irte', 'irti', 'irts', 'irtu', 'irub', 'irud', 'irul', 'irup', 'irur',
    'irus', 'irva', 'irve', 'irvo', 'isab', 'isac', 'isad', 'isag', 'isai', 'isaï',
    'isal', 'isam', 'isâm', 'isan', 'ïsan', 'isar', 'isas', 'isat', 'isât', 'ïsat',
    'isau', 'isay', 'isba', 'isbe', 'isbé', 'isbè', 'isbi', 'isbn', 'isbo', 'isca',
    'isça', 'isçâ', 'isce', 'iscé', 'iscè', 'isch', 'isci', 'iscl', 'isco', 'iscô',
    'isço', 'iscr', 'iscs', 'iscu', 'isea', 'isec', 'isèc', 'isee', 'isée', 'ïsée',
    'iség', 'isel', 'isél', 'isèl', 'isem', 'isém', 'isen', 'isén', 'iséo', 'isep',
    'iseq', 'iséq', 'iser', 'isér', 'isèr', 'ïser', 'ises', 'isés', 'ïses', 'ïsés',
    'iset', 'isét', 'iseu', 'isex', 'isez', 'isfa', 'isfe', 'isfi', 'isfî', 'isfo',
    'isgi', 'isgr', 'isha', 'ishb', 'ishm', 'ishn', 'isia', 'isib', 'isic', 'isie',
    'isiè', 'isif', 'isig', 'isil', 'isim', 'isîm', 'isin', 'isio', 'isiq', 'isir',
    'isis', 'isit', 'isît', 'isiv', 'isjo', 'isju', 'iska', 'iske', 'iskè', 'iski',
    'isky', 'isla', 'isle', 'islo', 'isma', 'isme', 'ismé', 'ïsme', 'ismi', 'ismo',
    'ismu', 'isna', 'isne', 'isné', 'isnu', 'isoa', 'isob', 'isoc', 'isod', 'isoé',
    'isoè', 'isog', 'isoh', 'isoi', 'isoï', 'isol', 'isom', 'ison', 'isop', 'isor',
    'isos', 'isot', 'isou', 'isov', 'ispa', 'ispâ', 'ispe', 'ispé', 'ispè', 'isph',
    'ispi', 'ispl', 'ispo', 'ispr', 'ispu', 'isqu', 'isra', 'isrh', 'isru', 'issa',
    'issâ', 'îssa', 'ïssa', 'isse', 'issé', 'issè', 'îsse', 'ïsse', 'issi', 'issî',
    'ïssi', 'isso', 'ïsso', 'issu', 'issy', 'ista', 'istâ', 'iste', 'isté', 'istè',
    'ïste', 'isth', 'isti', 'istm', 'isto', 'istr', 'istu', 'isty', 'isua', 'isub',
    'isud', 'isue', 'isul', 'isun', 'isup', 'isur', 'isya', 'isyl', 'isym', 'isyn',
    'isyp', 'isys', 'iszt', 'itab', 'îtab', 'itac', 'itâc', 'itad', 'itae', 'itag',
    'îtag', 'itai', 'îtai', 'ital', 'itam', 'itâm', 'îtâm', 'itan', 'îtan', 'itap',
    'itar', 'itas', 'îtas', 'itat', 'itât', 'îtât', 'itau', 'itax', 'itch', 'itea',
    'îtea', 'itec', 'itee', 'itée', 'îtée', 'itel', 'itél', 'itèl', 'item', 'îtem',
    'iten', 'îten', 'iteo', 'itèq', 'iter', 'itér', 'itèr', 'îter', 'îtèr', 'ïter',
    'ites', 'ités', 'îtes', 'îtés', 'ïtes', 'ïtés', 'itét', 'iteu', 'itev', 'itez',
    'îtez', 'itha', 'ithe', 'ithé', 'ithè', 'ithi', 'ithm', 'itho', 'ithr', 'iths',
    'ithu', 'ithy', 'itia', 'itiâ', 'itic', 'itid', 'itie', 'itié', 'itiè', 'îtie',
    'îtiè', 'ïtie', 'itif', 'itig', 'itii', 'itil', 'itim', 'itin', 'itio', 'îtio',
    'itiq', 'itir', 'itis', 'ïtis', 'itiu', 'itiv', 'itle', 'itlé', 'itlo', 'itmè',
    'itmo', 'itob', 'itoc', 'itog', 'itoi', 'itoï', 'itol', 'itom', 'iton', 'îton',
    'itop', 'itor', 'itos', 'itot', 'itôt', 'itou', 'itox', 'itoy', 'itpi', 'itra',
    'itrâ', 'îtra', 'îtrâ', 'itre', 'itré', 'itrè', 'ître', 'îtré', 'îtrè', 'itri',
    'îtri', 'itro', 'îtro', 'itru', 'itry', 'itsa', 'itsc', 'itsu', 'itta', 'ittâ',
    'itte', 'itté', 'ittè', 'itti', 'itto', 'ittu', 'itua', 'ituâ', 'itub', 'itud',
    'itue', 'itué', 'ituè', 'itui', 'itul', 'itum', 'ituo', 'itup', 'itur', 'îtur',
    'itus', 'itut', 'ituu', 'itya', 'ityp', 'ityr', 'itzi', 'iule', 'iuma', 'iumb',
    'iumn', 'iums', 'iumt', 'iumv', 'iuni', 'iura', 'iurb', 'iure', 'iuré', 'iurè',
    'iurg', 'iuri', 'iurn', 'iuro', 'ïuss', 'ivab', 'ivac', 'ivad', 'ivag', 'ivai',
    'ivaï', 'ival', 'ivâm', 'ivan', 'ivar', 'ivas', 'ivat', 'ivât', 'ivau', 'ivea',
    'ivéa', 'ivec', 'ivèc', 'ived', 'ivee', 'ivée', 'ivei', 'ivel', 'ivèl', 'ivem',
    'ïvem', 'iven', 'ivén', 'ivéo', 'iver', 'ivér', 'ivèr', 'ives', 'ivés', 'ïves',
    'ivet', 'ivét', 'ïvet', 'iveu', 'ivez', 'ivia', 'ivib', 'ivid', 'ivie', 'iviè',
    'ivif', 'ivil', 'ivim', 'ivîm', 'ivin', 'ivio', 'ivip', 'iviq', 'ivir', 'ivis',
    'ivit', 'ivît', 'iviu', 'iviv', 'ivoc', 'ïvod', 'ivoi', 'ivol', 'ivom', 'ivon',
    'ivoq', 'ivor', 'ivos', 'ivôs', 'ivot', 'ivou', 'ivra', 'ivrâ', 'ivre', 'ivré',
    'ivrè', 'ivri', 'ivro', 'ivru', 'ivul', 'ivum', 'ivur', 'iwan', 'ïwan', 'iway',
    'iwis', 'ixag', 'ixai', 'ixal', 'ixâm', 'ixan', 'ixas', 'ixat', 'ixât', 'ixau',
    'ixda', 'ixée', 'ixel', 'ixem', 'ixen', 'ixer', 'ixèr', 'ixes', 'ixés', 'ixeu',
    'ixez', 'ixia', 'ixie', 'ixiè', 'ixin', 'ixio', 'ixir', 'ixis', 'ixit', 'ixiv',
    'ixod', 'ixoi', 'ixon', 'ixot', 'ixte', 'ixti', 'ixtu', 'iyal', 'izai', 'izam',
    'izan', 'izar', 'izat', 'izda', 'ïzen', 'izer', 'izés', 'izet', 'izic', 'izie',
    'izié', 'iziè', 'izil', 'izir', 'izis', 'izne', 'izob', 'izoc', 'izog', 'izoï',
    'izom', 'izon', 'izoo', 'izop', 'izos', 'izot', 'izou', 'izut', 'izyg', 'izyp',
    'izza', 'izze', 'izzi', 'izzl'
    );

  //J
  F4LjMax_ = 268;
  F4Lj_: array[1..F4LjMax_] of S016_ = (
    'jabi', 'jabl', 'jabo', 'jaca', 'jacc', 'jace', 'jacé', 'jach', 'jaci', 'jack',
    'jaco', 'jacq', 'jact', 'jacu', 'jade', 'jadé', 'jadi', 'jagu', 'jahi', 'jail',
    'jain', 'jaïn', 'jais', 'jaks', 'jala', 'jale', 'jäle', 'jalé', 'jalo', 'jama',
    'jamb', 'jame', 'jami', 'jana', 'jang', 'jani', 'jano', 'jans', 'jant', 'janv',
    'japh', 'japo', 'japp', 'jaqu', 'jara', 'jard', 'jarg', 'jarn', 'jaro', 'jarr',
    'jars', 'jasa', 'jasâ', 'jase', 'jasé', 'jasè', 'jasi', 'jasm', 'jaso', 'jasp',
    'jass', 'jate', 'jato', 'jats', 'jatt', 'jaug', 'jaum', 'jaun', 'jaur', 'java',
    'jave', 'jàvu', 'jaye', 'jazz', 'jean', 'jeau', 'jebe', 'jéci', 'ject', 'jeep',
    'jého', 'jéju', 'jeld', 'jell', 'jemâ', 'jenn', 'jepu', 'jere', 'jéré', 'jerk',
    'jéro', 'jerr', 'jers', 'jéru', 'jest', 'jesu', 'jésu', 'jeta', 'jetâ', 'jete',
    'jeté', 'jetè', 'jeti', 'jéti', 'jeto', 'jets', 'jett', 'jeud', 'jeun', 'jeûn',
    'jeur', 'jeux', 'jigg', 'jiha', 'jiks', 'jine', 'jing', 'jini', 'jinn', 'jism',
    'jist', 'jite', 'jits', 'jkis', 'jlar', 'joai', 'joba', 'jobe', 'jobs', 'joca',
    'joci', 'jock', 'jocr', 'jodh', 'jodl', 'jogg', 'joha', 'joie', 'joig', 'join',
    'jois', 'joïs', 'jojo', 'joke', 'jola', 'jôla', 'jole', 'jôle', 'jôlé', 'joli',
    'jols', 'jomo', 'jonc', 'jong', 'jonk', 'jonn', 'jonq', 'jons', 'jonz', 'jora',
    'jorâ', 'jord', 'jore', 'joré', 'jorè', 'jori', 'joro', 'jorq', 'jors', 'joru',
    'jose', 'josé', 'jota', 'jotâ', 'jote', 'joté', 'jotè', 'joti', 'joto', 'jott',
    'joua', 'jouâ', 'joub', 'joue', 'joué', 'jouè', 'jouf', 'joug', 'joui', 'jouî',
    'jouj', 'joul', 'jouo', 'jour', 'jous', 'jout', 'jouv', 'joux', 'jovi', 'joya',
    'joye', 'jtte', 'juan', 'juba', 'jube', 'jubé', 'jubi', 'juch', 'juda', 'jude',
    'judé', 'judi', 'judo', 'juga', 'juge', 'jugé', 'jugè', 'jugi', 'jugl', 'jugu',
    'juif', 'juil', 'juin', 'juiv', 'juju', 'juke', 'jule', 'juli', 'jumb', 'jume',
    'jump', 'jung', 'juni', 'junk', 'juno', 'juns', 'junt', 'junu', 'jupe', 'jupi',
    'jupo', 'jura', 'jurâ', 'jure', 'juré', 'jurè', 'jurg', 'juri', 'juro', 'jury',
    'jusa', 'jusc', 'jusé', 'jusi', 'jusq', 'juss', 'just', 'juta', 'jutâ', 'jute',
    'juté', 'jutè', 'juti', 'juto', 'jutr', 'juva', 'juvé', 'juxt'

    );

  //K
  F4LkMax_ = 341;
  F4Lk_: array[1..F4LkMax_] of S016_ = (
    'kaan', 'kabb', 'kabu', 'kaby', 'kach', 'kadd', 'kadi', 'kado', 'kafk', 'kage',
    'kagi', 'kahl', 'kaie', 'kaïe', 'kaïn', 'kais', 'kait', 'kajo', 'kaka', 'kaké',
    'kaki', 'kala', 'kalé', 'kali', 'kalk', 'kalm', 'kama', 'kâme', 'kami', 'kamm',
    'kamp', 'kana', 'kand', 'kane', 'kang', 'kani', 'kann', 'kano', 'kans', 'kant',
    'kaol', 'kaon', 'kapi', 'kapo', 'kapp', 'kara', 'karb', 'kare', 'kari', 'karm',
    'karp', 'kars', 'kart', 'kary', 'kasc', 'kase', 'kash', 'kass', 'kata', 'katc',
    'kate', 'kâte', 'kati', 'kato', 'kava', 'kawa', 'kawc', 'kawi', 'kaya', 'kaza',
    'kaze', 'kbou', 'kcha', 'kchi', 'keba', 'kebi', 'keep', 'kées', 'kéfa', 'keff',
    'kefi', 'kéfi', 'keke', 'kéke', 'kela', 'kele', 'kelé', 'kèle', 'keli', 'kéli',
    'kels', 'kelu', 'kelv', 'kémo', 'kéna', 'kend', 'kène', 'keng', 'keni', 'kéno',
    'kens', 'kent', 'keny', 'kény', 'keof', 'képh', 'képi', 'kept', 'kera', 'kéra',
    'kerb', 'kerd', 'kere', 'kère', 'keri', 'kéri', 'kerm', 'kero', 'kéro', 'kerq',
    'kerr', 'kers', 'kery', 'kesp', 'kess', 'ketc', 'kete', 'keti', 'ketm', 'kets',
    'kett', 'keur', 'keva', 'keye', 'keyn', 'keys', 'kfas', 'kfis', 'kfor', 'kfun',
    'kgam', 'kgro', 'khâg', 'khak', 'khal', 'kham', 'khan', 'khar', 'khat', 'khau',
    'khed', 'khéd', 'khee', 'khit', 'khme', 'khmè', 'khoi', 'khol', 'khôl', 'khoz',
    'khst', 'khti', 'khze', 'kiab', 'kiai', 'kiâm', 'kian', 'kias', 'kiat', 'kiât',
    'kibb', 'kich', 'kick', 'kidn', 'kido', 'kiée', 'kief', 'kièh', 'kien', 'kier',
    'kièr', 'kies', 'kiés', 'kieu', 'kiez', 'kiff', 'kiie', 'kiio', 'kiki', 'kila',
    'kili', 'kill', 'kilo', 'kilt', 'kimb', 'kimo', 'kina', 'kinc', 'kine', 'kiné',
    'kinè', 'king', 'kini', 'kink', 'kino', 'kins', 'kint', 'kion', 'kiop', 'kios',
    'kipp', 'kirg', 'kiri', 'kirk', 'kirs', 'kism', 'kiss', 'kist', 'kitc', 'kite',
    'kits', 'kiur', 'kiwi', 'kkad', 'kkar', 'kkin', 'klag', 'klah', 'klat', 'klav',
    'klax', 'kleb', 'klee', 'klep', 'kler', 'kles', 'klet', 'klin', 'klip', 'klon',
    'klor', 'klys', 'kmak', 'kman', 'kmèn', 'kney', 'knic', 'knin', 'knoc', 'knou',
    'know', 'koal', 'kobo', 'koch', 'koda', 'koff', 'kohe', 'koho', 'koin', 'kois',
    'kola', 'koli', 'kolk', 'komi', 'komm', 'kond', 'kong', 'kons', 'konz', 'koop',
    'kope', 'kopp', 'korê', 'kori', 'korr', 'kors', 'kory', 'kose', 'koti', 'koto',
    'koua', 'koub', 'koue', 'kouf', 'koug', 'koul', 'koum', 'koun', 'kour', 'kous',
    'kout', 'kove', 'kowe', 'kpat', 'kpit', 'kpoc', 'kraa', 'krac', 'kraf', 'krai',
    'krak', 'krem', 'kreu', 'kril', 'kris', 'krit', 'kron', 'krou', 'kryp', 'ksar',
    'kshi', 'kson', 'ksou', 'ktai', 'ktat', 'ktch', 'ktis', 'kton', 'ktou', 'kuar',
    'kuav', 'kufi', 'kûfi', 'kuge', 'kumm', 'kumq', 'kumy', 'kung', 'kunk', 'kurd',
    'kusa', 'kvas', 'kvav', 'kwas', 'kwei', 'kyat', 'kylo', 'kymo', 'kymr', 'kyri',
    'kyst'
    );

  //L
  F4LlMax_ = 1969;
  F4Ll_: array[1..F4LlMax_] of S016_ = (
    'laas', 'laba', 'labd', 'labe', 'labé', 'labf', 'labi', 'labl', 'labo', 'labr',
    'labs', 'labu', 'laby', 'laca', 'laça', 'laçâ', 'lacc', 'lace', 'lacé', 'lacè',
    'lach', 'lâch', 'laci', 'lack', 'laco', 'laço', 'lacq', 'lacr', 'lacs', 'lact',
    'lacu', 'laçu', 'lada', 'ladâ', 'lade', 'ladé', 'ladè', 'ladi', 'lado', 'ladr',
    'lads', 'ladu', 'lady', 'laei', 'laen', 'lafa', 'laff', 'lafi', 'lafo', 'lafr',
    'lafs', 'laga', 'lage', 'lagé', 'lagè', 'lagh', 'lagi', 'lagm', 'lagn', 'lago',
    'lagr', 'lags', 'lagu', 'laho', 'lahs', 'laîc', 'laïc', 'laid', 'laïd', 'laie',
    'laïe', 'laig', 'laïk', 'lail', 'laim', 'lain', 'laïn', 'laio', 'laïq', 'lair',
    'lais', 'laïs', 'lait', 'laît', 'laït', 'laïu', 'laiv', 'laix', 'laiz', 'laka',
    'lakh', 'laki', 'laks', 'lala', 'lald', 'lale', 'lalg', 'lali', 'lall', 'lalo',
    'lama', 'lâma', 'lamâ', 'lâmâ', 'lamb', 'lame', 'lâme', 'lamé', 'lâmé', 'lamè',
    'lâmè', 'lami', 'lâmi', 'lamm', 'lamo', 'lâmo', 'lamp', 'lams', 'lamu', 'lamy',
    'lana', 'lâna', 'lanâ', 'lânâ', 'lanc', 'lanç', 'land', 'lane', 'lâne', 'lané',
    'lâné', 'lanè', 'lânè', 'lang', 'lani', 'lâni', 'lanî', 'lank', 'lanl', 'lanm',
    'lann', 'lano', 'lâno', 'lanq', 'lans', 'lant', 'lanu', 'lanz', 'laon', 'laos',
    'laot', 'laou', 'lapa', 'lape', 'lapi', 'lapl', 'lapo', 'lapp', 'lâpr', 'laps',
    'lapt', 'lapü', 'laqu', 'lara', 'larâ', 'larb', 'larc', 'lard', 'lare', 'laré',
    'larè', 'larg', 'lari', 'larm', 'laro', 'larq', 'larr', 'lars', 'lart', 'larv',
    'lary', 'lasa', 'lasâ', 'lasc', 'lase', 'lasé', 'lasè', 'lasg', 'lash', 'lasi',
    'lask', 'lasm', 'lasn', 'laso', 'lasp', 'lasq', 'lass', 'last', 'lata', 'latâ',
    'latc', 'late', 'lâte', 'laté', 'latè', 'lath', 'lati', 'latî', 'lato', 'latr',
    'lâtr', 'lats', 'latt', 'latu', 'latv', 'laty', 'lauc', 'laud', 'laum', 'lauq',
    'laur', 'laus', 'laut', 'laux', 'lauz', 'lava', 'lavâ', 'lave', 'lavé', 'lavè',
    'lavi', 'lavo', 'lavr', 'lavu', 'lawn', 'lawr', 'laxa', 'laxâ', 'laxe', 'laxé',
    'laxè', 'laxi', 'laxo', 'laya', 'layâ', 'laye', 'layé', 'layè', 'layi', 'laym',
    'layo', 'lays', 'layt', 'layu', 'laza', 'laze', 'lazi',
    'lazu', 'lazz', 'lbac', 'lbai', 'lbal', 'lbâm', 'lban', 'lbas', 'lbat', 'lbât',
    'lbéd', 'lbée', 'lben', 'lbèn', 'lber', 'lbèr', 'lbes', 'lbés', 'lbeu', 'lbez',
    'lbie', 'lbig', 'lbil', 'lbin', 'lbio', 'lbit', 'lboa', 'lboe', 'lboi', 'lbom',
    'lbon', 'lboq', 'lbos', 'lbot', 'lbov', 'lbra', 'lbre', 'lbri', 'lbug', 'lbum',
    'lbur', 'lbut', 'lbuz', 'lcad', 'lcai', 'lcaï', 'lcal', 'lcan', 'lçaq', 'lcar',
    'lcat', 'lcaz', 'lcéd', 'lcel', 'lcém', 'lcèn', 'lcéo', 'lcer', 'lcér', 'lcèr',
    'lcét', 'lcha', 'lche', 'lché', 'lchi', 'lcho', 'lcic', 'lcif', 'lcin', 'lcio',
    'lcip', 'lciq', 'lcis', 'lcit', 'lciu', 'lcod', 'lcoe', 'lcog', 'lcol', 'lcom',
    'lcon', 'lcoo', 'lcop', 'lcor', 'lcos', 'lcot', 'lcov', 'lcoy', 'lcra', 'lcre',
    'lcro', 'lcsc', 'lcul', 'lcyn', 'lcyo', 'lcys', 'ldai', 'ldâm', 'ldan', 'ldaq',
    'ldar', 'ldas', 'ldat', 'ldât', 'ldav', 'ldca', 'ldée', 'ldef', 'ldéh', 'ldei',
    'lden', 'lder', 'ldèr', 'ldes', 'ldés', 'ldeu', 'ldez', 'ldie', 'ldin', 'ldio',
    'ldiq', 'ldis', 'ldoc', 'ldoi', 'ldol', 'ldon', 'ldor', 'ldos', 'ldot', 'ldôt',
    'ldoz', 'ldru', 'ldsp', 'lduc', 'ldul', 'ldun', 'ldwe', 'léab', 'léac', 'lead',
    'léaf', 'léag', 'léai', 'léal', 'leam', 'léâm', 'lean', 'léan', 'lear', 'léar',
    'leas', 'léas', 'leat', 'léat', 'léât', 'leau', 'léau', 'leba', 'léba', 'lebe',
    'lébe', 'lèbe', 'lebé', 'lébé', 'lébi', 'lebo', 'lébo', 'lebr', 'lébr', 'lèbr',
    'lebs', 'leca', 'léca', 'lech', 'léch', 'lèch', 'leci', 'léci', 'lécl', 'lecn',
    'léco', 'leço', 'lecr', 'lécr', 'lecs', 'lect', 'lécu', 'lécy', 'leda', 'léda',
    'lédé', 'ledi', 'lédi', 'ledo', 'lédo', 'lédy', 'léée', 'leen', 'léen', 'leep',
    'léer', 'léèr', 'lées', 'léés', 'léez', 'léfa', 'lefe', 'léfé', 'lefi', 'léfi',
    'lefl', 'lefo', 'lefr', 'lefs', 'lega', 'léga', 'lége', 'lège', 'légé', 'légè',
    'legg', 'legh', 'legi', 'légi', 'legm', 'légo', 'legr', 'légr', 'lègr', 'legs',
    'legu', 'légu', 'lègu', 'lehe', 'leia', 'léia', 'léic', 'leid', 'léid', 'léie',
    'léif', 'leig', 'leil', 'léim', 'lein', 'léin', 'léio', 'leip', 'leiq', 'léiq',
    'leir', 'leis', 'léis', 'leit', 'léit', 'léja', 'léje', 'lejo', 'leju', 'lekh',
    'léki', 'lele', 'lèle', 'lélé', 'léli', 'lell', 'lelo', 'lélo', 'lelu', 'lélu',
    'lema', 'léma', 'lemb', 'leme', 'léme', 'lème', 'lême', 'lémé', 'lémè', 'lemi',
    'lémi', 'lêmi', 'lêmî', 'lemm', 'lemn', 'lemo', 'lémo', 'lemp', 'lemu', 'lému',
    'lena', 'léna', 'lenc', 'lenç', 'lend', 'lene', 'léne', 'lène', 'lêne', 'léné',
    'leng', 'lénh', 'leni', 'léni', 'lenk', 'lenn', 'leno', 'léno', 'lens', 'lent',
    'lénu', 'léoa', 'léob', 'leoc', 'léoc', 'léod', 'léoé', 'léog', 'léoh', 'léol',
    'leom', 'léom', 'leon', 'léon', 'leop', 'léop', 'léor', 'léos', 'léot', 'léou',
    'léoz', 'lepa', 'lépa', 'lepe', 'leph', 'léph', 'lèph', 'lepi', 'lépi', 'lépl',
    'lépo', 'lepp', 'lepr', 'lépr', 'lèpr', 'leps', 'léps', 'lept', 'lépu', 'lequ',
    'lera', 'léra', 'lérâ', 'lerc', 'lerç', 'lere', 'lére', 'lère', 'leré', 'léré',
    'lérè', 'lerg', 'leri', 'léri', 'lerm', 'lern', 'lero', 'léro', 'lers', 'lert',
    'leru', 'léru', 'lery', 'léry', 'lesa', 'lésa', 'lésâ', 'lesb', 'lesc', 'lésc',
    'lesd', 'lese', 'lése', 'lèse', 'lesé', 'lésé', 'lésè', 'lesi', 'lési', 'lesk',
    'lésk', 'lesl', 'lesm', 'léso', 'lesp', 'lésp', 'lesq', 'less', 'lest', 'lésu',
    'leta', 'léta', 'letâ', 'létâ', 'letc', 'lete', 'léte', 'lète', 'leté', 'lété',
    'letè', 'létè', 'leth', 'léth', 'leti', 'léti', 'leto', 'léto', 'létr', 'lets',
    'lett', 'létu', 'léty', 'leuâ', 'leuc', 'leud', 'leue', 'leuh', 'leui', 'leuî',
    'leul', 'leum', 'léum', 'leur', 'leus', 'léus', 'leut', 'leuv', 'leux', 'leva',
    'léva', 'levâ', 'leve', 'lève', 'levé', 'levè', 'levi', 'lévi', 'levo', 'lévo',
    'levr', 'lévr', 'lèvr', 'levu', 'lévu', 'lexa', 'lexâ', 'lexe', 'lexé', 'lexè',
    'lexi', 'lexo', 'lexu', 'leya', 'leyb', 'leye', 'leyo', 'leyr', 'leys', 'leza',
    'léza', 'lèze', 'lezi', 'lfac', 'lfaç', 'lfai', 'lfam', 'lfan', 'lfar', 'lfas',
    'lfat', 'lfèg', 'lfen', 'lfén', 'lfes', 'lfeu', 'lfhé', 'lfhy', 'lfia', 'lfid',
    'lfie', 'lfié', 'lfiè', 'lfin', 'lfir', 'lfit', 'lfob', 'lfoc', 'lfom', 'lfon',
    'lfor', 'lfos', 'lfov', 'lfra', 'lfur', 'lgac', 'lgai', 'lgal', 'lgam', 'lgar',
    'lgat', 'lgau', 'lgaz', 'lgéb', 'lgèb', 'lgen', 'lgeo', 'lger', 'lgér', 'lges',
    'lgés', 'lgic', 'lgid', 'lgie', 'lgin', 'lgiq', 'lgol', 'lgon', 'lgor', 'lgra',
    'lgré', 'lgua', 'lguâ', 'lgue', 'lgué', 'lguè', 'lguh', 'lgui', 'lgum', 'lguo',
    'lgur', 'lgus', 'lhab', 'lhar', 'lhau', 'lhel', 'lhem', 'lhém', 'lher', 'lheu',
    'lhof', 'lhom', 'lhon', 'lhop', 'lhou', 'liab', 'liac', 'liad', 'liag', 'liai',
    'lial', 'liam', 'liâm', 'lian', 'liaq', 'liar', 'lias', 'liat', 'liât', 'liau',
    'liba', 'libe', 'libé', 'libè', 'libi', 'libl', 'libo', 'libr', 'libu', 'liby',
    'lica', 'liça', 'lice', 'licé', 'licè', 'lich', 'lici', 'lick', 'licl', 'lico',
    'lics', 'lict', 'licu', 'licy', 'lida', 'lidâ', 'lide', 'lidé', 'lidè', 'lidi',
    'lido', 'lidu', 'liec', 'lied', 'liee', 'liée', 'lief', 'lieg', 'liég', 'lièg',
    'liem', 'liém', 'lièm', 'lien', 'lién', 'lièn', 'lier', 'liér', 'lièr', 'lies',
    'liés', 'liès', 'liet', 'lieu', 'liev', 'lièv', 'liez', 'lifa', 'life', 'lifé',
    'lifè', 'lifi', 'lifl', 'lifo', 'lifr', 'lifs', 'lift', 'liga', 'lige', 'ligé',
    'ligè', 'ligh', 'ligi', 'lign', 'ligo', 'ligr', 'ligu', 'liie', 'liif', 'liio',
    'lika', 'likk', 'lila', 'lilé', 'lili', 'lill', 'lilo', 'lima', 'limâ', 'limb',
    'lime', 'lîme', 'limé', 'limè', 'limi', 'limn', 'limo', 'limp', 'limu', 'lina',
    'linâ', 'linc', 'linç', 'lind', 'line', 'liné', 'linè', 'linf', 'ling', 'lini',
    'link', 'linm', 'linn', 'lino', 'linq', 'lins', 'lint', 'linu', 'linv', 'liob',
    'lioc', 'liod', 'liog', 'lioi', 'liol', 'liom', 'lion', 'liop', 'lior', 'lios',
    'liot', 'lipa', 'lipe', 'lipé', 'lipè', 'liph', 'lipi', 'lipl', 'lipo', 'lipp',
    'lips', 'lipt', 'lipu', 'lipy', 'liqu', 'lira', 'lirâ', 'lire', 'liré', 'lirè',
    'liri', 'liro', 'lirt', 'liru', 'lisa', 'lisâ', 'lisb', 'lisc', 'lise', 'lisé',
    'lisè', 'lish', 'lisi', 'lism', 'lisn', 'liso', 'lisq', 'liss', 'list', 'lisz',
    'lita', 'litâ', 'litc', 'lite', 'lîte', 'lité', 'litè', 'lith', 'liti', 'lito',
    'litr', 'lîtr', 'lits', 'litt', 'litu', 'litz', 'lium', 'liur', 'lius', 'liva',
    'livâ', 'live', 'livé', 'livè', 'livi', 'livo', 'livr', 'livu', 'lixe', 'lixi',
    'liza', 'lizé', 'lizi', 'lizz', 'lkal', 'lkan', 'lkas', 'lkek', 'lkék', 'lker',
    'lkho', 'lkie', 'lkit', 'lklo', 'lkma', 'lkov', 'lkso', 'lkyr', 'lkys', 'llab',
    'llac', 'llad', 'llag', 'llah', 'llâh', 'llai', 'llak', 'llal', 'llam', 'llâm',
    'llan', 'llap', 'llar', 'llas', 'llat', 'llât', 'llau', 'llav', 'llax', 'llay',
    'lldo', 'llea', 'lléa', 'lleb', 'lléb', 'llec', 'lléc', 'llèc', 'lled', 'llee',
    'llée', 'llef', 'lleg', 'llég', 'llèg', 'llei', 'lléi', 'llej', 'llel', 'llél',
    'llèl', 'llem', 'llen', 'llén', 'llèn', 'lléo', 'llep', 'llép', 'lleq', 'ller',
    'llér', 'llèr', 'lles', 'llés', 'llet', 'lleu', 'llev', 'lley', 'llez', 'llia',
    'lliâ', 'llib', 'llic', 'llid', 'llie', 'llié', 'lliè', 'llif', 'llig', 'llii',
    'llil', 'llim', 'llîm', 'llin', 'llio', 'llip', 'lliq', 'llir', 'llis', 'llit',
    'llît', 'lliu', 'lliv', 'llma', 'llmo', 'llob', 'lloc', 'llod', 'llog', 'lloi',
    'lloï', 'llol', 'llom', 'llon', 'llop', 'lloq', 'llor', 'llos', 'llot', 'llou',
    'llow', 'llox', 'lloy', 'llst', 'llua', 'lluâ', 'lluc', 'llue', 'llué', 'lluè',
    'llui', 'llul', 'llum', 'lluo', 'llup', 'lluq', 'llur', 'llus', 'llut', 'llût',
    'lluv', 'llyb', 'llye', 'llyl', 'llyr', 'llyw', 'lmac', 'lmad', 'lmag', 'lmai',
    'lmâm', 'lman', 'lmar', 'lmas', 'lmat', 'lmât', 'lmea', 'lmée', 'lmel', 'lmem',
    'lmen', 'lmén', 'lmèn', 'lmer', 'lmèr', 'lmes', 'lmés', 'lmet', 'lmét', 'lmez',
    'lmic', 'lmie', 'lmif', 'lmig', 'lmil', 'lmin', 'lmio', 'lmip', 'lmiq', 'lmir',
    'lmis', 'lmit', 'lmiu', 'lmoc', 'lmod', 'lmog', 'lmoi', 'lmol', 'lmom', 'lmon',
    'lmoo', 'lmop', 'lmor', 'lmos', 'lmot', 'lmou', 'lmud', 'lmuk', 'lmur', 'lnai',
    'lnau', 'lnéa', 'lnée', 'lnél', 'lnéo', 'lner', 'lnér', 'lnés', 'lnoy', 'lnut',
    'loac', 'load', 'loam', 'loaq', 'loas', 'loba', 'lobâ', 'lobb', 'lobe', 'lobé',
    'lobè', 'lobi', 'lobl', 'lobo', 'lobs', 'lobu', 'loca', 'locc', 'loce', 'locé',
    'locè', 'loch', 'loci', 'lock', 'loco', 'locr', 'locs', 'loct', 'locu', 'locy',
    'loda', 'lode', 'lodé', 'lodè', 'lodi', 'lodo', 'lodr', 'lods', 'lodu', 'lody',
    'loed', 'loèd', 'loei', 'loes', 'loès', 'loet', 'lofa', 'lofe', 'lofé', 'loff',
    'lofi', 'lofr', 'lofs', 'loft', 'loga', 'loge', 'logé', 'logè', 'logg', 'logi',
    'logn', 'logo', 'logr', 'logu', 'logy', 'lohe', 'loid', 'loïd', 'loie', 'loig',
    'loin', 'loiq', 'loir', 'lois', 'loit', 'loît', 'loko', 'lole', 'lolé', 'loli',
    'loll', 'lolo', 'loly', 'loma', 'lôma', 'lômâ', 'lomb', 'lome', 'lôme', 'lomé',
    'lômé', 'lomè', 'lômè', 'lomi', 'lômi', 'lomm', 'lomn', 'lomo', 'lômo', 'loms',
    'lona', 'lôna', 'lonâ', 'lonc', 'lond', 'lone', 'lône', 'loné', 'lonè', 'lonf',
    'long', 'loni', 'lôni', 'lonn', 'lono', 'lons', 'lont', 'lônu', 'looc', 'lood',
    'loof', 'look', 'loom', 'loon', 'loop', 'loos', 'lopa', 'lopâ', 'lope', 'lopé',
    'lopè', 'loph', 'lopi', 'lopl', 'lopo', 'lopp', 'lopr', 'lops', 'lopu', 'loqu',
    'lora', 'lorâ', 'lord', 'lore', 'loré', 'lorè', 'lorg', 'lorh', 'lori', 'lorî',
    'lorm', 'loro', 'lorp', 'lorr', 'lors', 'loru', 'losa', 'losâ', 'losc', 'lose',
    'losé', 'losè', 'losi', 'losk', 'losn', 'loso', 'losp', 'loss', 'lost', 'losu',
    'lota', 'lotâ', 'lote', 'loté', 'lotè', 'loth', 'loti', 'lotî', 'lotl', 'loto',
    'lotr', 'lots', 'lott', 'lotu', 'lôtu', 'loty', 'loua', 'louâ', 'loub', 'louc',
    'loud', 'loue', 'loué', 'louè', 'louf', 'loug', 'louh', 'loui', 'louî', 'louk',
    'loul', 'louo', 'loup', 'louq', 'lour', 'lous', 'lout', 'louu', 'louv', 'loux',
    'louz', 'lova', 'love', 'lové', 'lovè', 'lovi', 'lovo', 'lowa', 'lowe', 'lown',
    'lows', 'loxe', 'loxé', 'loxo', 'loya', 'loyâ', 'loyd', 'loye', 'loyé', 'loyè',
    'loyi', 'loyo', 'loys', 'lozo', 'lpab', 'lpac', 'lpag', 'lpai', 'lpâm', 'lpan',
    'lpas', 'lpat', 'lpât', 'lpax', 'lpéb', 'lpec', 'lpée', 'lpel', 'lpen', 'lper',
    'lpèr', 'lpes', 'lpés', 'lpêt', 'lpeu', 'lpez', 'lpha', 'lphe', 'lphi', 'lpho',
    'lpic', 'lpid', 'lpie', 'lpif', 'lpig', 'lpin', 'lpio', 'lpiq', 'lpir', 'lpis',
    'lpit', 'lpla', 'lpoc', 'lpol', 'lpon', 'lpor', 'lpos', 'lpot', 'lpou', 'lpro',
    'lpta', 'lptâ', 'lpte', 'lpté', 'lptè', 'lpti', 'lpto', 'lptu', 'lqua', 'lquâ',
    'lque', 'lqué', 'lquè', 'lqui', 'lquo', 'lqúu', 'lrau', 'lréa', 'lrée', 'lrei',
    'lréz', 'lrou', 'lsac', 'lsai', 'lsal', 'lsam', 'lsâm', 'lsan', 'lsar', 'lsas',
    'lsat', 'lsât', 'lsbo', 'lsch', 'lsea', 'lséa', 'lsee', 'lsée', 'lsen', 'lsep',
    'lser', 'lsèr', 'lses', 'lsés', 'lseu', 'lsez', 'lsho', 'lsib', 'lsie', 'lsif',
    'lsin', 'lsio', 'lsiu', 'lsiv', 'lsoi', 'lsol', 'lsom', 'lson', 'lsor', 'lsta',
    'lste', 'lsti', 'lsto', 'lstr', 'lsug', 'lsul', 'ltab', 'ltac', 'ltag', 'ltai',
    'ltaï', 'ltam', 'ltâm', 'ltan', 'ltap', 'ltar', 'ltas', 'ltat', 'ltât', 'ltée',
    'ltem', 'lten', 'ltèq', 'lter', 'ltér', 'ltèr', 'ltes', 'ltés', 'lteu', 'ltez',
    'ltha', 'lthe', 'lthé', 'lthu', 'ltib', 'ltic', 'ltid', 'ltie', 'ltiè', 'ltif',
    'ltig', 'ltil', 'ltim', 'ltin', 'ltio', 'ltip', 'ltiq', 'ltir', 'ltis', 'ltit',
    'ltiu', 'ltiv', 'ltmè', 'ltoc', 'ltoi', 'ltoï', 'lton', 'ltoq', 'ltos', 'ltot',
    'ltôt', 'ltra', 'ltrâ', 'ltre', 'ltré', 'ltrè', 'ltri', 'ltro', 'ltru', 'ltsi',
    'ltue', 'ltug', 'ltuo', 'ltur', 'ltys', 'ltzy', 'luab', 'luag', 'luai', 'luâm',
    'luan', 'luas', 'luat', 'luât', 'luau', 'lube', 'lubi', 'lubl', 'lubm', 'lubr',
    'lubs', 'luca', 'luce', 'luch', 'luci', 'luco', 'luço', 'lucq', 'lucr', 'luct',
    'lucu', 'luda', 'ludâ', 'ludd', 'lude', 'ludé', 'ludè', 'ludg', 'ludi', 'ludo',
    'luée', 'luem', 'luen', 'luèn', 'luer', 'luèr', 'lues', 'lués', 'luet', 'luét',
    'lueu', 'luez', 'luff', 'luga', 'luge', 'lugu', 'luia', 'luid', 'luie', 'luio',
    'luiq', 'luir', 'luis', 'luit', 'lula', 'lulâ', 'lule', 'lulé', 'lulè', 'luli',
    'lulo', 'lulu', 'luma', 'lumâ', 'lumb', 'lume', 'lûme', 'lumé', 'lumè', 'lumi',
    'lumn', 'lumo', 'lump', 'lums', 'lumu', 'luna', 'lunc', 'lund', 'lune', 'luné',
    'luni', 'luno', 'luns', 'lunu', 'luog', 'luol', 'luon', 'luor', 'luot', 'lupa',
    'lupe', 'lupé', 'lupi', 'lupo', 'lupt', 'lupu', 'luqu', 'lura', 'lurâ', 'lurc',
    'lurç', 'lure', 'lûre', 'luré', 'lurè', 'lurg', 'lurh', 'luri', 'luro', 'luru',
    'lusa', 'lusâ', 'lusc', 'luse', 'lusé', 'lusè', 'lush', 'lusi', 'luso', 'lusq',
    'luss', 'lust', 'luta', 'lûta', 'lute', 'lûte', 'luté', 'lûté', 'luth', 'luti',
    'lûti', 'lutî', 'luto', 'lutô', 'lutr', 'luts', 'lutt', 'lutu', 'luva', 'luve',
    'luvi', 'luxa', 'luxâ', 'luxe', 'luxé', 'luxè', 'luxi', 'luxm', 'luxo', 'luxu',
    'luya', 'luza', 'luze', 'luzi', 'luzu', 'lvab', 'lvac', 'lvad', 'lvai', 'lvan',
    'lvas', 'lvat', 'lvau', 'lvec', 'lvéd', 'lvée', 'lvei', 'lvel', 'lven', 'lvéo',
    'lver', 'lvér', 'lvèr', 'lves', 'lvet', 'lvét', 'lvèt', 'lvez', 'lvia', 'lvic',
    'lvie', 'lvig', 'lvil', 'lvim', 'lvin', 'lvio', 'lvip', 'lvis', 'lvit', 'lvoc',
    'lvoi', 'lvon', 'lvot', 'lvox', 'lvoy', 'lvul', 'lway', 'lweg', 'lwei', 'lxur',
    'lyac', 'lyad', 'lyak', 'lyal', 'lyam', 'lyan', 'lyar', 'lyat', 'lyba', 'lybd',
    'lybi', 'lybu', 'lyca', 'lyce', 'lycé', 'lycè', 'lych', 'lyci', 'lycl', 'lyco',
    'lycr', 'lyct', 'lycu', 'lycy', 'lyda', 'lydd', 'lydi', 'lydy', 'lyéd', 'lyèd',
    'lyem', 'lyes', 'lyét', 'lyfo', 'lyga', 'lygé', 'lygl', 'lygo', 'lygr', 'lygy',
    'lyha', 'lyho', 'lyhy', 'lyky', 'lyle', 'lylè', 'lyli', 'lylo', 'lymb', 'lyme',
    'lymé', 'lymè', 'lymi', 'lymo', 'lymp', 'lymy', 'lync', 'lyne', 'lyné', 'lyni',
    'lyno', 'lynô', 'lynu', 'lynx', 'lyol', 'lyon', 'lyop', 'lyor', 'lyos', 'lype',
    'lypé', 'lyph', 'lypi', 'lypl', 'lypn', 'lypo', 'lypr', 'lyps', 'lypt', 'lyra',
    'lyre', 'lyrh', 'lyri', 'lyry', 'lysa', 'lysâ', 'lyse', 'lysé', 'lysè', 'lysi',
    'lysm', 'lyso', 'lysp', 'lyss', 'lyst', 'lysu', 'lysy', 'lyta', 'lyte', 'lyth',
    'lyti', 'lyto', 'lytr', 'lyur', 'lyva', 'lyvi', 'lywo', 'lzac', 'lzan', 'lzar',
    'lzat', 'lzév'
    );

  //M
  F4LmMax_ = 1377;
  F4Lm_: array[1..F4LmMax_] of S016_ = (
    'mabi', 'mabl', 'mabo', 'maca', 'maça', 'maçâ', 'macc', 'mace', 'macé', 'macè',
    'macf', 'mach', 'mâch', 'maci', 'mack', 'macl', 'maco', 'mâco', 'maço', 'macq',
    'macr', 'macs', 'macu', 'mada', 'madâ', 'made', 'madé', 'madè', 'madi', 'mado',
    'madr', 'madv', 'mael', 'maél', 'maer', 'maër', 'maes', 'maff', 'mafi', 'mafr',
    'maga', 'magd', 'mage', 'magé', 'magè', 'magg', 'magh', 'magi', 'magl', 'magm',
    'magn', 'mago', 'magr', 'magu', 'magy', 'maha', 'mahd', 'mahe', 'maho', 'mahr',
    'maïa', 'maid', 'maie', 'maïe', 'maig', 'mail', 'maïl', 'main', 'maïn', 'maio',
    'maïo', 'maïq', 'mair', 'mais', 'maïs', 'mait', 'maît', 'maix', 'maïz', 'maje',
    'majo', 'maju', 'make', 'makh', 'maki', 'mala', 'malb', 'malc', 'mald', 'male',
    'mâle', 'malé', 'malf', 'malg', 'malh', 'mali', 'mall', 'malm', 'maln', 'malo',
    'malp', 'malr', 'mals', 'malt', 'malu', 'malv', 'mama', 'mamb', 'mame', 'mâme',
    'mamé', 'mamè', 'mami', 'mamm', 'mamo', 'mams', 'mamy', 'mana', 'manâ', 'manc',
    'manç', 'mand', 'mane', 'mâne', 'mané', 'manè', 'mang', 'mani', 'mann', 'mano',
    'manq', 'manr', 'mans', 'mant', 'manu', 'manz', 'maoi', 'maoï', 'maor', 'maou',
    'maph', 'mapi', 'mapp', 'maqu', 'mara', 'marâ', 'marb', 'marc', 'mard', 'mare',
    'maré', 'marè', 'marf', 'marg', 'mari', 'marj', 'mark', 'marl', 'marm', 'marn',
    'maro', 'marq', 'marr', 'mars', 'mart', 'maru', 'marv', 'marx', 'mary', 'masa',
    'masc', 'mase', 'mash', 'masi', 'mask', 'maso', 'masq', 'mass', 'mast', 'masu',
    'mata', 'mâta', 'matâ', 'matc', 'mate', 'mâte', 'maté', 'mâté', 'matè', 'math',
    'mati', 'mâti', 'matl', 'mato', 'matr', 'mâtr', 'mats', 'mâts', 'matt', 'matu',
    'mâtu', 'maub', 'maud', 'maug', 'maul', 'maur', 'maus', 'maut',
    'mauv', 'maux', 'maxi', 'maxw', 'maya', 'maye', 'mayo', 'maza', 'mazd', 'maze',
    'mazé', 'mazi', 'mazo', 'mazu', 'mbab', 'mbac', 'mbâc', 'mbad', 'mbag', 'mbai',
    'mbal', 'mbâm', 'mban', 'mbar', 'mbas', 'mbat', 'mbât', 'mbau', 'mbda', 'mbdo',
    'mbea', 'mbec', 'mbéc', 'mbêc', 'mbée', 'mbeg', 'mbég', 'mbeh', 'mbel', 'mbem',
    'mbém', 'mben', 'mber', 'mbér', 'mbèr', 'mbes', 'mbés', 'mbet', 'mbêt', 'mbeu',
    'mbez', 'mbia', 'mbib', 'mbic', 'mbid', 'mbie', 'mbiè', 'mbif', 'mbig', 'mbik',
    'mbil', 'mbin', 'mbio', 'mbiq', 'mbir', 'mbis', 'mbit', 'mbiu', 'mbiv', 'mbla',
    'mblâ', 'mble', 'mblé', 'mblè', 'mbli', 'mblo', 'mbly', 'mbob', 'mboc', 'mbod',
    'mboe', 'mboé', 'mboè', 'mbog', 'mboi', 'mboî', 'mboï', 'mbok', 'mbol', 'mbon',
    'mbop', 'mboq', 'mbor', 'mbos', 'mbot', 'mbou', 'mboy', 'mbra', 'mbrâ', 'mbre',
    'mbré', 'mbrè', 'mbri', 'mbrî', 'mbro', 'mbru', 'mbrû', 'mbry', 'mbsw', 'mbua',
    'mbuc', 'mbûc', 'mbud', 'mbue', 'mbué', 'mbul', 'mbûm', 'mbuq', 'mbur', 'mbus',
    'mbût', 'mbuv', 'mbyc', 'mbyx', 'mcbu', 'mcia', 'mcin', 'mdam', 'mduc', 'meab',
    'méab', 'méam', 'méan', 'méat', 'meau', 'méca', 'mecc', 'mece', 'mécé', 'mécè',
    'mech', 'méch', 'mèch', 'mêch', 'meci', 'méci', 'meck', 'meco', 'méco', 'meço',
    'mécr', 'mect', 'mecu', 'mecy', 'meda', 'méda', 'mede', 'méde', 'mède', 'medi',
    'médi', 'médî', 'medo', 'médo', 'medu', 'médu', 'meen', 'méen', 'mées', 'meet',
    'méeu', 'méfa', 'méfi', 'méfo', 'mega', 'méga', 'mégè', 'megi', 'mégi', 'megm',
    'mégo', 'meha', 'méha', 'meïj', 'meil', 'meio', 'méio', 'meiq', 'meis', 'méis',
    'méja', 'méju', 'mekt', 'mela', 'méla', 'mêla', 'melâ', 'mêlâ', 'melb', 'melc',
    'meld', 'mele', 'mèle', 'mêle', 'melé', 'mélé', 'mêlé', 'melè', 'mélè', 'mêlè',
    'meli', 'méli', 'mêli', 'melk', 'mell', 'melo', 'mélo', 'mêlo', 'mels', 'melt',
    'melu', 'mélu', 'mêlu', 'memb', 'meme', 'méme', 'mème', 'même', 'mémé', 'mémè',
    'memo', 'mémo', 'mena', 'ména', 'menâ', 'menc', 'menç', 'mend', 'mene', 'méne',
    'mène', 'mené', 'méné', 'menè', 'menh', 'meni', 'méni', 'menk', 'menn', 'meno',
    'méno', 'mens', 'ment', 'menu', 'ménu', 'mény', 'méom', 'méop', 'méos', 'méot',
    'meph', 'méph', 'mépl', 'mépr', 'mequ', 'mera', 'méra', 'mérâ', 'merc', 'merç',
    'merd', 'mere', 'mére', 'mère', 'méré', 'mérè', 'merg', 'meri', 'méri', 'merl',
    'mero', 'méro', 'merr', 'mers', 'mert', 'meru', 'méru', 'merv', 'mery', 'méry',
    'merz', 'mesa', 'mésa', 'mesc', 'mesd', 'mese', 'mése', 'mèse', 'mesi', 'mési',
    'mesm', 'mesn', 'meso', 'méso', 'mesp', 'mesq', 'mess', 'mest', 'mesu', 'mésu',
    'meta', 'méta', 'mete', 'méte', 'mète', 'meté', 'mété', 'métè', 'meth', 'méth',
    'meti', 'méti', 'meto', 'méto', 'metp', 'metr', 'métr', 'mètr', 'mets', 'mett',
    'metu', 'metz', 'meub', 'meud', 'meug', 'meul', 'meun', 'meur', 'meus', 'meut',
    'meuv', 'meux', 'méve', 'mevè', 'mexi', 'meyr', 'meza', 'méza', 'mézi', 'mezz',
    'mhar', 'mhor', 'mhyd', 'miab', 'miad', 'miag', 'miai', 'miak', 'mial', 'miam',
    'miâm', 'mian', 'miao', 'miar', 'mias', 'miat', 'miât', 'miau', 'mibe', 'mibi',
    'mibo', 'mica', 'mice', 'mich', 'mici', 'micm', 'mico', 'micr', 'mics', 'mict',
    'micu', 'micy', 'mida', 'midâ', 'mide', 'midé', 'midè', 'midi', 'mido', 'midr',
    'mids', 'midu', 'miéd', 'mièd', 'miée', 'miel', 'mien', 'mién', 'mier', 'miér',
    'mièr', 'mies', 'miés', 'miet', 'mieu', 'mièv', 'miez', 'mife', 'mifè', 'mifi',
    'mifo', 'mifu', 'miga', 'mige', 'migè', 'migm', 'mign', 'migo', 'migr', 'mihr',
    'miie', 'miio', 'mija', 'mijo', 'mika', 'mila', 'milâ', 'mild', 'mile', 'milé',
    'milè', 'mili', 'milk', 'mill', 'milo', 'milr', 'milu', 'mima', 'mimâ', 'mime',
    'mîme', 'mimé', 'mimè', 'mimi', 'mimo', 'mina', 'minâ', 'minb', 'minc', 'minç',
    'mind', 'mine', 'miné', 'minè', 'ming', 'minh', 'mini', 'minn', 'mino', 'mins',
    'mint', 'minu', 'mioc', 'miog', 'miol', 'mion', 'mios', 'miot', 'miox', 'mipa',
    'mipè', 'mipi', 'mipl', 'mipr', 'mipt', 'miqu', 'mira', 'mirâ', 'mirb', 'mire',
    'miré', 'mirè', 'miri', 'mirl', 'mirm', 'miro', 'mirs', 'mirv', 'misa', 'misâ',
    'misc', 'misç', 'mise', 'misé', 'misè', 'misi', 'mism', 'miso', 'misp', 'miss',
    'mist', 'mita', 'mitâ', 'mite', 'mîte', 'mité', 'mitè', 'mith', 'miti', 'mito',
    'mitr', 'mits', 'mitt', 'mity', 'mium', 'miur', 'mivo', 'mixa', 'mixâ', 'mixe',
    'mixé', 'mixè', 'mixi', 'mixo', 'mixt', 'miza', 'mizd', 'mkha', 'mlau', 'mlec',
    'mlin', 'mlle', 'mlun', 'mmab', 'mmac', 'mmad', 'mmag', 'mmai', 'mmal', 'mmam',
    'mmâm', 'mman', 'mmar', 'mmas', 'mmat', 'mmât', 'mmea', 'mmec', 'mmèc', 'mmed',
    'mméd', 'mmee', 'mmée', 'mmei', 'mmel', 'mmêl', 'mmém', 'mmen', 'mmén', 'mmèn',
    'mmer', 'mmér', 'mmèr', 'mmes', 'mmés', 'mmet', 'mmét', 'mmèt', 'mmeu', 'mmez',
    'mmic', 'mmie', 'mmié', 'mmiè', 'mmif', 'mmig', 'mmim', 'mmîm', 'mmin', 'mmio',
    'mmip', 'mmir', 'mmis', 'mmit', 'mmît', 'mmix', 'mmob', 'mmoc', 'mmod', 'mmog',
    'mmoi', 'mmol', 'mmon', 'mmop', 'mmor', 'mmos', 'mmot', 'mmou', 'mmua', 'mmuâ',
    'mmue', 'mmué', 'mmuè', 'mmui', 'mmul', 'mmum', 'mmun', 'mmuo', 'mmur', 'mmus',
    'mmut', 'mnab', 'mnac', 'mnai', 'mnal', 'mnam', 'mnâm', 'mnan', 'mnas', 'mnat',
    'mnât', 'mnau', 'mnav', 'mnée', 'mnem', 'mném', 'mnen', 'mner', 'mnèr', 'mnes',
    'mnés', 'mnès', 'mnez', 'mnia', 'mniâ', 'mnib', 'mnic', 'mnid', 'mnie', 'mnié',
    'mniè', 'mnif', 'mnig', 'mnii', 'mnil', 'mnim', 'mnio', 'mnip', 'mniq', 'mnis',
    'mnit', 'mniu', 'mniv', 'mnoc', 'mnog', 'mnol', 'mnon', 'mnop', 'mnos', 'mnot',
    'moab', 'moan', 'moba', 'mobi', 'mobl', 'moby', 'moca', 'moce', 'mocè', 'moch',
    'moci', 'mock', 'mocl', 'moco', 'mocr', 'mocu', 'mocy', 'moda', 'modâ', 'mode',
    'modé', 'modè', 'modi', 'modo', 'modr', 'modu', 'mody', 'moel', 'moél', 'moen',
    'moën', 'moer', 'moeu', 'mofe', 'mofo', 'moga', 'moge', 'mogé', 'mogè', 'mogh',
    'mogi', 'mogl', 'mogo', 'mogr', 'moha', 'moho', 'moïd', 'moie', 'moig', 'moil',
    'moin', 'moïo', 'moir', 'mois', 'moïs', 'moit', 'moka', 'moki', 'mola', 'môla',
    'mold', 'mole', 'môle', 'molé', 'molè', 'moli', 'molî', 'moll', 'molo', 'mols',
    'molt', 'molu', 'moly', 'moma', 'momb', 'mome', 'môme', 'momé', 'momè', 'momi',
    'momo', 'momy', 'mona', 'monâ', 'monc', 'mond', 'mone', 'moné', 'monè', 'mong',
    'moni', 'monn', 'mono', 'monô', 'monp', 'mons', 'mont', 'monu', 'mony', 'moog',
    'moon', 'mopa', 'mopé', 'moph', 'mopi', 'mopl', 'mopo', 'mopr', 'mops', 'mopt',
    'mopu', 'moqu', 'mora', 'morâ', 'morb', 'morc', 'morç', 'mord', 'more', 'moré',
    'morè', 'morf', 'morg', 'mori', 'morl', 'morm', 'morn', 'moro', 'morp', 'morq',
    'morr', 'mors', 'mort', 'moru', 'morv', 'mory', 'morz', 'mosa', 'mosc', 'mose',
    'mosé', 'mosi', 'moso', 'mosp', 'mosq', 'most', 'mota', 'motâ', 'mote', 'moté',
    'motè', 'moth', 'moti', 'moto', 'motr', 'mots', 'mott', 'motu', 'moty', 'mouc',
    'moud', 'moue', 'mouf', 'moug', 'moui', 'mouj', 'mouk', 'moul', 'moum', 'moun',
    'mouq', 'mour', 'mous', 'mout', 'moût', 'mouv', 'moux', 'mouy', 'mouz', 'mova',
    'movi', 'moxa', 'moxe', 'moya', 'moyâ', 'moye', 'moyé', 'moyè', 'moyi', 'moyo',
    'moza', 'moze', 'mozy', 'mozz', 'mpab', 'mpac', 'mpad', 'mpag', 'mpai', 'mpal',
    'mpâm', 'mpan', 'mpap', 'mpaq', 'mpar', 'mpas', 'mpat', 'mpât', 'mpau', 'mpav',
    'mpay', 'mpea', 'mpec', 'mpéc', 'mpêc', 'mped', 'mpéd', 'mpee', 'mpée', 'mpei',
    'mpéi', 'mpel', 'mpél', 'mpem', 'mpen', 'mpén', 'mper', 'mpér', 'mpèr', 'mpes',
    'mpés', 'mpès', 'mpet', 'mpét', 'mpêt', 'mpeu', 'mpez', 'mpha', 'mphâ', 'mphe',
    'mphé', 'mphè', 'mphi', 'mphl', 'mpho', 'mphr', 'mphy', 'mpia', 'mpic', 'mpid',
    'mpie', 'mpié', 'mpiè', 'mpif', 'mpig', 'mpil', 'mpim', 'mpîm', 'mpin', 'mpio',
    'mpiq', 'mpir', 'mpis', 'mpit', 'mpît', 'mpla', 'mplâ', 'mple', 'mplé', 'mplè',
    'mpli', 'mplî', 'mplo', 'mplu', 'mplû', 'mpoc', 'mpoi', 'mpol', 'mpom', 'mpon',
    'mpoo', 'mpop', 'mpor', 'mpos', 'mpot', 'mpôt', 'mpou', 'mpra', 'mpre', 'mpré',
    'mprè', 'mpri', 'mprî', 'mpro', 'mpru', 'mpse', 'mpsi', 'mpsy', 'mpta', 'mptâ',
    'mpte', 'mpté', 'mptè', 'mpti', 'mpto', 'mptô', 'mptr', 'mpts', 'mptu', 'mpua',
    'mpub', 'mpud', 'mpue', 'mpui', 'mpul', 'mpun', 'mpur', 'mpus', 'mput', 'mpyè',
    'mpyr', 'mqua', 'mriq', 'mrod', 'msar', 'mser', 'msin', 'mste', 'mstr', 'mstv',
    'mtad', 'mtal', 'mtat', 'mtau', 'mter', 'mtes', 'mtés', 'mthé', 'mtil', 'mtis',
    'mtoi', 'mtre', 'muab', 'muag', 'muai', 'muâm', 'muan', 'muas', 'muât', 'much',
    'muci', 'muco', 'mucr', 'mucu', 'muda', 'mude', 'mudé', 'mudi', 'mudr', 'muds',
    'muée', 'muem', 'muen', 'muer', 'muèr', 'mues', 'mües', 'mués', 'muet', 'mueu',
    'muez', 'muff', 'mufl', 'muft', 'muge', 'mugè', 'mugi', 'mugî', 'mugl', 'mugu',
    'muid', 'muie', 'muio', 'muir', 'muïr', 'muis', 'muïs', 'mula', 'mulâ', 'mule',
    'mulé', 'mulè', 'mulg', 'mulh', 'muli', 'mull', 'mulo', 'muls', 'mult', 'mulu',
    'mûme', 'mums', 'muna', 'munc', 'mund', 'mune', 'muné', 'munè', 'muni', 'munî',
    'munn', 'muno', 'muns', 'munt', 'muon', 'muph', 'mupp', 'muqu', 'mura', 'murâ',
    'mure', 'mûre', 'muré', 'murè', 'murf', 'muri', 'mûri', 'mûrî', 'murm', 'muro',
    'mûro', 'murr', 'murs', 'mûrs', 'murv', 'musa', 'musâ', 'musc', 'muse', 'musé',
    'musè', 'musi', 'musl', 'muso', 'musq', 'muss', 'must', 'musu', 'muta', 'mutâ',
    'mute', 'mûte', 'muté', 'mutè', 'muth', 'muti', 'muto', 'muts', 'mutu', 'mvir',
    'mway', 'myal', 'myas', 'myat', 'myce', 'mycé', 'mycè', 'mych', 'myci', 'myco',
    'myde', 'mydi', 'mydr', 'myel', 'myél', 'myga', 'mygd', 'myia', 'myie', 'myla',
    'myle', 'mylè', 'myli', 'mylo', 'myno', 'myoc', 'myod', 'myof', 'myog', 'myoi',
    'myol', 'myom', 'myop', 'myor', 'myos', 'myot', 'myri', 'myrm', 'myrn', 'myro',
    'myrr', 'myrt', 'mysi', 'myst', 'myth', 'myti', 'myxi', 'myxo', 'mzab'
    );

  //N
  F4LnMax_ = 2111;
  F4Ln_: array[1..F4LnMax_] of S016_ = (
    'naan', 'naba', 'nabe', 'nabi', 'nabl', 'nabo', 'nabr', 'nabu', 'naca', 'naça',
    'naçâ', 'nacc', 'nace', 'nacé', 'nacè', 'nach', 'naci', 'nack', 'nacl', 'nâcl',
    'naco', 'naço', 'nacr', 'nacs', 'nact', 'nacu', 'nacy', 'nada', 'nade', 'nadé',
    'nadi', 'nadm', 'nado', 'nadv', 'nady', 'naér', 'naev', 'nafé', 'naff', 'nafi',
    'nafr', 'naga', 'nage', 'nagé', 'nagè', 'nâge', 'nagi', 'nagl', 'nagn', 'nago',
    'nagr', 'nagu', 'naha', 'naho', 'nahu', 'naïa', 'naïd', 'naie', 'naïf', 'naig',
    'nail', 'nain', 'naïq', 'nair', 'nais', 'nait', 'naît', 'naïv', 'naja', 'nake',
    'naki', 'naks', 'nala', 'nalâ', 'nale', 'nalé', 'nalè', 'nalg', 'nali', 'nall',
    'nalo', 'nalp', 'nals', 'nalt', 'naly', 'nama', 'namb', 'name', 'namé', 'nâme',
    'nami', 'namm', 'namn', 'namo', 'namu', 'nana', 'nanc', 'nanç', 'nand', 'nane',
    'nané', 'nang', 'nani', 'nank', 'nann', 'nano', 'nans', 'nant', 'nanz', 'naos',
    'napa', 'nape', 'napé', 'naph', 'napi', 'napl', 'napo', 'napp', 'naps', 'napt',
    'naqu', 'nara', 'narb', 'narc', 'nard', 'nare', 'narg', 'nari', 'nark', 'narm',
    'naro', 'narq', 'narr', 'nars', 'nart', 'narv', 'nasa', 'nase', 'nasi', 'nasm',
    'naso', 'nass', 'nast', 'nata', 'natâ', 'nate', 'naté', 'natè', 'nâte', 'nath',
    'nati', 'nato', 'natr', 'nâtr', 'nats', 'natt', 'natu', 'nauc', 'naud', 'nauf',
    'naug', 'naul', 'naum', 'naüm', 'naup', 'naur', 'naus', 'naut', 'naux', 'nauz',
    'nava', 'nave', 'navi', 'navo', 'navr', 'naxi', 'naya', 'nayâ', 'naye', 'nayé',
    'nayè', 'nayi', 'nayo', 'naza', 'naze', 'nazé', 'nazi', 'nbal', 'nban', 'nbar',
    'nbla', 'nble', 'nboc', 'nboi', 'nbon', 'nbul', 'ncab', 'nçab', 'ncac', 'ncad',
    'nçad', 'ncag', 'nçag', 'ncai', 'nçai', 'ncaj', 'ncal', 'nçal', 'ncam', 'nçâm',
    'ncan', 'nçan', 'ncap', 'ncaq', 'ncar', 'nçar', 'ncas', 'nças', 'ncat', 'nçât',
    'ncau', 'nçau', 'ncav', 'nçay', 'ncch', 'ncea', 'ncéd', 'ncèd', 'ncee', 'ncée',
    'ncei', 'ncéi', 'ncel', 'ncél', 'ncem', 'ncen', 'ncéo', 'ncep', 'ncép', 'ncer',
    'ncér', 'ncèr', 'nces', 'ncés', 'ncet', 'ncêt', 'nceu', 'ncev', 'ncez', 'ncfo',
    'ncha', 'nchâ', 'nche', 'nché', 'nchè', 'nchi', 'nchî', 'nchm', 'nchn', 'ncho',
    'nchr', 'nchs', 'nchu', 'nchy', 'ncia', 'nciâ', 'ncib', 'ncic', 'ncid', 'ncie',
    'ncié', 'nciè', 'ncif', 'ncii', 'ncil', 'ncîm', 'ncin', 'ncio', 'ncip', 'nciq',
    'ncir', 'ncis', 'ncit', 'ncît', 'nciu', 'nciv', 'ncla', 'ncle', 'nclé', 'ncli',
    'nclo', 'nclô', 'nclu', 'nclû', 'ncoa', 'ncoc', 'ncod', 'ncoe', 'ncof', 'ncog',
    'ncoh', 'ncoi', 'ncoï', 'nçoi', 'ncol', 'ncom', 'ncon', 'nçon', 'ncoo', 'ncop',
    'ncor', 'ncos', 'ncot', 'ncou', 'ncqu', 'ncra', 'ncrâ', 'ncre', 'ncré', 'ncrè',
    'ncri', 'ncro', 'ncru', 'ncte', 'ncté', 'ncti', 'ncto', 'nctr', 'ncts', 'nctu',
    'ncub', 'ncue', 'nçue', 'ncui', 'ncul', 'nçum', 'ncun', 'ncup', 'ncur', 'nçur',
    'ncus', 'nçus', 'nçut', 'nçût', 'ncuv', 'ncyc', 'ndab', 'ndac', 'ndad', 'ndae',
    'ndag', 'ndai', 'ndaï', 'ndal', 'ndam', 'ndâm', 'ndan', 'ndar', 'ndas', 'ndat',
    'ndât', 'ndau', 'nday', 'ndba', 'ndch', 'ndda', 'ndea', 'ndéa', 'ndeb', 'ndéb',
    'ndec', 'ndéc', 'ndee', 'ndée', 'ndéf', 'ndéh', 'ndéi', 'ndel', 'ndél', 'ndèl',
    'ndem',
    'ndém', 'ndèm', 'nden', 'ndén', 'ndèn', 'ndép', 'nder', 'ndér', 'ndèr', 'ndes',
    'ndés', 'ndet', 'ndét', 'ndèt', 'ndeu', 'ndev', 'ndév', 'ndêv', 'ndex', 'ndez',
    'ndgr', 'ndha', 'ndhi', 'ndia', 'ndiâ', 'ndib', 'ndic', 'ndid', 'ndie', 'ndié',
    'ndiè', 'ndif', 'ndig', 'ndii', 'ndil', 'ndim', 'ndîm', 'ndin', 'ndio', 'ndip',
    'ndiq', 'ndir', 'ndis', 'ndit', 'ndît', 'ndiu', 'ndiv', 'ndix', 'ndja', 'ndjl',
    'ndle', 'ndob', 'ndoc', 'ndod', 'ndog', 'ndoi', 'ndol', 'ndom', 'ndôm', 'ndon',
    'ndop', 'ndor', 'ndos', 'ndot', 'ndou', 'ndov', 'ndow', 'ndoy', 'ndra', 'ndrâ',
    'ndre', 'ndré', 'ndrè', 'ndri', 'ndrî', 'ndro', 'ndru', 'ndse', 'ndsi', 'ndst',
    'ndsu', 'ndta', 'ndua', 'ndub', 'nduc', 'ndue', 'ndui', 'ndul', 'ndum', 'ndûm',
    'ndur', 'ndus', 'nduv', 'ndvi', 'ndvo', 'ndwe', 'ndwi', 'ndya', 'ndyl', 'ndym',
    'ndys', 'ndyx', 'ndzi', 'neac', 'néad', 'néag', 'néai', 'neal', 'néal', 'néam',
    'néan', 'near', 'néar', 'néas', 'néat', 'neau', 'néau', 'neav', 'nebe', 'nebi',
    'nebk', 'nebl', 'nebo', 'nebr', 'nébr', 'nèbr', 'nebu', 'nébu', 'néca', 'necd',
    'néce', 'nécé', 'néch', 'néci', 'neck', 'neco', 'neço', 'néco', 'nécr', 'nect',
    'nécu', 'necy', 'nede', 'nède', 'nedi', 'nédi', 'nedo', 'nédu', 'neen', 'néen',
    'neer', 'néer', 'nées', 'néfa', 'nefe', 'neff', 'néfi', 'néfl', 'nèfl', 'nefs',
    'nega', 'néga', 'nege', 'nége', 'négé', 'nège', 'négi', 'négl', 'nego', 'négo',
    'negr', 'négr', 'nègr', 'negu', 'négu', 'négy', 'nehi', 'neho', 'néid', 'néif',
    'neig', 'neil', 'nein', 'neiq', 'néiq', 'neis', 'néis', 'neit', 'néit', 'nela',
    'néla', 'nele', 'nelé', 'nélé', 'nèle', 'neli', 'néli', 'nell', 'nélo', 'nels',
    'nelt', 'nelu', 'nélu', 'nema', 'néma', 'neme', 'néme', 'némé', 'nème', 'nemi',
    'némi', 'nemm', 'nemn', 'nemo', 'némo', 'nemp', 'nemr', 'nemu', 'néna', 'nenc',
    'nend', 'nene', 'nené', 'néne', 'néné', 'nène', 'neng', 'neni', 'néni', 'nenn',
    'nent', 'nénu', 'nenv', 'néob', 'neoc', 'néoc', 'neod', 'néod', 'néof', 'néog',
    'néok', 'néol', 'néom', 'neon', 'néon', 'néop', 'néor', 'neos', 'neot', 'néot',
    'néov', 'néoz', 'népa', 'nepe', 'népe', 'népé', 'népè', 'nèpe', 'neph', 'néph',
    'nepi', 'népi', 'nepl', 'népl', 'népo', 'népr', 'neps', 'nept', 'népu', 'nequ',
    'néqu', 'nera', 'nerâ', 'néra', 'nérâ', 'nere', 'neré', 'nére', 'néré', 'nérè',
    'nère', 'nerf', 'nerg', 'neri', 'néri', 'nerl', 'nerm', 'nero', 'néro', 'nerp',
    'nerr', 'ners', 'nert', 'nerv', 'nesa', 'nesc', 'nésc', 'nese', 'nèse', 'nesi',
    'nési', 'nesm', 'neso', 'nesp', 'nesq', 'ness', 'nest', 'neta', 'néta', 'nete',
    'neté', 'néte', 'nète', 'nête', 'neth', 'néth', 'neti', 'néti', 'nèti', 'nêti',
    'neto', 'néto', 'nétr', 'nètr', 'nêtr', 'nets', 'nêts', 'nett', 'netu', 'netz',
    'neuc', 'neuf', 'neug', 'neui', 'neul', 'neum', 'néum', 'neun', 'neur', 'neus',
    'neut', 'neuv', 'neux', 'neva', 'neve', 'nevé', 'névé', 'nève', 'nevi', 'névi',
    'nevo', 'névo', 'nevr', 'névr', 'newt', 'nexa', 'nexâ', 'nexc', 'nexe', 'nexé',
    'nexè', 'nexh', 'nexi', 'nexo', 'nexp', 'next', 'neyl', 'neys', 'nèze', 'nézi',
    'nezo', 'nézo', 'nézu', 'nfab', 'nfai', 'nfaî', 'nfal', 'nfam', 'nfâm', 'nfan',
    'nfar', 'nfat', 'nfec', 'nféc', 'nféd', 'nfél', 'nféo', 'nfer', 'nfér', 'nfèr',
    'nfes', 'nfet', 'nfeu', 'nfia', 'nfiâ', 'nfib', 'nfic', 'nfid', 'nfie', 'nfié',
    'nfiè', 'nfig', 'nfii', 'nfil', 'nfim', 'nfîm', 'nfin', 'nfio', 'nfir', 'nfis',
    'nfit', 'nfît', 'nfix', 'nfla', 'nflâ', 'nfle', 'nflé', 'nflè', 'nfli', 'nflo',
    'nflu', 'nfoc', 'nfog', 'nfoi', 'nfon', 'nfor', 'nfos', 'nfou', 'nfra', 'nfrâ',
    'nfre', 'nfré', 'nfrè', 'nfri', 'nfro', 'nfru', 'nfuc', 'nfui', 'nfuî', 'nful',
    'nfum', 'nfun', 'nfus', 'nfut', 'nfût', 'nfuy', 'ngad', 'ngag', 'ngai', 'ngaï',
    'ngal', 'ngam', 'ngan', 'ngap', 'ngar', 'ngat', 'ngau', 'ngav', 'ngay', 'ngaz',
    'ngbo', 'ngea', 'ngeâ', 'ngec', 'ngéd', 'ngée', 'ngéi', 'ngel', 'ngél', 'ngèl',
    'ngem', 'ngen', 'ngén', 'ngèn', 'ngeo', 'nger', 'ngér', 'ngèr', 'nges', 'ngés',
    'nget', 'ngét', 'ngeu', 'ngeü', 'ngev', 'ngév', 'ngez', 'ngha', 'nghi', 'nghy',
    'ngia', 'ngib', 'ngic', 'ngid', 'ngie', 'ngif', 'ngii', 'ngil', 'ngim', 'ngin',
    'ngio', 'ngip', 'ngiq', 'ngis', 'ngit', 'ngiv', 'ngju', 'ngko', 'ngla', 'nglâ',
    'ngle', 'nglé', 'nglè', 'ngli', 'nglo', 'nglu', 'ngna', 'ngne', 'ngny', 'ngob',
    'ngoc', 'ngog', 'ngoi', 'ngol', 'ngom', 'ngon', 'ngop', 'ngor', 'ngos', 'ngot',
    'ngou', 'ngov', 'ngra', 'ngrâ', 'ngre', 'ngré', 'ngrè', 'ngrê', 'ngri', 'ngro',
    'ngru', 'ngrû', 'ngst', 'ngsu', 'ngta', 'ngte', 'ngti', 'ngto', 'ngts', 'ngua',
    'nguâ', 'ngue', 'ngué', 'nguè', 'ngui', 'nguî', 'ngul', 'nguo', 'ngur', 'ngus',
    'ngwa', 'ngwy', 'ngyl', 'nhab', 'nhac', 'nhag', 'nhal', 'nhar', 'nhas', 'nhéd',
    'nhei', 'nhel', 'nhél', 'nhèl', 'nhem', 'nhep', 'nher', 'nhér', 'nheu', 'nhib',
    'nhid', 'nhir', 'nhom', 'nhos', 'nhot', 'nhum', 'nhyd', 'niab', 'niac', 'niag',
    'niai', 'nial', 'niâm', 'nian', 'niao', 'niaq', 'niar', 'nias', 'niat', 'niât',
    'niau', 'niax', 'niaz', 'niba', 'nibi', 'nibl', 'nibu', 'nica', 'nicc', 'nice',
    'nich', 'nici', 'nick', 'nicl', 'nico', 'niço', 'nicr', 'nict', 'nicu', 'nida',
    'nide', 'nidé', 'nidi', 'nido', 'nidr', 'nids', 'nièc', 'niee', 'niée', 'niel',
    'niem', 'nièm', 'nien', 'nier', 'niér', 'nièr', 'nies', 'niés', 'niet', 'nieu',
    'nièv', 'niez', 'nifa', 'nife', 'nifé', 'nifè', 'niff', 'nifi', 'nifl', 'nifo',
    'nifs', 'nifu', 'niga', 'nige', 'nigé', 'nigè', 'nigh', 'nigm', 'nign', 'nigo',
    'nigr', 'nigu', 'nihi', 'niid', 'niie', 'niio', 'nija', 'niju', 'niko', 'nila',
    'nile', 'nilg', 'nili', 'nill', 'nilo', 'nilp', 'nils', 'nima', 'nimâ', 'nimb',
    'nime', 'nimé', 'nimè', 'nîme', 'nimi', 'nimo', 'nîmo', 'nimu', 'nina', 'nine',
    'ninf', 'ning', 'nini', 'nino', 'nins', 'nint', 'niob', 'nioc', 'niol', 'niôl',
    'niom', 'nion', 'niop', 'nior', 'nios', 'niot', 'niou', 'niov', 'nipa', 'nipe',
    'nipè', 'niph', 'nipi', 'nipo', 'nipp', 'nipr', 'nips', 'nipu', 'niqu', 'nira',
    'nire', 'niré', 'niri', 'niro', 'nirs', 'nirv', 'nisa', 'nisâ', 'nisc', 'nise',
    'nisé', 'nisè', 'nish', 'nisi', 'nisk', 'nisl', 'nism', 'nisn', 'niso', 'nisp',
    'nisq', 'niss', 'nist', 'nita', 'nitâ', 'nite', 'nité', 'nitè', 'nîte', 'nith',
    'niti', 'nito', 'nitr', 'nits', 'nitu', 'nity', 'nium', 'niur', 'nius', 'niva',
    'nive', 'nivé', 'nivè', 'nivi', 'nivo', 'nivô', 'nivr', 'nixe', 'niza', 'nize',
    'njam', 'njan', 'njav', 'njec', 'njeu', 'njoi', 'njoï', 'njol', 'njôl', 'njon',
    'njos', 'njou', 'njua', 'njug', 'njui', 'njun', 'njup', 'njur', 'njus', 'nkag',
    'nkai', 'nkaj', 'nkar', 'nked', 'nkee', 'nkép', 'nker', 'nkgo', 'nkhe', 'nkie',
    'nkik', 'nkil', 'nkin', 'nkis', 'nkla', 'nkot', 'nkto', 'nkyl', 'nkyo', 'nkys',
    'nlab', 'nlac', 'nlaç', 'nlai', 'nlâm', 'nlan', 'nlas', 'nlat', 'nlât', 'nlay',
    'nlée', 'nlem', 'nlen', 'nler', 'nlèr', 'nles', 'nlés', 'nleu', 'nlev', 'nlèv',
    'nlez', 'nlia', 'nlie', 'nlig', 'nlio', 'nliq', 'nlis', 'nlit', 'nloc', 'nlog',
    'nlon', 'nlor', 'nlum', 'nmen', 'nmèn', 'nmes', 'nmet', 'nmeu', 'nmie', 'nmis',
    'nmix', 'nmoi', 'nmor', 'nnab', 'nnad', 'nnag', 'nnai', 'nnaî', 'nnak', 'nnal',
    'nnam', 'nnâm', 'nnan', 'nnar', 'nnas', 'nnat', 'nnât', 'nnau', 'nnav', 'nnax',
    'nnay', 'nnea', 'nnéa', 'nneb', 'nnec', 'nnéc', 'nnee', 'nnée', 'nnei', 'nnéi',
    'nnel', 'nnél', 'nnem', 'nném', 'nnen', 'nneo', 'nneq', 'nner', 'nnér', 'nnèr',
    'nnes', 'nnés', 'nnès', 'nnet', 'nnét', 'nnêt', 'nneu', 'nnev', 'nnex', 'nnez',
    'nnia', 'nnib', 'nnic', 'nnie', 'nniè', 'nnif', 'nnig', 'nnih', 'nnil', 'nnîm',
    'nnin', 'nnio', 'nnip', 'nniq', 'nnir', 'nnis', 'nnit', 'nnît', 'nniu', 'nniv',
    'nnne', 'nnnu', 'nnob', 'nnoc', 'nnog', 'nnoi', 'nnoï', 'nnom', 'nnon', 'nnop',
    'nnor', 'nnos', 'nnot', 'nnov', 'nnoy', 'nnsb', 'nnsy', 'nnua', 'nnue', 'nnui',
    'nnul', 'nnûm', 'nnuq', 'nnur', 'nnus', 'nnut', 'nnût', 'nnuy', 'nnys', 'noac',
    'noam', 'noar', 'noat', 'noba', 'nobe', 'nobé', 'nobi', 'nobl', 'nobr', 'nobs',
    'nobu', 'noca', 'nocâ', 'nocc', 'noce', 'nocé', 'noch', 'noci', 'nock', 'nocl',
    'noco', 'nocr', 'noct', 'nocu', 'nocy', 'noda', 'node', 'nodé', 'nodè', 'nodi',
    'nodo', 'nodr', 'nodu', 'nody', 'noec', 'noéc', 'noéi', 'noël', 'noèm', 'noen',
    'noès', 'noës', 'noét', 'noeu', 'noff', 'nofi', 'nofl', 'nofo', 'noga', 'noge',
    'nogé', 'nogè', 'nogl', 'nogn', 'nogo', 'nogr', 'nogy', 'noha', 'noïa', 'noid',
    'noïd', 'noie', 'noin', 'noïq', 'noir', 'nois', 'noît', 'noix', 'noki', 'nola',
    'nolâ', 'nole', 'nolé', 'nolè', 'nôle', 'noli', 'noll', 'nolo', 'nols', 'nolu',
    'noly', 'noma', 'nomb', 'nome', 'nomé', 'nomè', 'nôme', 'nomi', 'nômi', 'nomm',
    'nomo', 'noms', 'nomu', 'nomy', 'nona', 'nonc', 'nonç', 'nond', 'none', 'noné',
    'nonf', 'nong', 'noni', 'nonn', 'nono', 'nonp', 'nons', 'nont', 'nonu', 'nony',
    'nook', 'nool', 'nopa', 'nope', 'nopé', 'noph', 'nopi', 'nopl', 'nopo', 'nopp',
    'nopr', 'nops', 'nopt', 'nopy', 'noqu', 'nora', 'norâ', 'norb', 'norc', 'nord',
    'nore', 'noré', 'norè', 'norg', 'norh', 'nori', 'nork', 'norm', 'norn', 'noro',
    'norp', 'norq', 'norr', 'nors', 'nort', 'norv', 'nosa', 'nosc', 'nose', 'nosé',
    'nosi', 'nosk', 'nosm', 'noso', 'nosp', 'nosq', 'noss', 'nost', 'nosu', 'nosy',
    'nota', 'notâ', 'note', 'noté', 'notè', 'noth', 'noti', 'noto', 'notr', 'nôtr',
    'nots', 'nott', 'notu', 'noty', 'notz', 'noua', 'nouâ', 'noub', 'nouc', 'noue',
    'noué', 'nouè', 'nouf', 'noug', 'noui', 'nouî', 'nouï', 'nouk', 'noul', 'noum',
    'noun', 'nouo', 'nour', 'nous', 'nout', 'nouu', 'nouv', 'noux', 'nova', 'novâ',
    'nove', 'nové', 'novè', 'novi', 'novo', 'novr', 'novu', 'noxe', 'noxé', 'noxi',
    'noxy', 'noya', 'noyâ', 'noye', 'noyé', 'noyè', 'noyi', 'noyo', 'nozi', 'nozo',
    'nozy', 'npar', 'npaz', 'npin', 'npoi', 'npop', 'npou', 'npri', 'npro', 'npsy',
    'nput', 'nqua', 'nquâ', 'nque', 'nqué', 'nquè', 'nquê', 'nqui', 'nquî', 'nquo',
    'nrac', 'nrag', 'nrai', 'nray', 'nrec', 'nrée', 'nreg', 'nrég', 'nren', 'nrên',
    'nres', 'nrés', 'nrhu', 'nric', 'nrob', 'nroc', 'nrol', 'nrôl', 'nron', 'nrou',
    'nrub', 'nsab', 'nsac', 'nsad', 'nsaf', 'nsag', 'nsai', 'nsaï', 'nsal', 'nsam',
    'nsâm', 'nsan', 'nsar', 'nsas', 'nsat', 'nsât', 'nsau', 'nsba', 'nsbo', 'nsbr',
    'nsca', 'nsce', 'nsch', 'nsci', 'nsco', 'nscr', 'nscu', 'nsdi', 'nsdu', 'nsea',
    'nséa', 'nsec', 'nséc', 'nsée', 'nség', 'nsei', 'nsel', 'nsem', 'nsém', 'nsen',
    'nsén', 'nsep', 'nsép', 'nséq', 'nsèq', 'nser', 'nsér', 'nsèr', 'nses', 'nsés',
    'nset', 'nseu', 'nsev', 'nsez', 'nsfe', 'nsfé', 'nsfè', 'nsfi', 'nsfl', 'nsfo',
    'nsfu', 'nsgr', 'nsho', 'nshu', 'nsia', 'nsib', 'nsic', 'nsid', 'nsie', 'nsiè',
    'nsif', 'nsig', 'nsil', 'nsim', 'nsin', 'nsio', 'nsip', 'nsir', 'nsis', 'nsit',
    'nsiv', 'nsju', 'nski', 'nskr', 'nsla', 'nsli', 'nslo', 'nslu', 'nsme', 'nsmi',
    'nsmî', 'nsmo', 'nsmu', 'nsna', 'nsoc', 'nsoe', 'nsoi', 'nsol', 'nsom', 'nson',
    'nsor', 'nsot', 'nsou', 'nspa', 'nspe', 'nsph', 'nspi', 'nspl', 'nspo', 'nspu',
    'nspy', 'nsqu', 'nsrh', 'nsru', 'nssa', 'nsse', 'nssi', 'nsso', 'nssu', 'nsta',
    'nste', 'nsté', 'nstè', 'nsti', 'nsto', 'nstr', 'nsty', 'nsua', 'nsub', 'nsuc',
    'nsue', 'nsué', 'nsuf', 'nsui', 'nsul', 'nsum', 'nsup', 'nsur', 'nsus', 'nsva',
    'nsve', 'nsvi', 'nswi', 'nsyl', 'ntab', 'ntac', 'ntaç', 'ntad', 'ntaè', 'ntag',
    'ntai', 'ntal', 'ntam', 'ntâm', 'ntan', 'ntap', 'ntar', 'ntas', 'ntat', 'ntât',
    'ntau', 'ntav', 'ntax', 'ntba', 'ntbé', 'ntbl', 'ntbr', 'ntce', 'ntch', 'ntci',
    'ntcu', 'ntdi', 'ntdo', 'ntea', 'nteb', 'ntec', 'ntéc', 'ntéd', 'ntee', 'ntée',
    'ntef', 'ntéf', 'nteg', 'ntég', 'ntèg', 'ntéh', 'ntéi', 'ntel', 'ntél', 'ntèl',
    'ntem', 'ntém', 'ntèm', 'nten', 'ntén', 'ntèn', 'ntep', 'ntép', 'nter', 'ntér',
    'ntèr', 'ntes', 'ntés', 'ntès', 'ntet', 'ntêt', 'nteu', 'ntev', 'ntév', 'ntex',
    'ntez', 'ntge', 'ntgo', 'ntha', 'nthe', 'nthé', 'nthè', 'nthi', 'ntho', 'nthr',
    'nthu', 'nthy', 'ntia', 'ntib', 'ntic', 'ntid', 'ntie', 'ntié', 'ntiè', 'ntif',
    'ntig', 'ntih', 'ntii', 'ntij', 'ntik', 'ntil', 'ntim', 'ntîm', 'ntin', 'ntîn',
    'ntio', 'ntip', 'ntiq', 'ntir', 'ntis', 'ntit', 'ntît', 'ntiu', 'ntiv', 'ntja',
    'ntjo', 'ntle', 'ntlu', 'ntma', 'ntmo', 'ntob', 'ntoc', 'ntod', 'ntog', 'ntoh',
    'ntoi', 'ntoï', 'ntol', 'ntôl', 'ntom', 'ntôm', 'nton', 'ntop', 'ntor', 'ntos',
    'ntôs', 'ntot', 'ntôt', 'ntou', 'ntox', 'ntoy', 'ntoz', 'ntpe', 'ntpo', 'ntra',
    'ntrâ', 'ntre', 'ntré', 'ntrè', 'ntri', 'ntro', 'ntrô', 'ntru', 'ntry', 'ntsc',
    'ntsi', 'ntua', 'ntuâ', 'ntub', 'ntue', 'ntué', 'ntuè', 'ntui', 'ntul', 'ntum',
    'ntun', 'ntuo', 'ntup', 'ntur', 'ntus', 'ntzi', 'nuag', 'nuai', 'nual', 'nuâm',
    'nuan', 'nuas', 'nuat', 'nuât', 'nube', 'nubi', 'nubr', 'nuca', 'nuce', 'nuch',
    'nucl', 'nucu', 'nuda', 'nudâ', 'nude', 'nudé', 'nudè', 'nudi', 'nudo', 'nuée',
    'nuel', 'nuél', 'nuem', 'nuen', 'nuer', 'nuèr', 'nues', 'nués', 'nuet', 'nueu',
    'nuez', 'nufa', 'nufl', 'nugi', 'nugo', 'nugr', 'nuie', 'nuio', 'nuir', 'nuis',
    'nuit', 'nula', 'nulâ', 'nule', 'nulé', 'nulè', 'nuli', 'null', 'nulo', 'nuls',
    'nult', 'numc', 'nume', 'numé', 'numè', 'nûme', 'numi', 'numm', 'nums', 'nuna',
    'nunc', 'nuon', 'nuos', 'nuph', 'nupl', 'nupt', 'nuqu', 'nura', 'nurâ', 'nurb',
    'nure', 'nuré', 'nurè', 'nuri', 'nuro', 'nurs', 'nusa', 'nusc', 'nuse', 'nusi',
    'nuso', 'nuss', 'nust', 'nusu', 'nuta', 'nutâ', 'nute', 'nuté', 'nutè', 'nûte',
    'nuti', 'nuto', 'nutr', 'nuum', 'nuya', 'nuyâ', 'nuye', 'nuyé', 'nuyè', 'nuyi',
    'nuyo', 'nvag', 'nvah', 'nvai', 'nval', 'nvar', 'nvas', 'nvec', 'nvei', 'nvel',
    'nven', 'nvén', 'nver', 'nvér', 'nves', 'nvet', 'nvét', 'nveu', 'nvex', 'nvia',
    'nviâ', 'nvic', 'nvid', 'nvie', 'nvié', 'nviè', 'nvii', 'nvil', 'nvîm', 'nvin',
    'nvîn', 'nvio', 'nvir', 'nvis', 'nvit', 'nvît', 'nviv', 'nvoc', 'nvoi', 'nvol',
    'nvoq', 'nvou', 'nvoû', 'nvoy', 'nvra', 'nvre', 'nvri', 'nvul', 'nxie', 'nxié',
    'nxio', 'nyan', 'nyap', 'nych', 'nyci', 'nyct', 'nyin', 'nyla', 'nylb', 'nylc',
    'nyle', 'nylé', 'nyli', 'nylm', 'nylo', 'nyma', 'nyme', 'nymi', 'nymp', 'nyon',
    'nyqu', 'nysi', 'nyst', 'nyul', 'nyxi', 'nzac', 'nzag', 'nzai', 'nzâm', 'nzan',
    'nzas', 'nzât', 'nzee', 'nzée', 'nzel', 'nzen', 'nzén', 'nzèn', 'nzer', 'nzèr',
    'nzes', 'nzés', 'nzeu', 'nzez', 'nzib', 'nzid', 'nzie', 'nziè', 'nzin', 'nzio',
    'nzoa', 'nzod', 'nzoï', 'nzol', 'nzon', 'nzoo', 'nzou', 'nzoy', 'nzyl', 'nzym'
    );

  //O
  F4LoMax_ = 2762;
  F4Lo_: array[1..F4LoMax_] of S016_ = (
    'oabi', 'oaca', 'oacc', 'oach', 'oaci', 'oaco', 'oacq', 'oact', 'oade', 'oadh',
    'oadj', 'oadm', 'oads', 'oaff', 'oagg', 'oagi', 'oagn', 'oagu', 'oail', 'oaim',
    'oair', 'oala', 'oalc', 'oald', 'oale', 'oalg', 'oali', 'oall', 'oals', 'oalt',
    'oama', 'oami', 'oamo', 'oamp', 'oana', 'oane', 'oann', 'oano', 'oant', 'oapt',
    'oaqu', 'oarc', 'oard', 'oari', 'oars', 'oart', 'oasi', 'oasm', 'oass', 'oast',
    'oate', 'oati', 'oato', 'oats', 'oaut', 'oaxi', 'obab', 'obac', 'obad', 'obae',
    'obag', 'obai', 'obal', 'obam', 'obâm', 'oban', 'obar', 'obas', 'obat', 'obât',
    'obau', 'obay', 'obbi', 'obby', 'obéa', 'obec', 'obèc', 'obéd', 'obee', 'obée',
    'obei', 'obéi', 'obéî', 'obel', 'obél', 'obèl', 'obem', 'oben', 'ober', 'obér',
    'obèr', 'obes', 'obés', 'obès', 'obet', 'obeu', 'obez', 'obia', 'obib', 'obic',
    'obie', 'obig', 'obil', 'obin', 'obio', 'obiq', 'obis', 'obit', 'obiu', 'obje',
    'obju', 'obla', 'oble', 'oblé', 'oblè', 'obli', 'oblî', 'oblo', 'obnu', 'oboa',
    'obog', 'obol', 'obom', 'obon', 'obop', 'obor', 'obos', 'obot', 'obra', 'obre',
    'obri', 'obro', 'obsc', 'obse', 'obsé', 'obsè', 'obsi', 'obsl', 'obso', 'obst',
    'obte', 'obti', 'obtî', 'obtu', 'obua', 'obue', 'obué', 'obui', 'obul', 'obur',
    'obus', 'obut', 'obve', 'obvi', 'obvî', 'obyl', 'ocab', 'ocâb', 'ocac', 'ocad',
    'ocag', 'ocai', 'ocaï', 'ocal', 'ocam', 'ocan', 'ocap', 'ocar', 'ocas', 'ocat',
    'ocau', 'occa', 'occe', 'occé', 'occh', 'occi', 'occl', 'occo', 'occu', 'occy',
    'océa', 'océd', 'ocèd', 'océe', 'océé', 'océi', 'ocel', 'océl', 'ocèl', 'ocem',
    'ocen', 'océn', 'ocèn', 'ocep', 'océp', 'ocer', 'océr', 'ocèr', 'oces', 'océs',
    'ocès', 'ocet', 'océt', 'ocèt', 'oceu', 'ocha', 'ochâ', 'oche', 'ôche', 'oché',
    'ochè', 'ochi', 'ochl', 'ocho', 'ochr', 'ochs', 'ocht', 'ochu', 'ochy', 'ocia',
    'ociâ', 'ocic', 'ocid', 'ocie', 'ocié', 'ociè', 'ocif', 'ocii', 'ocil', 'ocim',
    'ocin', 'ocio', 'ocip', 'ociq', 'ocir', 'ocis', 'ocit', 'ociv', 'ocka', 'ockâ',
    'ocke', 'ocké', 'ockè', 'ockf', 'ockh', 'ocki', 'ockn', 'ocko', 'ockp', 'ocks',
    'ockt', 'ocla', 'ocle', 'ocli', 'ocoa', 'ocob', 'ococ', 'ocod', 'ocoe', 'ocoi',
    'ocol', 'ocôl', 'ocom', 'ocon', 'ocôn', 'ocoo', 'ocop', 'ocoq', 'ocor', 'ocos',
    'ocot', 'ocou', 'ocqu', 'ocra', 'ocrâ', 'ocre', 'ocré', 'ocrè', 'ocri', 'ocro',
    'ocry', 'ocsi', 'octa', 'octe', 'octé', 'octi', 'octo', 'octr', 'octu', 'ocua',
    'ocue', 'ocuf', 'ocui', 'ocul', 'ocum', 'ocur', 'ocus', 'ocut', 'ocya', 'ocyb',
    'ocyc', 'ocyl', 'ocyn', 'ocyo', 'ocys', 'ocyt', 'odab', 'odac', 'odaf', 'odag',
    'odai', 'ôdai', 'odaï', 'odak', 'odal', 'odam', 'odâm', 'ôdâm', 'odan', 'ôdan',
    'odar', 'odas', 'ôdas', 'odat', 'odât', 'ôdât', 'odau', 'oddi', 'odéb', 'odec',
    'odéc', 'odée', 'odéf', 'odég', 'odéi', 'odel', 'odél', 'odèl', 'odem', 'odém',
    'odèm', 'oden', 'ôden', 'odén', 'odèn', 'odeo', 'odéo', 'odép', 'odeq', 'oder',
    'ôder', 'odér', 'odèr', 'ôdèr', 'odes', 'ôdes', 'odés', 'odès', 'odet', 'odét',
    'odeu', 'ôdeu', 'odev', 'odév', 'odèv', 'odex', 'odez', 'ôdez', 'odge', 'odgi',
    'odgk', 'odhi', 'odhp', 'odhy', 'odia', 'odiâ', 'odic', 'odid', 'odie', 'ôdie',
    'odié', 'odiè', 'odif', 'odig', 'odii', 'odil', 'odin', 'odio', 'ôdio', 'odip',
    'odiq', 'odir', 'odis', 'odit', 'odiu', 'odiv', 'odja', 'odka', 'odla', 'odle',
    'odlé', 'odoa', 'odoc', 'odod', 'odof', 'odog', 'odoi', 'odoï', 'odok', 'odol',
    'odom', 'odon', 'ôdon', 'odop', 'odor', 'odos', 'odot', 'odou', 'odox', 'odra',
    'odri', 'odro', 'oduc', 'odue', 'odui', 'odul', 'odun', 'oduo', 'odur', 'odus',
    'odyl', 'odym', 'odyn', 'odys', 'odyt', 'odzo', 'oebé', 'oech', 'oéch', 'oeci',
    'oéci', 'oeco', 'oéco', 'oecu', 'oede', 'oedé', 'oedè', 'oedi', 'oédi', 'oedo',
    'oedr', 'oédr', 'oèdr', 'oédu', 'oeff', 'oéha', 'oehn', 'oeil', 'oein', 'oéis',
    'oeko', 'oela', 'oéla', 'oêla', 'oêlâ', 'oele', 'oéle', 'oêle', 'oële', 'oélé',
    'oêlé', 'oêlè', 'oeli', 'oêli', 'oell', 'oêlo', 'oemb', 'oéme', 'oème', 'oémi',
    'oémo', 'oemp', 'oena', 'oenc', 'oend', 'oene', 'oéne', 'oène', 'oëne', 'oeni',
    'oenl', 'oenn', 'oeno', 'oens', 'oëns', 'oent', 'oenu', 'oenz', 'oéph', 'oépi',
    'oéqu', 'oerc', 'oere', 'oeri', 'oéro', 'oers', 'oéry', 'oesa', 'oèse', 'oési',
    'oeso', 'oess', 'oëss', 'oest', 'oeta', 'oéte', 'oète', 'oëte', 'oeti', 'oéti',
    'oeto', 'oéto', 'oett', 'oëtt', 'oetu', 'oeud', 'oeuf', 'oeur', 'oeuv', 'oeux',
    'oexi', 'oext', 'ofac', 'ofag', 'ofah', 'ofan', 'ofar', 'ofas', 'ofec', 'oféc',
    'ofée', 'ofèn', 'ofer', 'ofér', 'ofèr', 'ofes', 'ofès', 'ofet', 'offa', 'offâ',
    'offe', 'offé', 'offè', 'offi', 'offo', 'offr', 'offs', 'offu', 'ofib', 'ofic',
    'ofil', 'ofin', 'ofit', 'ofix', 'ofla', 'ofle', 'oflé', 'ofli', 'oflo', 'oflu',
    'ofoc', 'ofoi', 'ofol', 'ofon', 'ofor', 'ofra', 'ofre', 'ofré', 'oftw', 'ofug',
    'oful', 'ofun', 'ofus', 'ogab', 'ogag', 'ogal', 'ogam', 'ogan', 'ogar', 'ogas',
    'ogat', 'ogau', 'ogdi', 'ogea', 'ogeâ', 'ogee', 'ogée', 'ogel', 'ogem', 'ogen',
    'ogén', 'ogèn', 'ogeo', 'ogéo', 'oger', 'ogér', 'ogèr', 'oges', 'ogés', 'oget',
    'ogét', 'ogeu', 'ogez', 'ogga', 'ogge', 'oggi', 'oggy', 'ogha', 'oghe', 'ogho',
    'ogia', 'ogic', 'ogid', 'ogie', 'ogig', 'ogin', 'ogio', 'ogiq', 'ogir', 'ogis',
    'ogit', 'ogiv', 'ogla', 'oglé', 'ogli', 'oglo', 'oglu', 'ogly', 'ogma', 'ogme',
    'ogna', 'ognâ', 'ogne', 'ogné', 'ognè', 'ogni', 'ogno', 'ognu', 'ogod', 'ogog',
    'ogol', 'ogom', 'ogon', 'ogop', 'ogor', 'ogos', 'ogot', 'ogou', 'ogra', 'ogre',
    'ogré', 'ogrè', 'ogri', 'ogro', 'ogry', 'ogua', 'oguâ', 'ogue', 'ogué', 'oguè',
    'ogui', 'ogun', 'oguo', 'ogyn', 'ogyr', 'ohab', 'ohai', 'ohal', 'ohan', 'ohar',
    'ohél', 'ohem', 'ohém', 'ohèm', 'ohêm', 'oher', 'ohér', 'ohes', 'ohés', 'oheu',
    'ohex', 'ohib', 'ohim', 'ohin', 'ohis', 'ohmi', 'ohmm', 'ohms', 'ohob', 'ohol',
    'ohon', 'ohor', 'ohue', 'ohyd', 'ohyè', 'ohym', 'ohyp', 'oïaq', 'oiar', 'oias',
    'oici', 'oïci', 'oicï', 'oida', 'oïda', 'oide', 'oïde', 'oïdé', 'oidi', 'oïdi',
    'oidî', 'oïdo', 'oids', 'oïds', 'oidu', 'oiem', 'oien', 'oier', 'oies', 'oïès',
    'oïét', 'oïév', 'oiëv', 'oiff', 'oifs', 'oign', 'oigt', 'oïka', 'oiki', 'oïki',
    'oila', 'oilà', 'oilâ', 'oile', 'oïle', 'oilé', 'oilè', 'oili', 'oill', 'oilo',
    'oils', 'oilu', 'oimt', 'oinc', 'oïnc', 'oinç', 'oind', 'oine', 'oïne', 'oinè',
    'oinê', 'oinf', 'oing', 'oini', 'oïno', 'oins', 'oint', 'oinv', 'oion', 'oïon',
    'oiqu', 'oïqu', 'oira', 'oirâ', 'oirc', 'oird', 'oire', 'oiré', 'oirè', 'oiri',
    'oirm', 'oiro', 'oirs', 'oiru', 'oisa', 'oïsa', 'oisâ', 'oisc', 'oise', 'oïse',
    'oisé', 'oisè', 'oisi', 'oisî', 'oism', 'ôism', 'oïsm', 'oiso', 'oiss', 'oist',
    'ôist', 'oïst', 'oisu', 'oisy', 'oita', 'oîta', 'oitâ', 'oîtâ', 'oite', 'oîte',
    'oïte', 'oité', 'oîté', 'oitè', 'oîtè', 'oiti', 'oîti', 'oïti', 'oito', 'oîto',
    'oitr', 'oîtr', 'oits', 'oîts', 'oïts', 'oitt', 'oitu', 'oîtu', 'oive', 'oïvo',
    'oivr', 'oixa', 'oize', 'ojas', 'ojec', 'ojet', 'ojki', 'ojou', 'okag', 'okai',
    'okaï', 'okaj', 'okal', 'okan', 'okap', 'okas', 'okay', 'okéf', 'oker', 'okér',
    'okes', 'okha', 'okhâ', 'okie', 'okil', 'okin', 'okla', 'okma', 'okoi', 'okol',
    'okou', 'okyo', 'olab', 'ôlab', 'olac', 'olaç', 'olad', 'olag', 'ôlag', 'olai',
    'ôlai', 'olaï', 'olal', 'olam', 'olâm', 'ôlâm', 'olan', 'ôlan', 'olap', 'olaq',
    'olar', 'ôlar', 'olas', 'ôlas', 'olat', 'ôlat', 'olât', 'ôlât', 'olay', 'olba',
    'olbe', 'olbu', 'olca', 'olce', 'olch', 'olci', 'olco', 'olcr', 'olda', 'oldâ',
    'olde', 'oldé', 'oldè', 'oldi', 'oldo', 'oldr', 'oldu', 'olea', 'oléa', 'oleá',
    'olec', 'oléc', 'oléd', 'olee', 'olée', 'ôlée', 'oléf', 'olég', 'olei', 'oléi',
    'olem', 'ôlem', 'olém', 'olen', 'ôlen', 'olén', 'olèn', 'oléo', 'olep', 'oler',
    'ôler', 'olér', 'olèr', 'ôlèr', 'oles', 'ôles', 'olés', 'ôlés', 'olet', 'ôlet',
    'olét', 'olèt', 'oleu', 'ôleu', 'oléu', 'olev', 'olév', 'olèv', 'olex', 'olez',
    'ôlez', 'olfa', 'olfe', 'olfè', 'olfi', 'olfr', 'olfs', 'olgi', 'olia', 'oliâ',
    'olib', 'olic', 'oliç', 'olid', 'olie', 'ôlie', 'olié', 'oliè', 'ôliè', 'olif',
    'olig', 'olii', 'olil', 'olim', 'olîm', 'olin', 'olio', 'ôlio', 'olip', 'oliq',
    'olir', 'olis', 'olit', 'olît', 'oliv', 'olix', 'oljé', 'olka', 'olkh', 'olkl',
    'olks', 'olla', 'ollâ', 'olle', 'ollé', 'ollè', 'olli', 'ollî', 'ollm', 'ollo',
    'olls', 'ollu', 'olly', 'olma', 'olme', 'olmi', 'olmo', 'olob', 'oloc', 'oloe',
    'oloè', 'olof', 'olog', 'oloi', 'oloï', 'olom', 'olon', 'ôlon', 'olop', 'oloq',
    'olor', 'olos', 'olot', 'olph', 'olpo', 'olre', 'olré', 'olst', 'olta', 'oltâ',
    'olte', 'olté', 'oltè', 'olti', 'oltm', 'olto', 'oltr', 'olts', 'oltu', 'olua',
    'oluâ', 'olub', 'oluc', 'olue', 'olué', 'oluè', 'olui', 'olum', 'olûm', 'oluo',
    'olup', 'olur', 'olus', 'olut', 'olût', 'olva', 'olve', 'olvé', 'olvi', 'olvo',
    'olvu', 'olya', 'olyb', 'olyc', 'olyd', 'olye', 'olyé', 'olyè', 'olyf', 'olyg',
    'olyh', 'olyk', 'olyl', 'olym', 'olyn', 'olyo', 'olyp', 'olyr', 'olys', 'olyt',
    'olyu', 'olyv', 'olza', 'ômab', 'omac', 'omad', 'omag', 'ômag', 'omah', 'omai',
    'ômai', 'omaï', 'omal', 'omâm', 'ômâm', 'oman', 'ôman', 'omaq', 'omar', 'omas',
    'ômas', 'omat', 'omât', 'ômât', 'omau', 'omaz', 'omba', 'ombâ', 'ombe', 'ombé',
    'ombè', 'ombi', 'ombl', 'ombo', 'ombr', 'ombs', 'ombu', 'omby', 'omec', 'oméc',
    'omed', 'oméd', 'omée', 'ômée', 'omég', 'omei', 'omel', 'omél', 'omèl', 'omem',
    'omen', 'ômen', 'omén', 'omèn', 'oméo', 'omer', 'ômer', 'omér', 'omèr', 'ômèr',
    'omes', 'ômes', 'omés', 'ômés', 'omet', 'omét', 'omèt', 'omeu', 'ômeu', 'omey',
    'omez', 'ômez', 'omhy', 'omia', 'ômia', 'omic', 'omid', 'omie', 'ômie', 'omif',
    'omil', 'omim', 'omîm', 'omin', 'omio', 'ômio', 'omiq', 'omir', 'omis', 'omit',
    'omît', 'omix', 'omle', 'omma', 'ommâ', 'omme', 'ommé', 'ommè', 'ommi', 'ommî',
    'ommo', 'ommu', 'ommy', 'omna', 'omne', 'omni', 'omno', 'omob', 'omoc', 'omod',
    'omoe', 'omof', 'omog', 'omoi', 'ômoi', 'omol', 'omom', 'omon', 'ômon', 'omop',
    'omor', 'omos', 'omot', 'omou', 'omox', 'omoz', 'ompa', 'ompâ', 'ompe', 'ompé',
    'ompè', 'omph', 'ompi', 'ompî', 'ompl', 'ompo', 'ompr', 'omps', 'ompt', 'ompu',
    'omst', 'omta', 'omte', 'omté', 'omti', 'omto', 'omue', 'omul', 'omûm', 'omun',
    'omur', 'omus', 'omut', 'omût', 'omyc', 'omye', 'omyé', 'omyi', 'omyo', 'omys',
    'omyt', 'omyx', 'onab', 'onac', 'onad', 'onae', 'onag', 'ônag', 'onai', 'ônai',
    'onal', 'onam', 'onâm', 'ônâm', 'onan', 'ônan', 'onao', 'onap', 'onar', 'onas',
    'ônas', 'onat', 'ônat', 'onât', 'ônât', 'onau', 'onav', 'onax', 'onay', 'onaz',
    'onbo', 'onca', 'onça', 'onçâ', 'once', 'oncé', 'oncè', 'onch', 'onci', 'oncî',
    'oncl', 'onco', 'onço', 'oncq', 'oncr', 'oncs', 'onct', 'oncu', 'onçu', 'onçû',
    'onda', 'ondâ', 'ondd', 'onde', 'ondé', 'ondè', 'ondi', 'ondî', 'ondo', 'ondr',
    'onds', 'ondu', 'ondv', 'ondy', 'onea', 'onéa', 'onec', 'onéc', 'onee', 'onée',
    'ônée', 'onef', 'onég', 'onei', 'onéi', 'onel', 'onem', 'ônem', 'oném', 'onèm',
    'onen', 'ônen', 'onèn', 'oneo', 'onéo', 'onép', 'oner', 'ôner', 'onér', 'onèr',
    'ônèr', 'ones', 'ônes', 'onés', 'ônés', 'onet', 'onét', 'onèt', 'oneu', 'ôneu',
    'onev', 'onév', 'oney', 'onez', 'ônez', 'onfa', 'onfe', 'onfé', 'onfè', 'onfi',
    'onfî', 'onfl', 'onfo', 'onfr', 'onfu', 'onga', 'onge', 'ongé', 'ongè', 'ongi',
    'ongj', 'ongk', 'ongl', 'ongn', 'ongo', 'ongr', 'ongs', 'ongt', 'ongu', 'ongw',
    'ongy', 'onhe', 'onho', 'onia', 'onib', 'onic', 'ônic', 'onid', 'onie', 'ônie',
    'onié', 'oniè', 'onif', 'ônif', 'onig', 'onii', 'onil', 'onim', 'onin', 'onio',
    'ônio', 'oniq', 'ôniq', 'onir', 'onis', 'onit', 'oniu', 'oniv', 'onix', 'onje',
    'onji', 'onjo', 'onju', 'onka', 'onkh', 'onki', 'onko', 'onli', 'onlo', 'onmi',
    'onna', 'onnâ', 'onne', 'onné', 'onnè', 'onnê', 'onni', 'onnî', 'onno', 'onnu',
    'onnû', 'onoa', 'onob', 'onoc', 'onod', 'onoe', 'onof', 'onog', 'onoi', 'ônoi',
    'onoï', 'onok', 'onol', 'onom', 'onôm', 'onon', 'ônon', 'onop', 'onor', 'onos',
    'onot', 'onov', 'onox', 'onoz', 'onpa', 'onpo', 'onpr', 'onqu', 'onro', 'onsa',
    'onsc', 'onse', 'onsé', 'onsh', 'onsi', 'onso', 'onsp', 'onst', 'onsu', 'onta',
    'ontâ', 'ontb', 'ontc', 'ontd', 'onte', 'onté', 'ontè', 'ontg', 'öntg', 'onti',
    'ontî', 'ontj', 'ontl', 'ontm', 'onto', 'ontp', 'ontr', 'onts', 'ontu', 'onuc',
    'onul', 'onum', 'onun', 'onup', 'onur', 'onus', 'ônus', 'onva', 'onve', 'onvé',
    'onvi', 'onvî', 'onvo', 'onvu', 'onyc', 'onyl', 'onym', 'onyq', 'onys', 'onyx',
    'onza', 'onzâ', 'onze', 'onzé', 'onzè', 'onzi', 'onzo', 'oobl', 'oocc', 'ooch',
    'oocy', 'oodi', 'oofa', 'oofe', 'oofl', 'ooga', 'oogé', 'oogè', 'oogl', 'oogo',
    'oogr', 'ooïd', 'ooin', 'ooka', 'ooke', 'ookm', 'ooko', 'ooks', 'oola', 'oolâ',
    'oolé', 'ooli', 'oolo', 'ools', 'oome', 'oomé', 'oomè', 'oomi', 'oomo', 'ooms',
    'oone', 'oono', 'oons', 'oopa', 'oopé', 'oopè', 'ooph', 'oopi', 'oopl', 'oops',
    'oopt', 'oord', 'oorg', 'oose', 'oosé', 'oosp', 'ooss', 'oost', 'oota', 'ootb',
    'oote', 'ooté', 'ooth', 'ooti', 'ootl', 'ooto', 'oots', 'ooxa', 'opac', 'opad',
    'opae', 'opag', 'opah', 'opai', 'opaï', 'opak', 'opal', 'opam', 'opâm', 'opan',
    'opaq', 'opar', 'opas', 'opat', 'opât', 'opau', 'opav', 'opay', 'opaz', 'opci',
    'opea', 'opéa', 'opec', 'opéc', 'oped', 'opéd', 'opèd', 'opee', 'opée', 'opég',
    'opéi', 'opel', 'opél', 'opèl', 'open', 'opén', 'opèn', 'opép', 'oper', 'opér',
    'opèr', 'opes', 'opés', 'opès', 'opet', 'opét', 'opeu', 'opex', 'opez', 'opéz',
    'opha', 'ophâ', 'ophe', 'ophé', 'ophè', 'ophi', 'ophl', 'opho', 'ophr', 'opht',
    'ophu', 'ophy', 'opia', 'opiâ', 'opic', 'opie', 'opié', 'opiè', 'opii', 'opil',
    'opim', 'opin', 'opio', 'opiq', 'opis', 'opit', 'ôpit', 'opiu', 'opla', 'ople',
    'oplé', 'opli', 'oplo', 'opne', 'opné', 'opoa', 'opoc', 'opod', 'opog', 'opoi',
    'opoï', 'opol', 'opom', 'opon', 'opop', 'opor', 'opos', 'opot', 'opou', 'opoz',
    'oppa', 'oppâ', 'oppe', 'oppé', 'oppè', 'oppi', 'oppl', 'oppo', 'oppr', 'opra',
    'opre', 'opré', 'oprè', 'opri', 'opro', 'opru', 'opsa', 'opse', 'opsi', 'opso',
    'opsy', 'opta', 'optâ', 'opte', 'opté', 'optè', 'opti', 'opto', 'optr', 'opty',
    'opul', 'opun', 'opur', 'opus', 'opye', 'opyg', 'opyl', 'opyo', 'opyr', 'oqua',
    'oquâ', 'oque', 'oqué', 'oquè', 'oqui', 'oquo', 'orab', 'orac', 'orad', 'orag',
    'orah', 'orai', 'orak', 'oral', 'oram', 'orâm', 'oran', 'orap', 'orar', 'oras',
    'orat', 'orât', 'orau', 'orav', 'orax', 'orba', 'orbâ', 'orbe', 'orbé', 'orbè',
    'orbi', 'orbl', 'orbo', 'orbu', 'orca', 'orça', 'orçâ', 'orce', 'orcé', 'orcè',
    'orch', 'orci', 'orcl', 'orco', 'orço', 'orcs', 'orda', 'ordâ', 'orde', 'ordé',
    'ordè', 'ordi', 'ordî', 'ordm', 'ordo', 'ordr', 'ords', 'ordu', 'ordv', 'ordw',
    'orea', 'oréa', 'oréc', 'ored', 'oréd', 'oree', 'orée', 'oréé', 'oréf', 'oreg',
    'orég', 'orèg', 'orei', 'oréi', 'orel', 'orem', 'orém', 'orèm', 'oren', 'orén',
    'orèn', 'oréo', 'orep', 'orép', 'orer', 'orèr', 'ores', 'orés', 'orès', 'oret',
    'orét', 'orèt', 'orêt', 'oreu', 'oréu', 'orév', 'orex', 'orez', 'orfa', 'orfe',
    'orfé', 'orfè', 'orfi', 'orfî', 'orfl', 'orfo', 'orfr', 'orga', 'orge', 'orgé',
    'orgè', 'orgh', 'orgi', 'orgn', 'orgo', 'orgr', 'orgu', 'orha', 'orhe', 'orhi',
    'orho', 'orhu', 'orhy', 'oria', 'oriâ', 'orib', 'oric', 'orid', 'orie', 'orié',
    'oriè', 'orif', 'orig', 'orii', 'oril', 'orim', 'orîm', 'orin', 'orio', 'orip',
    'oriq', 'orir', 'oris', 'orit', 'orît', 'oriu', 'oriz', 'orje', 'orka', 'orke',
    'orko', 'orks', 'orla', 'orld', 'orle', 'orlé', 'orli', 'orlo', 'orly', 'orma',
    'ormâ', 'orme', 'ormé', 'ormè', 'ormi', 'ormî', 'ormo', 'ormu', 'orna', 'ornâ',
    'ornb', 'orne', 'orné', 'ornè', 'orni', 'ornî', 'orno', 'ornu', 'oroa', 'orob',
    'oroc', 'orod', 'orof', 'orog', 'oroh', 'oroi', 'oroî', 'oroï', 'orok', 'orol',
    'orom', 'oron', 'orop', 'oroq', 'oror', 'oros', 'orot', 'orou', 'oroz', 'orpa',
    'orpe', 'orpé', 'orpè', 'orph', 'orpi', 'orpo', 'orpr', 'orps', 'orpt', 'orpu',
    'orqu', 'orra', 'orre', 'orré', 'orrè', 'orrh', 'orri', 'orro', 'orru', 'orry',
    'orsa', 'orsâ', 'orsc', 'orse', 'orsé', 'orsè', 'orsh', 'orsi', 'orso', 'orsq',
    'orst', 'orsu', 'orsy', 'orta', 'ortâ', 'orte', 'orté', 'ortè', 'ortf', 'orth',
    'orti', 'ortî', 'ortl', 'orto', 'ortr', 'orts', 'ortu', 'ortv', 'ortw', 'orue',
    'orul', 'orum', 'orun', 'orur', 'orus', 'orut', 'orva', 'orve', 'orvé', 'orvè',
    'orvi', 'oryb', 'oryc', 'oryg', 'oryl', 'orym', 'oryn', 'oryp', 'orys', 'oryt',
    'oryx', 'oryz', 'orza', 'orze', 'orzi', 'osab', 'osac', 'osad', 'osaè', 'osag',
    'osai', 'osaï', 'osal', 'osâm', 'osan', 'osaq', 'osar', 'osas', 'osat', 'osât',
    'osau', 'osbi', 'osca', 'osce', 'oscé', 'osch', 'osci', 'oscl', 'osco', 'oscr',
    'oscu', 'osea', 'osec', 'oséc', 'osee', 'osée', 'osei', 'oséi', 'osel', 'osél',
    'osem', 'osém', 'osen', 'osèn', 'oséo', 'osep', 'osép', 'oser', 'osér', 'osèr',
    'oses', 'osés', 'oset', 'oseu', 'osev', 'osex', 'osez', 'osge', 'osgè', 'osgi',
    'osia', 'osib', 'osic', 'osid', 'osie', 'osié', 'osiè', 'osif', 'osig', 'osil',
    'osim', 'osîm', 'osin', 'osio', 'osip', 'osiq', 'osir', 'osis', 'ôsis', 'osit',
    'osît', 'osiu', 'osiv', 'oske', 'oski', 'osko', 'osla', 'oslo', 'osme', 'osmé',
    'osmi', 'osmo', 'osna', 'osne', 'osni', 'osno', 'osob', 'osoc', 'osod', 'osof',
    'osog', 'osoi', 'osol', 'osom', 'oson', 'osop', 'osor', 'osos', 'osot', 'osou',
    'ospa', 'ospe', 'ospé', 'ospè', 'osph', 'ospi', 'ospo', 'osqu', 'ossa', 'ossâ',
    'osse', 'ossé', 'ossè', 'ossi', 'ossî', 'osso', 'ossu', 'osta', 'ostâ', 'ostc',
    'ostd', 'oste', 'osté', 'ostè', 'ostf', 'ostg', 'osth', 'osti', 'östi', 'ostl',
    'ostn', 'osto', 'ostp', 'ostr', 'osts', 'ostu', 'ostv', 'osty', 'osub', 'osuf',
    'osug', 'osul', 'osup', 'osur', 'osyl', 'osym', 'osyn', 'osyp', 'osys', 'otab',
    'otac', 'otad', 'otag', 'otai', 'ôtai', 'otal', 'ôtal', 'otam', 'otâm', 'ôtâm',
    'otan', 'ôtan', 'otap', 'otar', 'otas', 'ôtas', 'otat', 'otât', 'ôtât', 'otau',
    'ôtau', 'otax', 'otba', 'otch', 'otea', 'otéa', 'otec', 'otée', 'ôtée', 'oteg',
    'otég', 'otèg', 'otei', 'otéi', 'otel', 'ôtel', 'otél', 'otèl', 'otem', 'otém',
    'oten', 'ôten', 'otén', 'otèn', 'otéo', 'otèq', 'oter', 'ôter', 'otér', 'otèr',
    'ôtèr', 'otes', 'ôtes', 'otés', 'ôtés', 'otet', 'otêt', 'oteu', 'otex', 'otez',
    'ôtez', 'otha', 'othe', 'othé', 'othè', 'othi', 'otho', 'othr', 'oths', 'othu',
    'othy', 'otia', 'otic', 'otid', 'otie', 'ôtie', 'otiè', 'ôtiè', 'otif', 'otig',
    'otil', 'otim', 'otîm', 'ôtîm', 'otin', 'otio', 'ôtio', 'otip', 'otiq', 'otir',
    'ôtir', 'otis', 'ôtis', 'otit', 'ôtit', 'otît', 'ôtît', 'otiv', 'otla', 'otle',
    'otni', 'otob', 'otoc', 'otod', 'otoé', 'otog', 'otoh', 'otoi', 'ôtoi', 'otol',
    'otom', 'oton', 'ôton', 'otop', 'otoq', 'otor', 'otos', 'otot', 'otou', 'otov',
    'otox', 'ôtoy', 'otoz', 'otra', 'otre', 'ôtre', 'otrè', 'otri', 'otro', 'otru',
    'otry', 'otse', 'otsk', 'otsw', 'otta', 'ottâ', 'otte', 'otté', 'ottè', 'otti',
    'ottî', 'otto', 'otts', 'otub', 'otul', 'otum', 'otun', 'otur', 'ôtur', 'otus',
    'otut', 'otyl', 'otym', 'otyp', 'otys', 'otze', 'ouab', 'ouac', 'ouad', 'ouag',
    'ouah', 'ouai', 'oual', 'ouâm', 'ouan', 'ouao', 'ouap', 'ouaq', 'ouar', 'ouas',
    'ouat', 'ouât', 'ouau', 'ouav', 'ouba', 'oubâ', 'oubb', 'oube', 'oubé', 'oubè',
    'oubi', 'oubl', 'oubo', 'oubr', 'oubs', 'ouca', 'ouça', 'ouce', 'oucé', 'ouch',
    'ouci', 'oucî', 'oucl', 'ouco', 'oucr', 'oucs', 'ouda', 'oudâ', 'oudd', 'oude',
    'oudé', 'oudè', 'oudh', 'oudi', 'oudj', 'oudo', 'oudr', 'ouds', 'oudu', 'oued',
    'ouee', 'ouée', 'ouel', 'ouem', 'ouen', 'ouën', 'ouer', 'ouèr', 'oues', 'oués',
    'ouet', 'ouét', 'ouèt', 'ouët', 'oueu', 'ouez', 'oufa', 'oufâ', 'oufe', 'oufè',
    'ouff', 'oufi', 'oufl', 'oufo', 'oufr', 'oufs', 'ouft', 'ouga', 'ougâ', 'ouge',
    'ougé', 'ougè', 'ough', 'ougi', 'ougî', 'ougl', 'ougn', 'ougo', 'ougr', 'ougs',
    'ougu', 'ouha', 'ouhe', 'ouia', 'ouïa', 'ouic', 'ouie', 'ouïe', 'ouif', 'ouïg',
    'ouil', 'ouim', 'ouîm', 'ouin', 'ouio', 'ouir', 'ouïr', 'ouis', 'ouïs', 'ouit',
    'ouît', 'ouiv', 'ouja', 'ouji', 'oujo', 'ouju', 'ouka', 'ouke', 'oukè', 'oukh',
    'ouki', 'ouko', 'ouks', 'oukt', 'oula', 'oûla', 'oulâ', 'oûlâ', 'oulb', 'ould',
    'oule', 'oûle', 'oulé', 'oûlé', 'oulè', 'oûlè', 'oulê', 'ouli', 'oûli', 'oull',
    'oulm', 'oulo', 'oûlo', 'oulp', 'oulq', 'ouls', 'oûls', 'oult', 'oulu', 'oulû',
    'ouma', 'oume', 'oumé', 'oumè', 'oumi', 'oumî', 'oumo', 'oums', 'oumy', 'ouna',
    'ounc', 'ound', 'oune', 'oung', 'ouni', 'ounn', 'ouno', 'ouns', 'ount', 'ouon',
    'oupa', 'oûpa', 'oupâ', 'oupç', 'oupd', 'oupe', 'oupé', 'oupè', 'ouph', 'oupi',
    'oupî', 'oupl', 'oupo', 'oupp', 'oups', 'oupu', 'ouqu', 'oura', 'ourâ', 'ourb',
    'ourc', 'ourç', 'ourd', 'oure', 'ouré', 'ourè', 'ourf', 'ourg', 'ouri', 'ourî',
    'ourl', 'ourm', 'ourn', 'ouro', 'ourp', 'ourq', 'ourr', 'ours', 'ourt', 'ouru',
    'ourû', 'ourv', 'ousa', 'ousâ', 'ousc', 'ouse', 'ousé', 'ousè', 'ousi', 'ousî',
    'ousk', 'ousm', 'ouso', 'ousp', 'ousq', 'ouss', 'oust', 'ousu', 'outa', 'oûta',
    'outâ', 'oûtâ', 'outc', 'oute', 'oûte', 'outé', 'oûté', 'outè', 'oûtè', 'outh',
    'outi', 'oûti', 'outî', 'outl', 'outn', 'outo', 'oûto', 'outp', 'outr', 'oûtr',
    'outs', 'oûts', 'outt', 'outu', 'outz', 'ouur', 'ouva', 'ouvâ', 'ouve', 'ouvé',
    'ouvè', 'ouvi', 'ouvî', 'ouvo', 'ouvr', 'ouxi', 'ouxt', 'ouye', 'ouyo', 'ouys',
    'ouza', 'ouzb', 'ouze', 'ouzi', 'ouzo', 'ouzz', 'ovac', 'ovae', 'ovah', 'ovai',
    'oval', 'ovâm', 'ovan', 'ovaq', 'ovar', 'ovas', 'ovat', 'ovât', 'ovéa', 'ovec',
    'ovéd', 'ovée', 'ovef', 'ovéf', 'ovég', 'ovel', 'ovem', 'oven', 'ovén', 'ovèn',
    'over', 'ovér', 'ovèr', 'oves', 'ovés', 'oveu', 'ovez', 'ovia', 'ovib', 'ovic',
    'ovid', 'ovie', 'ovié', 'ovif', 'ovig', 'ovil', 'ovin', 'ovîn', 'ovio', 'ovip',
    'ovir', 'ovis', 'ovit', 'oviv', 'ovkh', 'ovna', 'ovni', 'ovoc', 'ovog', 'ovoï',
    'ovol', 'ovon', 'ovoq', 'ovos', 'ovot', 'ovov', 'ovre', 'ovri', 'ovud', 'ovul',
    'ovyl', 'owat', 'owbi', 'owee', 'owei', 'oweï', 'ower', 'owet', 'owin', 'owli',
    'owne', 'owni', 'owns', 'owpe', 'owst', 'oxac', 'oxai', 'oxal', 'oxâm', 'oxan',
    'oxar', 'oxas', 'oxât', 'oxau', 'oxée', 'oxém', 'oxen', 'oxén', 'oxèn', 'oxer',
    'oxér', 'oxèr', 'oxes', 'oxés', 'oxeu', 'oxez', 'oxfo', 'oxhy', 'oxia', 'oxic',
    'oxid', 'oxie', 'oxig', 'oxim', 'oxin', 'oxio', 'oxiq', 'oxod', 'oxoi', 'oxol',
    'oxon', 'oxop', 'oxrè', 'oxus', 'oxya', 'oxyc', 'oxyd', 'oxyg', 'oxyh', 'oxyl',
    'oxym', 'oxyr', 'oxys', 'oxyt', 'oxyu', 'oyab', 'oyad', 'oyag', 'oyai', 'oyal',
    'oyâm', 'oyan', 'oyar', 'oyas', 'oyat', 'oyât', 'oyau', 'oyav', 'oybo', 'oyco',
    'oyèd', 'oyée', 'oyel', 'oyen', 'oyer', 'oyér', 'oyèr', 'oyés', 'oyet', 'oyeu',
    'oyez', 'oyie', 'oyio', 'oyla', 'oyle', 'oyon', 'oyot', 'oyou', 'oyur', 'ozab',
    'ozar', 'ozen', 'ozén', 'ozèn', 'ozer', 'ozes', 'ozet', 'ozeu', 'ozie', 'ozio',
    'ozis', 'ozoa', 'ozoc', 'ozoi', 'ozoï', 'ozok', 'ozon', 'ozoo', 'ozot', 'ozyg',
    'ozym', 'ozza'
    );

  //P
  F4LpMax_ = 1516;
  F4Lp_: array[1..F4LpMax_] of S016_ = (
    'paga', 'page', 'pagi', 'pagn', 'pagu', 'paie', 'pais', 'pait', 'palu', 'pâme',
    'pant', 'pape', 'para', 'parâ', 'pare', 'paré', 'parè', 'pari', 'parl', 'paro',
    'part', 'pass', 'pate', 'pâte', 'path', 'pati', 'patr', 'paum', 'paus', 'péci',
    'pect', 'pées', 'péli', 'pell', 'pélo', 'peme', 'pens', 'pent', 'pénu', 'pera',
    'péra', 'perd', 'pere', 'père', 'peri', 'péri', 'perm', 'pern', 'pero', 'pers',
    'pess', 'pest', 'pete', 'peus', 'peux', 'pexi', 'phab', 'phag', 'phal', 'phan',
    'phas', 'phat', 'phèl', 'phèn', 'phes', 'phét', 'phia', 'phib', 'phic', 'phie',
    'phig', 'phil', 'phim', 'phin', 'phio', 'phip', 'phiq', 'phis', 'phit', 'phlo',
    'phob', 'phol', 'phon', 'phor', 'phos', 'phot', 'phra', 'phro', 'phté', 'phyl',
    'phys', 'pici', 'picu', 'pien', 'piez', 'pigr', 'pile', 'pill', 'pine', 'ping',
    'pini', 'pins', 'pinu', 'pion', 'piqu', 'pira', 'piri', 'piss', 'pist', 'pita',
    'pitè', 'pith', 'plac', 'plai', 'plâm', 'plan', 'plas', 'plât', 'plec', 'plée',
    'plem', 'plen', 'pler', 'plèr', 'ples', 'plés', 'pleu', 'plez', 'plia', 'plie',
    'plif', 'plîm', 'plio', 'plir', 'plis', 'plit', 'plît', 'plon', 'plot', 'poce',
    'poda', 'pode', 'podi', 'poét', 'poge', 'pogé', 'poïd', 'pois', 'pole', 'poli',
    'poll', 'polo', 'poly', 'pomé', 'pomo', 'pona', 'ponc', 'pons', 'pony', 'pope',
    'poph', 'popi', 'port', 'pose', 'posé', 'posi', 'post', 'pote', 'poul', 'pozo',
    'ppai', 'ppâm', 'ppan', 'ppas', 'ppât', 'ppée', 'ppem', 'ppen', 'pper', 'ppèr',
    'ppes', 'ppés', 'ppez', 'ppie', 'ppin', 'ppio', 'ppon', 'préd', 'pres', 'prot',
    'psie', 'psis', 'psyc', 'ptab', 'ptai', 'ptâm', 'ptan', 'ptas', 'ptat', 'ptât',
    'ptée', 'ptem', 'pten', 'pter', 'ptér', 'ptèr', 'ptes', 'ptés', 'pteu', 'ptez',
    'ptia', 'ptie', 'ptif', 'ptio', 'ptiq', 'ptis', 'ptiv', 'ptog', 'pton', 'publ',
    'pulc', 'punc', 'puri', 'pusc', 'puta', 'putâ', 'pute', 'puté', 'putè', 'puti',
    'puto', 'putr', 'pyor', 'pyré', 'pyri', 'pach', 'pada', 'pade',
    'pago', 'pair', 'pala', 'pale', 'palm', 'pamé', 'pami', 'pana', 'paru', 'parû',
    'pasm', 'pâta', 'pâtâ', 'pâté', 'pâtè', 'pâti', 'pâto', 'pâts', 'pauv', 'paux',
    'peau', 'pède', 'pege', 'pége', 'pège', 'pela', 'péla', 'pelâ', 'pele', 'pelé',
    'pélé', 'pelè', 'peli', 'pelo', 'pels', 'pend', 'penn', 'peps', 'perc', 'perç',
    'pére', 'perg', 'péro', 'pert', 'pesa', 'pèse', 'péta', 'péte', 'pète', 'péti',
    'pett', 'peur', 'phai', 'phâm', 'phar', 'phât', 'phéd', 'phel', 'phél', 'phem',
    'phém', 'phèm', 'phen', 'pher', 'phér', 'phèr', 'phez', 'phiâ', 'phid', 'phié',
    'phiè', 'phii', 'phod', 'phte', 'phto', 'phyx', 'piad', 'pian', 'pias', 'pica',
    'pice', 'pico', 'pics', 'pide', 'pidé', 'pidi', 'piec', 'piéc', 'pied', 'pies',
    'pifu', 'pîme', 'piol', 'pirâ', 'pire', 'piré', 'pirè', 'piro', 'pisc', 'pism',
    'pîte', 'pito', 'pivo', 'plat', 'plau', 'plei', 'plex', 'plic', 'plin', 'pliq',
    'plom', 'plus', 'pnée', 'poas', 'poca', 'poco', 'pocr', 'pocy', 'podo', 'poga',
    'pogg', 'pogi', 'poid', 'poin', 'pola', 'pomi', 'pomp', 'poné', 'pont', 'popl',
    'pore', 'poré', 'pori', 'posa', 'posâ', 'posè', 'poso', 'poth', 'potr', 'pout',
    'ppal', 'ppam', 'ppar', 'ppau', 'ppea', 'ppel', 'ppét', 'ppeu', 'ppla', 'ppli',
    'ppog', 'ppoi', 'ppor', 'ppos', 'ppre', 'ppré', 'pprê', 'ppri', 'pprî', 'ppro',
    'ppui', 'ppul', 'ppuy', 'prag', 'prax', 'préc', 'préh', 'prem', 'pren', 'près',
    'pret', 'prêt', 'pria', 'priâ', 'prie', 'prié', 'priè', 'prii', 'prim', 'prîm',
    'prio', 'prir', 'pris', 'prit', 'prît', 'priv', 'prob', 'proc', 'prof', 'prop',
    'prou', 'prov', 'prox', 'psar', 'psia', 'psiâ', 'psid', 'psiè', 'psii', 'psio',
    'psoi', 'psul', 'ptèm', 'ptêm', 'ptin', 'ptit', 'ptoi', 'ptol', 'ptot', 'puie',
    'puis', 'puls', 'puni', 'pura', 'purâ', 'pure', 'puré', 'purè', 'puro', 'puya',
    'puyâ', 'puye', 'puyé', 'puyè', 'puyi', 'puyo', 'pyre', 'pyro', 'pabi', 'pabl',
    'pabt', 'pace', 'paci', 'pact', 'pado', 'pahu', 'païe', 'pail', 'pain', 'pali',
    'pals', 'pane', 'pani', 'pann', 'pans', 'panu', 'panz', 'paqu', 'pard', 'parg',
    'pars', 'paso', 'pata', 'patc', 'paté', 'patî', 'pato', 'pâtr', 'paud', 'paut',
    'paüt', 'pava', 'pavâ', 'pave', 'pavé', 'pavè', 'pavi', 'pavo', 'paye', 'pays',
    'pdem', 'péai', 'péâm', 'pean', 'péas', 'péât', 'peça', 'peçâ', 'pece', 'pèce',
    'pecé', 'pecè', 'pech', 'pêch', 'peci', 'peck', 'peço', 'pede', 'pédè', 'péen',
    'péer', 'péèr', 'péez', 'péid', 'péie', 'peig', 'pein', 'péio', 'pelu', 'pena',
    'péna', 'péné', 'penh', 'peno', 'péon', 'pépo', 'pérâ', 'péré', 'pérè', 'pérî',
    'perr', 'pese', 'pési', 'peti', 'peto', 'pétr', 'pêtr', 'pets', 'peup', 'peya',
    'peye', 'phax', 'phée', 'phéi', 'phén', 'phés', 'phné', 'phni', 'phre', 'phré',
    'phri', 'phyc', 'phyt', 'piab', 'piag', 'piai', 'piâm', 'piât', 'piau', 'picr',
    'pida', 'pidâ', 'pidè', 'pido', 'pièc', 'piée', 'piég', 'pièg', 'pier', 'pièr',
    'piés', 'pieu', 'pige', 'pigm', 'pign', 'piie', 'piio', 'pila', 'pilâ', 'pilé',
    'pilè', 'pili', 'pilo', 'pime', 'pina', 'piné', 'pitâ', 'pite', 'pité', 'piti',
    'pitr', 'pits', 'pitu', 'plaç', 'plaf', 'plag', 'plaî', 'plaq', 'plég', 'plém',
    'plet', 'plét', 'plèt', 'plev', 'plèv', 'pliâ', 'plié', 'pliè', 'plii', 'plim',
    'plob', 'ploc', 'plod', 'ploé', 'ploi', 'ploï', 'plôm', 'plop', 'plor', 'ploy',
    'plum', 'plûm', 'plur', 'plut', 'plût', 'pneu', 'pocè', 'pogr', 'poir', 'poit',
    'pôle', 'polî', 'pond', 'pone', 'poni', 'ponn', 'popu', 'pora', 'posc', 'poss',
    'pota', 'potâ', 'poté', 'potè', 'poti', 'poto', 'pots', 'pôts', 'poua', 'poud',
    'poue', 'poui', 'poun', 'pour', 'pous', 'ppab', 'ppad', 'ppat', 'ppuc', 'prac',
    'prah', 'prai', 'pran', 'pras', 'prat', 'prav', 'prée', 'prer', 'prés', 'prez',
    'pric', 'prif', 'prin', 'prip', 'priq', 'prod', 'prog', 'proj', 'prol', 'prom',
    'pron', 'prur', 'pryl', 'psac', 'psag', 'psel', 'pser', 'pses', 'pska', 'psom',
    'psus', 'psyd', 'ptac', 'ptag', 'ptal', 'ptel', 'ptib', 'ptil', 'ptob', 'ptoc',
    'ptom', 'ptop', 'ptre', 'ptri', 'ptua', 'ptue', 'ptur', 'ptyq', 'puai', 'puâm',
    'puan', 'puas', 'puât', 'pucc', 'puce', 'puch', 'puci', 'puée', 'puen', 'puer',
    'puèr', 'pues', 'pués', 'puez', 'puio', 'pula', 'pule', 'puli', 'pulp', 'pult',
    'punt', 'puon', 'pyge', 'pyll', 'paça', 'paçâ', 'pacé', 'pacè', 'paço', 'padi',
    'padr', 'paed', 'paèt', 'palé', 'pamp', 'panc', 'pand', 'pano', 'papa', 'papi',
    'parc', 'parp', 'parq', 'parv', 'patâ', 'patè', 'pats', 'patt', 'pauf', 'paul',
    'péan', 'pedi', 'pédi', 'pefr', 'peic', 'peir', 'péis', 'pèle', 'pemi', 'penç',
    'pene', 'peni', 'péol', 'pépi', 'pept', 'perl', 'perv', 'pesé', 'péto', 'petr',
    'peut', 'pexe', 'phaé', 'phau', 'phéb', 'phèb', 'phog', 'phom', 'phrè', 'phta',
    'phui', 'phyr', 'piat', 'pibo', 'piça', 'picé', 'picè', 'pich', 'picl', 'picy',
    'pidu', 'pieg', 'piel', 'piet', 'piét', 'pièt', 'pièz', 'piff', 'piga', 'pigé',
    'pigl', 'pigo', 'pigy', 'pima', 'pinâ', 'pinc', 'pinç', 'pinè', 'pino', 'pipa',
    'pipé', 'piph', 'pipl', 'pisi', 'piso', 'pisp', 'pisy', 'pîtr', 'pium', 'pizo',
    'plar', 'play', 'plea', 'pleg', 'plog', 'plol', 'ploo', 'plos', 'pluc', 'pnee',
    'pnei', 'poch', 'podr', 'poie', 'poïé', 'poïè', 'poig', 'poil', 'polâ', 'polé',
    'polè', 'pome', 'pong', 'popé', 'popo', 'poqu', 'porâ', 'porè', 'poro', 'pouf',
    'poum', 'pouv', 'poux', 'poxy', 'ppag', 'ppee', 'ppet', 'ppia', 'ppil', 'ppiq',
    'ppis', 'pple', 'pplé', 'ppoc', 'ppod', 'ppol', 'ppom', 'ppop', 'ppot', 'ppur',
    'prei', 'prét', 'preu', 'pros', 'prun', 'prus', 'psai', 'psâm', 'psan', 'psas',
    'psât', 'psée', 'psen', 'psèr', 'psés', 'pseu', 'psez', 'psil', 'psin', 'psiq',
    'psog', 'psoï', 'pson', 'psop', 'ptaé', 'ptaè', 'ptam', 'ptar', 'ptèn', 'ptéq',
    'ptic', 'ptiè', 'ptod', 'ptoï', 'ptos', 'ptus', 'ptys', 'puça', 'pucé', 'puit',
    'pulo', 'purg', 'puse', 'pyèm', 'pyle', 'pyra', 'paca', 'pacf', 'pack', 'paco',
    'pacq', 'pacs', 'pacy', 'padd', 'padé', 'pael', 'paen', 'pagé', 'pagè', 'pagh',
    'pagr', 'pahi', 'pahl', 'païa', 'paid', 'paim', 'païn', 'paît', 'paix', 'paja',
    'pajo', 'paki', 'palâ', 'pâle', 'pâli', 'pâlî', 'pall', 'palo', 'pâlo', 'palp',
    'palt', 'paly', 'pama', 'pâma', 'pâmâ', 'pame', 'pâmé', 'pâmè', 'pâmi', 'pâmo',
    'panâ', 'pané', 'panè', 'pang', 'panh', 'pank', 'panl', 'panm', 'panp', 'paon',
    'papo', 'papr', 'papu', 'papy', 'pâqu', 'parb', 'parf', 'parh', 'parj', 'park',
    'parm', 'parn', 'parr', 'pasc', 'pase', 'pasi', 'pasq', 'past', 'pâtî', 'patu',
    'pâtu', 'pauc', 'paui', 'paup', 'pavl', 'paya', 'payâ', 'payé', 'payè', 'payi',
    'payo', 'paze', 'pazi', 'pazz', 'pcha', 'pcit', 'pçon', 'pcor', 'peac', 'peag',
    'péag', 'peak', 'peal', 'pear', 'pébr', 'péca', 'pecc', 'péch', 'pèch', 'pécl',
    'pecn', 'péco', 'pecq', 'pecu', 'pécu', 'péda', 'péde', 'pédé', 'pedo', 'pédo',
    'pedu', 'pédu', 'pedz', 'peec', 'peel', 'peen', 'péfa', 'péfi', 'pega', 'péga',
    'pégi', 'pegm', 'pego', 'pègr', 'pegu', 'pehl', 'peil', 'peio', 'péiq', 'peis',
    'péjo', 'peka', 'péka', 'péki', 'pêle', 'pelt', 'pélu', 'pelv', 'pemè', 'pémi',
    'pemm', 'pemo', 'pemp', 'penc', 'pénè', 'pène', 'pêne', 'penf', 'péni', 'péno',
    'penp', 'peon', 'péos', 'péot', 'pepe', 'pépe', 'pépé', 'pépè', 'pepi', 'pepl',
    'pépl', 'pepp', 'pequ', 'péqu', 'pèqu', 'perb', 'peré', 'pèrè', 'perf', 'perh',
    'perk', 'perp', 'pérp', 'perq', 'peru', 'péru', 'perw', 'pesâ', 'pesè', 'pesi',
    'peso', 'peta', 'pétâ', 'pêta', 'pêtâ', 'pété', 'pétè', 'pête', 'pêté', 'pêtè',
    'peth', 'pêti', 'pêto', 'pètr', 'petu', 'pétu', 'peuc', 'peug', 'peuh', 'peul',
    'peum', 'peuv', 'peuz', 'peyo', 'péze', 'pèze', 'pézi', 'pézo', 'pfen', 'pfut',
    'phac', 'phad', 'phae', 'phea', 'phéa', 'pheb', 'phéo', 'phet', 'phèt', 'pheu',
    'phex', 'phir', 'phiu', 'phle', 'phlé', 'phli', 'phly', 'phoc', 'phoe', 'phoi',
    'phoï', 'phop', 'phoq', 'phoz', 'phry', 'phth', 'phti', 'phty', 'phur', 'phus',
    'phyg', 'phym', 'piac', 'piaf', 'piah', 'pial', 'piaz', 'piba', 'pibl', 'pibr',
    'picc', 'pick', 'picp', 'pict', 'picv', 'pidg', 'piéç', 'piéd', 'piéf', 'piem',
    'piém', 'piér', 'piéz', 'pife', 'pifo', 'pigè', 'pigh', 'pigi', 'pilc', 'pilp',
    'pilu', 'pimb', 'pimp', 'pind', 'pinn', 'pinp', 'pint', 'piny', 'pioc', 'piom',
    'piot', 'piou', 'pipâ', 'pipe', 'pipè', 'pipi', 'pipo', 'piqû', 'pirl', 'pirs',
    'piru', 'pisa', 'pise', 'pisé', 'pitc', 'pitp', 'pitt', 'pity', 'pive', 'pixe',
    'pizz', 'plad', 'plap', 'plâp', 'plax', 'pléa', 'pléâ', 'pleb', 'pléb', 'plèb',
    'pléc', 'plee', 'pléé', 'pléè', 'pléi', 'plén', 'pleo', 'pléo', 'pley', 'pliu',
    'ploq', 'plou', 'plui', 'plup', 'pluv', 'pman', 'pnag', 'pnel', 'pnie', 'pniq',
    'pnoï', 'pnol', 'pnop', 'pnos', 'pnot', 'poac', 'poag', 'poal', 'pock', 'pody',
    'podz', 'poec', 'poel', 'poêl', 'poël', 'poèm', 'poes', 'poés', 'poèt', 'pogl',
    'pogn', 'pogo', 'pogy', 'pohe', 'poik', 'poïk', 'poim', 'poiv', 'poix', 'poka',
    'poke', 'pokh', 'poki', 'pôla', 'pold', 'polj', 'polk', 'polt', 'poma', 'pomè',
    'pomm', 'ponç', 'ponè', 'pono', 'pooi', 'pool', 'popa', 'popr', 'porc', 'porn',
    'porp', 'porq', 'porr', 'poru', 'posp', 'posu', 'potl', 'pott', 'poty', 'poub',
    'pouc', 'pouh', 'pouj', 'poup', 'pouz', 'pova', 'povi', 'powe', 'poxé', 'poxi',
    'poya', 'ppid', 'ppôt', 'ppou', 'ppue', 'ppus', 'pput', 'prâc', 'prad', 'prae',
    'prâk', 'pral', 'pram', 'prao', 'pray', 'préa', 'préb', 'prec', 'prêc', 'pred',
    'préé', 'pref', 'préf', 'preg', 'prég', 'prèg', 'preh', 'préi', 'préj', 'prel',
    'prél', 'prèl', 'prêl', 'prém', 'prêm', 'prén', 'prèn', 'préo', 'prep', 'prép',
    'prér', 'prèt', 'prev', 'prév', 'prik', 'pril', 'prix', 'proa', 'proe', 'proé',
    'proè', 'proh', 'proi', 'prôn', 'proo', 'proq', 'pror', 'proy', 'pruc', 'prud',
    'prue', 'prui', 'pryt', 'psak', 'psal', 'psam', 'psau', 'psch', 'pséi', 'psip',
    'psit', 'psoa', 'psod', 'psoq', 'psor', 'psta', 'psyh', 'psyl', 'ptau', 'ptén',
    'ptid', 'ptim', 'ptmo', 'ptoé', 'ptok', 'ptôm', 'ptor', 'ptôs', 'ptoz', 'ptum',
    'ptun', 'ptuo', 'ptup', 'ptya', 'pube', 'pubè', 'pubi', 'pubs', 'pudd', 'pude',
    'pudi', 'puér', 'puff', 'puge', 'pugé', 'pugi', 'pugn', 'puîn', 'pulâ', 'pulé',
    'pulè', 'pull', 'pulm', 'pulq', 'pulv', 'puma', 'pume', 'pûme', 'pumo', 'puna',
    'pune', 'puné', 'punî', 'punk', 'pupa', 'pupe', 'pupi', 'pupp', 'purp', 'purs',
    'puru', 'push', 'pusi', 'puss', 'pust', 'pûte', 'puts', 'putt', 'puzz', 'pwel',
    'pyar', 'pycn', 'pyel', 'pyél', 'pyem', 'pyga', 'pygi', 'pygm', 'pyja', 'pylé',
    'pylè', 'pyli', 'pylo', 'pylô', 'pyoc', 'pyod', 'pyoé', 'pyog', 'pyoh', 'pyop',
    'pyrè', 'pyrh', 'pyrr', 'pyru', 'pyth', 'pyur', 'pyxi', 'pzig'
    );

  //Q
  F4LqMax_ = 88;
  F4Lq_: array[1..F4LqMax_] of S016_ = (
    'quag', 'quai', 'quâm', 'quan', 'quas', 'quat', 'quât', 'quée', 'quem', 'quen',
    'quer', 'quér', 'quèr', 'ques', 'qués', 'quet', 'quêt', 'quez', 'quie', 'quiè',
    'quif', 'quîm', 'quin', 'quio', 'quir', 'quis', 'quit', 'quît', 'quon', 'quot',
    'quab', 'quac', 'quad', 'quaf', 'quam', 'quap', 'quar', 'quav', 'queb', 'qued',
    'quel', 'queu', 'quic', 'quig', 'quil', 'quoi', 'quos', 'qual', 'quec', 'quee',
    'quef', 'quèl', 'quèt', 'quié', 'quim', 'quip', 'qure', 'quia', 'quid', 'quiq',
    'quiv', 'qasi', 'qats', 'qibl', 'qien', 'qqch', 'quak', 'quau', 'qúau', 'quaw',
    'québ', 'quéf', 'quém', 'qúen', 'quep', 'quéq', 'quès', 'quev', 'quib', 'quîl',
    'qúîl', 'quiz', 'quol', 'quor', 'quou', 'qûra', 'qûre', 'qúun'
    );

  F4LrMax_ = 2802;
  F4Lr_: array[1..F4LrMax_] of S016_ = (
    'raal', 'raau', 'raba', 'rabâ', 'rabb', 'rabd', 'rabe', 'rabé', 'rabi', 'rabl',
    'râbl', 'rabo', 'rabr', 'rabu', 'raca', 'raça', 'raçâ', 'racc', 'race', 'râce',
    'racé', 'racè', 'rach', 'raci', 'rack', 'racl', 'racn', 'raco', 'raço', 'racr',
    'râcr', 'racs', 'ract', 'racu', 'racy', 'rada', 'radâ', 'rade', 'radé', 'radè',
    'radi', 'radj', 'radm', 'rado', 'radô', 'radr', 'rads', 'radu', 'rady', 'raed',
    'raéd', 'raèd', 'raél', 'raël', 'raér', 'raes', 'raèt', 'raeu', 'rafa', 'rafâ',
    'rafe', 'rafé', 'rafè', 'raff', 'rafi', 'rafl', 'rafo', 'rafr', 'raft', 'rafu',
    'raga', 'ragd', 'rage', 'ragé', 'ragè', 'ragh', 'ragi', 'ragl', 'ragm', 'ragn',
    'rago', 'ragr', 'rags', 'ragt', 'ragu', 'raha', 'rahi', 'rahî', 'rahm', 'rahs',
    'rahy', 'raïa', 'raib', 'raïb', 'raic', 'raîc', 'raid', 'raie', 'raif', 'raig',
    'rail', 'raim', 'rain', 'raîn', 'raip', 'raïq', 'rair', 'rais', 'raîs', 'raïs',
    'rait', 'raît', 'raja', 'raje', 'rajo', 'raju', 'raka', 'rake', 'raki', 'rakk',
    'râkr', 'raks', 'raku', 'rala', 'râla', 'râlâ', 'ralb', 'ralc', 'rald', 'rale',
    'râle', 'ralé', 'râlé', 'ralè', 'râlè', 'ralg', 'rali', 'râli', 'rall', 'ralo',
    'râlo', 'rals', 'ralt', 'ralu', 'raly', 'rama', 'ramâ', 'ramb', 'ramd', 'rame',
    'râme', 'ramé', 'ramè', 'rami', 'ramm', 'ramn', 'ramo', 'ramp', 'rams', 'ramu',
    'ramw', 'ramy', 'rana', 'râna', 'ranâ', 'rânâ', 'ranc', 'ranç', 'rand', 'rane',
    'râne', 'rané', 'ranè', 'rânè', 'ranf', 'rang', 'ranh', 'rani', 'râni', 'rank',
    'ranl', 'rann', 'rano', 'râno', 'ranq', 'rans', 'rant', 'ranu', 'rany', 'ranz',
    'raon', 'raor', 'raos', 'raou', 'rapa', 'râpa', 'rapâ', 'râpâ', 'rape', 'râpe',
    'rapé', 'râpé', 'rapè', 'râpè', 'raph', 'rapi', 'râpi', 'rapl', 'rapn', 'rapo',
    'râpo', 'rapp', 'rapr', 'raps', 'rapt', 'rapu', 'râpu', 'rapy', 'raqi', 'raqu',
    'rara', 'rarb', 'rarc', 'rard', 'rare', 'raré', 'rarg', 'rari', 'rarm', 'raro',
    'rarq', 'rars', 'rasa', 'rasâ', 'rasb', 'rasc', 'rase', 'rasé', 'rasè', 'rash',
    'rasi', 'rask', 'rasm', 'raso', 'rasp', 'rasq', 'rass', 'rast', 'rasu', 'rasy',
    'rata', 'ratâ', 'ratc', 'rate', 'râte', 'raté', 'ratè', 'rath', 'rati', 'rato',
    'ratr', 'râtr', 'rats', 'ratt', 'ratu', 'raty', 'raub', 'rauc', 'raud', 'raug',
    'raui', 'raul', 'raum', 'raun',
    'rauq', 'raur', 'raus', 'raut', 'rauw', 'raux', 'rava', 'ravâ', 'rave', 'ravé',
    'ravè', 'ravi', 'ravî', 'ravo', 'ravu', 'rawb', 'rawl', 'raxa', 'raxe', 'raxi',
    'raya', 'rayâ', 'raye', 'rayé', 'rayè', 'rayi', 'raym', 'rayn', 'rayo', 'rays',
    'rayu', 'raza', 'razi', 'razo', 'razz', 'rbab', 'rbac', 'rbag', 'rbai', 'rbaï',
    'rbal', 'rbam', 'rbâm', 'rban', 'rbaq', 'rbar', 'rbas', 'rbat', 'rbât', 'rbau',
    'rbea', 'rbec', 'rbée', 'rbeh', 'rbei', 'rbel', 'rbem', 'rben', 'rbén', 'rber',
    'rbér', 'rbèr', 'rbes', 'rbés', 'rbet', 'rbeu', 'rbez', 'rbia', 'rbic', 'rbid',
    'rbie', 'rbiè', 'rbif', 'rbig', 'rbil', 'rbin', 'rbio', 'rbiq', 'rbir', 'rbis',
    'rbit', 'rbiu', 'rbiv', 'rbla', 'rble', 'rbli', 'rboa', 'rbob', 'rboc', 'rbod',
    'rbof', 'rbog', 'rboh', 'rboi', 'rbol', 'rbom', 'rbon', 'rbop', 'rboq', 'rbor',
    'rbos', 'rbot', 'rbou', 'rbov', 'rbox', 'rbra', 'rbrâ', 'rbre', 'rbré', 'rbrè',
    'rbri', 'rbro', 'rbru', 'rbue', 'rbul', 'rbur', 'rbus', 'rbut', 'rbys', 'rcac',
    'rcad', 'rcaè', 'rcag', 'rçag', 'rcai', 'rçai', 'rcaj', 'rcal', 'rçâm', 'rcan',
    'rçan', 'rcap', 'rcar', 'rcas', 'rças', 'rcat', 'rçat', 'rçât', 'rcau', 'rcea',
    'rced', 'rcéd', 'rcèd', 'rcée', 'rcef', 'rcei', 'rcéi', 'rcel', 'rcèl', 'rcem',
    'rcém', 'rcen', 'rceo', 'rcéo', 'rcep', 'rceq', 'rcer', 'rcér', 'rcèr', 'rces',
    'rcés', 'rcet', 'rcét', 'rceu', 'rcev', 'rcez', 'rcha', 'rchâ', 'rche', 'rché',
    'rchè', 'rchi', 'rchl', 'rchm', 'rcho', 'rchr', 'rcht', 'rchu', 'rcia', 'rciâ',
    'rcib', 'rcic', 'rcie', 'rcié', 'rciè', 'rcif', 'rcii', 'rcil', 'rcim', 'rcîm',
    'rcin', 'rcio', 'rcip', 'rciq', 'rcir', 'rcis', 'rcit', 'rcît', 'rcki', 'rcla',
    'rclâ', 'rcle', 'rclé', 'rclè', 'rcli', 'rclo', 'rclô', 'rclu', 'rcmè', 'rcno',
    'rcoa', 'rcoi', 'rçoi', 'rcoï', 'rcol', 'rcom', 'rcon', 'rçon', 'rcop', 'rcor',
    'rcos', 'rcot', 'rcou', 'rcqu', 'rcra', 'rcre', 'rcri', 'rcro', 'rcta', 'rcti',
    'rctu', 'rcue', 'rçue', 'rcui', 'rcul', 'rcum', 'rçum', 'rçûm', 'rcur', 'rçur',
    'rcus', 'rçus', 'rcut', 'rçut', 'rçût', 'rcya', 'rcyn', 'rcyq', 'rdab', 'rdac',
    'rdag', 'rdai', 'rdal', 'rdam', 'rdâm', 'rdan', 'rdar', 'rdas', 'rdat', 'rdât',
    'rdau', 'rdea', 'rdéa', 'rdec', 'rdéc', 'rdèc', 'rdee', 'rdée', 'rdei', 'rdéi',
    'rdel', 'rdél', 'rdem', 'rden', 'rdén', 'rdéo', 'rdép', 'rder', 'rdèr', 'rdes',
    'rdés', 'rdet', 'rdét', 'rdeu', 'rdev', 'rdév', 'rdez', 'rdhu', 'rdia', 'rdic',
    'rdid', 'rdie', 'rdié', 'rdiè', 'rdif', 'rdig', 'rdil', 'rdim', 'rdîm', 'rdin',
    'rdio', 'rdiq', 'rdir', 'rdis', 'rdit', 'rdît', 'rdiu', 'rdiv', 'rdle', 'rdma',
    'rdme', 'rdob', 'rdoc', 'rdog', 'rdoi', 'rdom', 'rdon', 'rdor', 'rdos', 'rdot',
    'rdou', 'rdov', 'rdoy', 'rdra', 'rdre', 'rdré', 'rdri', 'rdro', 'rdue', 'rdul',
    'rdum', 'rdun', 'rdup', 'rdur', 'rdus', 'rdve', 'rdwa', 'rdwo', 'rdyo', 'réab',
    'reac', 'réac', 'read', 'réad', 'réaf', 'reag', 'réag', 'réai', 'réaj', 'reak',
    'réal', 'ream', 'réam', 'réâm', 'rean', 'réan', 'reap', 'réap', 'réar', 'reas',
    'réas', 'réat', 'réât', 'reau', 'réau', 'réav', 'reba', 'réba', 'rebâ', 'rebe',
    'rébe', 'rèbe', 'rebi', 'rébi', 'rebl', 'rebo', 'rebr', 'rébr', 'rèbr', 'rebu',
    'rébu', 'reca', 'réca', 'rece', 'réce', 'rèce', 'recé', 'récé', 'recè', 'récè',
    'rech', 'réch', 'rèch', 'rêch', 'reci', 'réci', 'récî', 'recl', 'récl', 'reco',
    'réco', 'reço', 'recô', 'recq', 'recr', 'récr', 'recs', 'rect', 'recu', 'récu',
    'reçu', 'reçû', 'recy', 'reda', 'réda', 'redd', 'rede', 'réde', 'rède', 'redé',
    'rédé', 'rédh', 'redi', 'rédi', 'redî', 'rédî', 'redm', 'redo', 'rédo', 'redr',
    'rédr', 'rèdr', 'redu', 'rédu', 'redû', 'rédy', 'reec', 'rééc', 'reed', 'rééd',
    'réée', 'reel', 'réel', 'réél', 'réem', 'réém', 'reen', 'réen', 'rééq', 'réer',
    'réèr', 'rees', 'rées', 'réés', 'réét', 'réeu', 'réév', 'reex', 'réex', 'reez',
    'réez', 'refa', 'réfa', 'refe', 'réfe', 'réfé', 'réfè', 'reff', 'refi', 'réfi',
    'refî', 'refl', 'réfl', 'rèfl', 'refo', 'réfo', 'refr', 'réfr', 'refs', 'refu',
    'réfu', 'rega', 'réga', 'rege', 'rége', 'rège', 'régé', 'regè', 'régè', 'regg',
    'regi', 'régi', 'régî', 'regl', 'régl', 'règl', 'regm', 'régn', 'règn', 'rego',
    'régo', 'regr', 'régr', 'regs', 'regu', 'régu', 'règu', 'reha', 'réha', 'rehe',
    'réhe', 'réhi', 'rého', 'réhy', 'reic', 'réic', 'réid', 'réie', 'réif', 'reig',
    'reil', 'reim', 'réim', 'rein', 'réin', 'réio', 'réiq', 'reir', 'reis', 'réis',
    'reit', 'réit', 'reît', 'reiz', 'reja', 'reje', 'réje', 'rejo', 'réjo', 'réju',
    'rêka', 'rekk', 'rela', 'réla', 'rêla', 'relâ', 'rélâ', 'rêlâ', 'rele', 'réle',
    'rèle', 'rêle', 'relé', 'rélé', 'rêlé', 'relè', 'rélè', 'rêlè', 'reli', 'réli',
    'rêli', 'rell', 'relo', 'rélo', 'rêlo', 'rels', 'relt', 'relu', 'rélu', 'rêlu',
    'relû', 'rema', 'réma', 'remâ', 'remb', 'reme', 'réme', 'rème', 'rême', 'remé',
    'rémé', 'remè', 'remê', 'remi', 'rémi', 'remî', 'rémî', 'reml', 'remm', 'remo',
    'rémo', 'remp', 'rems', 'remt', 'remu', 'rému', 'rena', 'réna', 'rêna', 'renâ',
    'rénâ', 'renc', 'renç', 'rend', 'rene', 'réne', 'rène', 'rêne', 'rené', 'réné',
    'renè', 'rénè', 'renf', 'reng', 'renh', 'reni', 'réni', 'renn', 'reno', 'réno',
    'renq', 'renr', 'rens', 'rent', 'renu', 'rénu', 'renv', 'réoa', 'réob', 'réoc',
    'réod', 'réoe', 'réoé', 'reog', 'réog', 'reol', 'réol', 'reom', 'réom', 'réon',
    'reop', 'réop', 'réor', 'réos', 'reot', 'réot', 'reou', 'réou', 'réov', 'repa',
    'répa', 'rêpa', 'rêpâ', 'repe', 'répe', 'rêpe', 'repé', 'répé', 'rêpé', 'repè',
    'répè', 'rêpè', 'repê', 'réph', 'repi', 'répi', 'rêpi', 'répî', 'repl', 'répl',
    'repo', 'répo', 'rêpo', 'repô', 'repr', 'répr', 'reps', 'réps', 'rept', 'repu',
    'répu', 'rêpu', 'requ', 'réqu', 'rera', 'réra', 'rere', 'rére', 'rère', 'réré',
    'rerg', 'reri', 'réri', 'rero', 'réro', 'rers', 'resa', 'résa', 'resb', 'resc',
    'résc', 'rese', 'rése', 'rèse', 'résé', 'resi', 'rési', 'resl', 'resn', 'reso',
    'réso', 'resp', 'resq', 'ress', 'rest', 'resu', 'résu', 'resû', 'resy', 'résy',
    'reta', 'réta', 'rêta', 'retâ', 'rétâ', 'rêtâ', 'retc', 'rete', 'réte', 'rète',
    'rête', 'reté', 'rété', 'rêté', 'retè', 'rétè', 'rêtè', 'reth', 'réth', 'rèth',
    'reti', 'réti', 'rêti', 'retî', 'reto', 'réto', 'rêto', 'retr', 'rétr', 'rètr',
    'rêtr', 'rets', 'rêts', 'rett', 'retu', 'rétu', 'rety', 'retz', 'reub', 'reud',
    'reui', 'reum', 'réum', 'reun', 'réun', 'reur', 'reus', 'réus', 'reut', 'réut',
    'reuv', 'reux', 'reuz', 'reva', 'réva', 'rêva', 'revâ', 'rêvâ', 'reve', 'réve',
    'rève', 'rêve', 'revé', 'révé', 'rêvé', 'revè', 'révè', 'rêvè', 'revê', 'revi',
    'révi', 'rêvi', 'revî', 'révî', 'revo', 'révo', 'rêvo', 'révô', 'revu', 'révu',
    'rewr', 'rexc', 'rexe', 'rexi', 'rexp', 'reya', 'reye', 'reyf', 'rézi', 'rezz',
    'rfac', 'rfad', 'rfai', 'rfal', 'rfam', 'rfan', 'rfas', 'rfau', 'rfec', 'rféc',
    'rfel', 'rfen', 'rfer', 'rfér', 'rfèr', 'rfes', 'rfét', 'rfeu', 'rfév', 'rfèv',
    'rfèz', 'rfic', 'rfid', 'rfil', 'rfim', 'rfîm', 'rfin', 'rfio', 'rfir', 'rfis',
    'rfit', 'rfît', 'rfle', 'rflu', 'rfoc', 'rfoi', 'rfol', 'rfon', 'rfor', 'rfou',
    'rfra', 'rfré', 'rfri', 'rfro', 'rfug', 'rfum', 'rfur', 'rfus', 'rgab', 'rgad',
    'rgag', 'rgai', 'rgal', 'rgam', 'rgan', 'rgar', 'rgas', 'rgat', 'rgau', 'rgay',
    'rgea', 'rgeâ', 'rgée', 'rgel', 'rgél', 'rgèl', 'rgem', 'rgen', 'rgén', 'rgèn',
    'rgeo', 'rgéo', 'rger', 'rgèr', 'rges', 'rgés', 'rgès', 'rget', 'rgét', 'rgeu',
    'rgeü', 'rgez', 'rghe', 'rghi', 'rgho', 'rgia', 'rgic', 'rgid', 'rgie', 'rgil',
    'rgîm', 'rgin', 'rgio', 'rgiq', 'rgir', 'rgis', 'rgit', 'rgît', 'rgiv', 'rgla',
    'rglo', 'rgly', 'rgme', 'rgna', 'rgnâ', 'rgne', 'rgné', 'rgnè', 'rgni', 'rgno',
    'rgob', 'rgoc', 'rgog', 'rgoi', 'rgol', 'rgom', 'rgon', 'rgos', 'rgot', 'rgou',
    'rgra', 'rgre', 'rgro', 'rgso', 'rgua', 'rgüa', 'rguâ', 'rgüâ', 'rgue', 'rgüe',
    'rgué', 'rgüé', 'rguè', 'rgüè', 'rgui', 'rgüi', 'rguï', 'rgul', 'rgum', 'rguo',
    'rgüo', 'rgur', 'rgus', 'rgut', 'rgym', 'rgyr', 'rhab', 'rhag', 'rhal', 'rham',
    'rhap', 'rhau', 'rhee', 'rhée', 'rhei', 'rhéi', 'rhél', 'rhem', 'rhen', 'rhén',
    'rhéo', 'rher', 'rhes', 'rhés', 'rhét', 'rheu', 'rhex', 'rhid', 'rhin', 'rhiq',
    'rhiz', 'rhoc', 'rhod', 'rhom', 'rhon', 'rhôn', 'rhos', 'rhot', 'rhov', 'rhub',
    'rhum', 'rhyd', 'rhyn', 'rhyo', 'rhyt', 'riab', 'riac', 'riad', 'riag', 'riai',
    'rial', 'riam', 'riâm', 'rian', 'riap', 'riaq', 'riar', 'rias', 'riat', 'riât',
    'riau', 'riba', 'ribb', 'ribe', 'ribé', 'ribi', 'ribl', 'ribo', 'ribr', 'ribu',
    'rica', 'riça', 'ricc', 'rice', 'ricé', 'rich', 'rici', 'rick', 'ricl', 'rico',
    'ricô', 'ricr', 'rics', 'rict', 'ricu', 'ricy', 'rida', 'ridâ', 'ride', 'ridé',
    'ridè', 'ridg', 'ridi', 'ridj', 'rido', 'ridr', 'ridu', 'riec', 'rièc', 'rièd',
    'riée', 'rief', 'rieg', 'riég', 'rièg', 'riel', 'riem', 'riém', 'rièm', 'rien',
    'rier', 'riér', 'rièr', 'ries', 'riés', 'riet', 'riét', 'rieu', 'riev', 'rièv',
    'riey', 'riez', 'rifa', 'rifâ', 'rife', 'rifé', 'rifè', 'riff', 'rifi', 'rifl',
    'rifo', 'rifs', 'rift', 'rifu', 'riga', 'rige', 'rigé', 'rigè', 'rigg', 'righ',
    'rigi', 'rigl', 'rign', 'rigo', 'rigr', 'rigu', 'rihe', 'rihé', 'rihu', 'riid',
    'riie', 'riif', 'riio', 'riju', 'rika', 'riki', 'rila', 'rile', 'rilè', 'rili',
    'rill', 'rilo', 'rils', 'rilu', 'rima', 'rimâ', 'rimb', 'rime', 'rîme', 'rimé',
    'rimè', 'rimi', 'rimm', 'rimo', 'rimp', 'rims', 'rimu', 'rina', 'rinâ', 'rinc',
    'rinç', 'rind', 'rine', 'riné', 'rinè', 'rinf', 'ring', 'rini', 'rink', 'rinn',
    'rino', 'rinô', 'rinq', 'rins', 'rint', 'rinv', 'rinx', 'rinz', 'rioc', 'riod',
    'rioe', 'riog', 'riol', 'riom', 'rion', 'riop', 'rior', 'rios', 'riot', 'riou',
    'ripa', 'ripâ', 'ripe', 'ripé', 'ripè', 'riph', 'ripi', 'ripl', 'ripn', 'ripo',
    'ripô', 'ripp', 'rips', 'ript', 'ripu', 'riqu', 'rira', 'rire', 'riré', 'rirè',
    'riri', 'riro', 'risa', 'risâ', 'risb', 'risc', 'rise', 'risé', 'risè', 'rish',
    'risi', 'risk', 'rism', 'riso', 'risp', 'risq', 'riss', 'rist', 'risu', 'risy',
    'rita', 'ritâ', 'rite', 'rîte', 'rité', 'ritè', 'rith', 'riti', 'rito', 'ritr',
    'rits', 'ritt', 'ritu', 'rity', 'ritz', 'rium', 'riur', 'rius', 'riva', 'rivâ',
    'rive', 'rivé', 'rivè', 'rivi', 'rivî', 'rivo', 'rivu', 'rixd', 'rixe', 'riya',
    'riye', 'rize', 'rizi', 'rizo', 'rizz', 'rjal', 'rjec', 'rjet', 'rjol', 'rjur',
    'rjus', 'rjut', 'rkai', 'rkal', 'rkel', 'rkél', 'rker', 'rkér', 'rkes', 'rket',
    'rkha', 'rkho', 'rkin', 'rkka', 'rkle', 'rkmè', 'rkor', 'rkos', 'rkpa', 'rksh',
    'rlaa', 'rlad', 'rlag', 'rlai', 'rlâm', 'rlan', 'rlas', 'rlat', 'rlât', 'rlea',
    'rléa', 'rléc', 'rlèc', 'rlée', 'rlég', 'rlem', 'rlen', 'rlèn', 'rleq', 'rler',
    'rlèr', 'rles', 'rlés', 'rlet', 'rleu', 'rlez', 'rlic', 'rlie', 'rliè', 'rlif',
    'rlig', 'rlim', 'rlin', 'rlio', 'rlip', 'rlis', 'rlit', 'rliu', 'rloc', 'rlog',
    'rloi', 'rlon', 'rloo', 'rlop', 'rloq', 'rlot', 'rlou', 'rloy', 'rlua', 'rlub',
    'rluc', 'rlud', 'rlue', 'rlué', 'rlup', 'rlur', 'rlus', 'rlut', 'rlyc', 'rlys',
    'rmab', 'rmac', 'rmad', 'rmaf', 'rmag', 'rmai', 'rmal', 'rmam', 'rmâm', 'rman',
    'rmap', 'rmar', 'rmas', 'rmat', 'rmât', 'rmau', 'rmax', 'rmea', 'rméa', 'rmec',
    'rméc', 'rmed', 'rméd', 'rmèd', 'rmee', 'rmée', 'rmei', 'rmel', 'rmél', 'rmem',
    'rmém', 'rmen', 'rmén', 'rmèn', 'rmer', 'rmèr', 'rmes', 'rmés', 'rmès', 'rmet',
    'rmét', 'rmèt', 'rmeu', 'rmez', 'rmia', 'rmic', 'rmid', 'rmie', 'rmiè', 'rmif',
    'rmil', 'rmim', 'rmîm', 'rmin', 'rmio', 'rmiq', 'rmir', 'rmis', 'rmit', 'rmît',
    'rmiu', 'rmiv', 'rmné', 'rmob', 'rmoc', 'rmod', 'rmoé', 'rmof', 'rmog', 'rmoi',
    'rmoï', 'rmol', 'rmom', 'rmon', 'rmop', 'rmor', 'rmos', 'rmot', 'rmou', 'rmoy',
    'rmst', 'rmud', 'rmul', 'rmur', 'rmus', 'rmut', 'rnab', 'rnac', 'rnad', 'rnag',
    'rnai', 'rnal', 'rnam', 'rnâm', 'rnan', 'rnaq', 'rnar', 'rnas', 'rnat', 'rnât',
    'rnau', 'rnaü', 'rnav', 'rnay', 'rnbl', 'rnea', 'rneb', 'rned', 'rnee', 'rnée',
    'rnég', 'rnei', 'rnel', 'rnél', 'rnèl', 'rnem', 'rnen', 'rnep', 'rner', 'rnèr',
    'rnes', 'rnés', 'rnet', 'rnét', 'rneu', 'rnev', 'rney', 'rnez', 'rnia', 'rnic',
    'rnid', 'rnie', 'rnié', 'rniè', 'rnif', 'rnil', 'rnim', 'rnîm', 'rnin', 'rnio',
    'rniq', 'rnir', 'rnis', 'rnit', 'rnît', 'rniu', 'rniv', 'rnix', 'rnme', 'rnod',
    'rnog', 'rnoi', 'rnol', 'rnom', 'rnon', 'rnop', 'rnos', 'rnot', 'rnou', 'rnov',
    'rnoy', 'rnoz', 'rnua', 'rnuâ', 'rnue', 'rnué', 'rnuè', 'rnui', 'rnum', 'rnuo',
    'rnur', 'rnus', 'rnut', 'roac', 'road', 'roaf', 'roag', 'roai', 'roal', 'roam',
    'roan', 'roas', 'roat', 'roba', 'robâ', 'robe', 'robé', 'robè', 'robi', 'robl',
    'robo', 'robr', 'robu', 'roca', 'rocâ', 'rocc', 'roce', 'rocé', 'rocè', 'roch',
    'roci', 'rock', 'rocl', 'roco', 'rocq', 'rocr', 'rocs', 'roct', 'rocu', 'rocy',
    'roda', 'rôda', 'rodâ', 'rôdâ', 'rode', 'rôde', 'rodé', 'rôdé', 'rodè', 'rôdè',
    'rodi', 'rôdi', 'rodo', 'rôdo', 'rodr', 'rodu', 'rody', 'roeb', 'roéc', 'roed',
    'roéd', 'roèd', 'roél', 'roem', 'roém', 'roen', 'roèn', 'roën', 'roér', 'roes',
    'rofa', 'rofe', 'rofé', 'rofè', 'roff', 'rofi', 'rofl', 'rofo', 'rofr', 'rofu',
    'roga', 'roge', 'rogé', 'rogè', 'rogg', 'rogi', 'rogl', 'rogm', 'rogn', 'rogo',
    'rogr', 'rogs', 'rogu', 'rogy', 'roha', 'rohe', 'rohé', 'rohi', 'rohm', 'roic',
    'roïc', 'roid', 'roïd', 'roie', 'roïk', 'roil', 'roin', 'roïn', 'roiq', 'roïq',
    'roir', 'rois', 'roîs', 'roïs', 'roit', 'roît', 'roït', 'roix', 'roiz', 'roje',
    'rojk', 'roke', 'roki', 'rola', 'rôla', 'rolâ', 'rôlâ', 'role', 'rôle', 'rolé',
    'rôlé', 'rolè', 'rôlè', 'roli', 'rôli', 'roll', 'rolo', 'rôlo', 'rols', 'rolu',
    'roly', 'roma', 'româ', 'romb', 'rome', 'rôme', 'romé', 'romè', 'romh', 'romi',
    'romî', 'roml', 'romm', 'romo', 'romp', 'roms', 'romu', 'romû', 'romy', 'rona',
    'rôna', 'rônâ', 'ronc', 'ronç', 'rond', 'rone', 'rône', 'roné', 'rôné', 'ronè',
    'rônè', 'ronf', 'rong', 'roni', 'rôni', 'ronm', 'ronn', 'rono', 'rôno', 'ronp',
    'ronq', 'ronr', 'rons', 'ront', 'rönt', 'ronu', 'ronv', 'rony', 'ronz', 'roof',
    'rook', 'room', 'roon', 'roor', 'roos', 'root', 'ropa', 'rope', 'ropé', 'ropè',
    'roph', 'ropi', 'ropl', 'ropn', 'ropo', 'ropp', 'ropr', 'rops', 'ropt', 'ropu',
    'ropy', 'roqu', 'rora', 'rorb', 'rord', 'rore', 'roré', 'rorg', 'rori', 'rorm',
    'roro', 'rorq', 'rorr', 'rors', 'rosa', 'rosâ', 'rosb', 'rosc', 'rose', 'rosé',
    'rosè', 'rosi', 'rosî', 'rosk', 'rosm', 'rosn', 'roso', 'rosp', 'ross', 'rost',
    'röst', 'rosu', 'rosy', 'rota', 'rotâ', 'rote', 'roté', 'rotè', 'rotê', 'roth',
    'roti', 'rôti', 'rôtî', 'roto', 'rotr', 'rots', 'rôts', 'rott', 'rotu', 'roty',
    'roua', 'rouâ', 'roub', 'rouc', 'rouç', 'roud', 'roue', 'roué', 'rouè', 'rouf',
    'roug', 'rouh', 'roui', 'roul', 'roum', 'roun', 'rouo', 'roup', 'rouq', 'rour',
    'rous', 'rout', 'roût', 'rouv', 'roux', 'rova', 'rove', 'rové', 'rovi', 'rovî',
    'rovo', 'rovu', 'rowi', 'rown', 'roxe', 'roxé', 'roxè', 'roxi', 'roxy', 'roya',
    'royâ', 'royb', 'roye', 'royé', 'royè', 'royi', 'royo', 'rozo', 'rozy', 'rpab',
    'rpag', 'rpai', 'rpâm', 'rpan', 'rpar', 'rpas', 'rpat', 'rpât', 'rpay', 'rpea',
    'rpéd', 'rpée', 'rpeg', 'rpég', 'rpèg', 'rpel', 'rpem', 'rpen', 'rpén', 'rpèn',
    'rper', 'rpér', 'rpèr', 'rpes', 'rpés', 'rpès', 'rpet', 'rpét', 'rpèt', 'rpeu',
    'rpez', 'rpha', 'rphe', 'rphé', 'rphè', 'rphi', 'rpho', 'rphy', 'rpic', 'rpid',
    'rpie', 'rpig', 'rpil', 'rpim', 'rpîm', 'rpin', 'rpio', 'rpiq', 'rpir', 'rpis',
    'rpit', 'rpît', 'rpla', 'rple', 'rpli', 'rplo', 'rplu', 'rpoc', 'rpoi', 'rpol',
    'rpon', 'rpop', 'rpor', 'rpos', 'rpra', 'rpre', 'rpré', 'rprè', 'rpri', 'rprî',
    'rpro', 'rpru', 'rpsy', 'rpti', 'rpui', 'rpul', 'rpur', 'rpus', 'rqua', 'rquâ',
    'rque', 'rqué', 'rquè', 'rqui', 'rquo', 'rrab', 'rrac', 'rrad', 'rraf', 'rrag',
    'rrah', 'rrai', 'rral', 'rram', 'rrâm', 'rran', 'rrap', 'rraq', 'rrar', 'rras',
    'rrat', 'rrât', 'rrau', 'rrea', 'rréa', 'rreb', 'rrec', 'rréc', 'rréd', 'rree',
    'rrée', 'rref', 'rréf', 'rrég', 'rrèg', 'rrei', 'rrel', 'rrél', 'rrèl', 'rrem',
    'rrém', 'rren', 'rrén', 'rréo', 'rrép', 'rrer', 'rrér', 'rrèr', 'rres', 'rrés',
    'rret', 'rrét', 'rrêt', 'rreu', 'rrév', 'rrex', 'rrey', 'rrez', 'rréz', 'rrha',
    'rrhe', 'rrhé', 'rrhi', 'rrho', 'rria', 'rriâ', 'rrib', 'rric', 'rrid', 'rrie',
    'rrié', 'rriè', 'rrif', 'rrig', 'rrii', 'rril', 'rrim', 'rrîm', 'rrin', 'rrio',
    'rrip', 'rriq', 'rrir', 'rris', 'rrit', 'rrît', 'rriv', 'rrob', 'rroc', 'rrod',
    'rroé', 'rrog', 'rroi', 'rroï', 'rrol', 'rrom', 'rron', 'rrop', 'rroq', 'rror',
    'rros', 'rrot', 'rrou', 'rrov', 'rroy', 'rrre', 'rrua', 'rrub', 'rruc', 'rrue',
    'rrug', 'rrup', 'rruq', 'rrur', 'rrus', 'rruy', 'rryc', 'rsab', 'rsad', 'rsag',
    'rsai', 'rsak', 'rsal', 'rsâm', 'rsan', 'rsas', 'rsat', 'rsât', 'rsau', 'rsay',
    'rsch', 'rsco', 'rsea', 'rsec', 'rséc', 'rsée', 'rsei', 'rséi', 'rsel', 'rsem',
    'rsèm', 'rsen', 'rsén', 'rseo', 'rser', 'rsèr', 'rses', 'rsés', 'rset', 'rsèt',
    'rseu', 'rsév', 'rsex', 'rsey', 'rsez', 'rshi', 'rsia', 'rsib', 'rsic', 'rsid',
    'rsie', 'rsiè', 'rsif', 'rsig', 'rsil', 'rsim', 'rsîm', 'rsin', 'rsio', 'rsiq',
    'rsir', 'rsis', 'rsit', 'rsît', 'rsiv', 'rsoi', 'rsom', 'rson', 'rsop', 'rsor',
    'rsos', 'rsot', 'rsou', 'rsov', 'rsoy', 'rspe', 'rspé', 'rspi', 'rspl', 'rsqu',
    'rsta', 'rste', 'rsté', 'rsth', 'rsti', 'rstr', 'rsua', 'rsub', 'rsuc', 'rsui',
    'rsul', 'rsum', 'rsun', 'rsup', 'rsur', 'rsus', 'rsut', 'rsyn', 'rsyt', 'rtab',
    'rtac', 'rtad', 'rtag', 'rtai', 'rtak', 'rtal', 'rtâm', 'rtan', 'rtao', 'rtar',
    'rtas', 'rtat', 'rtât', 'rtau', 'rtav', 'rtax', 'rtay', 'rtea', 'rteb', 'rtéb',
    'rtèb', 'rtée', 'rtef', 'rtég', 'rtèg', 'rtei', 'rtéi', 'rtel', 'rtél', 'rtèl',
    'rtem', 'rten', 'rtèn', 'rtep', 'rteq', 'rter', 'rtér', 'rtèr', 'rtes', 'rtés',
    'rtès', 'rtet', 'rteu', 'rtev', 'rtex', 'rtez', 'rtfo', 'rtha', 'rthe', 'rthé',
    'rthè', 'rthi', 'rtho', 'rthr', 'rthy', 'rtia', 'rtib', 'rtic', 'rtid', 'rtie',
    'rtiè', 'rtif', 'rtig', 'rtil', 'rtim', 'rtîm', 'rtin', 'rtîn', 'rtio', 'rtiq',
    'rtir', 'rtis', 'rtit', 'rtît', 'rtiu', 'rtiv', 'rtla', 'rtmé', 'rtne', 'rtoc',
    'rtoe', 'rtog', 'rtoi', 'rtol', 'rtom', 'rton', 'rtoo', 'rtop', 'rtor', 'rtos',
    'rtot', 'rtou', 'rtra', 'rtrâ', 'rtre', 'rtré', 'rtrè', 'rtri', 'rtrî', 'rtro',
    'rtsc', 'rtsm', 'rtsw', 'rtua', 'rtuâ', 'rtub', 'rtuc', 'rtud', 'rtue', 'rtué',
    'rtuè', 'rtuf', 'rtug', 'rtui', 'rtul', 'rtum', 'rtun', 'rtuo', 'rtur', 'rtus',
    'rtvi', 'rtwe', 'rtyr', 'rtze', 'rtzi', 'ruad', 'ruag', 'ruai', 'ruâm', 'ruan',
    'ruas', 'ruat', 'ruât', 'ruau', 'ruay', 'ruba', 'rubb', 'rube', 'rubé', 'rubi',
    'rubl', 'rubr', 'rubu', 'ruca', 'rucc', 'ruce', 'ruch', 'ruci', 'ruck', 'rucm',
    'ruco', 'rucs', 'ruct', 'rucu', 'rudb', 'rude', 'rudé', 'rudg', 'rudh', 'rudi',
    'rudo', 'ruée', 'rueg', 'ruei', 'ruel', 'ruél', 'ruen', 'ruer', 'ruèr', 'rues',
    'rués', 'rueu', 'ruez', 'ruff', 'rufi', 'ruga', 'rugb', 'ruge', 'rugé', 'rugi',
    'rugî', 'rugn', 'rugo', 'rugs', 'rugu', 'ruic', 'ruid', 'ruie', 'ruil', 'ruîm',
    'ruin', 'ruio', 'ruir', 'ruis', 'ruit', 'ruît', 'rula', 'rûla', 'rûlâ', 'rule',
    'rûle', 'rulé', 'rûlé', 'rûlè', 'ruli', 'rûli', 'rull', 'rulo', 'rûlo', 'rûlu',
    'rulû', 'ruma', 'rumb', 'rume', 'rûme', 'rumi', 'ruml', 'rumm', 'rumo', 'rums',
    'rumu', 'runa', 'runâ', 'runc', 'rund', 'rune', 'runi', 'runî', 'runs', 'runt',
    'runu', 'ruol', 'ruon', 'ruor', 'ruos', 'rupa', 'rupe', 'rupé', 'rupè', 'rupi',
    'rupl', 'rupp', 'rupt', 'rupu', 'ruqu', 'rura', 'rurâ', 'rurb', 'rure', 'rûre',
    'ruré', 'rurè', 'rurg', 'ruri', 'ruro', 'rusa', 'rusâ', 'rusc', 'ruse', 'rusé',
    'rusè', 'rush', 'rusi', 'ruso', 'rusp', 'rusq', 'russ', 'rûss', 'rust', 'ruta',
    'rutâ', 'rute', 'rûte', 'ruté', 'rutè', 'ruth', 'ruti', 'rutî', 'ruto', 'ruts',
    'rutt', 'ruvi', 'ruxe', 'ruxo', 'ruya', 'ruye', 'ruyè', 'ruza', 'ruze', 'rvab',
    'rvag', 'rvai', 'rval', 'rvâm', 'rvan', 'rvar', 'rvas', 'rvat', 'rvât', 'rvau',
    'rvea', 'rvéa', 'rvéc', 'rvée', 'rvég', 'rvèg', 'rvei', 'rvej', 'rvel', 'rvem',
    'rven', 'rver', 'rvèr', 'rves', 'rvés', 'rvet', 'rvêt', 'rveu', 'rvez', 'rvia',
    'rvib', 'rvic', 'rvid', 'rvie', 'rvié', 'rviè', 'rvif', 'rvil', 'rvim', 'rvîm',
    'rvin', 'rvîn', 'rvio', 'rvir', 'rvis', 'rvit', 'rvît', 'rviv', 'rvoc', 'rvod',
    'rvof', 'rvoi', 'rvol', 'rvom', 'rvon', 'rvor', 'rvos', 'rvov', 'rvoy', 'rvue',
    'rvûm', 'rvur', 'rvus', 'rvut', 'rvût', 'rwel', 'rwin', 'rxie', 'rxis', 'rxol',
    'ryad', 'ryan', 'ryas', 'ryat', 'ryba', 'ryca', 'ryce', 'rych', 'ryci', 'ryco',
    'ryct', 'ryen', 'ryga', 'ryge', 'rygi', 'rygm', 'rygn', 'rygo', 'ryha', 'ryla',
    'ryle', 'rylè', 'ryli', 'ryll', 'ryls', 'ryma', 'rymb', 'rymé', 'rymo', 'ryng',
    'rynq', 'rynx', 'ryoa', 'ryoc', 'ryod', 'ryog', 'ryok', 'ryol', 'ryom', 'ryon',
    'ryop', 'ryos', 'ryot', 'ryoz', 'rypa', 'ryph', 'rypo', 'ryps', 'rypt', 'rysa',
    'rysé', 'rysi', 'rysm', 'ryso', 'rysp', 'rysu', 'ryta', 'ryte', 'ryté', 'ryth',
    'ryti', 'ryto', 'ryum', 'ryza', 'rzan', 'rzea', 'rzet', 'rzia', 'rzie', 'rziè',
    'rzin', 'rzio', 'rzlo', 'rzoi', 'rzoï', 'rzon', 'rzos', 'rzue'
    );

  //S
  F4LsMax_ = 1787;
  F4Ls_: array[1..F4LsMax_] of S016_ = (
    'saba', 'sabb', 'sabe', 'sabé', 'sabi', 'sabl', 'sabo', 'sabr', 'sabu', 'saca',
    'sacc', 'sace', 'sacé', 'sach', 'saci', 'saco', 'sacq', 'sacr', 'sacs', 'sact',
    'sada', 'sadâ', 'sadd', 'sade', 'sadé', 'sadè', 'sadi', 'sado', 'sadr', 'sadu',
    'saèd', 'saen', 'saér', 'saèr', 'safa', 'saff', 'safi', 'safr', 'saga', 'sage',
    'sagé', 'sagè', 'sagi', 'sagî', 'sagl', 'sagn', 'sago', 'sagr', 'sagu', 'saha',
    'sahe', 'sahé', 'sahi', 'sahr', 'saic', 'saie', 'saïe', 'saig', 'saïg', 'sail',
    'saim', 'saïm', 'sain', 'saïq', 'sair', 'sais', 'saïs', 'sait', 'saït', 'sajo',
    'saju', 'saka', 'sake', 'saké', 'saki', 'sako', 'sakt', 'sala', 'salâ', 'salb',
    'sale', 'salé', 'salè', 'salg', 'sali', 'salî', 'sall', 'salm', 'salo', 'salp',
    'sals', 'salt', 'salu', 'salv', 'sama', 'samb', 'same', 'sâme', 'sami', 'samm',
    'samo', 'samp', 'sams', 'samu', 'sana', 'sanâ', 'sanc', 'sanç', 'sand', 'sane',
    'sané', 'sanè', 'sanf', 'sang', 'sanh', 'sani', 'sann', 'sano', 'sanp', 'sans',
    'sant', 'sanv', 'sanz', 'saôn', 'saou', 'saoû', 'sapa', 'sapâ', 'sape', 'sapé',
    'sapè', 'saph', 'sapi', 'sapo', 'sapp', 'sapr', 'saqu', 'sara', 'sarb', 'sarc',
    'sarç', 'sard',
    'saré', 'sarg', 'sari', 'sarl', 'sarm', 'saro', 'sarp', 'sarq', 'sarr', 'sars',
    'sart', 'sasi', 'sask', 'sass', 'sast', 'sata', 'sate', 'sâte', 'sati', 'satî',
    'satl', 'sato', 'satr', 'sâtr', 'sats', 'satt', 'satu', 'saty', 'satz', 'sauc',
    'sauf', 'saug', 'saul', 'saum', 'saun', 'saup', 'saur', 'saus', 'saut', 'sauv',
    'saux', 'sava', 'save', 'savi', 'savo', 'saxa', 'saxâ', 'saxe', 'saxé', 'saxè',
    'saxh', 'saxi', 'saxo', 'saya', 'sayâ', 'saye', 'sayé', 'sayè', 'sayi', 'sayn',
    'sayo', 'sbah', 'sban', 'sbar', 'sbas', 'sbau', 'sbee', 'sbée', 'sbèn', 'sber',
    'sbes', 'sbia', 'sbie', 'sbif', 'sbig', 'sbil', 'sbir', 'sbis', 'sbon', 'sbor',
    'sbos', 'sbou', 'sbri', 'sbro', 'sbru', 'sbyo', 'sbyt', 'scab', 'scac', 'scad',
    'scaf', 'scai', 'sçai', 'scaï', 'scal', 'scam', 'sçâm', 'scan', 'sçan', 'scap',
    'scar', 'scas', 'sças', 'scat', 'sçât', 'scau', 'scay', 'scea', 'scee', 'scée',
    'scéi', 'scel', 'scél', 'scèl', 'scem', 'scen', 'scén', 'scèn', 'scep', 'scer',
    'scér', 'scèr', 'sces', 'scés', 'scès', 'scét', 'scèt', 'scèv', 'scez', 'scha',
    'schâ', 'sche', 'sché', 'schè', 'schi', 'schl', 'schn', 'scho', 'schp', 'schr',
    'schs', 'schu', 'schw', 'scia', 'sciâ', 'scib', 'scic', 'scid', 'scie', 'scié',
    'sciè', 'scif', 'scii', 'scil', 'scin', 'scio', 'scip', 'scir', 'scis', 'scit',
    'sciu', 'sciv', 'scla', 'sclâ', 'scle', 'sclé', 'sclè', 'scli', 'sclo', 'sclu',
    'scob', 'scod', 'scoé', 'scof', 'scog', 'scoi', 'scoï', 'scol', 'scom', 'scôm',
    'scon', 'sçon', 'scoo', 'scop', 'scor', 'scos', 'scot', 'scou', 'scov', 'scqu',
    'scra', 'scre', 'scré', 'scrè', 'scri', 'scro', 'scru', 'scua', 'scud', 'scue',
    'scui', 'scul', 'scum', 'scur', 'scus', 'scut', 'scyb', 'scyp', 'scyt', 'sdam',
    'sdeg', 'sdem', 'sdic', 'sdis', 'sdit', 'sduc', 'seab', 'séab', 'sean', 'séan',
    'seat', 'séat', 'seau', 'séba', 'sebi', 'sébi', 'sebk', 'sebo', 'sébo', 'sébu',
    'seca', 'séca', 'séce', 'séch', 'sèch', 'secl', 'seco', 'séco', 'secr', 'sécr',
    'secs', 'sect', 'secu', 'sécu', 'seda', 'séda', 'sédâ', 'sede', 'séde', 'sède',
    'sedé', 'sédé', 'sédè', 'sedi', 'sédi', 'sédo', 'sédu', 'séen', 'seer', 'sees',
    'sées', 'séeu', 'sefa', 'séfa', 'séga', 'segh', 'segm', 'ségo', 'segr', 'ségr',
    'segu', 'ségu', 'seic', 'séid', 'séif', 'seig', 'seil', 'seim', 'sein', 'séin',
    'seis', 'séis', 'séit', 'seiz', 'séjo', 'seki', 'sela', 'séla', 'selâ', 'selb',
    'sele', 'séle', 'sèle', 'selé', 'sélé', 'selè', 'sélè', 'self', 'selg', 'seli',
    'séli', 'sell', 'selo', 'sels', 'selt', 'selu', 'selv', 'sély', 'sema', 'séma',
    'semâ', 'semb', 'seme', 'séme', 'sème', 'semé', 'sémé', 'semè', 'sémè', 'semi',
    'sémi', 'semm', 'semn', 'semo', 'sémo', 'semp', 'semu', 'sena', 'séna', 'senâ',
    'sénâ', 'senc', 'send', 'sene', 'séne', 'sène', 'sené', 'séné', 'senè', 'sénè',
    'senf', 'seng', 'seni', 'séni', 'senl', 'senn', 'seno', 'séno', 'senr', 'sens',
    'sent', 'senv', 'séod', 'séof', 'séog', 'seoi', 'seol', 'séol', 'séon', 'séos',
    'sepa', 'sépa', 'seph', 'séph', 'sépi', 'sepo', 'seps', 'sept', 'sepu', 'sépu',
    'sequ', 'séqu', 'sèqu', 'sera', 'séra', 'serâ', 'sérâ', 'serb', 'serd', 'sere',
    'sére', 'sère', 'seré', 'séré', 'serè', 'sérè', 'serf', 'serg', 'seri', 'séri',
    'serl', 'serm', 'sern', 'sero', 'séro', 'serp', 'serr', 'sers', 'sert', 'séru',
    'serv', 'sery', 'sésa', 'sesb', 'sesc', 'sesp', 'sesq', 'sess', 'sest', 'seta',
    'séta', 'setâ', 'sete', 'séte', 'sète', 'seté', 'setè', 'seti', 'séti', 'seto',
    'séto', 'sets', 'sett', 'seud', 'seui', 'seul', 'séum', 'seur', 'seus', 'seux',
    'seva', 'seve', 'séve', 'sève', 'sévé', 'sévè', 'sevi', 'sévi', 'sévî', 'sevr',
    'sévr', 'sèvr', 'sexa', 'sexc', 'sexd', 'sexe', 'sexé', 'sexi', 'sexo', 'sexp',
    'sext', 'sexu', 'sexy', 'seya', 'seye', 'seyé', 'seyi', 'seyo', 'sézi', 'sfac',
    'sfai', 'sfas', 'sfec', 'sfer', 'sfér', 'sfèr', 'sfia', 'sfig', 'sfil', 'sfim',
    'sfîm', 'sfin', 'sfir', 'sfis', 'sfit', 'sfît', 'sfix', 'sflu', 'sfon', 'sfor',
    'sfos', 'sfug', 'sfum', 'sfus', 'sgén', 'sgèn', 'sges', 'sgid', 'sgie', 'sgiq',
    'sgou', 'sgra', 'sgrâ', 'sgre', 'shab', 'shah', 'shak', 'sham', 'shan', 'shap',
    'shar', 'shas', 'shav', 'shbo', 'sheb', 'shee', 'shek', 'shel', 'shém', 'shéo',
    'shép', 'sher', 'shér', 'shes', 'shet', 'sheu', 'shid', 'shif', 'shil', 'shim',
    'shin', 'shio', 'ship', 'shir', 'shis', 'shiv', 'shké', 'shma', 'shme', 'shnu',
    'shoc', 'shog', 'shom', 'shon', 'shoo', 'shop', 'shor', 'shot', 'show', 'shra',
    'shui', 'shum', 'shun', 'shyd', 'shyp', 'siac', 'siad', 'siag', 'siai', 'sial',
    'siam', 'siâm', 'sian', 'siaq', 'siar', 'sias', 'siat', 'siât', 'siau', 'sibé',
    'sibi', 'sibl', 'sibu', 'siby', 'sica', 'sicc', 'sich', 'sici', 'sicl', 'sico',
    'sicr', 'sicu', 'sida', 'sidâ', 'side', 'sidé', 'sidè', 'sidi', 'sido', 'sidr',
    'sidu', 'sidû', 'sièc', 'sied', 'siée', 'sieg', 'siég', 'sièg', 'siem', 'sièm',
    'sien', 'sier', 'siér', 'sièr', 'sies', 'siés', 'siet', 'sieu', 'siev', 'siez',
    'sife', 'sifè', 'siff', 'sifi', 'sifl', 'sifo', 'sifs', 'siga', 'sige', 'sigé',
    'sigè', 'sigh', 'sigi', 'sigl', 'sigm', 'sign', 'sigo', 'sigr', 'sigu', 'siie',
    'siio', 'sikh', 'sila', 'sile', 'silé', 'silè', 'silh', 'sili', 'sill', 'silo',
    'silp', 'sils', 'silt', 'silu', 'silv', 'sima', 'simb', 'simc', 'sime', 'sîme',
    'simé', 'simè', 'simi', 'simo', 'simp', 'simu', 'sina', 'sinâ', 'sinc', 'sind',
    'sine', 'siné', 'sinè', 'sinf', 'sing', 'sini', 'sinn', 'sino', 'sins', 'sint',
    'sinu', 'sinv', 'sioa', 'sioc', 'siog', 'siol', 'siom', 'sion', 'siop', 'sios',
    'siot', 'siou', 'sipa', 'sipâ', 'sipe', 'sipé', 'sipè', 'siph', 'sipi', 'sipo',
    'sipt', 'siqu', 'sira', 'sirâ', 'sird', 'sire', 'siré', 'sirè', 'siri', 'sirl',
    'siro', 'sirs', 'sirt', 'siru', 'sirv', 'sisa', 'sisc', 'sise', 'sism', 'siso',
    'siss', 'sist', 'sisy', 'sita', 'sitâ', 'site', 'sîte', 'sité', 'sitè', 'sith',
    'siti', 'sito', 'sitô', 'sitr', 'sits', 'sitt', 'situ', 'sium', 'sius', 'siva',
    'sivâ', 'sive', 'sivé', 'sivè', 'sivi', 'sivo', 'sixa', 'sixi', 'sixt', 'siza',
    'size', 'sjoi', 'sjon', 'sjor', 'sjur', 'skaï', 'skar', 'skas', 'skat', 'skel',
    'skèl', 'sken', 'skep', 'sker', 'skér', 'sket', 'skey', 'skia', 'skiâ', 'skie',
    'skié', 'skiè', 'skif', 'skii', 'skil', 'skim', 'skin', 'skio', 'skip', 'skis',
    'skol', 'skoo', 'skou', 'skri', 'skua', 'skun', 'skye', 'skys', 'slal', 'slam',
    'slan', 'slas', 'slat', 'slav', 'slee', 'slei', 'slep', 'slex', 'sley', 'slik',
    'slin', 'slip', 'slit', 'slnd', 'sloc', 'slog', 'sloi', 'sloo', 'sloq', 'slou',
    'slov', 'slow', 'sluc', 'slud', 'smac', 'smaé', 'smag', 'smai', 'smaï', 'smal',
    'smâm', 'sman', 'smap', 'smar', 'smas', 'smat', 'smât', 'smau', 'smaz', 'smec',
    'smée', 'smeg', 'smég', 'smél', 'smen', 'smén', 'smer', 'smér', 'smèr', 'smes',
    'smés', 'smet', 'smét', 'smèt', 'smez', 'smic', 'smid', 'smie', 'smif', 'smig',
    'smil', 'smîm', 'smin', 'smio', 'smiq', 'smir', 'smis', 'smit', 'smît', 'smiu',
    'smné', 'smoc', 'smod', 'smog', 'smoi', 'smok', 'smol', 'smom', 'smon', 'smop',
    'smor', 'smos', 'smot', 'smua', 'smue', 'smué', 'smur', 'smus', 'smut', 'smyr',
    'snac', 'snag', 'snai', 'snan', 'snat', 'sncf', 'snée', 'snér', 'snes', 'sney',
    'snia', 'snie', 'snié', 'sniè', 'snif', 'snil', 'snob', 'snoi', 'snom', 'snos',
    'snow', 'snoy', 'snui', 'soag', 'soar', 'soas', 'soba', 'sobé', 'sobl', 'sobr',
    'sobs', 'soca', 'socc', 'socé', 'socè', 'soch', 'soci', 'socl', 'soco', 'socq',
    'socr', 'socs', 'soda', 'sodd', 'sode', 'sodé', 'sodi', 'sodo', 'sodr', 'sody',
    'soéd', 'soél', 'soèt', 'soeu', 'sofa', 'soff', 'sofi', 'soft', 'soga', 'sogd',
    'sogl', 'sogn', 'sogo', 'sogr', 'sogy', 'sohy', 'soid', 'soïd', 'soie', 'soif',
    'soig', 'soil', 'soin', 'soio', 'soïo', 'soir', 'sois', 'soit', 'soït', 'soix',
    'soja', 'sola', 'solâ', 'sold', 'sole', 'solé', 'solè', 'solf', 'soli', 'soll',
    'solm', 'solo', 'solr', 'sols', 'solu', 'solû', 'solv', 'soly', 'soma', 'somb',
    'some', 'somé', 'somè', 'somi', 'somm', 'somn', 'somo', 'somp', 'sona', 'sond',
    'sone', 'soné', 'sonè', 'song', 'soni', 'sonn', 'sono', 'sons', 'sont', 'sonv',
    'sopa', 'sope', 'sopé', 'soph', 'sopi', 'sopl', 'sopo', 'sopr', 'sopt', 'soqu',
    'sora', 'sorâ', 'sorb', 'sorc', 'sord', 'sore', 'soré', 'sorè', 'sorg', 'sori',
    'sorm', 'sorn', 'soro', 'sorp', 'sorr', 'sors', 'sort', 'soru', 'sosc', 'sosé',
    'sosi', 'sosm', 'soso', 'sosp', 'soss', 'sost', 'sosy', 'sota', 'sotc', 'sote',
    'soté', 'soth', 'soti', 'sotn', 'soto', 'sotr', 'sots', 'sott', 'soua', 'soub',
    'souc', 'soud', 'soue', 'souf', 'soug', 'souh', 'soui', 'souï', 'souk', 'soul',
    'soûl', 'soum', 'soun', 'soup', 'souq', 'sour', 'sous', 'sout', 'soût', 'souv',
    'sovi', 'sovk', 'sovn', 'soxy', 'soya', 'soye', 'soyi', 'soyo', 'sozo', 'sozy',
    'spac', 'spaç', 'spad', 'spag', 'spah', 'spai', 'spal', 'spâm', 'span', 'spar',
    'spas', 'spat', 'spât', 'spea', 'spec', 'spéc', 'spèc', 'spee', 'spée', 'spei',
    'spel', 'spél', 'spen', 'spéo', 'spep', 'sper', 'spér', 'spèr', 'spes', 'spés',
    'spét', 'spez', 'spha', 'sphe', 'sphé', 'sphè', 'sphi', 'spho', 'sphr', 'sphu',
    'sphy', 'spic', 'spid', 'spie', 'spiè', 'spif', 'spil', 'spin', 'spio', 'spir',
    'spit', 'spla', 'sple', 'splé', 'spné', 'spod', 'spoi', 'spol', 'spon', 'spor',
    'spos', 'spot', 'spou', 'spra', 'spre', 'spri', 'spro', 'spru', 'spua', 'spuâ',
    'spub', 'spue', 'spué', 'spuè', 'spui', 'spum', 'spun', 'spuo', 'spur', 'sput',
    'spyr', 'squa', 'sqúa', 'squâ', 'sque', 'squé', 'squè', 'squi', 'squî', 'sqúî',
    'squo', 'sraé', 'sraë', 'srhe', 'srui', 'srup', 'ssab', 'ssac', 'ssad', 'ssaf',
    'ssag', 'ssah', 'ssai', 'ssak', 'ssal', 'ssam', 'ssâm', 'ssan', 'ssao', 'ssar',
    'ssas', 'ssat', 'ssât', 'ssau', 'ssav', 'ssay', 'ssea', 'sséa', 'ssec', 'sséc',
    'ssèc', 'ssed', 'sséd', 'ssèd', 'ssee', 'ssée', 'ssei', 'sséi', 'ssel', 'ssem',
    'ssém', 'ssèm', 'ssen', 'ssén', 'ssèn', 'sseo', 'ssep', 'sseq', 'sséq', 'ssèq',
    'sser', 'ssér', 'ssèr', 'sses', 'ssés', 'sset', 'ssét', 'ssèt', 'sseu', 'ssex',
    'ssey', 'ssez', 'ssia', 'ssib', 'ssic', 'ssid', 'ssie', 'ssié', 'ssiè', 'ssif',
    'ssig', 'ssil', 'ssim', 'ssîm', 'ssin', 'ssio', 'ssip', 'ssiq', 'ssir', 'ssis',
    'ssit', 'ssît', 'ssiu', 'ssiv', 'ssma', 'ssme', 'ssmè', 'ssoc', 'ssod', 'ssog',
    'ssoi', 'ssol', 'ssom', 'sson', 'ssop', 'ssor', 'ssos', 'ssot', 'ssou', 'ssoû',
    'ssoy', 'ssua', 'ssuâ', 'ssub', 'ssud', 'ssue', 'ssué', 'ssuè', 'ssui', 'ssuj',
    'ssul', 'ssum', 'ssuo', 'ssur', 'ssus', 'ssut', 'ssuy', 'ssyl', 'ssym', 'ssyr',
    'stab', 'stac', 'stad', 'staf', 'stag', 'stai', 'stak', 'stal', 'stam', 'stâm',
    'stan', 'stân', 'stap', 'staq', 'star', 'stas', 'stat', 'stât', 'stau', 'stav',
    'staw', 'stax', 'stay', 'stcl', 'stco', 'stcu', 'stda', 'stea', 'stéa', 'stec',
    'sted', 'stee', 'stée', 'steg', 'stég', 'stei', 'stéi', 'stel', 'stél', 'stèl',
    'stem', 'stém', 'stèm', 'sten', 'stén', 'stèn', 'steo', 'stéo', 'step', 'stép',
    'stèq', 'ster', 'stér', 'stèr', 'stes', 'stés', 'stet', 'stét', 'steu', 'stév',
    'stew', 'stex', 'stez', 'stfa', 'stgl', 'sthe', 'sthé', 'sthè', 'sthi', 'sthm',
    'stho', 'sthu', 'sthy', 'stia', 'stiâ', 'stib', 'stic', 'stid', 'stie', 'stié',
    'stiè', 'stif', 'stig', 'stii', 'stik', 'stil', 'stim', 'stîm', 'stin', 'stîn',
    'stio', 'stip', 'stiq', 'stir', 'stis', 'stit', 'stît', 'stiv', 'stlu', 'stma',
    'stna', 'stob', 'stoc', 'stod', 'stoe', 'stog', 'stoi', 'stoï', 'stok', 'stol',
    'stom', 'ston', 'stop', 'stoq', 'stor', 'stos', 'stot', 'stou', 'stoû', 'stoy',
    'stph', 'stpo', 'stpr', 'stra', 'strâ', 'stre', 'stré', 'strè', 'stri', 'stro',
    'strö', 'stru', 'stry', 'stsc', 'stso', 'stsy', 'stua', 'stuc', 'stud', 'stue',
    'stuk', 'stul', 'stum', 'stup', 'stûp', 'stuq', 'stur', 'stve', 'stvo', 'stya',
    'styg', 'styl', 'styp', 'styr', 'stys', 'suad', 'suag', 'suai', 'sual', 'suâm',
    'suan', 'suar', 'suas', 'suat', 'suât', 'suav', 'suba', 'subc', 'subd', 'sube',
    'subé', 'subf', 'subg', 'subi', 'subî', 'subj', 'subk', 'subl', 'subm', 'subn',
    'subo', 'subr', 'subs', 'subt', 'subu', 'subv', 'suca', 'suça', 'suçâ', 'succ',
    'suce', 'sucé', 'sucè', 'suci', 'suck', 'suço', 'sucr', 'sucs', 'suda', 'sude',
    'sudé', 'sudi', 'sudo', 'sudv', 'suéd', 'suèd', 'suée', 'suel', 'suen', 'suer',
    'suèr', 'sues', 'sués', 'suet', 'suét', 'suèt', 'sueu', 'suez', 'suff', 'sufi',
    'sufr', 'sugg', 'sugi', 'suic', 'suid', 'suie', 'suif', 'suin', 'suio', 'suir',
    'suis', 'suit', 'suiv', 'suje', 'sujé', 'sujt', 'sula', 'sulâ', 'sulc', 'sule',
    'sulé', 'sulè', 'sulf', 'suli', 'sulk', 'sull', 'sulm', 'sulo', 'sulp', 'suls',
    'sult', 'sulv', 'suma', 'sumâ', 'sume', 'sûme', 'sumé', 'sumè', 'sumi', 'summ',
    'sumo', 'sump', 'sums', 'suna', 'sung', 'suni', 'sunî', 'sunl', 'sunn', 'suon',
    'supe', 'supé', 'supè', 'supi', 'supp', 'supr', 'sura', 'surâ', 'surb', 'surc',
    'surd', 'sure', 'sûre', 'suré', 'surè', 'surf', 'surg', 'surh', 'suri', 'surj',
    'surl', 'surm', 'surn', 'suro', 'surp', 'surr', 'surs', 'sûrs', 'surt', 'surv',
    'susa', 'susc', 'susd', 'suse', 'susé', 'sush', 'susm', 'susn', 'susp', 'suss',
    'sust', 'susu', 'susv', 'sute', 'sûte', 'suth', 'suti', 'sutr', 'sutu', 'suvi',
    'suya', 'suyâ', 'suye', 'suyé', 'suyè', 'suyi', 'suyo', 'suze', 'svas', 'svel',
    'sver', 'sves', 'svid', 'svis', 'swah', 'swan', 'swap', 'swas', 'swea', 'swee',
    'swic', 'swin', 'swom', 'swoo', 'syba', 'sych', 'syco', 'sydr', 'syén', 'syhi',
    'syle', 'syll', 'sylp', 'sylv', 'symb', 'symé', 'symp', 'syna', 'sync', 'synd',
    'syne', 'syné', 'syng', 'syno', 'synt', 'syph', 'syra', 'syri', 'syrp', 'syrr',
    'syrt', 'syst', 'syth', 'syur', 'syzy'
    );

  //T
  F4LtMax_ = 1623;
  F4Lt_: array[1..F4LtMax_] of S016_ = (
    'taba', 'tabd', 'tabe', 'tabé', 'tabè', 'tabi', 'tabl', 'tabo', 'tabu', 'taca',
    'tacc', 'tace', 'tacé', 'tach', 'tâch', 'taci', 'tack', 'tacl', 'taco', 'taço',
    'tacr', 'tact', 'tacu', 'tada', 'tade', 'tadé', 'tadh', 'tadi', 'tadj', 'tado',
    'tadr', 'tady', 'taed', 'taéd', 'taèd', 'taeg', 'taël', 'taen', 'tafa', 'tafe',
    'taff', 'tafi', 'taga', 'tage', 'tagé', 'tagè', 'tagf', 'tagi', 'tagl', 'tagm',
    'tagn', 'tago', 'tagr', 'tagu', 'tahi', 'taïa', 'taie', 'taig', 'taïg', 'taik',
    'tail', 'taim', 'tain', 'taïq', 'tair', 'taïr', 'tais', 'taïs', 'tait', 'taïw',
    'taji', 'take', 'takh', 'taki', 'takn', 'taks', 'tala', 'talâ', 'talb', 'talc',
    'tald', 'tale', 'talé', 'talè', 'talg', 'tali', 'talk', 'tall', 'talm', 'talo',
    'talp', 'talq', 'tals', 'talt', 'talu', 'talw', 'taly', 'tama', 'tamâ', 'tamb',
    'tame', 'tâme', 'tamé', 'tamè', 'tami', 'tamm', 'tamo', 'tamp', 'tams', 'tamu',
    'tamy', 'tana', 'tanb', 'tanc', 'tanç', 'tand', 'tane', 'tané', 'tang', 'tani',
    'tank', 'tann', 'tano', 'tanq', 'tanr', 'tans', 'tant', 'tanu', 'tany', 'tanz',
    'taôi', 'taoï', 'taon', 'tapa', 'tapâ', 'tape', 'tapé', 'tapè', 'taph', 'tapi',
    'tapî', 'tapl', 'tapo', 'taps', 'tapu', 'taqu', 'tara', 'târa', 'tarâ', 'tarb',
    'tarc', 'tard', 'tare', 'taré', 'tarè', 'targ', 'tarh', 'tari', 'tarî', 'tark',
    'tarl', 'tarm', 'tarn', 'taro', 'tarp', 'tarq', 'tarr', 'tars', 'tart', 'taru',
    'tary', 'tarz', 'tase', 'tasi', 'tasm', 'tasq', 'tass', 'tast', 'tasu', 'tasy',
    'tata', 'tâta', 'tatâ', 'tâtâ', 'tate', 'tâte', 'taté', 'tâté', 'tatè', 'tâtè',
    'tath', 'tati', 'tâti', 'tato', 'tâto', 'tatr', 'tats', 'tatt', 'tatu', 'taub',
    'tauc', 'taud', 'taug', 'taul', 'taup', 'taur', 'taus', 'taut', 'taux', 'tauz',
    'tava', 'tave', 'tavi', 'tavk', 'tavo', 'tawa', 'tawu', 'taxa', 'taxâ', 'taxe',
    'taxé', 'taxè', 'taxi', 'taxo', 'taxu', 'taya', 'tayâ', 'taye', 'tayé', 'tayè',
    'tayi', 'tayl', 'tayo', 'tazi', 'tazo', 'tbal', 'tbar', 'tbél', 'tblo', 'tboi',
    'tboï', 'tbri', 'tbro', 'tcel', 'tcen', 'tcha', 'tchâ', 'tche', 'tché', 'tchè',
    'tchi', 'tchm', 'tcho', 'tchp', 'tchs', 'tchu', 'tchw', 'tcin', 'tcla', 'tcom',
    'tcuq', 'tcur', 'tdat', 'tdid', 'tdoc', 'tdor', 'tead', 'téad', 'teak', 'téal',
    'team', 'téar', 'teas', 'téas', 'teat', 'téat', 'teau', 'téau', 'tebl', 'tebo',
    'tebr', 'tébr', 'tèbr', 'téca', 'técé', 'tech', 'téch', 'tèch', 'téci', 'teck',
    'téco', 'tecô', 'tecq', 'tect', 'tedd', 'tédé', 'tédi', 'teen', 'téen', 'teep',
    'tees', 'tées', 'tefa', 'tefe', 'téfi', 'téfl', 'tefo', 'téga', 'tege', 'tége',
    'tège', 'tégé', 'tégè', 'tégi', 'tegm',
    'tego', 'tégo', 'tegr', 'tégr', 'tègr', 'tégu', 'téhé', 'téhy', 'téid', 'téif',
    'teig', 'teil', 'tein', 'téin', 'téiq', 'téis', 'téit', 'téka', 'teke', 'teks',
    'tela', 'téla', 'telâ', 'telb', 'tele', 'téle', 'tèle', 'telé', 'télé', 'telè',
    'teli', 'téli', 'tell', 'teln', 'telo', 'télo', 'telp', 'telr', 'tels', 'telu',
    'télu', 'tema', 'téma', 'temb', 'teme', 'téme', 'tème', 'tême', 'témé', 'témè',
    'temi', 'témi', 'temm', 'temo', 'témo', 'temp', 'tems', 'temv', 'tena', 'téna',
    'tenc', 'tenç', 'tend', 'tene', 'téne', 'tène', 'téné', 'ténè', 'teng', 'teni',
    'téni', 'tenn', 'teno', 'téno', 'tenô', 'tenq', 'tenr', 'tens', 'tent', 'tenu',
    'ténu', 'téob', 'teoc', 'téoc', 'teod', 'téod', 'teog', 'téog', 'teoi', 'téoï',
    'teol', 'téol', 'teom', 'téom', 'téon', 'teop', 'téop', 'teor', 'téor', 'téos',
    'téot', 'tépa', 'tépé', 'teph', 'téph', 'tepi', 'tépi', 'tepl', 'tepo', 'tépo',
    'tepp', 'tépr', 'tequ', 'téqu', 'tèqu', 'tera', 'téra', 'térâ', 'terb', 'terc',
    'terç', 'terd', 'tere', 'tére', 'tère', 'teré', 'téré', 'térè', 'terê', 'térê',
    'terf', 'terg', 'teri', 'téri', 'terj', 'terl', 'term', 'tern', 'tero', 'téro',
    'terp', 'terr', 'ters', 'tert', 'teru', 'téru', 'terv', 'tery', 'téry', 'terz',
    'tesc', 'tese', 'tèse', 'tesi', 'tési', 'tesl', 'tesq', 'tess', 'test', 'teta',
    'téta', 'têta', 'têtâ', 'tete', 'téte', 'tète', 'tête', 'teté', 'tété', 'têté',
    'têtè', 'téth', 'teti', 'téti', 'têti', 'této', 'têto', 'tetr', 'tétr', 'tets',
    'têts', 'tett', 'tetu', 'têtu', 'teuf', 'teug', 'teui', 'teul', 'teuq', 'teur',
    'teus', 'teut', 'teux', 'teve', 'téve', 'tévé', 'tevi', 'tewa', 'texa', 'texi',
    'text', 'tézi', 'tfac', 'tfol', 'tfou', 'tgen', 'tgla', 'tgol', 'tgut', 'thac',
    'thad', 'thae', 'thag', 'thai', 'thaï', 'thal', 'tham', 'than', 'thar', 'thas',
    'thau', 'thaz', 'théa', 'theâ', 'théâ', 'théb', 'thèb', 'thec', 'théc', 'thèc',
    'thed', 'théd', 'thèd', 'thee', 'thée', 'thei', 'théi', 'thel', 'thél', 'them',
    'thém', 'thèm', 'then', 'thén', 'thèn', 'theo', 'théo', 'theq', 'théq', 'thèq',
    'ther', 'thér', 'thèr', 'thes', 'thés', 'thès', 'thet', 'thét', 'thèt', 'thêt',
    'theu', 'théu', 'thex', 'thia', 'thib', 'thic', 'thid', 'thie', 'thif', 'thig',
    'thil', 'thin', 'thio', 'thiq', 'thir', 'this', 'thit', 'thiu', 'thiv', 'thix',
    'thla', 'thle', 'thlé', 'thlè', 'thli', 'thlo', 'thma', 'thmâ', 'thme', 'thmé',
    'thmè', 'thmi', 'thmo', 'thmu', 'thna', 'thni', 'thno', 'thob', 'thoc', 'thod',
    'thoé', 'thof', 'thog', 'thoh', 'thoi', 'thoï', 'thol', 'thom', 'thon', 'thop',
    'thor', 'thos', 'thot', 'thou', 'thov', 'thoz', 'thra', 'thre', 'thré', 'thrè',
    'thri', 'thro', 'thso', 'thua', 'thug', 'thui', 'thul', 'thum', 'thun', 'thur',
    'thus', 'thuy', 'thya', 'thyd', 'thyi', 'thyl', 'thym', 'thyo', 'thyp', 'thyr',
    'thys', 'thyt', 'tiab', 'tiac', 'tiae', 'tiaé', 'tiag', 'tiai', 'tiak', 'tial',
    'tiam', 'tiâm', 'tian', 'tiap', 'tiaq', 'tiar', 'tias', 'tiat', 'tiât', 'tiau',
    'tiba', 'tibe', 'tibé', 'tibi', 'tibl', 'tibo', 'tibr', 'tibu', 'tica', 'ticâ',
    'tice', 'ticé', 'ticè', 'tich', 'tici', 'tick', 'ticl', 'tico', 'ticr', 'tics',
    'tict', 'ticu', 'ticy', 'tida', 'tide', 'tidé', 'tidi', 'tido', 'tidr', 'tidu',
    'tiéb', 'tiéc', 'tied', 'tiéd', 'tièd', 'tiée', 'tiel', 'tiem', 'tiém', 'tièm',
    'tien', 'tier', 'tiér', 'tièr', 'ties', 'tiés', 'tiet', 'tiét', 'tieu', 'tiev',
    'tiez', 'tifa', 'tife', 'tifé', 'tifè', 'tiff', 'tifi', 'tifl', 'tifo', 'tifr',
    'tifs', 'tifu', 'tiga', 'tige', 'tigé', 'tigè', 'tigi', 'tigl', 'tigm', 'tign',
    'tigo', 'tigr', 'tigu', 'tigü', 'tiha', 'tihé', 'tihi', 'tihy', 'tiie', 'tiim',
    'tiin', 'tîin', 'tiio', 'tija', 'tika', 'tiko', 'tila', 'tilâ', 'tilb', 'tild',
    'tile', 'tilé', 'tilè', 'tilh', 'tili', 'till', 'tilo', 'tils', 'tilt', 'tilu',
    'tima', 'timâ', 'timb', 'time', 'tîme', 'timé', 'timè', 'timi', 'timo', 'timp',
    'timu', 'timy', 'tina', 'tinâ', 'tinc', 'tind', 'tine', 'tiné', 'tinè', 'ting',
    'tini', 'tink', 'tinm', 'tînm', 'tinn', 'tino', 'tinr', 'tins', 'tint', 'tînt',
    'tinu', 'tinû', 'tioc', 'tiod', 'tiol', 'tiom', 'tion', 'tiop', 'tior', 'tios',
    'tiot', 'tiox', 'tioz', 'tipa', 'tipe', 'tipé', 'tiph', 'tipi', 'tipl', 'tipo',
    'tipr', 'tips', 'tipu', 'tipy', 'tiqu', 'tira', 'tirâ', 'tire', 'tiré', 'tirè',
    'tiri', 'tiro', 'tirp', 'tirs', 'tiru', 'tirz', 'tisa', 'tisâ', 'tisc', 'tise',
    'tisé', 'tisè', 'tisf', 'tish', 'tisi', 'tism', 'tiso', 'tisp', 'tisq', 'tiss',
    'tist', 'tisu', 'tisy', 'tita', 'titâ', 'tite', 'tîte', 'tité', 'tith', 'titi',
    'tito', 'titr', 'tits', 'titu', 'tity', 'tium', 'tiva', 'tivâ', 'tive', 'tivé',
    'tivè', 'tivi', 'tivo', 'tivs', 'tivy', 'tjac', 'tjal', 'tjäl', 'tjoi', 'tjou',
    'tlan', 'tlas', 'tlat', 'tlaw', 'tleg', 'tlem', 'tler', 'tlér', 'tles', 'tley',
    'tloi', 'tloo', 'tlos', 'tluç', 'tlud', 'tman', 'tmar', 'tmas', 'tmau', 'tmen',
    'tmès', 'tmét', 'tmèt', 'tmie', 'tmon', 'tmor', 'tmos', 'tmot', 'tnam', 'tnat',
    'tner', 'tnia', 'tnik', 'toac', 'toad', 'toal', 'toam', 'toan', 'toar', 'toas',
    'toba', 'tobe', 'tobi', 'tobl', 'tobo', 'tobr', 'tobu', 'toca', 'tocc', 'toce',
    'tocé', 'tocè', 'toch', 'toci', 'tock', 'tocl', 'toco', 'tocô', 'tocr', 'tocs',
    'toct', 'tocu', 'tocy', 'toda', 'tode', 'todé', 'todi', 'todo', 'todr', 'todu',
    'tody', 'toec', 'toed', 'toél', 'toém', 'toès', 'toét', 'tofe', 'tofé', 'toff',
    'tofi', 'tofl', 'tofo', 'tofu', 'toga', 'toge', 'togé', 'togè', 'togi', 'togl',
    'togn', 'togo', 'togr', 'togu', 'togy', 'tohé', 'tohi', 'toho', 'tohu', 'tohy',
    'toïc', 'toid', 'toïd', 'toie', 'toil', 'toin', 'toïq', 'toir', 'tois', 'toïs',
    'toit', 'toka', 'toke', 'tokh', 'toki', 'toky', 'tola', 'tôla', 'tolb', 'tole',
    'tôle', 'tolé', 'tôlé', 'tolè', 'toli', 'tôli', 'toll', 'tolo', 'tols', 'tolu',
    'toly', 'toma', 'tomb', 'tome', 'tôme', 'tomé', 'tomè', 'tomi', 'tomm', 'tomn',
    'tomo', 'tomp', 'tomu', 'tomy', 'tona', 'tonâ', 'tonc', 'tond', 'tone', 'toné',
    'tonè', 'tong', 'toni', 'tonk', 'tonl', 'tonn', 'tono', 'tons', 'tont', 'tonu',
    'tony', 'toon', 'topa', 'tope', 'topé', 'toph', 'topi', 'topl', 'topn', 'topo',
    'topp', 'topr', 'tops', 'topt', 'topu', 'topy', 'toqu', 'tora', 'torc', 'tord',
    'tore', 'toré', 'torg', 'torh', 'tori', 'torm', 'torn', 'toro', 'torp', 'torq',
    'torr', 'tors', 'tort', 'toru', 'torv', 'tory', 'torz', 'tosa', 'tosc', 'tose',
    'tôse', 'tosé', 'tosh', 'tosi', 'tôsi', 'toso', 'tosp', 'tosq', 'toss', 'tost',
    'tosu', 'tosy', 'tota', 'tote', 'tôte', 'toté', 'toth', 'toti', 'toto', 'totr',
    'tots', 'totu', 'toty', 'toua', 'toub', 'touc', 'toud', 'toue', 'toué', 'touf',
    'toui', 'touj', 'toul', 'toum', 'toun', 'toup', 'toûp', 'touq', 'tour', 'tous',
    'tout', 'toux', 'touz', 'tova', 'tovi', 'tovo', 'towa', 'toxa', 'toxé', 'toxi',
    'toxo', 'toxy', 'toya', 'toyâ', 'toye', 'toyé', 'toyè', 'toyi', 'toyo', 'tozo',
    'tpel', 'tpha', 'tpin', 'tpit', 'tpon', 'tpos', 'tpra', 'tput', 'trab', 'trac',
    'traç', 'trad', 'trae', 'traé', 'traè', 'traf', 'trag', 'trah', 'trai', 'traî',
    'traj', 'trak', 'tral', 'tram', 'trâm', 'tran', 'trao', 'trap', 'traq', 'trar',
    'tras', 'trat', 'trât', 'trau', 'trav', 'trax', 'tray', 'trea', 'tréa', 'treb',
    'tréb', 'trec', 'tréc', 'trèc', 'trêc', 'tred', 'tree', 'trée', 'tref', 'tréf',
    'trèf', 'treg', 'trég', 'tréh', 'trei', 'tréi', 'trej', 'tréj', 'trek', 'trel',
    'trél', 'trem', 'trém', 'trèm', 'trêm', 'tren', 'treo', 'trep', 'trép', 'trer',
    'trèr', 'tres', 'trés', 'très', 'tret', 'trét', 'treu', 'trev', 'trév', 'trèv',
    'trêv', 'trez', 'tria', 'triâ', 'trib', 'tric', 'triç', 'trid', 'trie', 'trié',
    'triè', 'trif', 'trig', 'trih', 'trii', 'trij', 'tril', 'trim', 'trîm', 'trin',
    'trio', 'trip', 'triq', 'trir', 'tris', 'trit', 'trît', 'triu', 'triv', 'trix',
    'triy', 'troa', 'trob', 'troc', 'trod', 'troe', 'troé', 'troè', 'troë', 'trof',
    'trog', 'troh', 'troi', 'troï', 'troj', 'trol', 'trôl', 'trom', 'tröm', 'tron',
    'trôn', 'trop', 'troq', 'tror', 'tros', 'trot', 'trou', 'trov', 'troy', 'trua',
    'truâ', 'trub', 'truc', 'trud', 'true', 'trué', 'truè', 'truf', 'trui', 'trul',
    'trum', 'truo', 'trup', 'truq', 'trur', 'trus', 'trut', 'trya', 'tryc', 'tryg',
    'tryo', 'tryp', 'trys', 'tryt', 'tsam', 'tsar', 'tsas', 'tsch', 'tsco', 'tser',
    'tset', 'tsia', 'tsid', 'tsie', 'tsig', 'tsio', 'tski', 'tsky', 'tsma', 'tsme',
    'tsoi', 'tson', 'tsou', 'tsui', 'tsun', 'tswa', 'tswe', 'tswo', 'tsyn', 'ttab',
    'ttac', 'ttad', 'ttag', 'ttai', 'ttal', 'ttâm', 'ttan', 'ttaq', 'ttar', 'ttas',
    'ttat', 'ttât', 'ttau', 'ttaw', 'ttea', 'ttee', 'ttée', 'ttei', 'ttel', 'ttèl',
    'ttem', 'tten', 'ttén', 'tter', 'ttér', 'ttèr', 'ttes', 'ttés', 'ttet', 'tteu',
    'ttez', 'ttha', 'tthe', 'tthi', 'ttic', 'ttid', 'ttie', 'ttié', 'ttiè', 'ttif',
    'ttig', 'ttil', 'ttim', 'ttîm', 'ttin', 'ttio', 'ttiq', 'ttir', 'ttis', 'ttit',
    'ttît', 'ttiv', 'ttle', 'ttma', 'ttme', 'ttmè', 'ttoi', 'ttol', 'ttom', 'tton',
    'ttor', 'ttos', 'ttou', 'ttoy', 'ttra', 'ttre', 'ttré', 'ttri', 'ttro', 'ttsi',
    'ttue', 'ttur', 'ttus', 'ttva', 'tuab', 'tuac', 'tuag', 'tuai', 'tual', 'tuâm',
    'tuan', 'tuar', 'tuas', 'tuat', 'tuât', 'tuau', 'tuba', 'tubâ', 'tube', 'tubé',
    'tubè', 'tubi', 'tubl', 'tubo', 'tubu', 'tuca', 'tuce', 'tuch', 'tuci', 'tucr',
    'tucs', 'tude', 'tudi', 'tudy', 'tuee', 'tuée', 'tuei', 'tuel', 'tuen', 'tuer',
    'tuèr', 'tues', 'tués', 'tuet', 'tueu', 'tuez', 'tufe', 'tuff', 'tufi', 'tufs',
    'tuga', 'tugl', 'tuie', 'tuil', 'tuio', 'tuis', 'tuit', 'tuka', 'tula', 'tulâ',
    'tule', 'tulé', 'tulè', 'tuli', 'tull', 'tulo', 'tuma', 'tumâ', 'tume', 'tûme',
    'tumé', 'tumè', 'tumi', 'tumo', 'tums', 'tumu', 'tumv', 'tuna', 'tunâ', 'tune',
    'tuné', 'tunè', 'tung', 'tuni', 'tunn', 'tuno', 'tuns', 'tuon', 'tuor', 'tuos',
    'tupa', 'tûpa', 'tupe', 'tupé', 'tupè', 'tuph', 'tupi', 'tupl', 'tupo', 'tupr',
    'tuqu', 'tura', 'turâ', 'turb', 'turc', 'turd', 'ture', 'turé', 'turè', 'turf',
    'turg', 'turi', 'turk', 'turl', 'turm', 'turn', 'turo', 'turp', 'turq', 'turr',
    'turs', 'tusa', 'tuse', 'tusi', 'tuss', 'tust', 'tuta', 'tute', 'tûte', 'tuté',
    'tuth', 'tuti', 'tuto', 'tutr', 'tuts', 'tutt', 'tutu', 'tuus', 'tuva', 'tuvâ',
    'tuve', 'tuvé', 'tuvè', 'tuvi', 'tuvo', 'tuya', 'tuyè', 'tvel', 'tvie', 'tvil',
    'twar', 'twea', 'twee', 'twin', 'twis', 'twom', 'tyak', 'tyal', 'tyba', 'tycé',
    'tych', 'tygi', 'tyla', 'tylâ', 'tylc', 'tyle', 'tylé', 'tylè', 'tyli', 'tylm',
    'tylo', 'tyls', 'tylu', 'tymo', 'tymp', 'tynd', 'tyoc', 'tyoï', 'tyol', 'tyon',
    'tyop', 'tyor', 'tyos', 'typa', 'typâ', 'type', 'typé', 'typè', 'typh', 'typi',
    'typo', 'typt', 'tyqe', 'tyqu', 'tyra', 'tyre', 'tyrè', 'tyrh', 'tyri', 'tyro',
    'tyrr', 'tyrs', 'tysi', 'tyve', 'tzal', 'tzar', 'tzel', 'tzer', 'tzet', 'tzeu',
    'tzia', 'tzie', 'tzif', 'tzig', 'tzim', 'tziq', 'tzit', 'tzsc'
    );

  //U
  F4LuMax_ = 2164;
  F4Lu_: array[1..F4LuMax_] of S016_ = (
    'uaba', 'uabe', 'uabi', 'uabl', 'uace', 'uach', 'uaci', 'uaco', 'uacr', 'uacs',
    'uacu', 'uada', 'uadâ', 'uade', 'uadé', 'uadè', 'uadi', 'uado', 'uadr', 'uafo',
    'uage', 'uagé', 'uagi', 'uahé', 'uahu', 'uaic', 'uaie', 'üaie', 'uail', 'uain',
    'uair', 'uais', 'üais', 'uait', 'üait', 'uake', 'uala', 'uale', 'uali', 'ualo',
    'uals', 'uama', 'uame', 'uâme', 'üâme', 'uami', 'uamo', 'uamu', 'uana', 'uanâ',
    'uanc', 'uanç', 'uand', 'uane', 'uané', 'uanè', 'uang', 'uani', 'uann', 'uano',
    'uant', 'üant', 'uaou', 'uape', 'uapl', 'uaqu', 'uara', 'uard', 'uare', 'uarè',
    'uari', 'uark', 'uarn', 'uaro', 'uarr', 'uars', 'uart', 'uasa', 'uash', 'uasi',
    'uass', 'üass', 'uata', 'uatâ', 'uate', 'uâte', 'üâte', 'uaté', 'uatè', 'uati',
    'uato', 'uatr', 'uâtr', 'uats', 'uatt', 'uatu', 'uaut', 'uaux', 'uave', 'uavi',
    'uaws', 'uaxe', 'uaye', 'uays', 'uazi', 'ubac', 'ubad', 'ubaé', 'ubag', 'ubai',
    'ubal', 'ubâm', 'uban', 'ubaq', 'ubar', 'ubas', 'ubat', 'ubât', 'ubba', 'ubbe',
    'ubca', 'ubco', 'ubcu', 'ubdé', 'ubdi', 'ubdu', 'ubèb', 'ubèc', 'ubée', 'ubéf',
    'ubel', 'ubem', 'uben', 'ubén', 'ubéo', 'ubép', 'ubéq', 'uber', 'ubér', 'ubèr',
    'ubes', 'ubés', 'ubet', 'ubeu', 'ubez', 'ubfé', 'ubfo', 'ubgr', 'ubia', 'ubib',
    'ubic', 'ubid', 'ubie', 'ubiè', 'ubif', 'ubig', 'ubil', 'ubim', 'ubîm', 'ubin',
    'ubio', 'ubip', 'ubiq', 'ubir', 'ubis', 'ubit', 'ubît', 'ubja', 'ubje', 'ubjo',
    'ubju', 'ubki', 'ubla', 'ublâ', 'uble', 'ublé', 'ublè', 'ubli', 'ublo', 'ublu',
    'ubma', 'ubme', 'ubmi', 'ubna', 'ubod', 'uboi', 'uboï', 'ubon', 'ubor', 'ubot',
    'ubou', 'ubra', 'ubre', 'ubré', 'ubri', 'ubro', 'ubsé', 'ubsi', 'ubso', 'ubsp',
    'ubst', 'ubsu',
    'ubte', 'ubti', 'ubtr', 'ubue', 'ubul', 'ubur', 'ubus', 'ubve', 'ubvi', 'ubvî',
    'ucab', 'ucac', 'ucad', 'ucag', 'ucai', 'uçai', 'ucal', 'ucam', 'uçâm', 'ucan',
    'uçan', 'ucap', 'ucar', 'ucas', 'uças', 'ucat', 'uçât', 'ucau', 'ucca', 'ucce',
    'uccé', 'uccè', 'ucch', 'ucci', 'ucco', 'uccu', 'ucea', 'uceâ', 'ucéd', 'ucée',
    'ucel', 'ucem', 'ucém', 'ucen', 'ucép', 'ucer', 'ucèr', 'uces', 'ucés', 'ucet',
    'uceu', 'ucez', 'ucha', 'ûcha', 'uchâ', 'ûchâ', 'uche', 'ûche', 'uché', 'uchè',
    'ûchè', 'uchi', 'ûchi', 'uchî', 'ucho', 'ûcho', 'uchr', 'uchs', 'ucht', 'uchu',
    'ucia', 'uciâ', 'ucid', 'ucie', 'ucié', 'uciè', 'ucif', 'ucig', 'ucii', 'ucil',
    'ucim', 'ucîm', 'ucin', 'ucio', 'ucip', 'ucir', 'ucis', 'ucit', 'ucît', 'uciv',
    'ucke', 'ucko', 'ucla', 'uclâ', 'ucle', 'uclé', 'uclè', 'ucli', 'uclo', 'uclu',
    'ucmu', 'ucob', 'ucoc', 'ucod', 'uçoi', 'ucol', 'ucom', 'ucon', 'uçon', 'ucop',
    'ucor', 'ucos', 'ucot', 'uçot', 'ucou', 'ucov', 'ucqu', 'ucra', 'ucrâ', 'ucre',
    'ucré', 'ucrè', 'ucri', 'ucro', 'ucru', 'ucta', 'ucte', 'ucti', 'ucto', 'uctr',
    'uctu', 'ucub', 'ucul', 'ucun', 'ucur', 'ucus', 'udab', 'udac', 'udag', 'udai',
    'udaï', 'udal', 'udam', 'udâm', 'udan', 'udap', 'udar', 'udas', 'udat', 'udât',
    'udau', 'udbe', 'uddh', 'uddi', 'uddl', 'udea', 'udéa', 'udée', 'udéi', 'udéj',
    'udel', 'udem', 'udém', 'uden', 'udéo', 'udép', 'udeq', 'uder', 'udér', 'udèr',
    'udes', 'udés', 'udet', 'udeu', 'udev', 'udez', 'udge', 'udgé', 'udho', 'udia',
    'udiâ', 'udib', 'udic', 'udie', 'udié', 'udiè', 'udii', 'udil', 'udim', 'udîm',
    'udin', 'udio', 'udiq', 'udir', 'udis', 'udit', 'udît', 'udja', 'udoi', 'udok',
    'udol', 'udom', 'udon', 'udop', 'udor', 'udot', 'udou', 'udoy', 'udra', 'udrâ',
    'udre', 'udré', 'udrè', 'udri', 'udro', 'udru', 'udsm', 'udul', 'udun', 'udur',
    'udvi', 'udys', 'uéab', 'ueal', 'uéal', 'uean', 'uéau', 'ueba', 'uebe', 'uébe',
    'uébé', 'uebi', 'uebo', 'uebr', 'uèbr', 'uebu', 'uebv', 'uebw', 'uech', 'ueci',
    'uede', 'uède', 'uédé', 'uedi', 'uédi', 'uedo', 'uédo', 'ueds', 'uedu', 'uéen',
    'uéer', 'uées', 'ueez', 'uéfa', 'uéfi', 'uefo', 'uege', 'uégi', 'uègn', 'uégu',
    'ueil', 'ueis', 'uela', 'uelâ', 'uelc', 'uele', 'uèle', 'uelé', 'uelè', 'uelf',
    'ueli', 'uéli', 'uell', 'uelo', 'uelq', 'uels', 'uelt', 'uelu', 'uema', 'uéma',
    'uemb', 'ueme', 'uemi', 'uemm', 'uemu', 'uena', 'uenc', 'uenç', 'uend', 'uene',
    'uène', 'uëne', 'uené', 'ueng', 'ueni', 'uenn', 'ueno', 'uent', 'üent', 'uenu',
    'uenz', 'uépa', 'uepe', 'uêpe', 'uêpi', 'uepo', 'uéqu', 'uera', 'üera', 'uéra',
    'uerc', 'uerd', 'uere', 'üere', 'uére', 'uère', 'üère', 'uerg', 'ueri', 'üeri',
    'uéri', 'uérî', 'uern', 'uero', 'üero', 'uéro', 'uerp', 'uerr', 'uert', 'uéru',
    'uesc', 'uesd', 'uési', 'üesl', 'uesn', 'uesq', 'uess', 'uest', 'ueta', 'uéta',
    'uêta', 'uetâ', 'uêtâ', 'uetc', 'uete', 'uète', 'uête', 'ueté', 'uêté', 'uetè',
    'uêtè', 'ueti', 'uéti', 'uêti', 'ueto', 'uêto', 'uetr', 'uètr', 'uêtr', 'uets',
    'uett', 'uetu', 'uétu', 'uetz', 'ueue', 'ueul', 'ueur', 'ueus', 'ueut', 'ueux',
    'ueuz', 'uevi', 'uévo', 'ueya', 'ueye', 'uèze', 'uezz', 'ufac', 'ufai', 'ufâm',
    'ufan', 'ufas', 'ufât', 'ufch', 'ufea', 'ufen', 'ufer', 'ufèr', 'ufes', 'ufet',
    'ufeu', 'ufez', 'uffa', 'uffâ', 'uffe', 'uffé', 'uffè', 'uffi', 'uffî', 'uffl',
    'uffo', 'uffr', 'uffs', 'uffu', 'ufia', 'ufie', 'ufié', 'ufiè', 'ufig', 'ufil',
    'ufin', 'ufio', 'ufiq', 'ûfiq', 'ufis', 'ufit', 'ufla', 'uflâ', 'ufle', 'uflé',
    'uflè', 'ufli', 'uflo', 'uflu', 'ufol', 'ufon', 'ufoq', 'ufor', 'ufou', 'ufra',
    'ufrâ', 'ufre', 'ufrè', 'ufri', 'ufro', 'ufru', 'ufte', 'ufti', 'ugab', 'ugac',
    'ugad', 'ugai', 'ugal', 'ugan', 'ugar', 'ugas', 'ugat', 'ugât', 'ugau', 'ugaz',
    'ugby', 'ugea', 'ugeâ', 'ugée', 'ugel', 'ugem', 'ugen', 'ugén', 'ugèn', 'ugeo',
    'ugéo', 'uger', 'ugèr', 'uges', 'ugés', 'uget', 'ugét', 'ugeu', 'ugez', 'ugge',
    'uggé', 'uggè', 'uggy', 'ughi', 'ught', 'ugia', 'ugiâ', 'ugie', 'ugié', 'ugiè',
    'ugii', 'ugil', 'ugîm', 'ugin', 'ugio', 'ugir', 'ugis', 'ugit', 'ugît', 'ugiv',
    'ugla', 'uglâ', 'ugle', 'uglé', 'uglè', 'ugli', 'uglo', 'ugma', 'ugme', 'ugna',
    'ugnâ', 'ugne', 'ugné', 'ugnè', 'ugni', 'ugno', 'ugol', 'ugon', 'ugor', 'ugos',
    'ugot', 'ugou', 'ugra', 'ugre', 'ugré', 'ugri', 'ugrî', 'ugst', 'ugua', 'uguâ',
    'ugub', 'ugue', 'ugué', 'uguè', 'ugui', 'ugul', 'uguo', 'ugur', 'ugus', 'uhah',
    'uhai', 'uhan', 'uhat', 'uhau', 'uher', 'uhin', 'uhla', 'ühre', 'uial', 'uiam',
    'uian', 'uibe', 'uibl', 'uibo', 'uibr', 'uica', 'uich', 'uici', 'uico', 'uicq',
    'uicu', 'uida', 'uidâ', 'uidd', 'uide', 'uidé', 'uidè', 'uidi', 'uido', 'uiem',
    'uièm', 'uien', 'uier', 'uiér', 'uièr', 'uies', 'uïes', 'uiet', 'uiét', 'uièt',
    'uieu', 'uiez', 'üiez', 'uïez', 'uife', 'uifè', 'uiff', 'uifo', 'uifs', 'uïgh',
    'uign', 'uïgo', 'uila', 'uilâ', 'uild', 'uile', 'uîle', 'úîle', 'uilé', 'uilè',
    'uili', 'uill', 'uilo', 'uils', 'uima', 'uimb', 'uime', 'uîme', 'uimo', 'uimp',
    'uimu', 'uina', 'uinâ', 'uinc', 'uind', 'uine', 'uiné', 'uîné', 'uinè', 'uing',
    'uini', 'uino', 'uinq', 'uins', 'uint', 'uinu', 'uinz', 'uiol', 'uion', 'üion',
    'uïon', 'uios', 'uiox', 'uipa', 'uipâ', 'uipe', 'uipé', 'uipè', 'uipi', 'uipo',
    'uipr', 'uipu', 'uiqu', 'uira', 'uire', 'uiré', 'uiri', 'uirl', 'uiro', 'uirr',
    'uirs', 'uisa', 'uisâ', 'uisc', 'uise', 'uïse', 'uisé', 'uïsé', 'uisè', 'uisi',
    'uisî', 'uism', 'uiso', 'uisq', 'uiss', 'uïss', 'uist', 'uisu', 'uita', 'uitâ',
    'uitc', 'uite', 'uîte', 'uité', 'üité', 'uïté', 'uitè', 'uiti', 'uito', 'uitr',
    'uîtr', 'uits', 'uitt', 'uitu', 'uiva', 'uivâ', 'uive', 'uivé', 'uivè', 'uivi',
    'uivî', 'uivo', 'uivr', 'uiya', 'ujad', 'ujar', 'ujat', 'ujet', 'ujét', 'ujik',
    'ujin', 'ujol', 'ujon', 'ujou', 'ujtt', 'ujub', 'ujur', 'ukas', 'ukèr', 'ukha',
    'ukie', 'ukis', 'ukou', 'ukra', 'uktc', 'ulab', 'ulac', 'ulad', 'ulaf', 'ulag',
    'ûlag', 'ulai', 'ûlai', 'ulak', 'ulal', 'ulâm', 'ûlâm', 'ulan', 'ûlan', 'ulap',
    'ular', 'ûlar', 'ulas', 'ûlas', 'ulat', 'ulât', 'ûlât', 'ulau', 'ûlau', 'ulba',
    'ulbe', 'ulbè', 'ulbi', 'ulbo', 'ulbu', 'ulca', 'ulça', 'ulce', 'ulcé', 'ulcè',
    'ulci', 'ulco', 'ulcr', 'ulde', 'uldi', 'uldo', 'ulea', 'uléa', 'uleb', 'ulec',
    'uled', 'ulee', 'ulée', 'ûlée', 'ulei', 'uléi', 'ulej', 'ulem', 'ûlem', 'ulém',
    'ûlém', 'ulêm', 'ulen', 'ûlen', 'ulep', 'uler', 'ûler', 'ulèr', 'ûlèr', 'ules',
    'ûles', 'ulés', 'ûlés', 'ulet', 'uleu', 'ûleu', 'uléu', 'ulev', 'ulèv', 'ulex',
    'uley', 'ulez', 'ûlez', 'ulfa', 'ulfh', 'ulfi', 'ulfo', 'ulfu', 'ulga', 'ulge',
    'ulgo', 'ulgu', 'ulho', 'ulia', 'ulib', 'ulic', 'ulid', 'ulie', 'ûlie', 'ulié',
    'uliè', 'ulif', 'ulig', 'ulim', 'ulîm', 'ulin', 'ulio', 'ûlio', 'ulip', 'uliq',
    'ulir', 'ulis', 'ûlis', 'ulit', 'ulît', 'uliu', 'ulki', 'ulky', 'ulla', 'ulld',
    'ulle', 'ullé', 'ulli', 'ullm', 'ullo', 'ulls', 'ullu', 'ully', 'ulma', 'ulme',
    'ulmi', 'ulmo', 'ulna', 'ulne', 'ulné', 'ulno', 'uloc', 'ulod', 'ulof', 'ulog',
    'ûlog', 'uloi', 'ûloi', 'uloï', 'ulol', 'ulom', 'ulon', 'ûlon', 'uloo', 'ulop',
    'ulor', 'ulos', 'ulot', 'ûlot', 'ulou', 'ulow', 'ulpa', 'ulpâ', 'ulpe', 'ulpé',
    'ulpè', 'ulpi', 'ulpo', 'ulpt', 'ulqu', 'ulsa', 'ulsâ', 'ulse', 'ulsé', 'ulsè',
    'ulsi', 'ulso', 'ulst', 'ulta', 'ultâ', 'ulte', 'ulté', 'ultè', 'ulth', 'ulti',
    'ulto', 'ultr', 'ults', 'ultu', 'ulue', 'ulul', 'ulum', 'ulûm', 'ulur', 'ûlur',
    'ulûr', 'ulus', 'ulut', 'ulût', 'ulva', 'ulve', 'ulvé', 'ulvi', 'ulxu', 'umab',
    'umac', 'umag', 'umai', 'umal', 'umam', 'umâm', 'uman', 'umar', 'umas', 'umat',
    'umât', 'umau', 'umax', 'umba', 'umbe', 'umbi', 'umbl', 'umbo', 'umbu', 'umci',
    'umdu', 'umea', 'uméa', 'umec', 'umée', 'uméf', 'umel', 'umem', 'umen', 'ûmen',
    'umén', 'umèn', 'umer', 'umér', 'umèr', 'umes', 'ûmes', 'umés', 'umet', 'umét',
    'umèt', 'umeu', 'umex', 'umez', 'umia', 'umic', 'umid', 'umie', 'umiè', 'umif',
    'umig', 'umil', 'umîm', 'umin', 'umio', 'umip', 'umiq', 'umir', 'umis', 'umit',
    'umît', 'umiv', 'umla', 'umli', 'umlu', 'umme', 'ummi', 'ummo', 'ummu', 'umna',
    'umni', 'umob', 'umoc', 'umog', 'umoi', 'umol', 'umom', 'umon', 'umop', 'umor',
    'umos', 'umot', 'umou', 'umoy', 'umpe', 'umpi', 'umpo', 'umps', 'umpt', 'umqu',
    'umst', 'umte', 'umth', 'umtr', 'umul', 'umur', 'umus', 'umvi', 'umyc', 'umys',
    'unab', 'unag', 'unai', 'ûnai', 'unal', 'unam', 'unâm', 'ûnâm', 'unan', 'ûnan',
    'unar', 'unas', 'ûnas', 'unat', 'unât', 'ûnât', 'unau', 'unce', 'unch', 'unci',
    'unct', 'uncu', 'unda', 'unde', 'undi', 'undo', 'undr', 'unds', 'undu', 'unea',
    'unèb', 'unec', 'unée', 'unéi', 'unel', 'unél', 'unem', 'uném', 'unen', 'ûnen',
    'uner', 'ûner', 'unér', 'unèr', 'ûnèr', 'unes', 'ûnes', 'unés', 'unet', 'uneu',
    'ûneu', 'unev', 'unév', 'unez', 'ûnez', 'unga', 'ungi', 'ungl', 'ungo', 'ungs',
    'ungu', 'unia', 'uniâ', 'unic', 'unid', 'unie', 'ûnie', 'unié', 'uniè', 'unif',
    'unii', 'unij', 'unil', 'unim', 'unîm', 'unin', 'unio', 'ûnio', 'unip', 'uniq',
    'unir', 'unis', 'unit', 'unît', 'uniu', 'univ', 'unix', 'unka', 'unke', 'unks',
    'unky', 'unli', 'unna', 'unne', 'unni', 'unoc', 'unod', 'unof', 'unog', 'unoi',
    'unol', 'unon', 'ûnon', 'unos', 'unot', 'unou', 'unse', 'unsé', 'unst', 'unsw',
    'unta', 'untâ', 'unte', 'unté', 'untè', 'unti', 'untj', 'unto', 'untr', 'unts',
    'unuc', 'unul', 'unum', 'unuq', 'unur', 'unus', 'uode', 'uodé', 'uodi', 'uogr',
    'uoia', 'uoiq', 'uoir', 'uois', 'uola', 'uole', 'uoli', 'uols', 'uolz', 'uome',
    'uomè', 'uoni', 'uons', 'üons', 'uopo', 'uora', 'uore', 'uoré', 'uorh', 'uori',
    'uoro', 'uors', 'uoru', 'uose', 'uosi', 'uota', 'uote', 'uoti', 'uoto', 'uott',
    'uotu', 'uouè', 'upab', 'upac', 'upad', 'upag', 'upai', 'upaï', 'upaj', 'upal',
    'upâm', 'upan', 'upap', 'upar', 'upas', 'upat', 'upât', 'upau', 'upaz', 'upço',
    'upde', 'upea', 'upéd', 'upèd', 'upée', 'upéf', 'upéi', 'upel', 'upem', 'upen',
    'upéo', 'upep', 'uper', 'upér', 'upèr', 'upes', 'upés', 'upès', 'upet', 'upeu',
    'upez', 'upha', 'uphé', 'uphè', 'uphi', 'upho', 'uphr', 'upht', 'uphu', 'upia',
    'upic', 'upid', 'upie', 'upiè', 'upil', 'upîm', 'upin', 'upio', 'upip', 'upiq',
    'upir', 'upis', 'upit', 'upît', 'upiv', 'upla', 'uplâ', 'uple', 'uplé', 'uplè',
    'upli', 'uplî', 'uplo', 'upne', 'upoi', 'upol', 'upom', 'upon', 'upor', 'upou',
    'uppa', 'uppâ', 'uppe', 'uppé', 'uppè', 'uppi', 'uppl', 'uppo', 'uppô', 'uppr',
    'uppu', 'uppy', 'upra', 'upre', 'upré', 'uprè', 'uprê', 'upri', 'upro', 'upsi',
    'upso', 'upte', 'upté', 'upti', 'upto', 'uptr', 'upts', 'uptu', 'upul', 'upun',
    'upur', 'upus', 'upwe', 'uqua', 'uquâ', 'uque', 'uqué', 'uquè', 'uqui', 'uquo',
    'urab', 'urac', 'uraç', 'urad', 'urae', 'uraè', 'uraf', 'urag', 'ûrag', 'urah',
    'urai', 'uraï', 'uraj', 'ural', 'uram', 'urâm', 'uran', 'uraq', 'urar', 'uras',
    'urat', 'urât', 'urau', 'urav', 'urax', 'uray', 'urba', 'urbâ', 'urbe', 'urbé',
    'urbè', 'urbi', 'urbo', 'urbu', 'urca', 'urça', 'urce', 'urcé', 'urch', 'urci',
    'urcî', 'urcl', 'urco', 'urço', 'urcr', 'urcs', 'urcu', 'urcy', 'urda', 'urdâ',
    'urde', 'urdé', 'urdè', 'urdh', 'urdi', 'urdî', 'urdl', 'urdo', 'urdr', 'urds',
    'urdu', 'urea', 'uréa', 'urec', 'ured', 'uréd', 'uree', 'urée', 'uref', 'uréi',
    'urêk', 'urel', 'urél', 'urèl', 'urem', 'ûrem', 'urém', 'uren', 'ûren', 'urén',
    'urèn', 'ureo', 'uréo', 'uréq', 'urer', 'urér', 'urèr', 'ures', 'ûres', 'urés',
    'urès', 'uret', 'ûret', 'urét', 'urèt', 'ureu', 'urév', 'urex', 'urey', 'urez',
    'urfa', 'urfe', 'urfi', 'urfî', 'urfo', 'urfs', 'urfu', 'urga', 'urge', 'urgé',
    'urgè', 'urgi', 'urgî', 'urgm', 'urgo', 'urgr', 'urgs', 'urgu', 'urha', 'urho',
    'urhu', 'urhy', 'uria', 'uriâ', 'urib', 'uric', 'urid', 'urie', 'ûrie', 'urié',
    'uriè', 'urif', 'urig', 'urii', 'urik', 'uril', 'urim', 'urîm', 'ûrîm', 'urin',
    'urio', 'urip', 'uriq', 'urir', 'ûrir', 'uris', 'ûris', 'urit', 'ûrit', 'urît',
    'ûrît', 'uriu', 'uriv', 'urja', 'urje', 'urka', 'urkm', 'urla', 'urlâ', 'urle',
    'urlé', 'urlè', 'urli', 'urlo', 'urlu', 'urma', 'urme', 'urmé', 'urmè', 'urmi',
    'ürmi', 'urmo', 'ürms', 'urmu', 'urna', 'urnâ', 'urne', 'urné', 'urnè', 'urni',
    'urnî', 'urno', 'urns', 'urnu', 'urob', 'uroc', 'urod', 'uroe', 'urof', 'urog',
    'uroi', 'uroî', 'urol', 'urom', 'uron', 'ûron', 'urop', 'uror', 'uros', 'urot',
    'urou', 'urov', 'urox', 'uroy', 'urpa', 'urpâ', 'urpe', 'urpé', 'urpè', 'urpi',
    'urpl', 'urpo', 'urpr', 'urpu', 'urqu', 'urra', 'urrâ', 'urre', 'urré', 'urrè',
    'urrh', 'urri', 'urrî', 'urro', 'urru', 'urry', 'ursa', 'ursâ', 'urse', 'ursé',
    'ursè', 'ursi', 'ursî', 'urso', 'urss', 'ursu', 'urta', 'urtâ', 'urte', 'urté',
    'urtè', 'urti', 'urtm', 'urto', 'urtr', 'urts', 'urub', 'urue', 'urug', 'urul',
    'urum', 'urûm', 'urun', 'urur', 'urus', 'urut', 'urût', 'urva', 'urvâ', 'urve',
    'urvé', 'urvè', 'urvê', 'urvi', 'urvî', 'urvo', 'urvu', 'urvû', 'uryc', 'uryg',
    'uryh', 'urys', 'uryt', 'usab', 'usac', 'usad', 'usag', 'usai', 'usal', 'usâm',
    'usan', 'usar', 'usas', 'usat', 'usât', 'usau', 'usca', 'usce', 'usch', 'usci',
    'uscl', 'usco', 'uscr', 'uscs', 'uscu', 'usdi', 'usea', 'uséa', 'usec', 'usée',
    'usel', 'usem', 'usém', 'usen', 'uséo', 'user', 'usèr', 'uses', 'usés', 'uset',
    'useu', 'uséu', 'usey', 'usez', 'ushe', 'ushi', 'ushs', 'usia', 'usib', 'usic',
    'usie', 'usiè', 'usif', 'usii', 'usil', 'usîm', 'usin', 'usio', 'usiq', 'usir',
    'usis', 'usit', 'usît', 'usiv', 'uska', 'uski', 'usli', 'usme', 'usmé', 'usmi',
    'usné', 'usno', 'usoi', 'usoï', 'usol', 'uson', 'usot', 'usoy', 'uspe', 'uspé',
    'uspi', 'uspu', 'usqu', 'usqú', 'ussa', 'ussâ', 'usse', 'ûsse', 'ussé', 'ussè',
    'ussi', 'ûssi', 'ussî', 'ussm', 'usso', 'ussu', 'usta', 'ustâ', 'uste', 'usté',
    'ustè', 'usti', 'usto', 'ustr', 'usts', 'ustu', 'usuc', 'usud', 'usue', 'usuf',
    'usul', 'usum', 'usur', 'usus', 'usvi', 'utab', 'utac', 'utad', 'utag', 'ûtag',
    'utai', 'ûtai', 'utal', 'utam', 'ûtam', 'utâm', 'ûtâm', 'utan', 'ûtan', 'utar',
    'utas', 'ûtas', 'utat', 'ûtat', 'utât', 'ûtât', 'utau', 'utaz', 'utbo', 'utch',
    'utea', 'ûtea', 'utéa', 'utec', 'utéc', 'ûtee', 'utée', 'ûtée', 'utef', 'utei',
    'utéi', 'utel', 'utél', 'utèl', 'utem', 'ûtem', 'uten', 'ûten', 'utèn', 'uter',
    'ûter', 'üter', 'utér', 'utèr', 'ûtèr', 'utes', 'ûtes', 'utés', 'ûtés', 'utét',
    'uteu', 'ûteu', 'utex', 'utez', 'ûtez', 'utfo', 'utha', 'uthe', 'uthé', 'uthè',
    'uthi', 'utho', 'uths', 'utia', 'ûtia', 'utiâ', 'utic', 'utie', 'ûtie', 'utié',
    'utiè', 'utif', 'utig', 'utii', 'util', 'utim', 'utîm', 'utin', 'utîn', 'utio',
    'ûtio', 'utiq', 'utir', 'utis', 'ûtis', 'utit', 'utît', 'utiv', 'utla', 'utni',
    'utoa', 'utob', 'utoc', 'utod', 'utoé', 'utof', 'utog', 'utoh', 'utoi', 'utol',
    'utom', 'uton', 'ûton', 'utop', 'utor', 'utos', 'utot', 'utôt', 'utou', 'utov',
    'utoy', 'utpu', 'utra', 'ûtra', 'utrâ', 'utre', 'utré', 'utrè', 'utri', 'utro',
    'utru', 'utsc', 'utse', 'utsi', 'utta', 'uttâ', 'utte', 'utté', 'uttè', 'utti',
    'utto', 'uttu', 'utua', 'utue', 'utul', 'utum', 'utun', 'utur', 'utut', 'utyc',
    'utyl', 'utyr', 'utze', 'utzi', 'uums', 'uumv', 'uung', 'uure', 'uvab', 'uvac',
    'uvag', 'uvai', 'uval', 'uvâm', 'uvan', 'uvar', 'uvas', 'uvat', 'uvât', 'uvau',
    'uvea', 'uvec', 'uvee', 'uvée', 'uveg', 'uvéi', 'uvel', 'uvem', 'uven', 'uvén',
    'uver', 'uvèr', 'uves', 'uvés', 'uvet', 'uveu', 'uvez', 'uvia', 'uvic', 'uvie',
    'uviè', 'uvig', 'uvil', 'uvim', 'uvîm', 'uvin', 'uvîn', 'uvio', 'uviô', 'uvir',
    'uvis', 'uvit', 'uvît', 'uviu', 'uvoi', 'uvon', 'uvot', 'uvoy', 'uvra', 'uvrâ',
    'uvre', 'uvré', 'uvrè', 'uvri', 'uvrî', 'uvro', 'uvru', 'uvue', 'uvul', 'uwol',
    'uxac', 'uxag', 'uxai', 'uxâm', 'uxan', 'uxas', 'uxat', 'uxât', 'uxée', 'uxel',
    'uxem', 'uxen', 'uxer', 'uxèr', 'uxes', 'uxés', 'uxez', 'uxie', 'uxiè', 'uxil',
    'uxin', 'uxio', 'uxit', 'uxmè', 'uxoi', 'uxom', 'uxon', 'uxor', 'uxqu', 'uxta',
    'uxtâ', 'uxte', 'uxté', 'uxtè', 'uxti', 'uxto', 'uxue', 'uxur', 'uyag', 'uyai',
    'uyam', 'uyâm', 'uyan', 'uyar', 'uyas', 'uyât', 'uyau', 'uyée', 'uyen', 'uyer',
    'uyèr', 'uyés', 'uyeu', 'uyez', 'uyie', 'uyio', 'uyon', 'uyot', 'uyou', 'uysa',
    'uzad', 'uzai', 'uzar', 'uzbe', 'uzei', 'uzel', 'uzen', 'uzer', 'uzèr', 'uzes',
    'uzès', 'uzét', 'uzie', 'uziè', 'uzin', 'uzio', 'uzla', 'uzni', 'uzon', 'uzul',
    'uzzl', 'uzzo'
    );

  //V
  F4LvMax_ = 690;
  F4Lv_: array[1..F4LvMax_] of S016_ = (
    'vabi', 'vabl', 'vabo', 'vaca', 'vacc', 'vace', 'vacé', 'vach', 'vaci', 'vacu',
    'vada', 'vadâ', 'vade', 'vadé', 'vadè', 'vadi', 'vado', 'vadr', 'vaga', 'vage',
    'vagé', 'vagè', 'vagi', 'vago', 'vagu', 'vahi', 'vahî', 'vaho', 'vaic', 'vaie',
    'vaig', 'vail', 'vain', 'vaïo', 'vair', 'vais', 'vaïs', 'vait', 'vaja', 'vala',
    'valâ', 'valb', 'valc', 'vald', 'vale', 'valé', 'valè', 'valg', 'vali', 'valk',
    'vall', 'valm', 'valo', 'valr', 'vals', 'valu', 'valû', 'valv', 'vame', 'vâme',
    'vamm', 'vamp', 'vana', 'vanâ', 'vanc', 'vanç', 'vand', 'vane', 'vané', 'vanè',
    'vang', 'vani', 'vann', 'vano', 'vans', 'vant', 'vape', 'vapo', 'vaqu', 'vara',
    'vard', 'vare', 'varh', 'vari', 'varl', 'varm', 'varo', 'varq', 'varr', 'vars',
    'vart', 'varu', 'varv', 'vary', 'vasa', 'vasâ', 'vasc', 'vase', 'vasé', 'vasè',
    'vasi', 'vaso', 'vasq', 'vass', 'vast', 'vasu', 'vata', 'vatâ', 'vatd', 'vate',
    'vâte', 'vaté', 'vatè', 'vati', 'vato', 'vatr', 'vâtr', 'vats', 'vatt', 'vauc',
    'vaud', 'vaug', 'vaul', 'vaur', 'vaut', 'vauv', 'vaux', 'vava', 'vavi', 'vayr',
    'véab', 'véal', 'véas', 'veau', 'véau', 'vécé', 'vech', 'vèch', 'vêch', 'veci',
    'veco', 'veço', 'vect', 'vécu', 'vécû', 'veda', 'véda', 'vede', 'védè', 'védi',
    'vedo', 'vées', 'véfa', 'vefi', 'vega', 'vège', 'végé', 'végè', 'végi', 'véhé',
    'véhi', 'vehm', 'veil', 'vein', 'véin', 'véit', 'vejo', 'vela', 'véla', 'vêla',
    'velâ', 'vélâ', 'velc', 'veld', 'vele', 'véle', 'vèle', 'vêle', 'velé', 'vélé',
    'velè', 'vélè', 'veli', 'véli', 'velî', 'vell', 'véll', 'velo', 'vélo', 'velt',
    'velu', 'vélu', 'velv', 'vemb', 'veme', 'vemm', 'vena', 'véna',
    'venc', 'venç', 'vend', 'vene', 'véne', 'vène', 'véné', 'vénè', 'veng', 'veni',
    'véni', 'venn', 'veno', 'vent', 'venu', 'vénu', 'véol', 'vêpr', 'vêqu', 'vera',
    'véra', 'vérâ', 'verb', 'verc', 'verd', 'vere', 'vére', 'vère', 'veré', 'véré',
    'vérè', 'verg', 'veri', 'véri', 'verj', 'verl', 'verm', 'vern', 'vero', 'véro',
    'verp', 'verr', 'vers', 'vert', 'veru', 'véru', 'verv', 'vesa', 'vésa', 'vesc',
    'vesé', 'vesi', 'vési', 'vesn', 'veso', 'vesp', 'vess', 'vest', 'vesu', 'vésu',
    'veta', 'véta', 'vêta', 'vetâ', 'vete', 'vète', 'vête', 'veté', 'vété', 'vetè',
    'vétè', 'veti', 'véti', 'vêti', 'vêtî', 'veto', 'vêto', 'vetr', 'vêtr', 'vets',
    'vêts', 'vett', 'vétu', 'vêtu', 'véty', 'veuf', 'veug', 'veui', 'veul', 'veur',
    'veus', 'veut', 'veuv', 'veux', 'veve', 'vexa', 'vexâ', 'vexe', 'vexé', 'vexè',
    'vexi', 'vexo', 'veyr', 'veys', 'véze', 'vhém', 'viab', 'viad', 'viag', 'viai',
    'vial', 'viâm', 'vian', 'viar', 'vias', 'viat', 'viât', 'viau', 'vibi', 'vibl',
    'vibo', 'vibr', 'vibu', 'vica', 'vice', 'vicé', 'vich', 'vici', 'vico', 'vict',
    'vicu', 'vida', 'vidâ', 'vide', 'vidé', 'vidè', 'vidi', 'vido', 'vidr', 'vidu',
    'vied', 'viée', 'viei', 'viel', 'vièl', 'vièm', 'vien', 'vier', 'vièr', 'vies',
    'viés', 'viet', 'viét', 'viêt', 'vieu', 'view', 'viez', 'vifa', 'vifi', 'vifo',
    'vifs', 'viga', 'vige', 'vigé', 'vigè', 'vigi', 'vign', 'vigo', 'vigr', 'vigu',
    'viha', 'viie', 'viii', 'viio', 'viki', 'vila', 'vile', 'vilé', 'vilè', 'vili',
    'vilî', 'vill', 'vils', 'vima', 'vime', 'vîme', 'vimé', 'vimè', 'vimo', 'vimy',
    'vina', 'vinâ', 'vinb', 'vinc', 'vinç', 'vind', 'vine', 'viné', 'vinè', 'ving',
    'vini', 'vinm', 'vînm', 'vino', 'vinr', 'vins', 'vint', 'vînt', 'viny', 'vioc',
    'viog', 'viol', 'viom', 'vion', 'vioq', 'vior', 'vios', 'viôs', 'viot', 'viou',
    'vipa', 'vipé', 'vipè', 'vipl', 'vipo', 'viqu', 'vira', 'virâ', 'vire', 'viré',
    'virè', 'virg', 'viri', 'virl', 'viro', 'virs', 'virt', 'viru', 'visa', 'visâ',
    'visc', 'vise', 'visé', 'visè', 'visg', 'vish', 'visi', 'vism', 'visn', 'viso',
    'visp', 'visq', 'viss', 'vist', 'visu', 'vita', 'vitâ', 'vitc', 'vite', 'vîte',
    'vité', 'vitè', 'viti', 'vito', 'vitr', 'vitt', 'vitu', 'vium', 'viva', 'vivâ',
    'vive', 'vivé', 'vivè', 'vivi', 'vivo', 'vivr', 'vivu', 'vizi', 'vkho', 'vlan',
    'vlov', 'vnar', 'vnis', 'vobu', 'voca', 'voce', 'vocé', 'voch', 'voci', 'voco',
    'vocy', 'voda', 'vode', 'vodi', 'vodk', 'voeu', 'vofr', 'voge', 'vogé', 'vogl',
    'vogo', 'vogu', 'vogy', 'vohe', 'vohé', 'voic', 'voïd', 'voie', 'voïé', 'voië',
    'voil', 'voin', 'voir', 'vois', 'voit', 'voïv', 'voix', 'vola', 'volâ', 'volc',
    'vole', 'volé', 'volè', 'voli', 'voll', 'volo', 'vols', 'volt', 'volu', 'volv',
    'vomb', 'vome', 'vomé', 'vomi', 'vomî', 'vomo', 'vone', 'voni', 'vonn', 'vons',
    'vont', 'voph', 'voqu', 'vora', 'vorâ', 'vorc', 'vorç', 'vore', 'voré', 'vorè',
    'vori', 'voro', 'vorr', 'vort', 'vosc', 'vôse', 'vosg', 'vosi', 'vota', 'vôta',
    'votâ', 'vote', 'vôte', 'voté', 'vôté', 'votè', 'voth', 'voti', 'voto', 'votr',
    'vôtr', 'vots', 'vott', 'voua', 'vouâ', 'vouc', 'voud', 'voue', 'voué', 'vouè',
    'voug', 'voui', 'voul', 'vouo', 'vour', 'vous', 'vout', 'voût', 'vouv', 'voux',
    'vouz', 'vova', 'vovi', 'voya', 'voyâ', 'voye', 'voyé', 'voyè', 'voyi', 'voyo',
    'voyu', 'vrab', 'vrac', 'vrad', 'vrag', 'vrai', 'vral', 'vrâm', 'vran', 'vraq',
    'vras', 'vrât', 'vrau', 'vrax', 'vray', 'vrea', 'vrec', 'vree', 'vrée', 'vref',
    'vrem', 'vren', 'vrep', 'vrer', 'vrèr', 'vres', 'vrés', 'vret', 'vrèt', 'vreu',
    'vrez', 'vrie', 'vrié', 'vriè', 'vril', 'vrim', 'vrîm', 'vrin', 'vrio', 'vriq',
    'vrir', 'vris', 'vrit', 'vrît', 'vroc', 'vrod', 'vrog', 'vroi', 'vrol', 'vrom',
    'vron', 'vroo', 'vrop', 'vros', 'vrot', 'vrou', 'vrur', 'vrye', 'vrys', 'vtol',
    'vudi', 'vues', 'vuet', 'vuis', 'vula', 'vulâ', 'vulc', 'vule', 'vulé', 'vulè',
    'vulg', 'vuli', 'vuln', 'vulo', 'vulp', 'vuls', 'vult', 'vulu', 'vulv', 'vûme',
    'vumè', 'vunc', 'vura', 'vurâ', 'vure', 'vuré', 'vurè', 'vuri', 'vuro', 'vuss',
    'vûte', 'vzon'
    );

  //W
  F4LwMax_ = 132;
  F4Lw_: array[1..F4LwMax_] of S016_ = (
    'wana', 'wanz', 'watt', 'wche', 'wett', 'wini', 'witz', 'wler', 'wleu', 'wlin',
    'wner', 'wnes', 'wnie', 'wnin', 'wper', 'wstr', 'waïe', 'waii', 'ware', 'wbac',
    'webe', 'ween', 'weis', 'will', 'wood', 'wadi', 'waga', 'wagn', 'wago', 'wahé',
    'wahh', 'wahi', 'waie', 'wais', 'wait', 'walé', 'wali', 'walk', 'wall', 'wâme',
    'wani', 'wann', 'wans', 'want', 'wapi', 'waps', 'ward', 'warg', 'warn', 'warr',
    'wart', 'wash', 'wass', 'wast', 'wate', 'wâte', 'ways', 'wbiz', 'wear', 'weat',
    'weed', 'week', 'wéen', 'weep', 'wées', 'weet', 'wehn', 'wehr', 'weig', 'weit',
    'weït', 'welc', 'well', 'wels', 'welt', 'went', 'wera', 'were', 'wère', 'werg',
    'weri', 'wero', 'wers', 'wesl', 'west', 'weur', 'whar', 'whig', 'whip', 'whis',
    'whit', 'wich', 'wick', 'wicl', 'wieb', 'wien', 'wiez', 'wigw', 'wila', 'wild',
    'winc', 'wind', 'wing', 'winn', 'wint', 'wion', 'wirs', 'wish', 'wisi', 'wisk',
    'wist', 'witl', 'wiya', 'wnia', 'wolf', 'wolo', 'woma', 'womb', 'wome', 'wons',
    'woof', 'wool', 'work', 'worl', 'worm', 'wren', 'writ', 'wton', 'wurm', 'würm',
    'wurt', 'wyan'
    );

  //X
  F4LxMax_ = 386;
  F4Lx_: array[1..F4LxMax_] of S016_ = (
    'xabl', 'xace', 'xacé', 'xach', 'xaci', 'xaco', 'xact', 'xadé', 'xaéd', 'xaèd',
    'xafl', 'xage', 'xagé', 'xagè', 'xago', 'xaie', 'xain', 'xais', 'xait', 'xala',
    'xalb', 'xale', 'xalé', 'xalg', 'xali', 'xalt', 'xalu', 'xame', 'xâme', 'xamè',
    'xami', 'xand', 'xane', 'xans', 'xant', 'xapo', 'xarc', 'xarq', 'xart', 'xasp',
    'xass', 'xate', 'xâte', 'xati', 'xato', 'xatr', 'xauc', 'xauç', 'xaud', 'xaux',
    'xcar', 'xcav', 'xced', 'xcéd', 'xcèd', 'xcel', 'xcen', 'xcep', 'xces', 'xcès',
    'xcha', 'xcip', 'xcis', 'xcit', 'xcla', 'xclu', 'xclû', 'xcom', 'xcor', 'xcre',
    'xcré', 'xcro', 'xcur', 'xcus', 'xdal', 'xdig', 'xduc', 'xeat', 'xécr', 'xècr',
    'xecu', 'xécu', 'xèdr', 'xéen', 'xées', 'xege', 'xégé', 'xégè', 'xell', 'xels',
    'xemb', 'xeme', 'xème', 'xémi', 'xemp', 'xéna', 'xenc', 'xene', 'xène', 'xéné',
    'xénè', 'xeni', 'xéni', 'xénn', 'xéno', 'xent', 'xeol', 'xequ', 'xera', 'xéra',
    'xerc', 'xerç', 'xere', 'xère', 'xéré', 'xérè', 'xerg', 'xeri', 'xéri', 'xero',
    'xéro', 'xerr', 'xers', 'xéru', 'xeur', 'xfol', 'xfor', 'xhal', 'xhau', 'xher',
    'xhér', 'xhib', 'xhil', 'xhor', 'xhos', 'xhum', 'xhyd', 'xiai', 'xial', 'xiâm',
    'xian', 'xiar', 'xias', 'xiât', 'xiau', 'xibi', 'xibl', 'xica', 'xici', 'xico',
    'xide', 'xiée', 'xiel', 'xièm', 'xien', 'xier', 'xièr', 'xies', 'xiés', 'xiét',
    'xieu', 'xiez', 'xifi', 'xifr', 'xige', 'xigé', 'xigè', 'xigi', 'xigl', 'xigu',
    'xigü', 'xiie', 'xiio', 'xila', 'xilâ', 'xile', 'xilé', 'xilè', 'xili', 'xill',
    'xilo', 'xils', 'xima', 'xime', 'ximé', 'ximè', 'ximi', 'ximu', 'xine', 'xiné',
    'xing', 'xinh', 'xino', 'xins', 'xiog', 'xiol', 'xiom', 'xion', 'xiph', 'xipo',
    'xiqu', 'xirs', 'xisa', 'xise', 'xism', 'xist', 'xisy', 'xite', 'xité', 'xith',
    'xive', 'xivi', 'xiwa', 'xmèt', 'xoan', 'xobi', 'xoce', 'xocr', 'xode', 'xodi',
    'xodo', 'xodr', 'xoed', 'xofo', 'xoga', 'xogè', 'xogr', 'xoid', 'xois', 'xolo',
    'xoly', 'xoma', 'xome', 'xomo', 'xomy', 'xond', 'xone', 'xoné', 'xonè', 'xong',
    'xoni', 'xonn', 'xono', 'xons', 'xoph', 'xopl', 'xora', 'xorb', 'xorc', 'xord',
    'xoré', 'xori', 'xosa', 'xose', 'xosm', 'xosp', 'xost', 'xoté', 'xoth', 'xoti',
    'xoto', 'xotr', 'xpan', 'xpar', 'xpat', 'xpec', 'xped', 'xpéd', 'xper', 'xpér',
    'xpia', 'xpiâ', 'xpie', 'xpié', 'xpiè', 'xpii', 'xpio', 'xpir', 'xpla', 'xplé',
    'xpli', 'xplo', 'xpon', 'xpor', 'xpos', 'xpre', 'xprè', 'xpri', 'xpro', 'xpug',
    'xpul', 'xpur', 'xque', 'xqui', 'xrèd', 'xsan', 'xstr', 'xsud', 'xsuf', 'xtai',
    'xtal', 'xtâm', 'xtan', 'xtap', 'xtas', 'xtat', 'xtât', 'xtée', 'xtem', 'xten',
    'xtén', 'xter', 'xtér', 'xtèr', 'xtes', 'xtés', 'xtez', 'xtid', 'xtie', 'xtil',
    'xtin', 'xtio', 'xtir', 'xtol', 'xton', 'xtor', 'xtra', 'xtre', 'xtré', 'xtrê',
    'xtri', 'xtro', 'xtru', 'xtue', 'xtuo', 'xtup', 'xtur', 'xual', 'xubé', 'xuée',
    'xuel', 'xués', 'xueu', 'xulc', 'xult', 'xuos', 'xupa', 'xure', 'xuri', 'xuro',
    'xuto', 'xuvi', 'xwel', 'xyac', 'xyca', 'xych', 'xyco', 'xycr', 'xycy', 'xyda',
    'xydâ', 'xyde', 'xydé', 'xydè', 'xydi', 'xydo', 'xyge', 'xygé', 'xygè', 'xyhé',
    'xyla', 'xyle', 'xylé', 'xylè', 'xyli', 'xylo', 'xyme', 'xymé', 'xymo', 'xyri',
    'xyse', 'xysm', 'xyst', 'xysu', 'xyto', 'xyur'
    );

  //Y
  F4LyMax_ = 886;
  F4Ly_: array[1..F4LyMax_] of S016_ = (
    'yabi', 'yabl', 'yacé', 'yach', 'yaci', 'yack', 'yadd', 'yade', 'yadé', 'yadè',
    'yadi', 'yady', 'yaga', 'yage', 'yagé', 'yagè', 'yagi', 'yaie', 'yais', 'yait',
    'yakè', 'yaki', 'yako', 'yaks', 'yaku', 'yala', 'yalc', 'yale', 'yalg', 'yali',
    'yalo', 'yals', 'yalt', 'yama', 'yâme', 'yami', 'yamm', 'yana', 'yanc', 'yand',
    'yane', 'yang', 'yanh', 'yani', 'yank', 'yano', 'yans', 'yant', 'yanu', 'yaou',
    'yapi', 'yarc', 'yard', 'yare', 'yari', 'yart', 'yary', 'yass', 'yast', 'yata',
    'yatc', 'yâte', 'yati', 'yato', 'yatr', 'yaud', 'yaum', 'yaus', 'yaut', 'yaux',
    'yave', 'yavi', 'yawl', 'ybal', 'yban', 'ybar', 'ybas', 'ybdé', 'ybdè', 'ybdi',
    'ybea', 'yber', 'ybie', 'ybin', 'ybon', 'ybri', 'ybus', 'ybut', 'ycad', 'ycan',
    'ycao', 'ycar', 'ycas', 'ycée', 'ycél', 'ycém', 'ycen', 'ycén', 'ycèn', 'ycep',
    'ycép', 'ycer', 'ycér', 'ycèr', 'yces', 'ycet', 'ycét', 'ycèt', 'ycha', 'yche',
    'yché', 'ychè', 'ychi', 'ychl', 'ychn', 'ycho', 'ychr', 'ycid', 'ycie', 'ycin',
    'ycis', 'ycit', 'ycla', 'yclâ', 'ycle', 'yclé', 'yclè', 'ycli', 'yclo', 'ycni',
    'ycno', 'ycoc', 'ycod', 'ycoé', 'ycog', 'ycoi', 'yçoi', 'ycol', 'ycom', 'ycon',
    'ycop', 'ycor', 'ycos', 'ycot', 'ycou', 'ycra', 'ycta', 'ycte', 'ycté', 'yctè',
    'ycth', 'ycti', 'yctu', 'ycul', 'ycya', 'ycyc', 'ycyt', 'ydab', 'ydac', 'ydai',
    'ydâm', 'ydan', 'ydar', 'ydas', 'ydat', 'ydât', 'yddi', 'ydec', 'ydée', 'yden',
    'yder', 'ydér', 'ydèr', 'ydes', 'ydés', 'ydez', 'ydia', 'ydie', 'ydim', 'ydio',
    'ydip', 'ydiq', 'ydne', 'ydon', 'ydor', 'ydra', 'ydre', 'ydré', 'ydri', 'ydro',
    'ydru', 'ydry', 'ydys', 'year', 'yèbl', 'yech', 'yède', 'yédr', 'yèdr', 'yées',
    'yéle', 'yeli', 'yéli', 'yell', 'yelo', 'yélo', 'yemb', 'yeme', 'yéme', 'yème',
    'yémé', 'yemi', 'yenâ', 'yenc', 'yenç', 'yene', 'yène', 'yéni', 'yenn', 'yens',
    'yent', 'yeom', 'yera', 'yéra', 'yere', 'yère', 'yeri', 'yero', 'yéro', 'yerr',
    'yers', 'yesh', 'yest', 'yète', 'yéth', 'yeti', 'yéti', 'yett', 'yeur', 'yeus',
    'yeut', 'yeux', 'yfon', 'yfus', 'ygal', 'ygam', 'ygan', 'ygar', 'ygda', 'ygen',
    'ygén', 'ygèn', 'ygia', 'ygie', 'ygié', 'ygiè', 'yglo', 'ygme', 'ygmé', 'ygmi',
    'ygmo', 'ygna', 'ygne', 'ygné', 'ygod', 'ygoï', 'ygom', 'ygon', 'ygop', 'ygos',
    'ygot', 'ygra', 'ygro', 'ygyn', 'yhal', 'yhém', 'yhie', 'yhol', 'yhyb', 'yiad',
    'yias', 'yidd', 'yiez', 'yion', 'yism', 'yist', 'yjam', 'ykin', 'yklo', 'ykys',
    'ylac', 'ylag', 'ylai', 'ylal', 'ylam', 'ylâm', 'ylan', 'ylar', 'ylas', 'ylat',
    'ylât', 'ylax', 'ylbu', 'ylce', 'ylcé', 'ylch', 'ylco', 'yléd', 'ylée', 'ylem',
    'ylèm', 'ylen', 'ylén', 'ylèn', 'yler', 'ylèr', 'yles', 'ylés', 'ylet', 'ylét',
    'yleu', 'ylez', 'ylhe', 'ylhé', 'ylic', 'ylid', 'ylie', 'ylif', 'ylin', 'ylio',
    'yliq', 'ylis', 'ylit', 'yliu', 'ylla', 'ylle', 'yllé', 'ylli', 'yllo', 'ylmé',
    'ylmo', 'ylob', 'yloc', 'ylog', 'yloi', 'yloï', 'ylol', 'ylom', 'ylon', 'ylôn',
    'ylop', 'ylor', 'ylos', 'ylot', 'yloz', 'ylph', 'ylsa', 'ylsu', 'ylum', 'ylur',
    'ylva', 'ylve', 'ylvi', 'ymai', 'ymal', 'yman', 'ymar', 'ymas', 'ymat', 'ymau',
    'ymba', 'ymbe', 'ymbi', 'ymbo', 'ymbr', 'ymec', 'ymel', 'ymél', 'ymem', 'ymèm',
    'ymen', 'ymén', 'ymér', 'ymèr', 'ymes', 'ymét', 'ymèt', 'ymho', 'ymia', 'ymie',
    'ymin', 'ymio', 'ymiq', 'ymis', 'ymit', 'ymkh', 'ymna', 'ymne', 'ymni', 'ymno',
    'ymoa', 'ymod', 'ymog', 'ymol', 'ymon', 'ymop', 'ymor', 'ymos', 'ymot', 'ympa',
    'ympe', 'ymph', 'ympi', 'ympl', 'ympo', 'ympt', 'ymri', 'ymus', 'ymyo', 'ynac',
    'ynag', 'ynal', 'ynam', 'ynan', 'ynap', 'ynar', 'ynas', 'ynat', 'ynau', 'ynch',
    'ynci', 'yncl', 'ynco', 'yncr', 'ynda', 'ynde', 'yndè', 'yndi', 'yndr', 'ynec',
    'ynéc', 'yneg', 'ynég', 'ynei', 'yner', 'ynér', 'ynes', 'ynés', 'ynèt', 'ynev',
    'ynév', 'ynga', 'ynge', 'yngé', 'yngi', 'yngn', 'yngo', 'ynie', 'ynip', 'yniq',
    'ynis', 'ynoc', 'ynod', 'ynoe', 'ynog', 'ynoi', 'ynol', 'ynom', 'ynôm', 'ynon',
    'ynop', 'ynor', 'ynos', 'ynov', 'ynqu', 'ynta', 'ynth', 'ynto', 'ynuc', 'yoal',
    'yoca', 'yoch', 'yoci', 'yocl', 'yoco', 'yocy', 'yode', 'yodl', 'yody', 'yoém',
    'yofi', 'yoga', 'yoge', 'yogé', 'yogè', 'yogh', 'yogi', 'yogl', 'yogo', 'yogr',
    'yohe', 'yohi', 'yoid', 'yoïd', 'yoir', 'yoki', 'yole', 'yolé', 'yoli', 'yolo',
    'yolu', 'yoly', 'yome', 'yomé', 'yona', 'yone', 'yoni', 'yonn', 'yons', 'yopa',
    'yope', 'yoph', 'yopi', 'yopl', 'yopn', 'yopo', 'yops', 'yopt', 'yorc', 'yore',
    'york', 'yorn', 'yorr', 'yosa', 'yosc', 'yose', 'yosi', 'yoso', 'yost', 'yote',
    'yoth', 'yoti', 'yotl', 'yoto', 'yotr', 'yott', 'yotu', 'yoty', 'youc', 'youd',
    'youg', 'youp', 'your', 'yous', 'yout', 'youy', 'yozo', 'ypaè', 'ypai', 'ypal',
    'ypâm', 'ypan', 'ypar', 'ypas', 'ypât', 'ypau', 'ypec', 'ypée', 'ypél', 'ypen',
    'ypep', 'yper', 'ypér', 'ypèr', 'ypes', 'ypés', 'ypet', 'ypét', 'ypeu', 'ypez',
    'ypha', 'yphe', 'yphé', 'yphi', 'yphl', 'ypho', 'yphu', 'yphy', 'ypie', 'ypio',
    'ypiq', 'ypis', 'yplo', 'ypna', 'ypne', 'ypné', 'ypni', 'ypno', 'ypoa', 'ypoc',
    'ypod', 'ypoe', 'ypog', 'ypoï', 'ypok', 'ypol', 'ypom', 'ypon', 'ypop', 'ypor',
    'ypos', 'ypot', 'ypov', 'ypox', 'ypre', 'ypré', 'yprè', 'ypri', 'ypro', 'ypsa',
    'ypse', 'ypsé', 'ypsi', 'ypso', 'ypsy', 'ypta', 'ypte', 'ypté', 'yptè', 'ypti',
    'ypto', 'yptu', 'ypty', 'yqua', 'yque', 'yrac', 'yrad', 'yral', 'yram', 'yran',
    'yras', 'yrat', 'yrax', 'yrée', 'yrén', 'yrèn', 'yreo', 'yréo', 'yres', 'yret',
    'yrét', 'yrèt', 'yreu', 'yrex', 'yrhé', 'yrhi', 'yrhy', 'yria', 'yrib', 'yric',
    'yrid', 'yrie', 'yrig', 'yril', 'yrim', 'yrin', 'yrio', 'yriq', 'yris', 'yrit',
    'yriu', 'yrme', 'yrmé', 'yrmi', 'yrne', 'yrni', 'yrob', 'yroc', 'yrod', 'yroé',
    'yrof', 'yrog', 'yroï', 'yrol', 'yrom', 'yron', 'yrop', 'yros', 'yrot', 'yrou',
    'yrox', 'yrph', 'yrrh', 'yrro', 'yrse', 'yrta', 'yrte', 'yrti', 'yrue', 'yrus',
    'yryt', 'ysab', 'ysac', 'ysag', 'ysai', 'ysal', 'ysâm', 'ysan', 'ysar', 'ysas',
    'ysat', 'ysât', 'ysba', 'ysbo', 'ysca', 'ysch', 'ysci', 'yscr', 'ysée', 'ysel',
    'ysél', 'ysem', 'ysém', 'ysèm', 'ysen', 'ysep', 'yser', 'ysèr', 'yses', 'ysés',
    'yseu', 'ysez', 'ysfo', 'ysgé', 'ysgr', 'ysha', 'yshé', 'yshi', 'ysia', 'ysic',
    'ysid', 'ysie', 'ysim', 'ysin', 'ysio', 'ysip', 'ysiq', 'ysis', 'ysit', 'yské',
    'yski', 'ysla', 'ysle', 'yslo', 'ysma', 'ysme', 'ysmé', 'ysmi', 'ysmn', 'ysmo',
    'ysna', 'ysob', 'ysoc', 'ysod', 'ysol', 'ysom', 'yson', 'ysop', 'ysor', 'ysos',
    'ysoz', 'yspa', 'yspe', 'ysph', 'yspl', 'yspn', 'yspr', 'yssa', 'ysse', 'yssé',
    'yssi', 'ysso', 'yssu', 'ysta', 'yste', 'ysté', 'ystè', 'ysth', 'ysti', 'ysto',
    'ystr', 'ysty', 'ysub', 'ysul', 'ysum', 'ysur', 'ysyl', 'ysyn', 'ysys', 'ytai',
    'ytan', 'ytat', 'ytax', 'ytec', 'ytée', 'ytél', 'ytem', 'ytén', 'ytéo', 'yter',
    'ytér', 'ytèr', 'ytes', 'ytha', 'ythe', 'ythé', 'ythè', 'ythi', 'ythm', 'ytho',
    'ythr', 'ythu', 'ytid', 'ytie', 'ytil', 'ytin', 'ytiq', 'ytis', 'ytob', 'ytoc',
    'ytod', 'ytoe', 'ytof', 'ytog', 'ytoh', 'ytoi', 'ytol', 'ytom', 'yton', 'ytop',
    'ytoq', 'ytos', 'ytot', 'ytox', 'ytoz', 'ytra', 'ytre', 'ytri', 'ytte', 'yttr',
    'yuan', 'yucc', 'yula', 'yule', 'yuls', 'yunt', 'yupp', 'yure', 'yuré', 'yuri',
    'yuro', 'yval', 'yver', 'yves', 'yvet', 'yvin', 'yvit', 'ywoo', 'yxia', 'yxiâ',
    'yxid', 'yxie', 'yxié', 'yxiè', 'yxii', 'yxin', 'yxio', 'yxis', 'yxoe', 'yxoi',
    'yxom', 'yxos', 'yzan', 'yzeu', 'yzom', 'yzyg'
    );

  //Z
  F4LzMax_ = 346;
  F4Lz_: array[1..F4LzMax_] of S016_ = (
    'zabi', 'zabr', 'zaca', 'zaci', 'zada', 'zado', 'zadr', 'zaga', 'zage', 'zagr',
    'zags', 'zagu', 'zaib', 'zaie', 'zail', 'zain', 'zair', 'zaïr', 'zais', 'zait',
    'zaka', 'zakh', 'zako', 'zalé', 'zamb', 'zame', 'zamé', 'zâme', 'zami', 'zanc',
    'zand', 'zane', 'zani', 'zann', 'zans', 'zant', 'zanz', 'zaou', 'zapa', 'zapo',
    'zapp', 'zapt', 'zara', 'zarc', 'zard', 'zare', 'zaré', 'zari', 'zaro', 'zarr',
    'zars', 'zart', 'zarz', 'zass', 'zâte', 'zati', 'zawi', 'zaya', 'zaye', 'zayé',
    'zazo', 'zbek', 'zdat', 'zdée', 'zdéi', 'zéag', 'zeau', 'zébr', 'zèbr', 'zébu',
    'zédo', 'zéen', 'zées', 'zeif', 'zéif', 'zéin', 'zeir', 'zela', 'zéla', 'zélé',
    'zèle', 'zeli', 'zell', 'zelo', 'zélo', 'zels', 'zéma', 'zems', 'zena', 'zéna',
    'zend', 'zene', 'zéne', 'zène', 'zéni', 'zenn', 'zens', 'zent', 'zéol', 'zéot',
    'zépa', 'zéph', 'zépi', 'zepp', 'zera', 'zerb', 'zerc', 'zere', 'zeré', 'zère',
    'zeri', 'zéri', 'zern', 'zero', 'zéro', 'zers', 'zert', 'zéru', 'zess', 'zest',
    'zéta', 'zêta', 'zété', 'zétè', 'zeti', 'zéti', 'zett', 'zeug', 'zeur', 'zeus',
    'zeux', 'zeuz', 'zévi', 'zéza', 'ziai', 'ziâm', 'zian', 'zias', 'ziât', 'ziba',
    'zibe', 'zica', 'zicr', 'zicu', 'zide', 'zidi', 'zido', 'ziém', 'zièm', 'zien',
    'zier', 'ziér', 'zièr', 'zìer', 'zies', 'zieu', 'ziez', 'zifè', 'zifi', 'zifo',
    'ziga', 'zigg', 'zigo', 'zigu', 'zigz', 'ziie', 'ziio', 'zili', 'zill', 'zimb',
    'zimu', 'zinc', 'zine', 'zing', 'zini', 'zinj', 'zinn', 'zino', 'zins', 'zinu',
    'zinz', 'ziom', 'zion', 'zios', 'zipp', 'ziqu', 'zira', 'zirc', 'zirs', 'zirt',
    'zism', 'zist', 'zite', 'ziza', 'zize', 'zizi', 'zizy', 'zles', 'zlis', 'zlot',
    'zman', 'zmen', 'znes', 'znik', 'zoai', 'zoan', 'zoar', 'zoat', 'zobi', 'zoca',
    'zocé', 'zoco', 'zoct', 'zodi', 'zodu', 'zoéc', 'zoèd', 'zoél', 'zoga', 'zoge',
    'zogè', 'zogo', 'zogr', 'zoïd', 'zoïl', 'zoiq', 'zoïq', 'zoïs', 'zoit', 'zoké',
    'zola', 'zole', 'zolé', 'zoli', 'zoma', 'zomb', 'zome', 'zomé', 'zomè', 'zomy',
    'zona', 'zone', 'zoné', 'zoni', 'zonn', 'zono', 'zons', 'zont', 'zonu', 'zooc',
    'zoof', 'zoog', 'zooï', 'zook', 'zool', 'zoom', 'zoon', 'zoop', 'zoos', 'zoot',
    'zoox', 'zopa', 'zoph', 'zopo', 'zora', 'zore', 'zori', 'zoro', 'zorr', 'zose',
    'zosp', 'zost', 'zota', 'zote', 'zoté', 'zoth', 'zoti', 'zoto', 'zotu', 'zoty',
    'zoua', 'zoui', 'zouk', 'zoul', 'zous', 'zout', 'zoyl', 'zozo', 'zsch', 'ztèq',
    'zucc', 'zuch', 'zuel', 'zuél', 'zule', 'zuli', 'zura', 'zure', 'zuré', 'zuri',
    'zurk', 'zuta', 'zute', 'zuth', 'zuti', 'zwan', 'zwie', 'zwin', 'zyde', 'zyeu',
    'zygè', 'zygi', 'zygn', 'zygo', 'zykl', 'zyle', 'zyli', 'zyma', 'zyme', 'zymo',
    'zyph', 'zyth', 'zyzo', 'zzan', 'zzar', 'zzas', 'zzer', 'zzia', 'zziâ', 'zzic',
    'zzie', 'zzié', 'zziè', 'zzii', 'zzin', 'zzio', 'zzis', 'zzle', 'zzli', 'zzly',
    'zzma', 'zzme', 'zzol', 'zzot', 'zzou', 'zzzz'
    );

type

  { TWdMain }

  TWdMain = class(TForm)
    CkF4: TCheckBox;
    CkF3: TCheckBox;
    EdRech: TEdit;
    Gr01: TGroupBox;
    Gr02: TGroupBox;
    Label1: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    ListBox1: TListBox;
    ListBox2: TListBox;
    ListBox3: TListBox;
    Panel1: TPanel;
    PaCo: TPanel;
    Panel2: TPanel;
    Panel3: TPanel;
    Panel4: TPanel;
    Panel5: TPanel;
    Panel6: TPanel;
    PaLg: TPanel;
    Panel7: TPanel;
    Spd01: TSpeedButton;
    SpeedButton2: TSpeedButton;
    Timer1: TTimer;
    procedure EdRechChange(Sender: TObject);
    procedure EdRechKeyDown(Sender: TObject; var Key: word; Shift: TShiftState);
    procedure FormClose(Sender: TObject; var CloseAction: TCloseAction);
    procedure FormShow(Sender: TObject);
    procedure Spd01Click(Sender: TObject);
    procedure SpeedButton2Click(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  WdMain: TWdMain;

implementation

uses anagrammes_sleep;

{$R *.lfm}

{ TWdMain }

var
  Data: array[1..CarMax_] of byte;
  Mot: array[1..CarMax_] of string;
  ChRe: array[1..CarMax_] of byte;
  SlMaxX, SlMaxY: integer;
  CarLimite: integer;
  Stop: boolean;

function Factoriel12(v: integer): Qword;
var
  r: Qword;
  n: integer;
begin
  r := 1;
  //Factoriel limité à 12 chiffres
  //soit n!(12)=479001600...
  if r <= 12 then
  begin
    for n := 1 to v do
      r := r * n;
  end;
  Result := r;
end;

procedure Sleep_Efface;
var
  x: integer;
begin
  with WdSleep do
  begin
    SlMaxX := Img.Width;
    SlMaxY := Img.Height;
    with Img.Canvas do
    begin
      Pen.Color := ClCream;
      for x := 0 to SlMaxX - 1 do
        Line(x, 0, x, SlMaxY - 1);
    end;
  end;
end;

procedure Generation;

  function Test_3_Lettres(s: string): boolean;
  var
    s1, s3: string;
    n, p, Lg: integer;
    Ok: boolean;
  begin
    Lg := UTF8Length(s);
    n := 1;
    repeat
      s3 := Utf8Copy(s, n, 3);
      s1 := Utf8Copy(s, n, 1);
      Ok := False;
      if s1 = 'a' then
      begin
        p := 1;
        repeat
          if s3 = F3La_[p] then
            Ok := True;
          Inc(p);
        until (Stop) or (Ok) or (p > F3LaMax_);
      end
      else
      if s1 = 'b' then
      begin
        p := 1;
        repeat
          if s3 = F3Lb_[p] then
            Ok := True;
          Inc(p);
        until (Stop) or (Ok) or (p > F3LbMax_);
      end
      else
      if s1 = 'c' then
      begin
        p := 1;
        repeat
          if s3 = F3Lc_[p] then
            Ok := True;
          Inc(p);
        until (Stop) or (Ok) or (p > F3LcMax_);
      end
      else
      if s1 = 'd' then
      begin
        p := 1;
        repeat
          if s3 = F3Ld_[p] then
            Ok := True;
          Inc(p);
        until (Stop) or (Ok) or (p > F3LdMax_);
      end
      else
      if s1 = 'e' then
      begin
        p := 1;
        repeat
          if s3 = F3Le_[p] then
            Ok := True;
          Inc(p);
        until (Stop) or (Ok) or (p > F3LeMax_);
      end
      else
      if s1 = 'f' then
      begin
        p := 1;
        repeat
          if s3 = F3Lf_[p] then
            Ok := True;
          Inc(p);
        until (Stop) or (Ok) or (p > F3LfMax_);
      end
      else
      if s1 = 'g' then
      begin
        p := 1;
        repeat
          if s3 = F3Lg_[p] then
            Ok := True;
          Inc(p);
        until (Stop) or (Ok) or (p > F3LgMax_);
      end
      else
      if s1 = 'h' then
      begin
        p := 1;
        repeat
          if s3 = F3Lh_[p] then
            Ok := True;
          Inc(p);
        until (Stop) or (Ok) or (p > F3LhMax_);
      end
      else
      if s1 = 'i' then
      begin
        p := 1;
        repeat
          if s3 = F3Li_[p] then
            Ok := True;
          Inc(p);
        until (Stop) or (Ok) or (p > F3LiMax_);
      end
      else
      if s1 = 'j' then
      begin
        p := 1;
        repeat
          if s3 = F3Lj_[p] then
            Ok := True;
          Inc(p);
        until (Stop) or (Ok) or (p > F3LjMax_);
      end
      else
      if s1 = 'k' then
      begin
        p := 1;
        repeat
          if s3 = F3Lk_[p] then
            Ok := True;
          Inc(p);
        until (Stop) or (Ok) or (p > F3LkMax_);
      end
      else
      if s1 = 'l' then
      begin
        p := 1;
        repeat
          if s3 = F3Ll_[p] then
            Ok := True;
          Inc(p);
        until (Stop) or (Ok) or (p > F3LlMax_);
      end
      else
      if s1 = 'm' then
      begin
        p := 1;
        repeat
          if s3 = F3Lm_[p] then
            Ok := True;
          Inc(p);
        until (Stop) or (Ok) or (p > F3LmMax_);
      end
      else
      if s1 = 'n' then
      begin
        p := 1;
        repeat
          if s3 = F3Ln_[p] then
            Ok := True;
          Inc(p);
        until (Stop) or (Ok) or (p > F3LnMax_);
      end
      else
      if s1 = 'o' then
      begin
        p := 1;
        repeat
          if s3 = F3Lo_[p] then
            Ok := True;
          Inc(p);
        until (Stop) or (Ok) or (p > F3LoMax_);
      end
      else
      if s1 = 'p' then
      begin
        p := 1;
        repeat
          if s3 = F3Lp_[p] then
            Ok := True;
          Inc(p);
        until (Stop) or (Ok) or (p > F3LpMax_);
      end
      else
      if s1 = 'q' then
      begin
        p := 1;
        repeat
          if s3 = F3Lq_[p] then
            Ok := True;
          Inc(p);
        until (Stop) or (Ok) or (p > F3LqMax_);
      end
      else
      if s1 = 'r' then
      begin
        p := 1;
        repeat
          if s3 = F3Lr_[p] then
            Ok := True;
          Inc(p);
        until (Stop) or (Ok) or (p > F3LrMax_);
      end
      else
      if s1 = 's' then
      begin
        p := 1;
        repeat
          if s3 = F3Ls_[p] then
            Ok := True;
          Inc(p);
        until (Stop) or (Ok) or (p > F3LsMax_);
      end
      else
      if s1 = 't' then
      begin
        p := 1;
        repeat
          if s3 = F3Lt_[p] then
            Ok := True;
          Inc(p);
        until (Stop) or (Ok) or (p > F3LtMax_);
      end
      else
      if s1 = 'u' then
      begin
        p := 1;
        repeat
          if s3 = F3Lu_[p] then
            Ok := True;
          Inc(p);
        until (Stop) or (Ok) or (p > F3LuMax_);
      end
      else
      if s1 = 'v' then
      begin
        p := 1;
        repeat
          if s3 = F3Lv_[p] then
            Ok := True;
          Inc(p);
        until (Stop) or (Ok) or (p > F3LvMax_);
      end
      else
      if s1 = 'w' then
      begin
        p := 1;
        repeat
          if s3 = F3Lw_[p] then
            Ok := True;
          Inc(p);
        until (Stop) or (Ok) or (p > F3LwMax_);
      end
      else
      if s1 = 'x' then
      begin
        p := 1;
        repeat
          if s3 = F3Lx_[p] then
            Ok := True;
          Inc(p);
        until (Stop) or (Ok) or (p > F3LxMax_);
      end
      else
      if s1 = 'y' then
      begin
        p := 1;
        repeat
          if s3 = F3Ly_[p] then
            Ok := True;
          Inc(p);
        until (Stop) or (Ok) or (p > F3LyMax_);
      end
      else
      if s1 = 'z' then
      begin
        p := 1;
        repeat
          if s3 = F3Lz_[p] then
            Ok := True;
          Inc(p);
        until (Stop) or (Ok) or (p > F3LzMax_);
      end;
      Inc(n);
    until (Stop) or (not Ok) or (n > Lg - 2);
    Result := Ok;
  end;

  function Test_4_Lettres(s: string): boolean;
  var
    s4, s1: S016_;
    n, p, Lg: integer;
    Ok: boolean;
  begin
    Lg := UTF8Length(s);
    n := 1;
    repeat
      s4 := Utf8Copy(s, n, 4);
      s1 := Utf8Copy(s, n, 1);
      Ok := False;
      if s1 = 'a' then
      begin
        p := 1;
        repeat
          if s4 = F4La_[p] then
            Ok := True;
          Inc(p);
        until (Stop) or (Ok) or (p > F4LaMax_);
      end
      else
      if s1 = 'b' then
      begin
        p := 1;
        repeat
          if s4 = F4Lb_[p] then
            Ok := True;
          Inc(p);
        until (Stop) or (Ok) or (p > F4LbMax_);
      end
      else
      if s1 = 'c' then
      begin
        p := 1;
        repeat
          if s4 = F4Lc_[p] then
            Ok := True;
          Inc(p);
        until (Stop) or (Ok) or (p > F4LcMax_);
      end
      else
      if s1 = 'd' then
      begin
        p := 1;
        repeat
          if s4 = F4Ld_[p] then
            Ok := True;
          Inc(p);
        until (Stop) or (Ok) or (p > F4LdMax_);
      end
      else
      if s1 = 'e' then
      begin
        p := 1;
        repeat
          if s4 = F4Le_[p] then
            Ok := True;
          Inc(p);
        until (Stop) or (Ok) or (p > F4LeMax_);
      end
      else
      if s1 = 'f' then
      begin
        p := 1;
        repeat
          if s4 = F4Lf_[p] then
            Ok := True;
          Inc(p);
        until (Stop) or (Ok) or (p > F4LfMax_);
      end
      else
      if s1 = 'g' then
      begin
        p := 1;
        repeat
          if s4 = F4Lg_[p] then
            Ok := True;
          Inc(p);
        until (Stop) or (Ok) or (p > F4LgMax_);
      end
      else
      if s1 = 'h' then
      begin
        p := 1;
        repeat
          if s4 = F4Lh_[p] then
            Ok := True;
          Inc(p);
        until (Stop) or (Ok) or (p > F4LhMax_);
      end
      else
      if s1 = 'i' then
      begin
        p := 1;
        repeat
          if s4 = F4Li_[p] then
            Ok := True;
          Inc(p);
        until (Stop) or (Ok) or (p > F4LiMax_);
      end
      else
      if s1 = 'j' then
      begin
        p := 1;
        repeat
          if s4 = F4Lj_[p] then
            Ok := True;
          Inc(p);
        until (Stop) or (Ok) or (p > F4LjMax_);
      end
      else
      if s1 = 'k' then
      begin
        p := 1;
        repeat
          if s4 = F4Lk_[p] then
            Ok := True;
          Inc(p);
        until (Stop) or (Ok) or (p > F4LkMax_);
      end
      else
      if s1 = 'l' then
      begin
        p := 1;
        repeat
          if s4 = F4Ll_[p] then
            Ok := True;
          Inc(p);
        until (Stop) or (Ok) or (p > F4LlMax_);
      end
      else
      if s1 = 'm' then
      begin
        p := 1;
        repeat
          if s4 = F4Lm_[p] then
            Ok := True;
          Inc(p);
        until (Stop) or (Ok) or (p > F4LmMax_);
      end
      else
      if s1 = 'n' then
      begin
        p := 1;
        repeat
          if s4 = F4Ln_[p] then
            Ok := True;
          Inc(p);
        until (Stop) or (Ok) or (p > F4LnMax_);
      end
      else
      if s1 = 'o' then
      begin
        p := 1;
        repeat
          if s4 = F4Lo_[p] then
            Ok := True;
          Inc(p);
        until (Stop) or (Ok) or (p > F4LoMax_);
      end
      else
      if s1 = 'p' then
      begin
        p := 1;
        repeat
          if s4 = F4Lp_[p] then
            Ok := True;
          Inc(p);
        until (Stop) or (Ok) or (p > F4LpMax_);
      end
      else
      if s1 = 'q' then
      begin
        p := 1;
        repeat
          if s4 = F4Lq_[p] then
            Ok := True;
          Inc(p);
        until (Stop) or (Ok) or (p > F4LqMax_);
      end
      else
      if s1 = 'r' then
      begin
        p := 1;
        repeat
          if s4 = F4Lr_[p] then
            Ok := True;
          Inc(p);
        until (Stop) or (Ok) or (p > F4LrMax_);
      end
      else
      if s1 = 's' then
      begin
        p := 1;
        repeat
          if s4 = F4Ls_[p] then
            Ok := True;
          Inc(p);
        until (Stop) or (Ok) or (p > F4LsMax_);
      end
      else
      if s1 = 't' then
      begin
        p := 1;
        repeat
          if s4 = F4Lt_[p] then
            Ok := True;
          Inc(p);
        until (Stop) or (Ok) or (p > F4LtMax_);
      end
      else
      if s1 = 'u' then
      begin
        p := 1;
        repeat
          if s4 = F4Lu_[p] then
            Ok := True;
          Inc(p);
        until (Stop) or (Ok) or (p > F4LuMax_);
      end
      else
      if s1 = 'v' then
      begin
        p := 1;
        repeat
          if s4 = F4Lv_[p] then
            Ok := True;
          Inc(p);
        until (Stop) or (Ok) or (p > F4LvMax_);
      end
      else
      if s1 = 'w' then
      begin
        p := 1;
        repeat
          if s4 = F4Lw_[p] then
            Ok := True;
          Inc(p);
        until (Stop) or (Ok) or (p > F4LwMax_);
      end
      else
      if s1 = 'x' then
      begin
        p := 1;
        repeat
          if s4 = F4Lx_[p] then
            Ok := True;
          Inc(p);
        until (Stop) or (Ok) or (p > F4LxMax_);
      end
      else
      if s1 = 'y' then
      begin
        p := 1;
        repeat
          if s4 = F4Ly_[p] then
            Ok := True;
          Inc(p);
        until (Stop) or (Ok) or (p > F4LyMax_);
      end
      else
      if s1 = 'z' then
      begin
        p := 1;
        repeat
          if s4 = F4Lz_[p] then
            Ok := True;
          Inc(p);
        until (Stop) or (Ok) or (p > F4LzMax_);
      end;
      Inc(n);
    until (Stop) or (not Ok) or (n > Lg - 3);
    Result := Ok;
  end;

  procedure Aff_Data;
  var
    s: string;
    n: integer;
  begin
    with WdMain do
    begin
      s := '';
      for n := 1 to CarLimite do
        s := s + Mot[Data[n]];
      ListBox1.Items.Add(s);
      if not Stop then
      begin
        //Filtre 3 lettres
        if CkF3.Checked then
        begin
          if Test_3_Lettres(s) then
            ListBox2.Items.Add(s);
        end;
        if not Stop then
        begin
          //Filtre 4 lettres
          if CkF4.Checked then
          begin
            if Test_4_Lettres(s) then
              ListBox3.Items.Add(s);
          end;
        end;
      end;
    end;
  end;

  procedure Chiffres_Restants;
  var
    n: integer;
  begin
    //Init
    for n := 1 to CarLimite do
      ChRe[n] := n;
    //Suppression chifres courants
    for n := 1 to CarLimite do
      ChRe[Data[n]] := 0;
  end;

  function Test_Avance: boolean;
  var
    n: integer;
    Ok: boolean;
  begin
    //Init
    for n := 1 to CarLimite do
      ChRe[n] := 0;
    //Valide nombre
    for n := 1 to CarLimite do
      Inc(ChRe[Data[n]]);
    //Test si Ok
    Ok := True;
    for n := 1 to CarLimite do
      if ChRe[n] <> 1 then
        Ok := False;
    Result := Ok;
  end;

  function Avance: boolean;
  var
    n: integer;
    Ok, Flag: boolean;
  begin
    n := CarLimite;
    Ok := False;
    Flag := False;
    repeat
      Inc(Data[n]);
      if Data[n] > CarLimite then
      begin
        Flag := True;
        Data[n] := 1;
        Dec(n);
      end
      else
      begin
        Flag := False;
        n := CarLimite;
      end;
      if not Flag then
        Ok := Test_Avance;
    until (Stop) or (Ok);
    Result := Ok;
  end;

  function Test_Fin: boolean;
  var
    n: integer;
    Ok: boolean;
  begin
    //Init
    for n := 1 to CarLimite do
      ChRe[n] := CarLimite - n + 1;
    //Test si ok
    Ok := True;
    for n := 1 to CarLimite do
      if Data[n] <> ChRe[n] then
        Ok := False;
    Result := Ok;
  end;

var
  Rech: string;
  Fact: cardinal;
  Total, Prc, xPos: integer;
  a, n, x: integer;
  Chrono, Chr: TTime;
begin
  with WdMain do
  begin
    //----- Générateur basé sur l'incrémantation du compteur -----
    //Init
    Spd01.Enabled := False;
    Edrech.Enabled := False;
    ListBox1.Clear;
    ListBox2.Clear;
    ListBox3.Clear;
    Sleep_Efface;
    //Suppression des majuscules
    Rech := LowerCase(EdRech.Text);
    CarLimite := UTF8Length(Rech);
    if (CarLimite >= 3) and (CarLimite <= CarMax_) then
    begin
      //Init
      Fact := Factoriel12(CarLimite);
      for n := 1 to CarLimite do
      begin
        Data[n] := n;
        Mot[n] := Utf8Copy(Rech, n, 1);
      end;
      //-
      Aff_Data;
      //-
      Panel3.Color := ClBlack;
      Panel3.Font.Color := ClYellow;
      Prc := 0;
      with WdSleep do
      begin
        Img.Canvas.Pen.Color := ClLime;
        Show;
      end;

      Stop := False;
      Total := 1;
      a := 0;
      ListBox1.Enabled := False;
      ListBox2.Enabled := False;
      ListBox3.Enabled := False;
      //-
      Chrono := Time;
      repeat
        if Avance then
        begin
          Aff_Data;
          Inc(Total);
        end;
        if a = 0 then
        begin
          Panel3.Caption := IntToStr(Total) + '/' + IntToStr(Fact);
          Prc := Round((Total * 100) / Fact);
          with WdSleep.Img.Canvas do
          begin
            xPos := Round((Prc * SlMaxX) / 100);
            for x := 0 to xPos do
              Line(x, 0, x, SlMaxY);
            TextOut(SlMaxX div 2, 3, IntToStr(Prc));
            //WdSleep.Pa02.Caption:=IntToStr(Prc)+'%';

          end;
          Application.ProcessMessages;
        end;
        Inc(a);
        if a > 999 then
        begin
          a := 0;
          Chr := Time - Chrono;
          Panel2.Caption := TimeToStr(Chr);
        end;
        Application.ProcessMessages;
      until (Stop) or (Test_Fin);
      Chr := Time - Chrono;
      Panel2.Caption := TimeToStr(Chr);
      Panel3.Caption := IntToStr(Total);
      WdSleep.Close;
      //-
      Panel4.Caption := IntToStr(ListBox1.Count);
      Panel5.Caption := IntToStr(ListBox2.Count);
      Panel6.Caption := IntToStr(ListBox3.Count);
    end;
    ListBox1.Enabled := True;
    ListBox2.Enabled := True;
    ListBox3.Enabled := True;
    Panel3.Color := $00D5F3FF;
    Panel3.Font.Color := ClBlack;
    Edrech.Enabled := True;
    Spd01.Enabled := True;
  end;
end;

procedure TWdMain.EdRechChange(Sender: TObject);
var
  s, t: string;
  n: longint;
  Lg: integer;
begin
  s := EdRech.Text;
  Lg := UTF8Length(s);
  PaLg.Caption := IntToStr(Lg);
  if Lg > CarMax_ then
  begin
    t := '';
    for n := 1 to CarMax_ do
      t := t + UTF8Copy(s, n, 1);
    EdRech.Text := t;
  end
  else
  begin
    //-
    n := 0;
    if Lg > 0 then
    begin
      n := Factoriel12(Lg);
      PaCo.Caption := IntToStr(n);
    end;
  end;
end;

procedure TWdMain.EdRechKeyDown(Sender: TObject; var Key: word; Shift: TShiftState);
begin
  if Key = 13 then
    Generation;
end;

procedure TWdMain.FormClose(Sender: TObject; var CloseAction: TCloseAction);
begin
  Stop := True;
end;

procedure TWdMain.Spd01Click(Sender: TObject);
begin
  Generation;
end;

procedure TWdMain.SpeedButton2Click(Sender: TObject);
begin
  Stop := True;
end;

procedure TWdMain.Timer1Timer(Sender: TObject);
begin
  Panel7.Caption := TimeToStr(Time);
end;

procedure TWdMain.FormShow(Sender: TObject);
begin
  with WdSleep do
  begin
    FormStyle := fsStayOnTop;
    Sleep_Efface;
  end;
  EdRech.MaxLength := CarMax_;
  ActiveControl := EdRech;
end;

end.
